require.config({
	baseUrl: './',
	paths: {
		'app': 'home/app_home',
		'angular': 'js/libs/angular/angular.min',
		'router': 'js/libs/angular/angular-ui-router',
		'resource': 'js/libs/angular/angular-resource',
		//'angularAnimate': 'js/libs/angular/angular-animate.min',
		//'angularSanitize': 'js/libs/angular/angular-sanitize.min',
		'appCan':'js/libs/appCan/appcan',
		'appCanControl':'js/libs/appCan/appcan.control',
		'commonUtil':'js/commonUtil',
		'ngDialog':'js/libs/ngDialog/ngDialog.min',
		'bootstrap':'js/bootstrap',
		'swiper':'js/libs/swiper.min',
		//'crop':'js/libs/ng-img-crop',
		'loadCss':'js/loadCss',
		'uuid':'js/libs/Math.uuid',
		//'angularFileUpload':'js/libs/angular/angular-file-upload.min',

		'homeRouter': 'home/homeRouter',
		//'yuRouter': 'js/router/router_yu',
		//'nanRouter': 'js/router/router_nan',
		//'cuiRouter': 'js/router/router_cui',
		//'zykRouter': 'js/router/router_zyk',

		//'angularDrag':'js/libs/angular/angular-drag'

	},
	shim: {
		'angular': {
			exports: 'angular'
		},
		'router': {
			deps: ['angular'],
			exports: 'router'
		},
		'resource': {
			deps: ['angular'],
			exports: 'resource'
		},
		/*'angularAnimate': {
			deps: ['angular','router'],
			exports: 'angularAnimate'
		},*/
		/*'angularSanitize': {
			deps: ['angular'],
			exports: 'angularSanitize'
		},*/
		'app': {
			deps: ['router'],
			exports:'app'
		},
		'ngDialog':{
			exports:'ngDialog'
		},
		'swiper': {
			exports: 'swiper'
		},
		/*'crop': {
			deps: ['angular'],
			exports: 'crop'
		},
		'angularFileUpload': {
			deps: ['angular'],
			exports: 'angularFileUpload'
		}*/
		//'angularDrag': {
		//	deps: ['jquery','angular'],
		//	exports: 'angularDrag'
		//},
	},
	deps:['bootstrap'],
	//urlArgs: "bust=" + (new Date()).getTime()  //防止读取缓存，调试用
	waitSeconds: 0
})



