

/**
 * Created by snow on 2016/6/28 0028.
 */
sessionStorage.setItem("adbCssFlag", "{}");
window.onbeforeunload = function (e) {
	e = e || window.event;
// For IE and Firefox prior to version 4
	if (e) {
		sessionStorage.setItem("adbCssFlag", "{}");
	}

// For Safari
	return sessionStorage.setItem("adbCssFlag", "{}");
};

var adbCssFlags = sessionStorage.getItem("adbCssFlag");
var adbCssFlag = JSON.parse(adbCssFlags);
function loadCss(url,cssUrlName) {
	if(adbCssFlag != null && adbCssFlag[cssUrlName] == 'true'){

	}
	else{
		if(adbCssFlag == null){
			adbCssFlag = {};
		}
		adbCssFlag[cssUrlName] = "true";
		adbCssFlags = JSON.stringify(adbCssFlag);
		sessionStorage.setItem("adbCssFlag", adbCssFlags);
		var link, head;
		link = document.createElement('link');
		link.href = url;
		link.rel = 'stylesheet';
		head = document.querySelector('head');
		head.appendChild(link);
	}
};


/*!
 Math.uuid.js (v1.4)
 http://www.broofa.com
 mailto:robert@broofa.com

 Copyright (c) 2010 Robert Kieffer
 Dual licensed under the MIT and GPL licenses.
 */

/*
 * Generate a random uuid.
 *
 * USAGE: Math.uuid(length, radix)
 *   length - the desired number of characters
 *   radix  - the number of allowable values for each character.
 *
 * EXAMPLES:
 *   // No arguments  - returns RFC4122, version 4 ID
 *   >>> Math.uuid()
 *   "92329D39-6F5C-4520-ABFC-AAB64544E172"
 *
 *   // One argument - returns ID of the specified length
 *   >>> Math.uuid(15)     // 15 character ID (default base=62)
 *   "VcydxgltxrVZSTV"
 *
 *   // Two arguments - returns ID of the specified length, and radix. (Radix must be <= 62)
 *   >>> Math.uuid(8, 2)  // 8 character ID (base=2)
 *   "01001010"
 *   >>> Math.uuid(8, 10) // 8 character ID (base=10)
 *   "47473046"
 *   >>> Math.uuid(8, 16) // 8 character ID (base=16)
 *   "098F4D35"
 *	from - http://www.broofa.com/Tools/Math.uuid.js
 */
(function () {
	// Private array of chars to use
	var CHARS = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');

	Math.uuid = function (len, radix) {
		var chars = CHARS, uuid = [], i;
		radix = radix || chars.length;

		if (len) {
			// Compact form
			for (i = 0; i < len; i++) uuid[i] = chars[0 | Math.random() * radix];
		} else {
			// rfc4122, version 4 form
			var r;

			// rfc4122 requires these characters
			uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
			uuid[14] = '4';

			// Fill in random data.  At i==19 set the high bits of clock sequence as
			// per rfc4122, sec. 4.1.5
			for (i = 0; i < 36; i++) {
				if (!uuid[i]) {
					r = 0 | Math.random() * 16;
					uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
				}
			}
		}

		return uuid.join('');
	};

	Math.iserial = function () {
		return (new Date().getTime()).toString() + '-adbh5xxxxxxxxxxxx9xxxyxxxxxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
				var r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
				return v.toString(16);
			});
	};

	Math.adbSerial = function (serialType) {
		return (new Date().getTime()).toString() + '-' + serialType + '-xxxxxxxxxxxx8xxxyxxxxxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
				var r = Math.random() * 16 | 0, v = c == 'x' ? r : (r & 0x3 | 0x8);
				return v.toString(16);
			});
	};
})();



/**
 *根据出生日期计算年龄
 * str : 出生日期
 * insuredDate : 投保生效日
 */
function getCurrentAge(str,insuredDate){
	str = formatDate10(new Date(str));
	var   r   =   str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
	if(r==null)return   false;
	var   d=   new   Date(r[1],   r[3]-1,   r[4]);
	var age = 0;
	if   (d.getFullYear()==r[1]&&(d.getMonth()+1)==r[3]&&d.getDate()==r[4])
	{
		var Y;
		if(insuredDate) {
			insuredDate = formatDate10(new Date(insuredDate))
			var   insured   =   insuredDate.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
			Y = new Date(insured[1],   insured[3]-1,   insured[4]);
		}else{
			Y = new Date();
		}
		if(Y.getFullYear() - r[1] <= 0){
			age = 0;
		}else{
			if(Y.getFullYear() - r[1] == 0){
				age = 0;
			}else{
				if((d.getMonth()+1) > (Y.getMonth()+1)){
					age = Y.getFullYear() - r[1] -1;
				}else{
					if((d.getMonth()+1) == (Y.getMonth()+1) && (d.getDate()) > (Y.getDate())){
						age = Y.getFullYear() - r[1] -1;
					}else{
						age = Y.getFullYear() - r[1];
					}
				}
			}
		}
		//return ((Y - r[1] <= 0 ? 0 : Y - r[1]));
		return ( age <= 0? 0 : age);
	}
	return("输入的日期格式错误！");
}

function dateToArr(dateString){
	if(!dateString){return []}
	var dateArr=[];
	if(dateString.indexOf('/')>0){
		dateArr=dateString.split('/');
	}
	if(dateString.indexOf('-')>0){
		dateArr=dateString.split('-');
	}
	var birth_month;
	var birth_day;
	var birth_year;
	if(dateArr.length>0){
		birth_year=dateArr[0];
		birth_month=dateArr[1]<10?("0"+dateArr[1]):dateArr[1];
		birth_day=dateArr[2]<10?("0"+dateArr[2]):dateArr[2];
	}else{
		var birthDay=new Date(str);
		birth_month=birthDay.getMonth()+1;
		birth_day=birthDay.getDate();
		birth_year=birthDay.getFullYear();
	}
	dateArr[0]=birth_year;
	dateArr[1]=birth_month;
	dateArr[2]=birth_day;
	return dateArr;
}

/**根据出生日期获取 出生多少天  传入yyyy-MM-dd
/* day : 出生日期
 * insuredDate ： 保单生效日
 **/
function getDaysFromBirth(day,insuredDate){
	if(day){
		day = formatDate10(new Date(day));
		var birthday =new Date(formatDate10(new Date(day))).getTime();
		var currentTimpstamp;
		if(insuredDate) {
			insuredDate = formatDate10(new Date(insuredDate));
			var insured = insuredDate.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
			currentTimpstamp = new Date(insured[1],   insured[3]-1,   insured[4]).getTime();
		}else{
			currentTimpstamp = new Date().getTime();
		}
		return ((currentTimpstamp-birthday)/86400000).toFixed(0);
	}else{
		return 0
	}
}
/**根据出生日期获取 出生多少月  传入yyyy-MM-dd
 /* birthday : 出生日期
 * insuredDate ： 保单生效日
 **/
function getMonthsFromBirth(birthday , insuredDate){
	//用-分成数组
	var date1 = birthday.split("-");
	var date2 = insuredDate.split("-");
	//获取年,月数
	var year1 = parseInt(date1[0]) ,
		month1 = parseInt(date1[1]) ,
		year2 = parseInt(date2[0]) ,
		month2 = parseInt(date2[1]) ,
	//通过年,月差计算月份差
		months = (year2 - year1) * 12 + (month2-month1);
	return months;
}
/**
 * 隐藏敏感信息
 * @param type:1 手机 2 身份证号 3 银行卡号
 * @param certiCode
 * @returns {*}
 */
function hideCertiCode(type,certiCode){
	var first = 3;
	var second=3;
	if(certiCode){
		if(type==1){
			first = 3;
			second=4;
		}
		else if(type == 2)
			first = 5;
		else if(type == 3)
			first = 6;
		var len = certiCode.length-first-second;
		var xing = '';
		for (var i=0;i<len;i++) {
			xing+='*';
		}
		return certiCode.substr(0,first)+xing+certiCode.substr(certiCode.length-second);
	}else{
		return '';
	}
}

/**
 * 带分享统计  分享到微信（朋友圈或朋友）  方法
 *
 * @param imgUrl  	分享图标
 * @param shareUrl	分享链接
 * @param title		分享标题
 * @param channel	分享渠道 朋友：0  朋友圈 1  类型为Number
 * @param description	分享描述
 * @param shareObj	分享统计对象
 */
function com_share(imgUrl,shareUrl,title,channel,description,shareObj){
	if(typeof uexWeiXin=="undefined"){
		return;
	}
	localStorage.setItem("shareObj",JSON.stringify(shareObj));
	var JsonData = '{"thumbImg":"'+imgUrl+'","wedpageUrl":"'+shareUrl+'","scene":'+channel+',"title":"'+title+'","description":"'+description+'"}';
	//uexWeiXin.registerApp("wxb70171785c43c81c");//生产授权
	uexWeiXin.registerApp(_globalOption.WXappid);//测试授权
	uexWeiXin.shareLinkContent(JsonData);
	uexWeiXin.cbShareLinkContent=function(data){
		//分享回调  分享统计
		if(data=='0'){//成功分享
			$.ajax({
				type: "POST",
				url: "/broker/uc/share/share",
				dataType: "json",
				data: shareObj,
				success: function(msg){
				}
			});
		}
	};
	uexWeiXin.cbRegisterApp = function(opCode, dataType, data) {
	};
}

/**
 * 不带分享统计  分享到微信（朋友圈或朋友）  方法
 *
 * @param imgUrl  	分享图标
 * @param shareUrl	分享链接
 * @param title		分享标题
 * @param channel	分享渠道 朋友：0  朋友圈 1  类型为Number
 * @param description	分享描述
 */
function com_share_noCount(imgUrl,shareUrl,title,channel,description){
	if(typeof uexWeiXin=="undefined"){
		return;
	}
	var JsonData = '{"thumbImg":"'+imgUrl+'","wedpageUrl":"'+shareUrl+'","scene":'+channel+',"title":"'+title+'","description":"'+description+'"}';
	//uexWeiXin.registerApp("wxb70171785c43c81c");//生产授权
	localStorage.removeItem("shareObj");
	uexWeiXin.registerApp(_globalOption.WXappid);//测试授权
	uexWeiXin.shareLinkContent(JsonData);
	uexWeiXin.cbShareLinkContent=function(data){
		//分享回调  分享统计
		//if(data=='0'){//成功分享
		//
		//}
	}
	uexWeiXin.cbRegisterApp = function(opCode, dataType, data) {
	}
}

//保障期间--单位天
function addmulDate(dateParameter, num) {
	var translateDate = "", dateString = "", monthString = "", dayString = "";
	dateParameter = formatDate10(new Date(dateParameter));
	translateDate = dateParameter.replace("-", "/").replace("-", "/");
	var newDate = new Date(translateDate);
	newDate = newDate.valueOf();
	newDate = newDate + (num>0?(num-1):num) * 24 * 60 * 60 * 1000;
    //newDate = newDate + num * 24 * 60 * 60 * 1000;	
	newDate  = new Date(newDate);
	//如果月份长度少于2，则前加 0 补位
	if ((newDate.getMonth() + 1).toString().length == 1) {
		monthString = 0 + "" + (newDate.getMonth() + 1).toString();
	} else {
		monthString = (newDate.getMonth() + 1).toString();
	}
	//如果天数长度少于2，则前加 0 补位
	if (newDate.getDate().toString().length == 1) {
		dayString = 0 + "" + newDate.getDate().toString();
	} else {
		dayString = newDate.getDate().toString();
	}
	dateString = newDate.getFullYear() + "-" + monthString + "-" + dayString;
	return dateString;
}
//保障期间--单位月
function addmulMonth(dtstr, n)
{
	var s = dtstr.split("-");
	var yy = parseInt(s[0],10);
	var mm = parseInt(s[1],10) - 1;
	var dd = parseInt(s[2],10);
	var dt = new Date(yy, mm, dd);
	var dateString = "", monthString = "", dayString = "";
	dt.setMonth(dt.getMonth() + n);
	if ((dt.getYear() * 12 + dt.getMonth()) > (yy * 12 + mm + n)) {
		dt = new Date(dt.getYear(), dt.getMonth(), 0);
	}
	//如果月份长度少于2，则前加 0 补位
	if ((dt.getMonth() + 1).toString().length == 1) {
		monthString = 0 + "" + (dt.getMonth() + 1).toString();
	} else {
		monthString = (dt.getMonth() + 1).toString();
	}
	//如果天数长度少于2，则前加 0 补位
	if (dt.getDate().toString().length == 1) {
		dayString = 0 + "" + dt.getDate().toString();
	} else {
		dayString = dt.getDate().toString();
	}
	//return dt.getFullYear() + "-" + monthString + "-" + dayString;
	var yearDay = dt.getFullYear() + "-" + monthString + "-" + dayString;
	return addmulDate(yearDay,-1);
}
//保障期间--单位年
function addmulYear(dtstr, n)
{
	var s = dtstr.split("-");
	var yy = parseInt(s[0],10);
	var mm = parseInt(s[1],10) - 1;
	var dd = parseInt(s[2],10);
	var dt = new Date(yy, mm, dd);
	var dateString = "", monthString = "", dayString = "";
	dt.setFullYear(dt.getFullYear() + n);
	if ((dt.getYear() * 12 + dt.getMonth()) > (yy * 12 + mm + n)) {
		dt = new Date(dt.getYear(), dt.getMonth(), 0);
	}
	//如果月份长度少于2，则前加 0 补位
	if ((dt.getMonth() + 1).toString().length == 1) {
		monthString = 0 + "" + (dt.getMonth() + 1).toString();
	} else {
		monthString = (dt.getMonth() + 1).toString();
	}
	//如果天数长度少于2，则前加 0 补位
	if (dt.getDate().toString().length == 1) {
		dayString = 0 + "" + dt.getDate().toString();
	} else {
		dayString = dt.getDate().toString();
	}
	//return dt.getFullYear() + "-" + monthString + "-" + dayString;
	var yearDay = dt.getFullYear() + "-" + monthString + "-" + dayString;
	return addmulDate(yearDay,-1);
}

//生成当前日期 YYYY-MM-DD
function genCurrentDate(){
	var tomorrow=new Date();
	var month=tomorrow.getMonth()+1;
	var date=tomorrow.getDate();
	if(month<10){
		month="0"+month;
	}
	if(date<10){
		date="0"+date;
	}
	return tomorrow.getFullYear()+'-'+month+'-'+date;
}
//判断用户是安卓还是IOS还是其它
function userAgent(){
	var u = navigator.userAgent;
	var index = u.indexOf("Android")
	if(index >= 0) {
		var androidVersion = parseFloat(u.slice(index + 8));
		localStorage.androidVersion =androidVersion;
	}
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
	var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	var weixin = u.indexOf('MicroMessenger') > -1;
	//var mobile = !!u.match(/AppleWebKit.*Mobile.*/);
	if(weixin){
		localStorage.isWeixin ='true';
	}else{
		localStorage.isWeixin ='false';
	}
	if(isAndroid){
		localStorage.isApp ='true';
	}else{
		localStorage.isApp ='false';
	}
	if(isiOS){
		localStorage.isAppIos = 'true'
	}else{
		localStorage.isAppIos ='false';
	}

	if((isAndroid || isiOS) && !weixin){
		localStorage.um = true;
	}else{
		localStorage.um = false;
	}
}

//客户端类型--23:app支付、24：公众号支付 、25：微信扫码支付
function getClientType(){
	if(localStorage.getItem("isWeixin")=="true"){
		return 24;
	}else if(localStorage.getItem("isApp")=="true" || localStorage.getItem("isAppIos")=="true"){
		return 23;
	}else{
		return 25;
	}
}




//微信浏览器内  右上角自定义分享
function common_wx_share(dataJson,shareObj){

	var isWeiXin= navigator.userAgent.indexOf("MicroMessenger")>-1;
	//alert(isWeiXin);
	//var isWeiXin = true;
	if(isWeiXin){
		if(typeof wx=="undefined") return;
		var currentUrl=shareObj.currentUrl;
		var shareTitle=shareObj.shareTitle;
		var shareUrl=shareObj.shareUrl;
		var shareImg=shareObj.shareImg;
		var shareDesc=shareObj.shareDesc;
		//注入配置信息

		$.ajax({
			method:"post",
			url:"/adbapi",
			dataType:"json",
			data:dataJson,
			cache:false,
			success:function(json){
				//console.log(JSON.stringify(json));
				if (json.header.istatus == '1')
				{
					wx.config({
						debug: false, // 开启调试模式,调用的所有api的返回值会在客户端alert出来，若要查看传入的参数，可以在pc端打开，参数信息会通过log打出，仅在pc端时才会打印。
						appId: json.data.ticket.appid, // 必填，公众号的唯一标识
						timestamp:json.data.ticket.timestamp, // 必填，生成签名的时间戳
						nonceStr: json.data.ticket.nonceStr, // 必填，生成签名的随机串
						signature: json.data.ticket.signature,// 必填，签名，见附录1
						jsApiList: ["onMenuShareTimeline","onMenuShareAppMessage"] // 必填，需要使用的JS接口列表，所有JS接口列表见附录2
					});

				}

			},
			err:function(err){
				//alert(err);
			}
		});


		wx.ready(function(){
			
			wx.onMenuShareTimeline({
				title: shareTitle, // 分享标题
				link: shareUrl, // 分享链接
				imgUrl: shareImg, // 分享图标
				success: function () {
					// 用户确认分享后执行的回调函数
					//alert('成功');
				},
				cancel: function () {
					// 用户取消分享后执行的回调函数
				}
			});

			wx.onMenuShareAppMessage({
				title: shareTitle, // 分享标题
				desc: shareDesc, // 分享描述
				link: shareUrl, // 分享链接
				imgUrl: shareImg , // 分享图标
				type: '', // 分享类型,music、video或link，不填默认为link
				dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
				success: function () {
					// 用户确认分享后执行的回调函数
					//alert('成功');
				},
				cancel: function () {
					// 用户取消分享后执行的回调函数
				}
			});
			// config信息验证后会执行ready方法，所有接口调用都必须在config接口获得结果之后，config是一个客户端的异步操作，所以如果需要在页面加载时就调用相关接口，则须把相关接口放在ready函数中调用来确保正确执行。对于用户触发时才调用的接口，则可以直接调用，不需要放在ready函数中。
		});
		wx.error(function(res){
			// config信息验证失败会执行error函数，如签名过期导致验证失败，具体错误信息可以打开config的debug模式查看，也可以在返回的res参数中查看，对于SPA可以在这里更新签名。
			//alert("errorMSG:"+JSON.stringify(res));
		});
	}
}





/**
 * 带分享统计  分享到微信（朋友圈或朋友）  方法
 *
 * @param imgUrl  	分享图标
 * @param shareUrl	分享链接
 * @param title		分享标题
 * @param channel	分享渠道 朋友：0  朋友圈 1  类型为Number
 * @param description	分享描述
 * @param shareObj	分享统计对象
 */
function com_share_obj(shareObj){
	//以下为adbswg应用
	try{
		native.share(parseInt(shareObj.channel), _globalOption.WXappid, shareObj.title, shareObj.description, shareObj.shareUrl, shareObj.imgUrl);
		return;
	}
	catch(e){
		return;
	}
	//以下为appcan应用
	/*if(typeof uexWeiXin=="undefined"){
		return;
	}
	var JsonData = '{"thumbImg":"'+shareObj.imgUrl+'","wedpageUrl":"'+shareObj.shareUrl+'","scene":'+shareObj.channel+',"title":"'+shareObj.title+'","description":"'+shareObj.description+'"}';
	//uexWeiXin.registerApp("wxb70171785c43c81c");//生产授权
	uexWeiXin.registerApp(_globalOption.WXappid);//测试授权
	uexWeiXin.shareLinkContent(JsonData);
	localStorage.setItem("shareObj",JSON.stringify(shareObj));
	uexWeiXin.cbShareLinkContent=function(data){
		if(shareObj.countFlag) {
			//分享回调  分享统计
			if (data == '0') {//成功分享
				$.ajax({
					type: "POST",
					url: "/broker/uc/share/share",
					dataType: "json",
					data: shareObj,
					success: function (msg) {
					}
				});
			}
		}
	}
	uexWeiXin.cbRegisterApp = function(opCode, dataType, data) {
	}*/

	/*if(typeof shareObj.channel != 'undefined')
	{
		if(shareObj.channel == 0)
		{
			//分享给朋友
			alert(WeixinJSBridge);
			WeixinJSBridge.invoke('sendAppMessage',{
				"appid": _globalOption.AppId_liming,
				"img_url": shareObj.imgUrl,
				"img_width": "640",
				"img_height": "640",
				"link": shareObj.shareUrl,
				"desc": shareObj.description,
				"title": shareObj.title
			}, function(res) {
				alert(res.err_msg);
				_report('send_msg', res.err_msg);
			})
		}
		else if(shareObj.channel == 1){
			//分享朋友圈
		}
	}*/


}
/**
 * 验证证件类型合法性
 * @param type
 * @param credNum
 * @returns {boolean}
 * 邮箱校验规则：^[\.a-zA-Z0-9_-]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$
 */
var validCredNum = function(type,credNum){
	//console.info("进入验证",type,credNum);
	var validFlag = true;
	if(typeof credNum=="undefined" || credNum==null||""==credNum){
		validFlag = false;
	}else {
		if ("1" == type) {//身份证
			validFlag = IdCardValidate(credNum);
		} else if ("3" == type) {//护照号
			validFlag = (/^[a-zA-Z\d]{6,10}$/).test(credNum);
		} else if("2" == type || "4" == type || "5" == type || "7" == type || "8" == type || "9" == type || "10" == type || "11" == type || "12" == type || "13" == type ||"14" == type || "15" == type){
			validFlag = (/^[a-zA-Z\d]{1,30}$/).test(credNum);
		}else if ("mobile" == type) {//手机
			validFlag = (/^[\+86|86]?1[3|4|5|7|8]\d{9}$/.test(credNum));
		} else if ("name" == type) {//姓名
			validFlag = (/^[a-zA-Z\u4e00-\u9fa5]{2,20}$/).test(credNum);
		} else if ("enName" == type || "namePinyin" == type) {//英文名称.中文拼音
			validFlag = (/^[a-zA-Z]{2,20}$/).test(credNum);
		} else if ("email" == type) {//邮箱
			validFlag = (/^([a-z0-9A-Z]+[_\\-|\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\.)+[a-zA-Z]{2,}$/.test(credNum));
		} else if ("journey" == type) {//旅行目的地
			validFlag = (/^[a-zA-Z\u4e00-\u9fa5]{2,20}$/).test(credNum);
		} else if("relation" == type){//关系
			validFlag = (typeof credNum!="undefined" && credNum!="");
		} else if("postCode" == type){//邮政编码
			validFlag = (/^[0-9]{6}$/).test(credNum);
		} else if("passWord" == type){ //密码验证 6-20位，字母、数字、符号的组合
			validFlag = (/^[\w.]{6,20}$/).test(credNum)
		} else if("height" == type){
			validFlag = (/^(0|\+?[1-9][0-9]*)$/).test(credNum)
		} else if("weight" == type){
			validFlag = (/^(0|\+?[1-9][0-9]*)$/).test(credNum)
		}
	}
	return validFlag;
}

//获取终端硬件类型
function isPc() {
	var userAgentInfo = navigator.userAgent;
	var Agents = ["Android", "iPhone",
		"SymbianOS", "Windows Phone",
		"iPad", "iPod"];
	var flag = true;
	for (var v = 0; v < Agents.length; v++) {
		if (userAgentInfo.indexOf(Agents[v]) > 0) {
			flag = false;
			break;
		}
	}
	return flag;
}
//加法函数，用来得到精确的加法结果
//说明：javascript的加法结果会有误差，在两个浮点数相加的时候会比较明显。这个函数返回较为精确的加法结果。
//调用：accAdd(arg1,arg2)
//返回值：arg1加上arg2的精确结果
function accAdd(arg1,arg2){
	var r1,r2,m;
	try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}
	try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}
	m=Math.pow(10,Math.max(r1,r2));
	return (arg1*m+arg2*m)/m
}

//获取参数
function getQueryString(name)
{
	var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if(r!=null)return  unescape(r[2]); return null;
}

//获取url参数
function getUrlParams(source)
{
	var paramsA = source.split("?");
	var paramsB = [];
	var result = {};//结果对象
	if(paramsA.length>1){
		paramsB = paramsA[1].split("&");
		for(var i = 0;i<paramsB.length;i++){
			var paramsC = paramsB[i].split("=");
			result[paramsC[0]] = paramsC[1];
		}
	}else{

	}
	return result;
}

//计算终保时间
function calculatedInsureDate(calculateInfo){
	var insuredEndDate = "";
	if(calculateInfo.coveragePeriod =="2"){
		insuredEndDate = addmulYear(calculateInfo.insuredStartDate,parseInt(calculateInfo.coveragePeriodValue));
	}else if(calculateInfo.coveragePeriod =="4"){
		insuredEndDate = addmulMonth(calculateInfo.insuredStartDate,parseInt(calculateInfo.coveragePeriodValue));
	}else if(calculateInfo.coveragePeriod =="5"){
		insuredEndDate = addmulDate(calculateInfo.insuredStartDate,parseInt(calculateInfo.coveragePeriodValue));
	}
	return insuredEndDate;
}

//转换小写为大写--航班号
function upFlightNo(v,type,len){
	if (v.value == '') {
		return false;
	}
	//小写转大写
	v.value = v.value.toUpperCase();
	if(type=="cardNum"){
		if (!/^([0-9]+\s?)*$/.test(v.value)) {
			return v.value = v.value.substr(0, v.value.length - 1);
		}
	}else if(type=="benefitRate"){
		if (!/^([1-9]([0-9]{0,2}))$/.test(v.value)) {
			return v.value = v.value.substr(0, v.value.length - 1);
		}
	}else if(type == "amt"){
		if (!/^\d{1,5}(\.\d{1,2})?$/.test(v.value)) {
			if(!/^\d{1,5}\.{1}\d{0,2}$/.test(v.value)){
				return v.value = v.value.substr(0, v.value.length - 1);
			}
		}
	}else {
		//判断是否为英文
		if (!/^([A-Za-z0-9]+\s?)*$/.test(v.value)) {
			return v.value = v.value.substr(0, v.value.length - 1);
		}
	}
	if(len){
		if (v.value.length > len) {
			return v.value = v.value.substr(0, len);
		}
	}else if("passPort"==type){//护照
		if (v.value.length > 10) {
			return v.value = v.value.substr(0, 10);
		}
	}else {//兼容航班号处理
		//判断是否超过长度
		if (v.value.length > 10) {
			return v.value = v.value.substr(0, 9);
		}
	}
}

//获得对象上的属性个数，不包含对象原形上的属性
function getPropLength(obj)
{
	var count = 0;
	if (obj && typeof obj === "object") {
		for (var prop in obj) {
			if (obj.hasOwnProperty(prop)) {
				count++;
			}
		}
		return count;
	}
}

//比较对象是否相等
function compObj(obj1,obj2){
	var obj1Len = getPropLength(obj1);
	var obj2Len = getPropLength(obj2);
	if(obj1Len==obj2Len){//属性数量相同
		for(var prop in obj1){
			if(obj1[prop] != obj2[prop]) return false;
		}
		return true;
	}else{
		return false;
	}
}

//日期格式：YYYY-MM-DD
function formatDate10(date){
	var year = date.getFullYear();
	var month = date.getMonth();
	month = parseInt(month)+1;
	if(month<10){
		month = "0"+month;
	}
	var day = date.getDate();
	if(day<10){
		day = "0"+day;
	}
	return year+"-"+month+"-"+day;
}

//根据时间戳获取出生日期
function getDateByTimes(timestamp){
	if(!isNaN(timestamp)){
		var birthDay = formatDate10(new Date(timestamp));
	}
	return birthDay;
}


/*********************************产品部分的函数******************************************************/

function encrypt(str, pwd) {
	if(pwd == null || pwd.length <= 0) {
		alert("Please enter a password with which to encrypt the message.");
		return null;
	}
	var prand = "";
	for(var i=0; i<pwd.length; i++) {
		prand += pwd.charCodeAt(i).toString();
	}
	var sPos = Math.floor(prand.length / 5);
	var mult = parseInt(prand.charAt(sPos) + prand.charAt(sPos*2) + prand.charAt(sPos*3) + prand.charAt(sPos*4) + prand.charAt(sPos*5));
	var incr = Math.ceil(pwd.length / 2);
	var modu = Math.pow(2, 31) - 1;
	if(mult < 2) {
		alert("Algorithm cannot find a suitable hash. Please choose a different password. \nPossible considerations are to choose a more complex or longer password.");
		return null;
	}
	var salt = Math.round(Math.random() * 1000000000) % 100000000;
	prand += salt;
	while(prand.length > 10) {
		prand = (parseInt(prand.substring(0, 10)) + parseInt(prand.substring(10, prand.length))).toString();
	}
	prand = (mult * prand + incr) % modu;
	var enc_chr = "";
	var enc_str = "";
	for(var i=0; i<str.length; i++) {
		enc_chr = parseInt(str.charCodeAt(i) ^ Math.floor((prand / modu) * 255));
		if(enc_chr < 16) {
			enc_str += "0" + enc_chr.toString(16);
		} else enc_str += enc_chr.toString(16);
		prand = (mult * prand + incr) % modu;
	}
	salt = salt.toString(16);
	while(salt.length < 8)salt = "0" + salt;
	enc_str += salt;
	return enc_str;
}


/*
 *   A   JavaScript   implementation   of   the   Secure   Hash   Algorithm,   SHA-1,   as   defined
 *   in   FIPS   PUB   180-1
 *   Version   2.1-BETA   Copyright   Paul   Johnston   2000   -   2002.
 *   Other   contributors:   Greg   Holt,   Andrew   Kepert,   Ydnar,   Lostinet
 *   Distributed   under   the   BSD   License
 *   See   http://pajhome.org.uk/crypt/md5   for   details.
 */
/*
 *   Configurable   variables.   You   may   need   to   tweak   these   to   be   compatible   with
 *   the   server-side,   but   the   defaults   work   in   most   cases.
 */
var hexcase = 0; /*   hex   output   format.   0   -   lowercase;   1   -   uppercase                 */
var b64pad = ""; /*   base-64   pad   character.   "="   for   strict   RFC   compliance       */
var chrsz = 8; /*   bits   per   input   character.   8   -   ASCII;   16   -   Unicode             */

/*
 *   These   are   the   functions   you'll   usually   want   to   call
 *   They   take   string   arguments   and   return   either   hex   or   base-64   encoded   strings
 */
function hex_sha1(s) {
	return binb2hex(core_sha1(str2binb(s), s.length * chrsz));
}

function b64_sha1(s) {
	return binb2b64(core_sha1(str2binb(s), s.length * chrsz));
}

function str_sha1(s) {
	return binb2str(core_sha1(str2binb(s), s.length * chrsz));
}

function hex_hmac_sha1(key, data) {
	return binb2hex(core_hmac_sha1(key, data));
}

function b64_hmac_sha1(key, data) {
	return binb2b64(core_hmac_sha1(key, data));
}

function str_hmac_sha1(key, data) {
	return binb2str(core_hmac_sha1(key, data));
}

/*
 *   Perform   a   simple   self-test   to   see   if   the   VM   is   working
 */
function sha1_vm_test() {
	return hex_sha1("abc") == "a9993e364706816aba3e25717850c26c9cd0d89d";
}

/*
 *   Calculate   the   SHA-1   of   an   array   of   big-endian   words,   and   a   bit   length
 */
function core_sha1(x, len) {
	/*   append   padding   */
	x[len >> 5] |= 0x80 << (24 - len % 32);
	x[((len + 64 >> 9) << 4) + 15] = len;

	var w = Array(80);
	var a = 1732584193;
	var b = -271733879;
	var c = -1732584194;
	var d = 271733878;
	var e = -1009589776;

	for (var i = 0; i < x.length; i += 16) {
		var olda = a;
		var oldb = b;
		var oldc = c;
		var oldd = d;
		var olde = e;

		for (var j = 0; j < 80; j++) {
			if (j < 16) w[j] = x[i + j];
			else w[j] = rol(w[j - 3] ^ w[j - 8] ^ w[j - 14] ^ w[j - 16], 1);
			var t = safe_add(safe_add(rol(a, 5), sha1_ft(j, b, c, d)), safe_add(safe_add(e, w[j]), sha1_kt(j)));
			e = d;
			d = c;
			c = rol(b, 30);
			b = a;
			a = t;
		}

		a = safe_add(a, olda);
		b = safe_add(b, oldb);
		c = safe_add(c, oldc);
		d = safe_add(d, oldd);
		e = safe_add(e, olde);
	}
	return Array(a, b, c, d, e);

}

/*
 *   Perform   the   appropriate   triplet   combination   function   for   the   current
 *   iteration
 */
function sha1_ft(t, b, c, d) {
	if (t < 20) return (b & c) | ((~b) & d);
	if (t < 40) return b ^ c ^ d;
	if (t < 60) return (b & c) | (b & d) | (c & d);
	return b ^ c ^ d;
}

/*
 *   Determine   the   appropriate   additive   constant   for   the   current   iteration
 */
function sha1_kt(t) {
	return (t < 20) ? 1518500249 : (t < 40) ? 1859775393 : (t < 60) ? -1894007588 : -899497514;
}

/*
 *   Calculate   the   HMAC-SHA1   of   a   key   and   some   data
 */
function core_hmac_sha1(key, data) {
	var bkey = str2binb(key);
	if (bkey.length > 16) bkey = core_sha1(bkey, key.length * chrsz);

	var ipad = Array(16),
		opad = Array(16);
	for (var i = 0; i < 16; i++) {
		ipad[i] = bkey[i] ^ 0x36363636;
		opad[i] = bkey[i] ^ 0x5C5C5C5C;
	}

	var hash = core_sha1(ipad.concat(str2binb(data)), 512 + data.length * chrsz);
	return core_sha1(opad.concat(hash), 512 + 160);
}

/*
 *   Add   integers,   wrapping   at   2^32.   This   uses   16-bit   operations   internally
 *   to   work   around   bugs   in   some   JS   interpreters.
 */
function safe_add(x, y) {
	var lsw = (x & 0xFFFF) + (y & 0xFFFF);
	var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
	return (msw << 16) | (lsw & 0xFFFF);
}

/*
 *   Bitwise   rotate   a   32-bit   number   to   the   left.
 */
function rol(num, cnt) {
	return (num << cnt) | (num >>> (32 - cnt));
}

/*
 *   Convert   an   8-bit   or   16-bit   string   to   an   array   of   big-endian   words
 *   In   8-bit   function,   characters   >255   have   their   hi-byte   silently   ignored.
 */
function str2binb(str) {
	var bin = Array();
	var mask = (1 << chrsz) - 1;
	for (var i = 0; i < str.length * chrsz; i += chrsz)
		bin[i >> 5] |= (str.charCodeAt(i / chrsz) & mask) << (24 - i % 32);
	return bin;
}

/*
 *   Convert   an   array   of   big-endian   words   to   a   string
 */
function binb2str(bin) {
	var str = "";
	var mask = (1 << chrsz) - 1;
	for (var i = 0; i < bin.length * 32; i += chrsz)
		str += String.fromCharCode((bin[i >> 5] >>> (24 - i % 32)) & mask);
	return str;
}

/*
 *   Convert   an   array   of   big-endian   words   to   a   hex   string.
 */
function binb2hex(binarray) {
	var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
	var str = "";
	for (var i = 0; i < binarray.length * 4; i++) {
		str += hex_tab.charAt((binarray[i >> 2] >> ((3 - i % 4) * 8 + 4)) & 0xF) + hex_tab.charAt((binarray[i >> 2] >> ((3 - i % 4) * 8)) & 0xF);
	}
	return str;
}

/*
 *   Convert   an   array   of   big-endian   words   to   a   base-64   string
 */
function binb2b64(binarray) {
	var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
	var str = "";
	for (var i = 0; i < binarray.length * 4; i += 3) {
		var triplet = (((binarray[i >> 2] >> 8 * (3 - i % 4)) & 0xFF) << 16) | (((binarray[i + 1 >> 2] >> 8 * (3 - (i + 1) % 4)) & 0xFF) << 8) | ((binarray[i + 2 >> 2] >> 8 * (3 - (i + 2) % 4)) & 0xFF);
		for (var j = 0; j < 4; j++) {
			if (i * 8 + j * 6 > binarray.length * 32) str += b64pad;
			else str += tab.charAt((triplet >> 6 * (3 - j)) & 0x3F);
		}
	}
	return str;
}

/******************************************************idCardValid.js begin*********************************************************************/
//该js 用于表单验证

var Wi = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2, 1 ];    // 加权因子
var ValideCode = [ 1, 0, 10, 9, 8, 7, 6, 5, 4, 3, 2 ];            // 身份证验证位值.10代表X
function IdCardValidate(idCard) {
	if(!idCard) return false;
	idCard = trim(idCard.replace(/ /g, ""));               //去掉字符串头尾空格
	if (idCard.length == 15) {
		return isValidityBrithBy15IdCard(idCard);       //进行15位身份证的验证
	} else if (idCard.length == 18) {
		var a_idCard = idCard.split("");                // 得到身份证数组
		if(isValidityBrithBy18IdCard(idCard)&&isTrueValidateCodeBy18IdCard(a_idCard)){   //进行18位身份证的基本验证和第18位的验证
			return true;
		}else {
			return false;
		}
	} else {
		return false;
	}
}
/**
 * 判断身份证号码为18位时最后的验证位是否正确
 * @param a_idCard 身份证号码数组
 * @return
 */
function isTrueValidateCodeBy18IdCard(a_idCard) {
	var sum = 0;                             // 声明加权求和变量
	if (a_idCard[17].toLowerCase() == 'x') {
		a_idCard[17] = 10;                    // 将最后位为x的验证码替换为10方便后续操作
	}
	for ( var i = 0; i < 17; i++) {
		sum += Wi[i] * a_idCard[i];            // 加权求和
	}
	valCodePosition = sum % 11;                // 得到验证码所位置
	if (a_idCard[17] == ValideCode[valCodePosition]) {
		return true;
	} else {
		return false;
	}
}
/**
 * 验证18位数身份证号码中的生日是否是有效生日
 * @param idCard 18位书身份证字符串
 * @return
 */
function isValidityBrithBy18IdCard(idCard18){
	var year =  idCard18.substring(6,10);
	var month = idCard18.substring(10,12);
	var day = idCard18.substring(12,14);
	var temp_date = new Date(year,parseFloat(month)-1,parseFloat(day));
	// 这里用getFullYear()获取年份，避免千年虫问题
	if(temp_date.getFullYear()!=parseFloat(year)
		||temp_date.getMonth()!=parseFloat(month)-1
		||temp_date.getDate()!=parseFloat(day)){
		return false;
	}else{
		return true;
	}
}
/**
 * 验证15位数身份证号码中的生日是否是有效生日
 * @param idCard15 15位书身份证字符串
 * @return
 */
function isValidityBrithBy15IdCard(idCard15){
	var year =  idCard15.substring(6,8);
	var month = idCard15.substring(8,10);
	var day = idCard15.substring(10,12);
	var temp_date = new Date(year,parseFloat(month)-1,parseFloat(day));
	// 对于老身份证中的你年龄则不需考虑千年虫问题而使用getYear()方法
	if(temp_date.getYear()!=parseFloat(year)
		||temp_date.getMonth()!=parseFloat(month)-1
		||temp_date.getDate()!=parseFloat(day)){
		return false;
	}else{
		return true;
	}
}
//去掉字符串头尾空格
function trim(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}


/**
 * 通过身份证判断是男是女
 * @param idCard 15/18位身份证号码
 * @return 'female'-女、'male'-男
 */
function maleOrFemalByIdCard(idCard){
	if(!idCard) return "";
	idCard = trim(idCard.replace(/ /g, ""));        // 对身份证号码做处理。包括字符间有空格。
	if(idCard.length==15){
		if(idCard.substring(14,15)%2==0){
			return 'female';
		}else{
			return 'male';
		}
	}else if(idCard.length ==18){
		if(idCard.substring(14,17)%2==0){
			return 'female';
		}else{
			return 'male';
		}
	}else{
		return null;
	}
}

//验证手机号码
function validMobile(mobileNo){
	return /^[\+86|86]?1[3|4|5|7|8]\d{9}$/.test(mobile);
}

//验证电话号码  010-29292929
function validTel(tel){
	return /^(0[0-9]{2,3}\-)?([2-9][0-9]{6,7})+(\-[0-9]{1,4})?$/.test(tel);
}

//验证邮件地址
function validEmail(email){
	return /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/.test(email);
}

//----------------------------------------------------------
//    功能：根据身份证号获得出生日期
//  参数：身份证号 psidno
//    返回值：
//    出生日期
//----------------------------------------------------------
function GetBirthday(psidno){
	var birthdayno,birthdaytemp;
	if(psidno.length==18){
		birthdayno=psidno.substring(6,14);
	}else if(psidno.length==15){
		birthdaytemp=psidno.substring(6,12)
		birthdayno="19"+birthdaytemp;
	}else{
		//alert("错误的身份证号码，请核对！")
		return false;
	}
	var birthday=birthdayno.substring(0,4)+"-"+birthdayno.substring(4,6)+"-"+birthdayno.substring(6,8);
	return birthday;
}
/******************************************************idCardValid.js end*********************************************************************/

