var circleIndexRouter = {   //我的圈子首页
    url:'circleIndexR',
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/circle/index/view.html',
            controller: 'circleIndexCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/index/css/index.css',"circleIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/index/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'circleIndexTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/index/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        ////for "ui-view='sideslip"
        //'sideSlip@adb':{
        //    templateUrl: 'module/common/views/sideslip.html'
        //}
    }
}

var circleAllowanceRouter = {  //圈子收益
    url:'circleAllowanceR/:month',
    views:{
        '':{
            templateUrl: 'module/circle/circleAllowance/view.html',
            controller: 'circleAllowanceCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/circleAllowance/css/circleAllowance.css',"circleAllowance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/circleAllowance/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        /*'adbTop@adb': {
            templateUrl: 'module/circle/circleAllowance/adbTop.html',
            controller: 'circleAllowanceCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    require([
                        'module/circle/circleAllowance/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }*/
    }
}

var circleUserRouter = {   //圈子人员明细
    url:'circleUserListR',
    views:{
        '':{
            templateUrl: 'module/circle/circleUserList/view.html',
            controller: 'circleUserListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/circleUserList/css/circleUserList.css',"circleUserList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/circleUserList/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }
    }
}


var teamAllowanceRouter = {   //团队收益明细
    url:'teamAllowanceR/:month',
    views:{
        '':{
            templateUrl: 'module/circle/teamAllowance/view.html',
            controller: 'teamAllowanceCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/teamAllowance/css/teamAllowance.css',"teamAllowance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/teamAllowance/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}

var teamUserListRouter = { //团队人员明细
    url:'teamUserListR',
    views:{
        '':{
            templateUrl: 'module/circle/teamUserList/view.html',
            controller: 'teamUserListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/teamUserList/css/teamUserList.css',"teamUserList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/teamUserList/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}

var investorRouter = {   //投资合伙人
    url:'investorR',
    views:{
        '':{
            templateUrl: 'module/circle/investor/view.html',
            controller: 'investorCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/investor/css/investor.css',"investor");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/investor/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}

var investorAllowanceRouter = {   //业绩明细
    url:'investorAllowanceR/:month',
    views:{
        '':{
            templateUrl: 'module/circle/investorAllowance/view.html',
            controller: 'investorAllowanceCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/investorAllowance/css/investorAllowance.css',"investorAllowance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/investorAllowance/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}

var investorUserListRouter = {   //人员明细
    url:'investorUserListR',
    views:{
        '':{
            templateUrl: 'module/circle/investorUserList/view.html',
            controller: 'investorUserListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/investorUserList/css/investorUserList.css',"investorUserList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/investorUserList/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}

var buildCircleRouter = {  //建圈子
    url:'buildCircleR',
    views:{
        '':{
            templateUrl: 'module/circle/buildCircle/view.html',
            controller: 'buildCircleCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/buildCircle/css/buildCircle.css',"buildCircle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/buildCircle/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'buildCircleTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/buildCircle/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}


var inviteFriendRouter = { //邀请好友
    url:'inviteFriendR',
    views:{
        '':{
            templateUrl: 'module/circle/inviteFriend/view.html',
            controller: 'inviteFriendCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/inviteFriend/css/inviteFriend.css',"inviteFriend");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/inviteFriend/js/controller',
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }
    }
}

var wechatRegisterGuideRouter = {  //邀请注册引导页面
    url:'/wechatRegisterGuideR',
    views:{
        '':{
            templateUrl: 'module/circle/wechatRegister/guide.html',
            controller: 'wechatRegisterCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/wechatRegister/css/wechatRegister.css',"wechatRegister");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/wechatRegister/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var wechatRegisterRouter = {  //邀请注册页面
    url:'/wechatRegisterR',
    views:{
        '':{
            templateUrl: 'module/circle/wechatRegister/view.html',
            controller: 'wechatRegisterCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/wechatRegister/css/wechatRegister.css',"wechatRegister");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/wechatRegister/js/controller',
                        'js/libs/endeCode',
                        'js/sha'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        // for "ui-view='dialog'"
        'dialog@wechatRegisterR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
}

var registerSuccessfulRouter = {  //注册成功
    url:'/registerSuccessfulR',
    views:{
        '':{
            templateUrl: 'module/circle/registerSuccessful/view.html',
            controller: 'registerSuccessfulCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/registerSuccessful/css/registerSuccessful.css',"registerSuccessful");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/registerSuccessful/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}