require.config({
	baseUrl: './',
	paths: {
		//'app': 'js/app.min',
		'app': 'js/app',
		'angular': 'js/libs/angular/angular.min',
		'router': 'js/libs/angular/angular-ui-router',
		'resource': 'js/libs/angular/angular-resource',
		'angularAnimate': 'js/libs/angular/angular-animate.min',
		'angularSanitize': 'js/libs/angular/angular-sanitize.min',
		'ngDialog':'js/libs/ngDialog/ngDialog.min',
		'swiper':'js/libs/swiper.min',
		'crop':'js/libs/ng-img-crop',
		'angularFileUpload':'js/libs/angular/angular-file-upload.min',
		'jquery':'js/libs/jquery/jquery.min',
		'globalConfig':'js/globalConfig',
		'commonUtil_test':'js/commonUtil_test',
		'routerAll':'js/router'
		//'indexCommonAll':'js/indexCommonAll.min'
		//'angularDrag':'js/libs/angular/angular-drag',

	},
	shim: {
		'angular': {
			exports: 'angular'
		},
		'router': {
			deps: ['angular'],
			exports: 'router'
		},
		'resource': {
			deps: ['angular'],
			exports: 'resource'
		},
		'angularAnimate': {
			deps: ['angular','router'],
			exports: 'angularAnimate'
		},
		'angularSanitize': {
			deps: ['angular'],
			exports: 'angularSanitize'
		},
		'app': {
			//deps: ['router','jquery','indexCommonAll'],
			deps: ['router','jquery','globalConfig','commonUtil_test','routerAll'],
			exports:'app'
		},
		'ngDialog':{
			exports:'ngDialog'
		},
		'swiper': {
			exports: 'swiper'
		},
		'crop': {
			deps: ['angular'],
			exports: 'crop'
		},
		'angularFileUpload': {
			deps: ['angular'],
			exports: 'angularFileUpload'
		},
		//'angularDrag': {
		//	deps: ['jquery','angular'],
		//	exports: 'angularDrag'
		//},
	},
	//urlArgs: "bust=" + (new Date()).getTime()  //防止读取缓存，调试用
	waitSeconds: 0
})

require(['app'],function(app){
	angular.bootstrap(document,['webApp']);
});




