'use strict';
define(['app'], function (app) {
    app.register.service('myData', [function () {
        return {
            isLoad: false//存放是否为loading模式,true-加载中
        }
    }]);
    app.register.controller('autoFillOrderTopCtrl', ['$scope', '$location','myData','$window', function ($scope, $location,myData,$window) {

        $scope.goToBack = function(){
            //因为是浏览器、微信、App都会调用此页面


            if(myData.isLoad === true)
            {

                myData.isLoad = false;
                $window.location.reload();

            }
            else{

                //location.href = 'index.html#/autoSubmitOkR';
                $location.url('autoSubmitOkR');
            }

            /*****************************设置头部返回地址 end******************************/
        }
    }]);
    app.register.controller('autoFillOrderCtrl', ['$scope', '$location', '$stateParams', '$state','adbService', '$timeout','myData', function ($scope, $location, $stateParams, $state,adbService, $timeout,myData) {
        //改变页面的<title>
        $scope.appTitle = '填写订单';
        $scope.$emit("titleName", $scope.appTitle);
        /*-----------------获取缓存信息-------------------*/
        var vehicleMsg = $scope.carGetItem("vehicleInfo"); //获取车辆信息
        var vehicleOwnerMsg = $scope.carGetItem("owner");//获取车主信息
        var companies = $scope.carGetItem("companies");//获取保险公司信息
        var businessInsureInfo = $scope.carGetItem("businessInsureInfo"); //商业险信息
        var enforceInsureInfo = $scope.carGetItem("enforceInsureInfo");   //交强险信息
        var pricesInfo = $scope.carGetItem("pricesInfo");       //保费总额
        var quote = $scope.carGetItem("quote");//险种询价结果

        var policyHolder = $scope.carGetItem("policyHolder");//投保人信息
        //console.log(policyHolder);
        var insuredInfo = $scope.carGetItem("insuredInfo");//被保人信息
        //console.log(insuredInfo);
        var consigneeInfo = $scope.carGetItem("consigneeInfo");//收件人信息

        //console.log(consigneeInfo);
        //console.log('获取车辆信息')
        //console.log(vehicleMsg);
        //console.log('获取车主信息');
        //console.log(vehicleOwnerMsg);
        //console.log('获取保险公司信息');
        //console.log(companies);
        //console.log('商业险信息');
        //console.log(businessInsureInfo);
        //console.log('交强险信息');
        //console.log(enforceInsureInfo);
        //console.log('保费总额')
        //console.log(pricesInfo);
        //console.log('险种询价结果');
        //console.log(quote);


        var brokerInfo = localStorage.getItem('broker_in_session');
        if (brokerInfo != null && brokerInfo != 'undefined') {
            brokerInfo = JSON.parse(brokerInfo);
        }
        /*-----------------获取缓存信息end-------------------*/

        /*-------------------保单配送地区-----------------------*/
        $scope.getAddressArea = function (val, num) {
            adbService.getResult(
                {},
                $scope.setService("I226010", {
                    companyCode: '',//公司代码
                    parentCode: val//上级代码
                }),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (num == '1') {
                            $scope.PorvinceArr = json.data;
                        }
                        if (num == '2') {
                            $scope.cityArr = json.data;
                            if (typeof val != "undefined" && val != "") {   //获取省份名
                                if (typeof $scope.PorvinceArr != 'undefined' && $scope.PorvinceArr) {
                                    for (var i = 0; i < $scope.PorvinceArr.length; i++) {
                                        if ($scope.provinceCode == $scope.PorvinceArr[i].branchCode) {
                                            $scope.provinceName = $scope.PorvinceArr[i].branchName;
                                        }
                                    }
                                }

                            }
                            //console.log($scope.provinceName);
                        }
                        if (num == "3") {
                            if (typeof val != "undefined" && val != "") {   //获取市名
                                for (var j = 0; j < $scope.cityArr.length; j++) {
                                    if ($scope.cityCode == $scope.cityArr[j].branchCode) {
                                        $scope.cityName = $scope.cityArr[j].branchName;
                                    }
                                }
                            }
                            //console.log($scope.cityName);
                        }
                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                },
                function (err) {
                }
            )
        };
        $scope.getAddressArea('', '1');






        function init()//初始化订单信息
        {
            $scope.companies = {};                //保险公司
            $scope.addressInfo = {};             //配送地区
            $scope.owner = {};                  //车主信息
            $scope.policyHolder = {};           //投保人
            $scope.insuredInfo = {};            //被保人
            $scope.vehicleInfo = {};              //车辆信息
            $scope.consigneeInfo = {};          //收件人信息
            $scope.vehicleTax = {};             // 车船税信息
            $scope.copyFlag = {        //同车主
                "insureCopy": false,
                "InsuredCopy": false
            };


            $scope.taxPrice = quote.taxPrice;           //车船费
            $scope.priceSum = pricesInfo.priceSum;     //保费合计

            $scope.vehicleInfo.licenseNo = vehicleMsg.licenseNo; //车牌号
            $scope.ownerCertiCode = vehicleOwnerMsg.certiCode;  //车主身份证号
            $scope.ownerName = vehicleOwnerMsg.name;       //车主姓名
            $scope.ownerMobile = vehicleOwnerMsg.mobile;   //车主手机号
            //$scope.vehicleInfo.engineNo = vehicleMsg.engineNo;           //发动机号
            //$scope.vehicleInfo.vin = vehicleMsg.vin;//车架号
            //$scope.vehicleInfo.enrollDate = vehicleMsg.enrollDate;  //初次登记日期
            //$scope.vehicleInfo.brandModel = vehicleMsg.brandModel; //车辆品牌
            //$scope.vehicleInfo.vehicleSeries = vehicleMsg.vehicleSeries; //车系
            //$scope.vehicleInfo.vehicleYear = vehicleMsg.vehicleYear;//上市年份
            //$scope.vehicleInfo.seats = vehicleMsg.seats;            //座位数
            //$scope.vehicleInfo.style = vehicleMsg.style;            //款式
            $scope.vehicleInfo.provinceName = vehicleOwnerMsg.addressInfo.provinceName;      //车辆所属地区
            $scope.vehicleInfo.vehicleArea = vehicleOwnerMsg.addressInfo.provinceCode;      //车辆所属地区

            $scope.companies.companyName = companies[0].companyName;        //保险公司
            $scope.companies.companyCode = companies[0].companyCode;        //保险公司ID

            initConsigneeInfo();//初始化配送人
            initPolicyHolder();//初始化投保人
            initInsuredInfo();//初始化被保人




        }

        init();
        /******************************************初始化loading页 begin*********************************/
        function initLoadingDiv(){
            $scope.enquiryBox = false;//加载中
            $scope.insuranceLoading = false;//加载中
            $scope.imsg = "";//返回错误信息
        }
        /******************************************初始化loading页 end*********************************/

        function initConsigneeInfo() {
            //初始化收件人
            if (consigneeInfo) {
                if (typeof consigneeInfo['addressInfo'] != 'undefined' && consigneeInfo['addressInfo']) {

                    //设置省市
                    if (typeof consigneeInfo['addressInfo']['provinceCode'] != 'undefined') {
                        $scope.provinceCode = consigneeInfo['addressInfo']['provinceCode'];
                        $scope.getAddressArea($scope.provinceCode, 2);

                        if (typeof consigneeInfo['addressInfo']['cityCode'] != 'undefined') {
                            /*setTimeout(function() {
                             $scope.cityCode = consigneeInfo['addressInfo']['cityCode'];

                             }, 1000);*/

                            var a = $timeout(function () {
                                //console.log('执行$timeout回调');
                                $scope.cityCode = consigneeInfo['addressInfo']['cityCode'];
                                return 'angular'
                            }, 1000);
                            a.then(function (data) {
                                //console.log(data)
                            }, function (data) {
                                //console.log(data)
                            });
                        }

                    }
                    if (typeof consigneeInfo['addressInfo']['detailAddress'] != 'undefined') {
                        $scope.detailAddress = consigneeInfo['addressInfo']['detailAddress'];
                    }
                }
                if (typeof consigneeInfo['name'] != 'undefined' && consigneeInfo['name']) {
                    $scope.consigneeName = consigneeInfo['name'];
                }
                if (typeof consigneeInfo['mobile'] != 'undefined' && consigneeInfo['mobile']) {
                    $scope.consigneeMobile = consigneeInfo['mobile'];
                }


            }
        }

        function initPolicyHolder() {
            //初始化投保人
            if (policyHolder) {
                if (typeof policyHolder['name'] != 'undefined' && policyHolder['name']) {
                    $scope.policyName = policyHolder['name'];
                }
                if (typeof policyHolder['certiCode'] != 'undefined' && policyHolder['certiCode']) {
                    $scope.policyCertiCode = policyHolder['certiCode'];
                }
                if (typeof policyHolder['mobile'] != 'undefined' && policyHolder['mobile']) {
                    $scope.policyMobile = policyHolder['mobile'];
                }
                //copyFlag.insureCopy
                if (typeof policyHolder['copyFlag'] != 'undefined' && policyHolder['copyFlag']) {
                    $scope.copyFlag.insureCopy = policyHolder['copyFlag'];//投保人是否同车主 InsuredCopy
                }
            }
        }

        function initInsuredInfo() {
            //初始化投保人
            if (insuredInfo) {
                if (typeof insuredInfo['name'] != 'undefined' && insuredInfo['name']) {
                    $scope.insuredName = insuredInfo['name'];
                }
                if (typeof insuredInfo['certiCode'] != 'undefined' && insuredInfo['certiCode']) {
                    $scope.insuredCertiCode = insuredInfo['certiCode'];
                }
                if (typeof insuredInfo['mobile'] != 'undefined' && insuredInfo['mobile']) {
                    $scope.insuredMobile = policyHolder['mobile'];
                }
                //copyFlag.insureCopy
                if (typeof insuredInfo['copyFlag'] != 'undefined' && insuredInfo['copyFlag']) {
                    $scope.copyFlag.InsuredCopy = insuredInfo['copyFlag'];//投保人是否同车主
                }
            }
        }


        $scope.copyInfo = function (e, x) {
            $scope.copyFlag[e] = !$scope.copyFlag[e];
            //$scope.carSetItem("owner",$scope.owner);  //存储车主信息
            if (x == "1") {
                if ($scope.copyFlag[e] == true) {
                    $scope.policyName = $scope.ownerName;
                    $scope.policyMobile = $scope.ownerMobile;
                    $scope.policyCertiCode = $scope.ownerCertiCode;
                } else if ($scope.copyFlag[e] == false) {
                    $scope.policyName = "";
                    $scope.policyCertiCode = "";
                    $scope.policyMobile = "";
                }
            } else if (x == "2") {
                if ($scope.copyFlag[e] == true) {
                    $scope.insuredName = $scope.ownerName;
                    $scope.insuredMobile = $scope.ownerMobile;
                    $scope.insuredCertiCode = $scope.ownerCertiCode;
                } else if ($scope.copyFlag[e] == false) {
                    $scope.insuredName = "";
                    $scope.insuredMobile = "";
                    $scope.insuredCertiCode = "";
                }
            }

        }

        //$scope.$on('$viewContentLoaded', function(){
        //
        //});
        var sumbiting = false;//提交中
        $scope.goOrder = function () {   //提交订单
            var isCheck = checkFrom();
            if (isCheck.status) {
            } else {
                if (isCheck.msg != '') {
                    $scope.dialogRes(isCheck.msg);//弹出错误提示
                }
                return;
            }

            $scope.enquiryBox = true;//显示加载中
            $scope.insuranceLoading = true;//显示加载中
            myData.isLoad = true;

            postMsg();




        };


        //console.info(companies)
        /*------------表单验证-----------------*/
        function checkFrom() {
            var res = {};
            res['status'] = true;//检查通过-true;否则-false
            res['msg'] = '';//返回错误信息
            /*********车主信息校验************/
            if (!validCredNum("name", $scope.ownerName)) {
                res['status'] = false;
                res['msg'] = '车主姓名不能为空';
            }
            else if (!validCredNum("1", $scope.ownerCertiCode)) {
                res['status'] = false;
                res['msg'] = '请填写正确的车主身份证号';
            }
            else if (!validCredNum("mobile", $scope.ownerMobile)) {
                res['status'] = false;
                res['msg'] = '请填写正确的车主手机号码';
            }
            /*************保单配送信息***************/
            else if (!validCredNum("", $scope.provinceCode)
                || !validCredNum("", $scope.cityCode) || !validCredNum("", $scope.detailAddress)) {
                res['status'] = false;
                res['msg'] = '投保人通讯地址填写有误，请完善';
            }
            else if (typeof $scope.detailAddress == "undefined" || $scope.detailAddress == "") {
                res['status'] = false;
                res['msg'] = '详细地址不能为空';
            }
            else if (!validCredNum("name", $scope.consigneeName)) {
                res['status'] = false;
                res['msg'] = '收单人姓名不能为空';
            }
            else if (!validCredNum("mobile", $scope.consigneeMobile)) {
                res['status'] = false;
                res['msg'] = '请填写正确的收单人手机号码';
            }
            /**************投保人信息校验***************/
            else if (!validCredNum("name", $scope.policyName)) {
                res['status'] = false;
                res['msg'] = '投保人姓名不能为空';
            }
            else if (!validCredNum("1", $scope.policyCertiCode)) {
                res['status'] = false;
                res['msg'] = '请填写正确的投保人身份证号';
            }
            else if (!validCredNum("mobile", $scope.policyMobile)) {
                res['status'] = false;
                res['msg'] = '请填写正确的投保人手机号码';
            }
            /*************被保人信息校验***************/
            else if (!validCredNum("name", $scope.insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名不能为空';
            }
            else if (!validCredNum("1", $scope.insuredCertiCode)) {
                res['status'] = false;
                res['msg'] = '请填写正确的被保人身份证号';
            }
            else if (!validCredNum("mobile", $scope.insuredMobile)) {
                res['status'] = false;
                res['msg'] = '请填写正确的被保人手机号码';
            }
            return res
        }

        /*---------------根据身份证获取生日和男女-----------------------------*/
        function credNumChange(certiType, certiCode) {
            if (typeof certiCode != "undefined") {
                if (certiType == "1") {
                    var CredNum = certiCode;
                    var birthDay = "";
                    var _birthDay = "";
                    var gender = "";
                    if (CredNum.length == 15) {
                        if (!IdCardValidate(CredNum)) {//校验身份证是否有效
                            return;
                        }
                        birthDay = CredNum.substr(6, 6);
                        _birthDay = "19" + birthDay.substr(0, 2) + '-' + birthDay.substr(2, 2) + '-' + birthDay.substr(4, 2);
                        gender = parseInt(CredNum.substring(14, 15)) % 2 ? "M" : "F";
                    }
                    else if (CredNum.length == 18) {
                        birthDay = CredNum.substr(6, 8);
                        _birthDay = birthDay.substr(0, 4) + '-' + birthDay.substr(4, 2) + '-' + birthDay.substr(6, 2);
                        gender = parseInt(CredNum.substring(16, 17)) % 2 ? "M" : "F";
                    }
                    return {"_birthDay": _birthDay, 'gender': gender};
                }
            }
        }

        /*----------------------拼接请求数据----------------------------*/


        function getParams() {
            var policy = credNumChange('1', $scope.policyCertiCode); //投保人出生年月和性别
            var insured = credNumChange('1', $scope.insuredCertiCode); //被保人出生年月和性别
            var ownerB = credNumChange('1', $scope.ownerCertiCode); //车主出生年月和性别
            //console.log(policy.gender+"------"+policy._birthDay)
            $scope.addressInfo = {                  //地址
                "provinceCode": $scope.provinceCode,
                "provinceName": $scope.provinceName,
                "cityCode": $scope.cityCode,
                "cityName": $scope.cityName,
                "countyCode": "",
                "countyName": "",
                "detailAddress": $scope.detailAddress,
                "postCode": ""
            };
            $scope.policyHolder = {                 //投保人信息
                "name": $scope.policyName,
                "gender": policy.gender,
                "certiType": "1",
                "certiCode": $scope.policyCertiCode,
                "certiExpiryDate": "0",//写死为0
                "birthday": policy._birthDay,
                "tel": $scope.policyMobile,
                "mobile": $scope.policyMobile,
                "email": "",
                'addressInfo': ""
            };
            $scope.insuredInfo = {              //被保人信息
                "name": $scope.insuredName,
                "gender": insured.gender,
                "certiType": "1",
                "certiCode": $scope.insuredCertiCode,
                "certiExpiryDate": "0",//写死为0
                "birthday": insured._birthDay,
                "tel": $scope.insuredMobile,
                "mobile": $scope.insuredMobile,
                "email": "",
                'addressInfo': ""
            }
            var ownerAddressInfo = {};
            if (vehicleOwnerMsg && typeof vehicleOwnerMsg.addressInfo != 'undefined') {
                ownerAddressInfo = vehicleOwnerMsg.addressInfo;
            }

            $scope.owner = {
                "name": $scope.ownerName,
                "gender": ownerB.gender,
                "certiType": "1",
                "certiCode": $scope.ownerCertiCode,
                "certiExpiryDate": "0",//写死为0
                "birthday": ownerB._birthDay,
                "tel": $scope.ownerMobile,
                "mobile": $scope.ownerMobile,
                "email": "",
                'addressInfo': ownerAddressInfo
            };
            var consigneeNameProvinceName = '';//收件人省市
            var consigneeNameCityName = '';//收件人城市

            for (var i = 0; i < $scope.PorvinceArr.length; i++) {
                if ($scope.provinceCode == $scope.PorvinceArr[i]['branchCode']) {
                    consigneeNameProvinceName = $scope.PorvinceArr[i]['branchName'];
                    break;
                }
            }

            for (var i = 0; i < $scope.cityArr.length; i++) {
                if ($scope.cityCode == $scope.cityArr[i]['branchCode']) {
                    consigneeNameCityName = $scope.cityArr[i]['branchName'];
                    break;
                }
            }


            $scope.consigneeInfo = {//收件人信息
                "name": $scope.consigneeName,
                "gender": "",
                "certiType": "",
                "certiCode": "",
                "certiExpiryDate": "0",//写死为0
                "birthday": "0",
                "tel": $scope.consigneeMobile,
                "mobile": $scope.consigneeMobile,
                "email": "",
                "addressInfo": {
                    "provinceCode": $scope.provinceCode,
                    "provinceName": consigneeNameProvinceName,
                    "cityCode": $scope.cityCode,
                    "cityName": consigneeNameCityName,
                    "countyCode": "",
                    "countyName": "",
                    "detailAddress": $scope.detailAddress,
                    "postCode": ""
                }
            };
            //console.log($scope.consigneeInfo);
            $scope.vehicleInfo = {                      //车辆信息
                "licenseNo": vehicleMsg.licenseNo,//车牌号
                "vin": vehicleMsg.vin,//车架号
                "engineNo": vehicleMsg.engineNo,//发动机号
                "enrollDate": vehicleMsg.enrollDate,//注册登记日期
                "style": vehicleMsg.style,//车辆品牌
                "vehicleSeries": vehicleMsg.vehicleSeries,//车系
                "engineDisplacement": "",//发动机排量
                "vehicleGear": "",//档位数
                "vehicleYear": vehicleMsg.vehicleYear,//车辆配置型号
                "vehiclePrice": vehicleMsg.vehiclePrice,//新车购置价
                "vehicleModel": vehicleMsg.brandModel,
                "inportIndi": "",//进口车标识
                "seats": vehicleMsg.seats,
                "vehicleTypeId": vehicleMsg.vehicleTypeId,
                "approvedCarrier": "",//核定载客量
                "approvedLoad": "",//核定载重量
                "vehicleType": "",//车辆类型1--五座及以下 2--五座以上七座及以下 3--七座以上九座及以下 4--九座以上
                "usageType": "",//车辆使用性质
                "isTransferCar": "",//是否过户
                "transferDate": "",//过户时间
                "vehicleArea": vehicleOwnerMsg.addressInfo.provinceCode,//车辆所属地区id,
                "provinceName": vehicleOwnerMsg.addressInfo.provinceName//车辆所属地区
            }

            $scope.vehicleTax = {               //车船税信息
                "taxSum": $scope.taxPrice,//车船税总额
                "taxType": "1",//车船税缴税类型
                "taxPayableThisYear": "0",//车船税今年应缴
                "taxPayableLastYear": "0",//车船税去年应缴
                "taxOverdueFine": "0",//车船税滞纳金
                "taxPayerNum": ""//纳税人识别号
            }
        }

        //款式
        /*-------------------------------------------------------*/
        function postMsg() {
            getParams();
            if(!sumbiting)
            {
                sumbiting = true;
                var params = {
                    "user": {
                        "regId": brokerInfo.regId,
                        "invitationCode": brokerInfo.shareCode,
                        "brokerCode": brokerInfo.brokerCode,
                        "submitChlId": "5",
                        "mobile": brokerInfo.mobile
                    },
                    "quoteSeqNo": quote.quoteSeqNo,              //报价流水号
                    "policyHolder": $scope.policyHolder,       //投保人信息
                    "insuredInfo": $scope.insuredInfo,        //被保人信息
                    "vehicleOwner": $scope.owner,            //车主信息
                    "consigneeInfo": $scope.consigneeInfo,  //收件人信息
                    "vehicleInfo": $scope.vehicleInfo,     //车辆信息
                    "businessInsureInfo": businessInsureInfo,             //商业险信息
                    "enforceInsureInfo": enforceInsureInfo,             //交强险信息
                    "vehicleTax": $scope.vehicleTax,  //车船税信息
                    "pricesInfo": pricesInfo,
                    "quoteResult":quote //报价结果数据
                };
                $scope.carSetItem("owner", $scope.owner);  //存储车主信息
                $scope.policyHolder.copyFlag = $scope.copyFlag.insureCopy;//投保人是否同车主
                $scope.carSetItem("policyHolder", $scope.policyHolder);  //存储投保人信息
                $scope.insuredInfo.copyFlag = $scope.copyFlag.InsuredCopy;//被保人是否同车主
                $scope.carSetItem("insuredInfo", $scope.insuredInfo);    //存储被保人信息
                $scope.carSetItem("consigneeInfo", $scope.consigneeInfo);//收件人信息


                adbService.getResult(
                    {},
                    $scope.setService('I252012', params),
                    function (json) {
                        //跳转到订单详情
                        //console.log(json);
                        //console.log($scope.owner);
                        //console.log(vehicleOwnerMsg);
                        //console.log($scope.policyHolder);
                        //console.log($scope.insuredInfo);
                        if (json.header.istatus == '-99'){
                            $scope.gotoApp('jsRefreshCookie');
                        }
                        else if (json.header.istatus == '1') {

                            localStorage.removeItem("carData");//清楚缓存
                            var busiOrderId = json.data.busiOrderId;
                            //$scope.setBackFactory('autoPolicyDetail');
                            $location.path('/autoPolicyDetailR/' + busiOrderId);
                        }
                        else{
                            //$scope.dialogRes(json.header.imsg);//弹出错误提示
                            $scope.insuranceLoading = false;
                            $scope.imsg = json.header.imsg.msg;//错误提示
                            //console.log(json.header.imsg);
                        }
                        sumbiting = true;

                    },
                    function (err) {
                        sumbiting = true;
                    }

                )

                var timer = $timeout(
                    function() {
                        sumbiting = false;
                    },
                    3000
                );
            }
        }
    }]);
});














