'use strict';
define(['app'], function (app) {

    app.register.controller('autoSelectCompanyCtrl', ['$scope', '$location', '$stateParams', '$state', 'backFactory',function ($scope, $location, $stateParams, $state,backFactory) {

        //改变页面的<title>
        $scope.appTitle = '选择保险公司';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoSelectCompany','autoVehicleInfoR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        function init()
        {
            //初始化
            $scope.isActive = false;
            $scope.owner = $scope.carGetItem("owner");
            //console.log($scope.owner);
        }
        init();



        //选中列表
        $scope.select = function(){
            $scope.isActive = true;
            $scope.companies = [
                {
                    "companyCode":"100089",
                    "companyName":"人保财险"
                }

            ];

        }


        //下一步到保险方案
        $scope.submitForm =function(){
            if($scope.isActive==false){
                $scope.dialogRes("请选择保险公司")
                return;
            }
            $scope.carSetItem('companies',$scope.companies);
            $scope.setBackFactory('autoInsurancePlan');
            $location.path('/autoInsurancePlanR');
        };
    }]);

});



