/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('circleUserListCtrl',['$scope','$location','backFactory','adbService','$timeout',function($scope,$location,backFactory,adbService,$timeout){
        $scope.appTitle = "圈子人员明细";
        $scope.$emit('titleName',$scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('circleUserList','circleIndexR');
        if (backUrl != '')
        {
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        //var regid = JSON.parse(localStorage.getItem("regid"));//获取缓存里的注册ID

        function init()//初始化信息
        {
            //获取当前用户id
            $scope.regId = '';
            var broker = localStorage.getItem('broker_in_session');
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }
            //$scope.eventAttributes("circleUserList");//圈子人员明细埋点
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            $scope.getPersonalnum();
        });

        //获取圈子人员信息
        $scope.getPersonalnum = function(){
            adbService.getResult(
                {},
                $scope.setService("I140401", {
                    "regId": $scope.regId,
                    "pagesize":"1000",
                    "offset":"1"
                }),
                function (json) {

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var personalInfo  = json.data;
                        if(personalInfo.memberList.length == 0){
                            $scope.nodata = true;
                            $scope.listShow = false;
                        }else{
                            $scope.listShow = true;
                            $scope.memberList = personalInfo.memberList;
                            if($scope.memberList.length>10){
                                $scope.bottomShow = true;
                            }else{
                                $scope.bottomShow = false;
                            }
                        }
                        $scope.firstCount = personalInfo.firstCount;
                        $scope.secondCount = personalInfo.secondCount;
                    }
                },
                function (err) {
                }
            )
        };

        $scope.goInviteFriend = function(){

            $location.path('inviteFriendR');
        }

    }])
})