/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('circleIndexTopCtrl',['$scope','$location','backFactory','adbService',function($scope,$location,backFactory,adbService) {

        $scope.goToBack = function(){
            if($scope.authed)
            {
                var res = $scope.gotoApp('PopNative');
                if (!res)
                {
                    /*****************************设置头部返回地址 begin******************************/
                    var backUrl = $scope.getBackFactory('circleIndex','homeR');
                    if (backUrl != '')
                    {
                        backUrl = 'index.html#/'+backUrl;
                        $location.path(backUrl);
                    }
                    /*****************************设置头部返回地址 end******************************/
                }
            }
        }


    }]);
    app.register.controller('circleIndexCtrl',['$scope','$location','backFactory','adbService',function($scope,$location,backFactory,adbService){
        $scope.appTitle = "我的圈子";
        $scope.$emit('titleName',$scope.appTitle);

        //var personalInfo = JSON.parse(localStorage.getItem("personalInfo"));
        function init()//初始化信息
        {
            $scope.monthShow = false;
            $scope.pop_show = false;       //弹窗默认隐藏
            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }
            //$scope.eventAttributes("circleIndex");//圈子埋点
        }
        init();


        var year=new Date().getFullYear();
        var nowMonth = new Date().getMonth() + 1;//当前月
        var month =(nowMonth<10 ? "0"+nowMonth:nowMonth);  //当前月份小于10则加0
        var yearmonth = year + "-" + month;
        $scope.selectVal = nowMonth;
        $scope.monthArr = [];           //包括当前月的，前六个月的月份数组
        for(var i=0;i<= 5;i++){
            if(nowMonth - i <=0)
            {
                $scope.monthArr[i] = nowMonth - i + 12;
            }
            else
            {
                $scope.monthArr[i] = nowMonth - i;
            }
        }
        //点击选择要传给后台的月份 小于10则加0
        $scope.selectMouth = function(selectMonth){
            //$scope.eventAttributes("circleSelectMouth");//查看历史（日历）埋点
            if(selectMonth < 10){
                selectMonth = "0" + selectMonth;
            }
            $scope.selectVal = selectMonth;   //给当前点击项加class
            yearmonth = year + "-" + selectMonth;
            $scope.getPdata();   //更改传值月份后，刷新当前页面数据
            $scope.appTitle = selectMonth + '月历史明细';
            $scope.$emit("titleName", $scope.appTitle);
            $scope.monthShow = false;
            window.scrollTo(0,0);
        }
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            $scope.getPersonal();
            $scope.getPdata();
        });
        //获取用户信息
        $scope.getPersonal = function(){
            if (!$scope.regId) return;
            adbService.getResult(
                {},
                $scope.setService("I110106", {
                    "regId": $scope.regId
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var personalInfo  = json.data;
                        if(personalInfo.brokerLevel){
                            $scope.teamShow = true;
                            if(personalInfo.brokerLevel == '6'){
                                $scope.hehuoShow = true;
                            }
                        }
                        localStorage.setItem("personalInfo",JSON.stringify(personalInfo));
                    }
                },
                function (err) {
                }
            )
        };
        //获取用户圈子信息
        $scope.getPdata = function(){
            adbService.getResult(
                {},
                $scope.setService("I140101", {
                    "regId": $scope.regId,
                    "month": yearmonth
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.circleTotalProfit = json.data.circleTotalProfit;
                        $scope.circleFirstMember = json.data.circleFirstMember;
                        $scope.circleSecondMember = json.data.circleSecondMember;
                        $scope.teamDirectRecommend = json.data.teamDirectRecommend;
                        $scope.teamIndirectRecommend = json.data.teamIndirectRecommend;
                        $scope.teamTotalProfit = json.data.teamTotalProfit;  //团队收益
                        $scope.teamTotalStandardPrem = json.data.teamTotalStandardPrem;
                    }
                },
                function (err) {
                }
            )
        };

        //点击圈子收益明细
        $scope.goCircleProfit = function(){
            $scope.setBackFactory('circleAllowance');
            $location.path('/circleAllowanceR/' + yearmonth);
        };
        //圈子人员明细
        $scope.goCircleUser = function(){
            $scope.setBackFactory('circleUserList');
            $location.path('/circleUserListR');
        };
        //团队收益明细
        $scope.goTeamProfit = function(){

            $scope.setBackFactory('teamAllowance');
            $location.path('/teamAllowanceR/' + yearmonth);
        };
        //团队人员明细
        $scope.goTeamUser = function(){
            $scope.setBackFactory('teamUserList');
            $location.path('/teamUserListR');
        };
        //投资合伙人
        $scope.goInvestor = function(){

            $scope.setBackFactory('investor');
            $location.path('/investorR');
        }
        //邀请好友
        $scope.goInvite = function(){
            $scope.setBackFactory('inviteFriend');
            $location.path('/inviteFriendR');
        }



        $scope.scrollLetter = function(objId)
        {
            $scope.monthShow = !$scope.monthShow;

            //点击后页面滑动，到月份选择区域
            setTimeout(scrollFun,200);
            var obj = document.getElementById(objId);
            function scrollFun() {
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
        }


    }])
});
function noDrag(){
    $('#noDrage').click();
}