/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('teamUserListCtrl',['$scope','$location','backFactory','adbService','$timeout',function($scope,$location,backFactory,adbService,$timeout){
        $scope.appTitle = "团队人员明细";
        $scope.$emit('titleName',$scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('teamUserList','circleIndexR');
        if (backUrl != '')
        {
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/
        var recommendType = "1";
        function init()//初始化信息
        {
            $scope.zjshow = true;
            $scope.jjshow = false;

            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //点击事件-加载直接推荐人列表
        $scope.zjfn = function(){

            $scope.zjshow = true;
            $scope.jjshow = false;
            recommendType = "1";
            $scope.getPersonalnum();
        }
        //点击事件-加载间接推荐人列表
        $scope.jjfn = function(){

            $scope.zjshow = false;
            $scope.jjshow = true;
            recommendType = "2";
            $scope.getPersonalnum();
        }
        //获取推荐人列表
        $scope.getPersonalnum = function(){
            adbService.getResult(
                {},
                $scope.setService("I140501", {
                    "regId": $scope.regId,
                    "recommendType":recommendType,
                    "pagesize":"200",
                    "offset":"1"
                }),
                function (json) {

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var personalList  = json.data;
                        $scope.detailList = personalList.detailList;
                        if($scope.detailList.length>10){
                            $scope.bottomShow = true;
                        }else{
                            $scope.bottomShow = false;
                        }
                        $scope.firstRecommCount = personalList.firstRecommCount;
                        $scope.secondRecommCount = personalList.secondRecommCount;
                        if($scope.detailList.length == 0){
                            $scope.listShow = false;
                        }else{
                            $scope.listShow = true;
                        };
                        //console.log(personalList);
                    }
                },
                function (err) {
                }
            )
        };
        $scope.getPersonalnum();

    }])
})