define(['app'], function (app) {
    app.register
        .controller('adbCtrl', ['$scope', '$state', '$location', function ($scope, $state, $location) {
            //返回按钮控制
            $scope.$on("adbBack", function (event, goUrl, urlStatus) {
                $scope.goToBack = function () {
                    //console.log(goUrl);
                    if (urlStatus === "0") {
                        $state.go(goUrl);
                    }
                    else if (urlStatus === "1") {
                        $location.path(goUrl);
                    }
                    else if (urlStatus === "2") {
                        location.href = goUrl;
                    }
                }
            });


            //跳转到产品详情
            $scope.goProDetail = function (productId) {
                $scope.setBackFactory('productDetailOnline');
                //location.href = '#/productR/productDetailOnlineR/' + productId;
                $location.url('productR/productDetailOnlineR/' + productId);
            };


            /*-----------------------------设置车险模块存储及获取localStorage方法  start----------------------------------*/
            $scope.carSetItem = function (name, value)  //name   要设置的参数名   value 参数对应的object
            {
                var valueStr = JSON.stringify(value);
                if (typeof localStorage.getItem('carData') == 'undefined' || !localStorage.getItem('carData')) {
                    var params = {};
                } else {
                    var params = JSON.parse(localStorage.getItem('carData'));
                }
                params[name] = valueStr;
                localStorage.setItem('carData', JSON.stringify(params));
            };

            $scope.carGetItem = function (tarName) { //tarName 要获取的对象
                var tarObj = {};
                var objective = JSON.parse(localStorage.getItem('carData'));
                if(objective)
                {
                    if (typeof objective[tarName] != 'undefined' && objective[tarName]) {
                        tarObj = JSON.parse(objective[tarName]);
                    }
                }

                return tarObj;
            };
            /*-----------------------------设置车险模块存储及获取localStorage方法  end----------------------------------*/


        }])
});