'use strict';
define(['app'], function (app) {

    app.register.controller('customerRelationsListCtrl', ['$scope','$location','$stateParams','$timeout','backFactory','adbService',function($scope,$location,$stateParams,$timeout,backFactory,adbService){
        $scope.appTitle = '家庭成员';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.thisPath = 'module/customers/relationsList/';//这个模块的物理位置
        $scope.cid = $stateParams.cid;

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('customerRelationsList','customerDetailR/'+$scope.cid);
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/



        function init()//初始化信息
        {

        }
        init();
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            getrevenue();
        });
        //删除成员
        $scope.delFamily = function(index,uid){
            $scope.dialogConfirm("确认删除","","取消","删除","delFamilyCustomerFlag");
            $scope.uid=uid; //成团号
            $scope.index=index;
        };
        //客户确定删除后，向数据库通讯
        $scope.$on("delFamilyCustomerFlag",function (event, msg) {
            var params = {
                "customerId":$scope.cid,
                "uid":$scope.uid
            };
            adbService.getResult(
                {},
                $scope.setService('I131032',params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus = '1'){
                        for(var i =0;i<$scope.revenueList.length;i++){
                            if($scope.uid == $scope.revenueList[i].uid){
                                $scope.revenueList = delArr($scope.index,$scope.revenueList);
                                //console.log($scope.revenueList)
                            }
                        }
                    }
                }
            );
        });

       // 数组删除
        function delArr(n,arr)
        {
            if (n<0){
                return [];
            }
            else if(arr.length == 1){
                return [];
            }
            return arr.slice(0,n).concat(arr.slice(n+1,arr.length));
        }

        //获取客户列表
        function getrevenue(){
            var params  ={
                "customerId":$scope.cid
            }
            adbService.getResult(
                {},
                $scope.setService('I131021', params),
                function(json){
                    if(json.header.istatus=="1"){
                        //console.log(json);
                        $scope.revenueList = json.data.familyList;
                    }
                }
            )
        }

        $scope.customerRelationEdit = function(index,rid){
            //进入家庭关系编辑,rid:关系id
            for(var i = 0;i<$scope.revenueList.length;i++){
                if(index==i){
                    localStorage.setItem("family",JSON.stringify($scope.revenueList[i]))
                }
            }
            $scope.setBackFactory('customerRelationEdit');
            //location.href='index.html#/customerRelationEditR/'+$scope.cid+'/'+rid;
            $location.url('customerRelationEditR/'+$scope.cid+'/'+rid);
        }

        $scope.customerRelationAdd = function()
        {
            //进入添加家庭关系
            $scope.setBackFactory('customerRelationAdd');
            //location.href='index.html#/customerRelationAddR/'+$scope.cid;
            $location.url('customerRelationAddR/'+$scope.cid);
        }

    }]);
});