/**
 * Created by acer on 2016/8/4.
 */
'use strict';
define(['app','../../sendGift/js/sendGiftConfig'], function (app) {
    app.register.controller('templateCtrl', ['$scope','$location','$stateParams','adbService',function($scope,$location,$stateParams,adbService){
        function init()//初始化信息
        {
            $scope.uid = $stateParams.tid;//送祝福的唯一ID
            //console.log($scope.uid);
        }
        init();
        var loadingNum =1;
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if (loadingNum == 1)
            {
                searchTemplate();
                loadingNum++;
            }


        });
        function searchTemplate(){
            var params = {
                "uid":$scope.uid
            }
            adbService.getResult(
                {},
                $scope.setService('I131036',params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if (json.data && typeof json.data.noticeMsg != 'undefined') {
                            var noticeMsg = json.data.noticeMsg;


                            $scope.content = noticeMsg['content']; //祝福语
                            $scope.customerName = noticeMsg['title']; //客户名称
                            $scope.template = noticeMsg['template']; //贺卡URL
                            //console.log($scope.template);
                            $scope.templateClass = 'backgrundTemplate_' + (parseInt($scope.template) + 1);
                            $scope.templateUrl = sendGiftTemplateArr[$scope.template]['bg'];
                            //console.log(sendGiftTemplateArr);
                            //console.log(json.data.brokerInfo);
                            $scope.brokerName = '';
                            if(json.data.brokerInfo && typeof json.data.brokerInfo['regId'] != 'undefined' && json.data.brokerInfo['regId'])
                            {
                                getUserInfo(json.data.brokerInfo['regId']);
                            }

                        }

                    }

                }
            )
        }

        function getUserInfo(uid) {

            var params = {
                "regId": uid
            };
            adbService.getResult(
                {},
                $scope.setService('I110801', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = $scope.userInfo = json.data;//返回用户信息
                        //console.info(json.data);
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }
                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.brokerName = userInfo['nickName'];
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.brokerName = userInfo['name'];
                                }
                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.brokerName = userInfo['name'];
                                }
                            }
                        }
                    }
                    callShare2();//二次分享
                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        }

        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {
                    //var url = _globalOption.shareHost + "/adb/share.html#/templateR/" + $scope.uid+"?&";
                    var url = $location.absUrl();
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":"这里有一份只属于您的神秘生日礼物!",//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg": _globalOption.host + "/adb/module/customers/sendGift/images/birthdayImg.png",//分享的图片
                        "shareDesc":'保险独立经纪人' + $scope.brokerName + '在小保为您送出的生日惊喜，快来点开领取'//分享的描述
                    };
                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/

    }]);
});