'use strict';

    //家庭成员列表
    var familyMemberType = [
        {name: '本人', id: '1'},
        {name: '妻子', id: '2'},
        {name: '丈夫', id: '3'},
        {name: '儿子', id: '4'},
        {name: '女儿', id: '5'},
        {name: '父亲', id: '6'},
        {name: '母亲', id: '7'},
        /*{name: '雇主', id: '8'},
        {name: '其他', id: '9'},
        {name: '法定监护人', id: '10'},*/
        {name: '爷爷', id: '80'},
        {name: '奶奶', id: '81'}
    ];
    //家庭类型
    var familyType = [
        {name: '单身', id: '1'},
        {name: '已婚无子女', id: '2'},
        {name: '已婚子女未成年', id: '3'},
        {name: '已婚子女已成年', id: '4'}
    ];
    //家庭年收入
    var familyIncomeType = [
        {name: '年收入6万以下', id: '1'},
        {name: '年收入6-12万', id: '2'},
        {name: '年收入12-20万', id: '3'},
        {name: '年收入20万以上', id: '4'}
    ];

    var itemsDefinedConfig = [{
        "group": "yiwai",
        "title": "意外保障账户",
        "titleShort": "意外",
        "amt": 0,
        "amtWish": -1,
        "age17": true,
        "age18": true,
        "age51": true,
        "items": [
            {
                "title": "一般意外风险保额",
                "amt": 0,
                "amtAge17": 100,
                "amtAge18": 10
            }
        ]
    },
        {
            "group": "yiwai",
            "title": "交通意外保障账户",
            "titleShort": "交通意外",
            "amt": 0,
            "amtWish": -1,
            "age17": false,
            "age18": true,
            "age51": true,
            "items": [
                {
                    "title": "自驾车意外风险保额",
                    "amt": 0,
                    "amtAge17": 100,
                    "amtAge18": 20
                },
                {
                    "title": "陆路公共交通意外风险保额",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 10
                },
                {
                    "title": "水路公共交通意外风险保额",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 10
                },
                {
                    "title": "航空意外风险保额",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 50
                }
            ]
        },
        {
            "group": "yiliao",
            "title": "重疾保障账户",
            "titleShort": "重疾",
            "amt": 0,
            "amtWish": -1,
            "age17": true,
            "age18": true,
            "age51": true,
            "items": [
                {
                    "title": "重大疾病保障",
                    "amt": 0,
                    "amtAge17": 50,
                    "amtAge18": 8
                }
            ]
        },
        {
            "group": "yiliao",
            "title": "轻疾保障账户",
            "titleShort": "轻疾",
            "amt": 0,
            "amtWish": -1,
            "age17": true,
            "age18": true,
            "age51": true,
            "items": [
                {
                    "title": "轻症疾病保障",
                    "amt": 0,
                    "amtAge17": 10,
                    "amtAge18": 2
                }
            ]
        },
        {
            "group": "yiliao",
            "title": "住院医疗账户",
            "titleShort": "住院医疗",
            "amt": 0,
            "amtWish": -1,
            "age17": true,
            "age18": true,
            "age51": true,
            "items": [
                {
                    "title": "年度医疗费用总额",
                    "amt": 0,
                    "amtAge17": 5,
                    "amtAge18": 1
                }
            ]
        },
        {
            "group": "jiaoyu",
            "title": "教育年金账户",
            "titleShort": "教育年金",
            "amt": 0,
            "amtWish": -1,
            "age17": true,
            "age18": false,
            "age51": false,
            "items": [
                {
                    "title": "中学阶段可领取",
                    "amt": 0,
                    "amtAge17": 8,
                    "amtAge18": 0
                },
                {
                    "title": "大学阶段可领取",
                    "amt": 0,
                    "amtAge17": 12,
                    "amtAge18": 0
                }
            ]
        },
        {
            "group": "yanglao",
            "title": "养老年金账户",
            "titleShort": "养老年金",
            "amt": 0,
            "amtWish": -1,
            "age17": true,
            "age18": true,
            "age51": true,
            "items": [
                {
                    "title": "60周岁前可领取",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 20
                },
                {
                    "title": "60周岁（含）至满期前一年可领取",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 20
                },
                {
                    "title": "60周岁（含）满期日生存领取/满期前身故领取",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 20
                }
            ]
        },
        {
            "group": "shouxian",
            "title": "寿险保障账户",
            "titleShort": "寿险保障",
            "amt": 0,
            "amtWish": 100,
            "age17": false,
            "age18": true,
            "age51": true,
            "items": [
                {
                    "title": "终身寿险保障",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 0
                },
                {
                    "title": "定期寿险",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 0
                },
                {
                    "title": "期许额度上限",
                    "amt": 0,
                    "amtAge17": 0,
                    "amtAge18": 0
                }
            ]
        }];

