'use strict';

/* Directives */

define(['app','swiper','js/framework7.min'],function(app,swiper){


	//滑动删除(家庭保障分析列表页使用)
	app.register.directive("swipeOutDirective", ["$rootScope", function($rootScope) {
		return {
			restrict: "A",
			link: function(scope, element, attrs, ctrl) {
				var webApp = new Framework7();
				var $$ = Dom7;
			}
		}
	}]);

	/*//tab切换
	app.register.directive('tabOnFinishRenderFilters',["$timeout",function ($timeout) {
		return {
			restrict: 'A',
			link: function(scope, element, attr) {
				if (scope.$last === true) {
					$timeout(function() {
						scope.$emit('tabNgRepeatFinished');
					});
				}
			}
		};
	}]);*/



	//加载eChars
	app.register.directive('startechars',['$rootScope',function($rootScope){
		return {
			restrict:'A',
			link:function(scope,ele,attrs,ctrl){
				scope.eCharts();
			}
		}
	}]);


	//ng-repeat加载完后，加载jQuery
	app.register.directive('onFinishRenderFilters',["$timeout",function ($timeout) {
		return {
			restrict: 'A',
			link: function(scope, element, attr) {
				if (scope.$last === true) {
					$timeout(function() {
						scope.$emit('ngRepeatFinished');
					});
				}
			}
		};

	}]);

	/********************************拖拽 begin********************************/

	app.register.directive('drag',[function() {
		return {
			restrict: 'A',
			link: function(scope, elem) {
				var dragNode = elem[0];
				var dragHandle = dragNode.querySelector('[drag-handle]');

				if (!dragHandle) {
					new Drag(dragNode);
				}
			}
		};

	}]);

	app.register.directive('dragHandle',[function() {
		return {
			restrict: 'A',
			link: function(scope, elem) {
				var dragNode = elem[0];

				while (!dragNode.hasAttribute('drag')) {
					dragNode = dragNode.parentNode;
				}

				elem.on(Drag.START, function(event) {
					new Drag(dragNode, event);
					//event.preventDefault();
				});
			}
		};

	}]);



	/********************************拖拽 end********************************/



});