/**
 * Created by Mr.Zheng on 2016/8/8.
 */
'use strict';
define(['app'], function (app) {

    app.register.controller('proCommentListTopCtrl', ['$scope', '$stateParams','$state','$location',function ($scope, $stateParams,$state,$location) {
        $scope.appTitle1 = '简 介';
        $scope.appTitle2 = '评 论';
        $scope.activeState = 2;
        $scope.goProDetail = function(){
            //$scope.setBackFactory('productDetailOnline');
            var url = 'productR/productDetailOnlineR/'+$stateParams.pid;
            $location.path(url);
        }
        var backUrl = $scope.getBackFactory('proCommentList');
        //alert(backUrl);
        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/

            //console.log(backUrl);

            if (backUrl != '')
            {
                if(backUrl.indexOf('productDetailOnlineR')>-1)
                {
                    //上个页面是产品详情，则返回调取产品详情的页面（即产品详情的父级）
                    backUrl = $scope.getBackFactory('productDetailOnline');
                    if(!backUrl){
                        $scope.gotoApp('PopNative');
                        return;
                    }
                }
                //backUrl = 'index.html#'+backUrl;
                //console.log(backUrl);
                //location.href=backUrl;
                $location.url(backUrl);
            }

            /*****************************设置头部返回地址 end******************************/
        }
    }]);


    app.register.controller('proCommentListCtrl', ['$scope', '$stateParams','$state','$location','adbService','$timeout',function ($scope, $stateParams,$state,$location,adbService,$timeout) {


        function init()//初始化信息
        {
            //alert($location.absUrl());
            $scope.commentArr = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            $scope.pageSize = 5;
            //防止一次加载多页数据
            $scope.isLoad=false;
            $scope.noMore = false;//没有更多数据加载
            $scope.productId = $stateParams.pid;
        }
        init();

        var loadNum =1;
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if (loadNum ==1 ){
                commentList();
                productInfoService();
                loadNum++
            }


        });


        //评论列表
        function commentList(){
            var params ={
                "pageNo": $scope.currentPage,
                "pageSize": $scope.pageSize,
                "objectId": $scope.productId,
                "objectType": "P"
            };
            adbService.getResult(
                {},
                $scope.setService('I221012',params),
                function(json){

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var commentArr =json.data.dataList;


                        if(commentArr.length<10){
                            $scope.noMore=true;
                        }
                        if(commentArr.length > 0)
                        {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.commentArr = $scope.commentArr.concat(commentArr);//追加数据
                        }
                        if ($scope.commentArr.length <= 0)
                        {
                            $scope.listShow = 0;//信息为空
                        }
                    }
//console.log($scope.commentArr);
                }
            )
        }

        //数据滚动加载
        $scope.loadMore = function() {
            console.log('jjj');
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    commentList();
                    $scope.isLoad=false;
                },300)
            }
        };


        function productInfoService() {
            adbService.getResult(
                {},
                $scope.setService("I181014", {"productId": $scope.productId}),
                function (json) {

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {//存储产品基础信息
                        var productBaseInfo = json.data;
                        $scope.productBaseInfo = productBaseInfo;

                        /*****************************begin收藏************************************************/
                        $scope.favorite = {
                            "type": "P",
                            "id": $scope.productId,
                            "title": $scope.productBaseInfo.productName
                        };
                        $scope.getFavorite($scope.favorite);//判断是否为已收藏，//type-A.文章 P.产品 B.书
                        /*****************************end收藏************************************************/
                    } else {
                        $scope.dialogRes("获取产品信息失败,请稍后重试");
                    }
                },
                function (err) {
                    $scope.dialogRes("获取产品信息失败,请稍后重试");
                }
            )
        }

    }]);
});