define(['app'], function (app) {
    app.register.controller('makeMoneyCtrl', ['$scope', '$location', '$stateParams', '$timeout', 'backFactory', 'adbService',function ($scope, $location, $stateParams, $timeout, backFactory,adbService) {

        //改变页面的<title>
        $scope.appTitle = '精选产品';
        $scope.$emit("titleName", $scope.appTitle);

        /*--------------------------头部返回start--------------------------*/
        var backUrl = $scope.getBackFactory('makeMoney','homeR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*--------------------------头部返回end--------------------------*/
        function init()//初始化信息
        {
            $scope.recommendProArr = [];
            localStorage.removeItem('carData');
            $scope.moreImg = true;
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });
       //获取推荐产品
        $scope.getMorePro = function(){
            $scope.getRecommendProd();
            $scope.moreImg = false;
        };
        //滚动加载推荐产品
        $scope.recordLoadMore = function() {
            $scope.getMorePro();
        };
        $scope.getRecommendProd = function () {
            //获取推荐产品
            var params = {
                "pageNum": "1",
                "pageSize": "4",//查询四条数据
                "source": "01",
                "sortType": "1",
                "recommend": "Y",
                "promotion": "Y",
                "searchItem": {
                    "isShow": "Y"
                }
            };
            adbService.getResult(
                {},
                $scope.setService('I181010', params),
                function (json) {
                    //console.log(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.recommendProArr = json.data.productList;
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        };
        //跳转到收藏
        $scope.goMyFavorite = function(){
            $scope.setBackFactory('myFavorite');
            //location.href = '#/myFavoriteR';
            $location.url('myFavoriteR');
        };
        /*---------------------------search start------------------------------------*/
        $scope.search = function () {
            $scope.setBackFactory('search');
            //location.href = '#/searchR/product';
            $location.url('searchR/product');
        };
        /*---------------------------search end------------------------------------*/

        /*----------------------------------跳转到列表 start--------------------------------------------*/
        $scope.goProList = function (Category) {
            if (Category != '06') {
                $scope.setBackFactory('productList');
                //location.href = "#/productR/productListR?productCategory=" + Category + "&salesWay=1" + "&proprietaryFlag=Y";
                $location.url("productR/productListR?productCategory=" + Category + "&salesWay=1" + "&proprietaryFlag=Y");
            } else {

                localStorage.setItem('carData', '');
                $scope.setBackFactory('autoInquiries');
                //location.href = '#/autoInquiriesR';
                $location.url('autoInquiriesR');
            }
        };
        $scope.waiting = function () {
            $scope.dialogRes('敬请期待！');
        };
        /*----------------------------------跳转到列表 end--------------------------------------------*/

        //跳转到产品详情
        $scope.goProDetail = function (productId) {
            $scope.setBackFactory('productDetailOnline');
            //location.href = '#/productR/productDetailOnlineR/' + productId;
            $location.url('productR/productDetailOnlineR/' + productId);
        };
        //更多产品
        $scope.gotoApp = function(){
            $scope.setBackFactory('productList');
            //location.href = "#/productR/productListR?productCategory=0" + "&salesWay=1" + "&proprietaryFlag=Y";
            $location.url("productR/productListR?productCategory=0" + "&salesWay=1" + "&proprietaryFlag=Y");
        }
    }]);
});