define(['app'],function (app) {

    app.register.controller('transPassCtrl', ['$scope','$location','backFactory',function($scope,$location,backFactory){
        //改变页面的<title>
        $scope.appTitle = '交易密码';
        $scope.$emit("titleName", $scope.appTitle);


        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('transPass','myWalletR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/
        function init()//初始化信息
        {
            localStorage.removeItem("transPassForgetFactory");//清空缓存
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });
        //设置交易密码
        $scope.goPassSet = function(){
            $scope.setBackFactory('transPassSet');
            $location.path('/transPassSetR');
        };

        //修改交易密码
        $scope.goPassEdit = function(){
            $scope.setBackFactory('transPassEdit');
            $location.path('/transPassEditR');
        };

        //忘记交易密码
        $scope.goPassForget = function(){
            $scope.setBackFactory('transPassForget');
            $location.path('/transPassForgetR');
        };

    }]);

});