var rule =
{
    "A": {
        "10": {
            "10": "<i></i>保险期满被保险人仍生存，赔付已交全部保费，合同终止。",
            "i": "满期金返还，保险公司亏大了！"
        },
        "11": {
            "11": "<i></i>18周岁前：<span>{}</span>天观察期内因疾病导致全残，赔付已交保费的<span>{}</span>%；因意外或<span>{}</span>天观察期后因疾病导致全残，赔付保费的<span>{}</span>倍加保额的<span>{}</span>%，赔付后合同终止。<br>18周岁后：全残，赔付保险金额，赔付后合同终止。",
            "16": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后身故或全残，赔付已交保费或当前现金价值较大者。",
            "27": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后至约定领取年龄前身故或全残，赔付已交保费或当前现金价值较大者。",
            "34": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后身故或全残，赔付已交保费或当前账户价值较大者。",
            "49": "<i></i>保险期间内被保险人身故，赔付已交保费与现金价值较大者。",
            "65": "<i></i>保险有效期内不幸身故或全残，返还全部已交保费的<span>{}</span>%；理赔后，保险合同终止。",
            "69": "<i></i>保险有效期内不幸身故，返还当期已交保费；理赔后，保险合同终止。",
            "82": "<i></i>18周岁前：<span>{}</span>天观察期内因疾病导致身故，赔付已交保费的<span>{}</span>%；因意外或<span>{}</span>天观察期后因疾病导致身故，赔付保费的<span>{}</span>倍加保额的<span>{}</span>%，赔付后合同终止。<br>18周岁后：身故，赔付保险金额，赔付后合同终止。",
            "i": "身价保障，尽显人性关爱！"
        },
        "12": {
            "12": "<i></i>分红随保障年期不断增加，让您的保障动态增长；分红是不确定的；",
            "i": "分红送心意，给宝宝的当然应该更多！"
        },
        "13": {
            "13": "<i></i><span>{}</span>岁至<span>{}</span>岁，领取中学教育金<span>{}</span>元/年，小计<span>{}</span>元。",
            "76": "<i></i><span>{}</span>岁至<span>{}</span>岁，领取大学教育金<span>{}</span>元/年，小计<span>{}</span>元。",
            "i": "子女教育金，宝宝上学无忧！"
        },
        "14": {
            "14": "<i></i><span>{}</span>岁，领取婚嫁金<span>{}</span>元。",
            "i": "婚嫁金，能想象婚礼现场吗，孩子感动的不要不要的！"
        },
        "15": {
            "15": "<i></i><span>{}</span>岁，一次性领取创业金<span>{}</span>元。",
            "i": "创业金，让您的宝宝处处领先一步！"
        },
        "16": {
            "17": "<i></i>被保险人因意外事故或合同生效<span>{}</span>天后患病需要住院治疗的，门诊及住院费用终身累计最高可报销<span>{}</span>元，年度最高可报销<span>{}</span>元，免赔额为<span>{}</span>元。已经社保报销的，剩余部分按照<span>{}</span>%的比例赔付，未经社保报销的，按<span>{}</span>%比例赔付。",
            "i": "住院医疗全覆盖，超低免赔额，最高报销<span>{}</span>元"
        },
        "17": {
            "18": "<i></i>住院医疗中的药品费用，不区分类别，累计报销上限为<span>{}</span>元。",
            "i": "住院药品无限制，和自费药不报销说拜拜！"
        },
        "18": {
            "19": "<i></i>无论理赔与否，保险期间内报销额度没有用完无条件续保，续保没有等待期。",
            "39": "<i></i>本合同保证续保期限为<span>{}</span>年。",
            "i": "保证续保，人性关爱！"
        },
        "19": {
            "20": "<i></i>可选择生育险、齿科等模块。",
            "i": "增加可选责任，保障更全面！"
        },
        "20": {
            "21": "<i></i>住院前<span>{}</span>天（含）及出院后<span>{}</span>天（含）发生和住院相同原因的门急诊医疗费用同样可以报销。",
            "i": "门急诊也报销，人性化到让你感动！"
        },
        "21": {
            "22": "<i></i>二级或二级以上公立医院，含特需部、特需病房、外宾病房、干部病房、VIP病房及国际医疗部病房；二级或二级以上公立医院（含特需部、特需病房、外宾病房、干部病房、VIP病房及国际医疗部病房）、私立医院（昂贵医院除外）。详见昂贵医院清单。",
            "i": "医院范围广泛，突破传统就医范围！"
        },
        "22": {
            "23": "<i></i>本保险合同提供被保险人可以自<span>{}</span>岁、<span>{}</span>岁、<span>{}</span>岁<span>{}</span>种自选起始领取年龄。",
            "i": "自选年龄开始返还，您想让宝宝什么时候领钱就什么时候领！"
        },
        "23": {
            "24": "<i></i>被保险人按合同约定开始领取养老金，每年领取<span>{}</span>元，保证领取<span>{}</span>年。如果被保险人领取期间身故，剩余应领取部分一次性补足。领取完毕，合同终止。",
            "i": "保证领取，收益看得见。"
        },
        "24": {
            "25": "<i></i>被保险人按合同约定开始领取养老金，每年领取<span>{}</span>元，保证领取<span>{}</span>年。如果被保险人领取期间身故，剩余应领取部分一次性补足。如果被保险人在保证领取金额领完后仍生存，保险公司仍然按照之前领取标准给付被保险人养老年金，直至被保险人身故。",
            "i": "保证领取，而且只知道什么时候领取开始，不知道什么领取结束。"
        },
        "25": {
            "26": "<i></i>被保险人可以选择按年领取和按月领取，即使父母身故，被保险人仍然只能按照合同约定方式领取。",
            "i": "领取方式灵活选择，提前规划好宝宝的未来"
        },
        "26": {
            "28": "<i></i>自合同生效10天后即可按保额的<span>{}</span>%领取第一笔生存金，自第一个保单周年末至被保险人<span>{}</span>岁，每年按照保额的<span>{}</span>%领取生存金，每年领取<span>{}</span>元，共领取<span>{}</span>年，小计<span>{}</span>元。",
            "i": "即交即领，让宝宝拥有一生的现金流"
        },
        "27": {
            "29": "<i></i>自被保险人<span>{}</span>岁至<span>{}</span>岁被保险人仍生存每年按照保额的<span>{}</span>%开始领取养老金，每年领取<span>{}</span>元，领取<span>{}</span>年，小计领取<span>{}</span>元。",
            "i": "年龄越大，领取额度越高，呵护养老"
        },
        "28": {
            "30": "<i></i>被保险人<span>{}</span>岁时仍生存，一次性返还已交保险费。",
            "i": "满期返还，本金无忧"
        },
        "29": {
            "31": "<i></i>生存金不领取直接进入万能账户二次生息，万能账户保底给付利率为<span>{}</span>%，被保险人60周岁时账户价值保证收益为<span>{}</span>元，被保险人70周岁时账户价值保证收益为<span>{}</span>元。",
            "i": "生存金不领取，进入二次增值账户复利滚存，人到老年，富足而退"
        },
        "30": {
            "32": "<i></i>在生存金进入万能账户二次生息情况下被保险人可以选择不同特定年龄段灵活领取，全面满足教育金、创业金、疾病关爱金、养老金等方面的需求。",
            "i": "灵活领取，各年龄段需求一网打尽"
        },
        "31": {
            "33": "<i></i>万能账户可以追加领取，在保单生效或满<span>{}</span>年后不收取额外费用，追加部分直接按照<span>{}</span>%复利增值。",
            "72": "<i></i>万能账户可以追加领取，在保单生效后不收取额外费用，追加部分直接按照<span>{}</span>%复利增值。",
            "i": "可追加可领取，随时为资金找到安稳的家"
        },
        "32": {
            "35": "<i></i><span>{}</span>天内被保险人因非意外身故或18周岁以下身故赔付已交保费和现金价值较大者；理赔后，合同终止。<br><span>{}</span>天内被保险人意外身故，18周岁以上赔付本合同的保险金额；理赔后，合同终止。",
            "78": "<i></i><span>{}</span>天观察期内被保险人因疾病导致全残，赔付已交保费；因其他原因全残，赔付本合同的保险金额；理赔后，合同终止。",
            "83": "<i></i><span>{}</span>天内被保险人因非意外身故或全残返还已交保费；理赔后，合同终止。因意外身故或全残，赔付本合同的保险金额；理赔后，合同终止。",
            "i": "锁定<span>{}</span>万身价，资产传承不再是想法而已！"
        },
        "33": {
            "36": "<i></i>被保险人可选择根据个人需求减额取现，原保额同比例减少。",
            "i": "减额取现，兼顾养老！"
        },
        "34": {
            "37": "<i></i>续保、意外原因或观察期<span>{}</span>天后因为疾病导致住院，若被保险人已经从其他渠道取得过住院医疗费用补偿，保险公司按照已经发生的且合理的实际住院医疗费用的剩余部分的<span>{}</span>%进行补偿；若被保险人没有从其他渠道取得过住院医疗费用补偿，保险公司按照已经发生的且合理的实际住院医疗费用的<span>{}</span>%进行补偿。",
            "i": "住院费用整体打包报销，专心治病才是王道！"
        },
        "35": {
            "38": "<i></i>给付范围给付包括诊疗费、麻醉费、手术费、床位费、抢救费、药品费、化验费、检查费、护理费、治疗费、材料费等。",
            "i": "报销范围明确，报销什么提前知道！"
        },
        "36": {
            "40": "<i></i>被保险人在上一个保证续保年度内没有发生理赔，可以在下一个保单年度内享受<span>{}</span>折优惠，保险责任不变。",
            "i": "无理赔还有优惠，少花钱多办事！"
        },
        "37": {
            "41": "<i></i>住院医疗费用保险金：被保险人因遭遇意外伤害事故或者观察期<span>{}</span>天后因疾病住院治疗，按已实际支出的、必需且合理的住院医疗费用的<span>{}</span>%给付住院医疗费用保险金，本项合计最高<span>{}</span>元。住院手术费用保险金：被保险人因遭遇意外伤害事故或者观察期<span>{}</span>天后因疾病住院治疗，按已实际支出的、必需且合理的手术费用的<span>{}</span>%给付住院医疗费用保险金，本项合计最高<span>{}</span>元。住院前后门诊医疗费用保险金：若被保险人在住院前<span>{}</span>天（含）及出院后<span>{}</span>天（含）内，因与住院相同的原因进行门诊医疗，按已实际支出的、必需且合理的门诊医疗费用的<span>{}</span>%给付门诊医疗费用保险金。本项合计最高<span>{}</span>元。在上述期间内多次进行门诊治疗的，视为同一次门诊治疗。",
            "i": "分类报销，让保障更精准！"
        },
        "38": {
            "42": "<i></i>若被保险人因同一原因多次（指两次及两次以上）住院治疗，每次出院与相邻的下一次入院日期间隔未达<span>{}</span>天，其保险金限额及给付均视为同一次住院办理。",
            "i": "保险期间内不限次数报销，值不值？"
        },
        "39": {
            "43": "<i></i>被保险人于本合同终止日前发生的且延续至本合同终止日<span>{}</span>天（含）内的住院治疗，保险公司仍然承担给付保险金的责任。",
            "i": "合同期满还能报销，能不能不这么人性化？"
        },
        "40": {
            "44": "<i></i>住院津贴保险金：因意外导致住院，按合同约定的每日住院津贴<span>{}</span>元×每次住院天数；被保险人自合同生效<span>{}</span>天后因疾病导致住院，按合同约定的每日住院津贴<span>{}</span>元×（每次住院天数—<span>{}</span>）；住院津贴全年累计不超过<span>{}</span>天；保险期间内，所有住院津贴累计最高给付<span>{}</span>元。",
            "i": "乐享住院补贴，住院就补，不必担心药品类别限制！"
        },
        "41": {
            "45": "<i></i>被保险人因实际情况需要进入重症监护室治疗，按合同约定的每日重症监护室津贴<span>{}</span>元×每次住院天数；",
            "i": "重症监护，给您更“多”补贴！"
        },
        "42": {
            "46": "<i></i>被保险人在上一个保证续保年度内没有发生理赔，可以在下一个保单年度内享受<span>{}</span>折优惠，保险责任不变。",
            "i": "无理赔还有优惠，少花钱多办事！"
        },
        "43": {
            "47": "<i></i>被保险人于本合同终止日前发生的且延续至本合同终止日<span>{}</span>天（含）内的住院治疗，保险公司仍然承担给付保险金的责任。",
            "i": "合同期满还能报销，能不能不这么人性化？"
        },
        "44": {
            "48": "<i></i>合同到期，返还所交保费<span>{}</span>元。",
            "i": "乐享资产安全，满期返还本金！"
        },
        "45": {
            "50": "<i></i>一般意外身故、全残赔付<span>{}</span>万元。",
            "i": "一般意外保障<span>{}</span>万"
        },
        "46": {
            "51": "<i></i>驾驶或乘坐私家车意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "私家车意外保障最高<span>{}</span>万"
        },
        "47": {
            "52": "<i></i>驾驶或乘坐公务用车、租赁车意外身故或全残最高赔付<span>{}</span>万元。",
            "i": "公务用车、租赁车意外最高赔付<span>{}</span>万"
        },
        "48": {
            "53": "<i></i>乘坐陆路公共交通工具（市内公交汽车、长途汽车、出租车、轨道交通工具）意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "陆路公共交通意外保障最高<span>{}</span>万"
        },
        "49": {
            "54": "<i></i>乘坐轮船意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "轮船意外保障最高<span>{}</span>万"
        },
        "50": {
            "55": "<i></i>乘坐客运班机意外身故全残最高赔付<span>{}</span>万元。",
            "i": "航空意外最高<span>{}</span>万"
        },
        "51": {
            "56": "<i></i>重大自然灾害（请参阅泰康保障范围写具体）意外身故全残最高赔付<span>{}</span>万元。",
            "i": "重大自然灾害意外最高<span>{}</span>万"
        },
        "52": {
            "57": "<i></i>非意外原因导致身故、全残最高返还（已交保费的<span>{}</span>倍即）<span>{}</span>元。",
            "i": "非意外保障最高赔付<span>{}</span>元"
        },
        "53": {
            "58": "<i></i>岁合同到期返还（已交保费的<span>{}</span>倍即）<span>{}</span>元。",
            "i": "合同到期返还<span>{}</span>元"
        },
        "54": {
            "59": "<i></i>分红是不确定的。",
            "i": "额外分红"
        },
        "55": {
            "60": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的轻度癌症，退还实际交纳保费的<span>{}</span>%；合同生效<span>{}</span>天后初次确诊发生合同载明的轻度癌症，赔付保额的<span>{}</span>%即<span>{}</span>万元，合同仍然有效。",
            "i": "轻度癌症确认即赔，把重度癌症扼杀在摇篮里！"
        },
        "56": {
            "61": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的癌症，实际交纳保费的<span>{}</span>%；合同生效<span>{}</span>天后初次确诊发生合同载明的癌症，赔付保额<span>{}</span>万元，合同终止。",
            "i": "发生癌症确诊即赔<span>{}</span>万，安心治疗，不给子孙添麻烦！"
        },
        "57": {
            "62": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的特定癌症，退还实际交纳保费；合同生效<span>{}</span>天后初次确诊发生合同载明的特定癌症，赔付保额<span>{}</span>万元之外额外赔付特定癌症保险金额<span>{}</span>万元，合同终止。",
            "i": "特定癌症额外给付，人性关爱不是空话而已！"
        },
        "58": {
            "63": "<i></i>保险有效期内，因恶性肿瘤住院每日补贴<span>{}</span>万元；因恶性肿瘤手术赔付<span>{}</span>万元、放化疗，均获得赔付<span>{}</span>万元",
            "i": "癌症全过程赔付，治疗更加贴心"
        },
        "59": {
            "64": "<i></i>被保险人发生轻症癌症或合同约定的恶性肿瘤，以后该交的保费不用再交，合同依然有效。",
            "i": "自带豁免功能，筑起癌症全程防火墙"
        },
        "60": {
            "66": "<i></i>保险有效期内无癌症发生，返还全部已交保费的<span>{}</span>%；返还完毕保险合同终止。",
            "70": "<i></i>保险有效期内无癌症发生，返还当期已交保费；返还完毕保险合同终止。",
            "i": "满期返还，不（少）花钱得保障！"
        },
        "61": {
            "67": "<i></i>投保时投保人附加豁免条款情况下，投保人身故、全残，以后应该交的保费不用再交，合同依然有效。",
            "74": "<i></i>交费期内投保人意外身故、全残，以后应该交的保费不用再交，合同依然有效。",
            "i": "落实对被保人的爱，充分体现人性关怀"
        },
        "62": {
            "68": "<i></i>投保时投保人附加豁免条款情况下，不论被保险人发生轻度重疾理赔、或者投保人身故、或确诊合同载明的重大疾病、轻症，以后应该交的保费不用再交，合同依然有效。",
            "i": "保费双向豁免，充分体现人性关爱"
        },
        "63": {
            "73": "<i></i>保单第<span>{}</span>周年至第<span>{}</span>周年，每年领取保额的<span>{}</span>%，合计领取<span>{}</span>元;孩子成长重要阶段：中学、大学、婚嫁、创业，按需求领取成长基金。",
            "i": "成长过程全规划，尽显父母与众不同的爱"
        },
        "64": {
            "77": "<i></i>合同有效期内身故或全残，赔付当前现金价值、已交保费扣除已领取生存金或保险金额三项的较大者。",
            "i": "责任无限，拥有更高的身价保障！"
        },
        "65": {
            "75": "<i></i>被保险人可将当时的全部现金价值按当时所提供方式转换为年金产品，转换后本合同终止。",
            "i": "年金转换，一份爱心多种表达！"
        },
        "66": {
            "79": "<i></i>18周岁前身故或全残，返还已交保费，合同终止。",
            "84": "<i></i>18周岁后身故或全残，赔付保险金额，合同终止。",
            "i": "资产规划，提前规划家族财富满满都是爱！"
        },
        "67": {
            "80": "<i></i>投保时附加豁免情况下，被保险人患轻症或重疾，以后该交的保费不用再交，合同依然有效。",
            "i": "保费豁免，保障范围更宽泛"
        },
        "68": {
            "81": "<i></i>投保时投保人附加豁免条款情况下，投保人轻症、重疾、身故，以后应该交的保费不用再交，合同依然有效。",
            "i": "投保人保费豁免，充分体现人性关爱"
        },
        "69": {
            "85": "<i></i>被保险人生存至约定年龄，返还已交全部保费作为祝寿金，轻症、重疾、身故/全残责任依然有效。",
            "86": "<i></i>投保人重疾或身故，返还投保人豁免所交的保费，体现保障功能。",
            "i": "保费全返还，保险公司亏大了！"
        },
        "01": {
            "i": "<span>{}</span>种重大疾病确诊就赔<span>{}</span>万，一张保单，是父母带给宝宝的无微不至的关爱！",
            "01": "<i></i>因意外或合同生效<span>{}</span>天后因疾病导致合同载明的重大疾病，赔付<span>{}</span>万元。"
        },
        "02": {
            "i": "<span>{}</span>种轻度重疾确诊就赔<span>{}</span>万，把重疾扼杀在摇篮里！",
            "02": "<i></i>因意外或合同生效<span>{}</span>天后因疾病导致合同载明的轻度重疾，赔付<span>{}</span>万元，每种轻症赔付1次，最多赔付<span>{}</span>次，合同继续有效，不影响重大疾病的赔付。"
        },
        "03": {
            "i": "自带轻症豁免，筑起重疾防火墙",
            "03": "<i></i>被保险人发生轻度重疾理赔，以后该交的保费不用再交，合同依然有效。"
        },
        "04": {
            "i": "保费双向豁免，充分体现人性关爱",
            "04": "<i></i>投保时投保人附加豁免条款情况下，投保人身故、全残或确诊合同载明的重大疾病、轻症，以后应该交的保费不用再交，合同依然有效。<br>                                       被保险人发生轻度重疾理赔，以后该交的保费不用再交，合同依然有效。"
        },
        "05": {
            "i": "特定重疾，赔付更多",
            "05": "<i></i><span>{}</span>天观察期后，罹患合同载明的特定重大疾病，除了赔付重疾保额之外，额外赔付保额的<span>{}</span>%，赔付后合同终止。"
        },
        "06": {
            "i": "重疾保额二次赔付，重疾也可以是重疾的防火墙！",
            "06": "<i></i>被保险人发生重疾理赔后，如果不幸罹患合同约定不同组别的重疾，可以再次赔付保额<span>{}</span>元。"
        },
        "07": {
            "i": "绿色通道服务，告别有钱看不好病的尴尬！",
            "07": "<i></i>被保险人年交保费达到<span>{}</span>元以上，可在全国顶尖医疗机构范围内享受专家门诊、专家治疗、专家病房服务，省内就医补贴最高<span>{}</span>元，省外就医补贴最高<span>{}</span>元，直接预约，无需排队。"
        },
        "08": {
            "i": "特色医疗服务，让专家随时在宝宝身边！",
            "08": "<i></i>被保险人可享受远程专家诊疗服务，保险期内不限次数。"
        },
        "09": {
            "i": "年金返还，给宝宝一份可以随时领取的钱！",
            "09": "<i></i>被保险人<span>{}</span>岁至<span>{}</span>岁仍生存，每年按照保额的<span>{}</span>%给付生存金。"
        }
    },
    "B": {
        "10": {
            "10": "<i></i>保险期满被保险人仍生存，赔付已交全部保费，合同终止。",
            "i": "满期金返还，保险公司亏大了！"
        },
        "11": {
            "11": "<i></i><span>{}</span>天观察期内因疾病导致全残，赔付已交保费的<span>{}</span>%；因意外或<span>{}</span>天观察期后因疾病导致全残，赔付全部保额，赔付后合同终止。",
            "23": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后至约定领取年龄前身故或全残，赔付已交保费或当前现金价值较大者。",
            "30": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后身故或全残，赔付已交保费或当前账户价值较大者。",
            "62": "<i></i>保险有效期内不幸身故或全残，返还全部已交保费的<span>{}</span>%；理赔后，保险合同终止。",
            "43": "<i></i>保险期间内被保险人身故，赔付已交保费与现金价值较大者。",
            "56": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后至约定领取年龄前身故或全残，赔付已交保费或当前现金价值较大者。约定领取年龄后身故或全残赔付金额为0。",
            "63": "<i></i>保险有效期内不幸身故，返还当期已交保费；理赔后，保险合同终止。",
            "71": "<i></i>身故或全残，赔付已交保费的<span>{}</span>%",
            "77": "<i></i><span>{}</span>天观察期内因疾病导致身故，赔付已交保费的<span>{}</span>%；因意外或<span>{}</span>天观察期后因疾病导致身故，赔付全部保额，赔付后合同终止。",
            "i": "身价保障，尽显人性关爱！"
        },
        "12": {
            "12": "<i></i>分红随保障年期不断增加，让您的保障动态增长；分红是不确定的；重疾或身故全残理赔后，分红随之终止。",
            "i": "分红送心意，给您的当然应该更多！"
        },
        "13": {
            "13": "<i></i>被保险人因意外事故或合同生效<span>{}</span>天后患病需要住院治疗的，门诊及住院费用终身累计最高可报销<span>{}</span>元，年度最高可报销<span>{}</span>元，免赔额为<span>{}</span>元。已经社保报销的，剩余部分按照<span>{}</span>%的比例赔付，未经社保报销的，按<span>{}</span>%比例赔付。",
            "i": "住院医疗全覆盖，超低免赔额，最高报销<span>{}</span>元"
        },
        "14": {
            "14": "<i></i>住院医疗中的药品费用，不区分类别，累计报销上限为<span>{}</span>元。",
            "i": "住院药品无限制，和自费药不报销说拜拜！"
        },
        "15": {
            "15": "<i></i>无论理赔与否，保险期间内报销额度没有用完无条件续保，续保没有等待期。",
            "i": "保证续保，人性关爱！"
        },
        "16": {
            "16": "<i></i>可选择生育险、齿科等模块。",
            "i": "增加可选责任，保障更全面！"
        },
        "17": {
            "17": "<i></i>住院前<span>{}</span>天（含）及出院后<span>{}</span>天（含）发生和住院相同原因的门急诊医疗费用同样可以报销。",
            "i": "门急诊也报销，人性化到让你感动！"
        },
        "18": {
            "18": "<i></i>二级或二级以上公立医院，含特需部、特需病房、外宾病房、干部病房、VIP病房及国际医疗部病房；二级或二级以上公立医院（含特需部、特需病房、外宾病房、干部病房、VIP病房及国际医疗部病房）、私立医院（昂贵医院除外）。",
            "i": "医院范围广泛，突破传统就医范围！"
        },
        "19": {
            "19": "<i></i>本保险合同提供被保险人可以自<span>{}</span>岁、<span>{}</span>岁、<span>{}</span>岁<span>{}</span>种自选起始领取年龄。",
            "i": "自选年龄开始返还，您想什么时候领钱就什么时候领！"
        },
        "20": {
            "20": "<i></i>被保险人按合同约定开始领取养老金，每年领取<span>{}</span>元，保证领取<span>{}</span>年。如果被保险人领取期间身故，剩余应领取部分一次性补足。领取完毕，合同终止。",
            "54": "<i></i>被保险人按合同约定开始领取养老金，每年领取<span>{}</span>元，保证领取至<span>{}</span>周岁。如果被保险人领取期间身故，剩余应领取部分一次性补足。领取完毕，合同终止。",
            "i": "保证领取，收益看得见"
        },
        "21": {
            "21": "<i></i>被保险人按合同约定开始领取养老金，每年领取<span>{}</span>元，保证领取<span>{}</span>年。如果被保险人领取期间身故，剩余应领取部分一次性补足。如果被保险人在保证领取金额领完后仍生存，保险公司仍然按照之前领取标准给付被保险人养老年金，直至被保险人身故",
            "i": "保证领取，而且只知道什么时候领取开始，不知道什么领取结束。"
        },
        "22": {
            "22": "<i></i>被保险人可以选择按年领取和按月领取",
            "i": "领取方式灵活选择，提前锁定养老品质"
        },
        "23": {
            "24": "<i></i>自合同生效10天后即可按保额的<span>{}</span>%领取第一笔生存金，自第一个保单周年末至被保险人<span>{}</span>岁，每年按照保额的<span>{}</span>%领取生存金，每年领取<span>{}</span>元，共领取<span>{}</span>年，小计<span>{}</span>元。",
            "i": "即交即领，让您拥有一生的现金流"
        },
        "24": {
            "25": "<i></i>自被保险人<span>{}</span>岁至<span>{}</span>岁被保险人仍生存每年按照保额的<span>{}</span>%开始领取养老金，每年领取<span>{}</span>元，领取<span>{}</span>年，小计领取<span>{}</span>元。",
            "i": "年龄越大，领取额度越高，呵护养老"
        },
        "25": {
            "26": "<i></i>被保险人<span>{}</span>岁时仍生存，一次性返还已交保险费。",
            "i": "满期返还，本金无忧"
        },
        "26": {
            "27": "<i></i>生存金不领取直接进入万能账户二次生息，万能账户保底给付利率为<span>{}</span>%，被保险人60周岁时账户价值保证收益为<span>{}</span>元，被保险人70周岁时账户价值保证收益为<span>{}</span>元。",
            "i": "生存金不领取，进入二次增值账户复利滚存，人到老年，富足而退"
        },
        "27": {
            "28": "<i></i>在生存金进入万能账户二次生息情况下被保险人可以选择不同特定年龄段灵活领取，全面满足教育金、创业金、疾病关爱金、养老金等方面的需求。",
            "i": "灵活领取，各年龄段需求一网打尽"
        },
        "28": {
            "29": "<i></i>万能账户可以追加领取，在保单生效或满<span>{}</span>年后不收取额外费用，追加部分直接按照<span>{}</span>%复利增值。",
            "67": "<i></i>万能账户可以追加领取，在保单生效后不收取额外费用，追加部分直接按照<span>{}</span>%复利增值。",
            "i": "可追加可领取，随时为资金找到安稳的家"
        },
        "29": {
            "31": "<i></i><span>{}</span>天观察期内被保险人因疾病导致身故，返还已交保费；因其他原因身故，赔付保险金额；理赔后，合同终止。",
            "74": "<i></i><span>{}</span>天观察期内被保险人因疾病导致全残，返还已交保费；因其他原因全残，赔付保险金额；理赔后，合同终止。",
            "i": "锁定<span>{}</span>万身价，资产传承不再是想法而已！"
        },
        "30": {
            "32": "<i></i>被保险人可选择根据个人需求减额取现，原保额同比例减少。",
            "i": "减额取现，兼顾养老！"
        },
        "31": {
            "33": "<i></i>续保、意外原因或观察期<span>{}</span>天后因为疾病导致住院，若被保险人已经从其他渠道取得过住院医疗费用补偿，保险公司按照已经发生的且合理的实际住院医疗费用的剩余部分的<span>{}</span>%进行补偿；若被保险人没有从其他渠道取得过住院医疗费用补偿，保险公司按照已经发生的且合理的实际住院医疗费用的<span>{}</span>%进行补偿。",
            "i": "住院费用整体打包报销，专心治病才是王道！"
        },
        "32": {
            "34": "<i></i>给付范围给付包括诊疗费、麻醉费、手术费、床位费、抢救费、药品费、化验费、检查费、护理费、治疗费、材料费等。",
            "i": "报销范围明确，报销什么提前知道！"
        },
        "33": {
            "36": "<i></i>被保险人在上一个保证续保年度内没有发生理赔，可以在下一个保单年度内享受<span>{}</span>折优惠，保险责任不变。",
            "i": "无理赔还有优惠，少花钱多办事！"
        },
        "34": {
            "37": "<i></i>住院医疗费用保险金：被保险人因遭遇意外伤害事故或者观察期<span>{}</span>天后因疾病住院治疗，按已实际支出的、必需且合理的住院医疗费用的<span>{}</span>%给付住院医疗费用保险金，本项合计最高<span>{}</span>元。                               住院手术费用保险金：被保险人因遭遇意外伤害事故或者观察期<span>{}</span>天后因疾病住院治疗，按已实际支出的、必需且合理的手术费用的<span>{}</span>%给付住院医疗费用保险金，本项合计最高<span>{}</span>元。住院前后门诊医疗费用保险金：若被保险人在住院前<span>{}</span>天（含）及出院后<span>{}</span>天（含）内，因与住院相同的原因进行门诊医疗，按已实际支出的、必需且合理的门诊医疗费用的<span>{}</span>%给付门诊医疗费用保险金。本项合计最高<span>{}</span>元。在上述期间内多次进行门诊治疗的，视为同一次门诊治疗。",
            "i": "分类报销，让保障更精准！"
        },
        "35": {
            "38": "<i></i>若被保险人因同一原因多次（指两次及两次以上）住院治疗，每次出院与相邻的下一次入院日期间隔未达<span>{}</span>天，其保险金限额及给付均视为同一次住院办理。",
            "i": "保险期间内不限次数报销，值不值？"
        },
        "36": {
            "39": "<i></i>被保险人于本合同终止日前发生的且延续至本合同终止日<span>{}</span>天（含）内的住院治疗，保险公司仍然承担给付保险金的责任。",
            "i": "合同期满还能报销，能不能不这么人性化？"
        },
        "37": {
            "40": "<i></i>住院津贴保险金：因意外导致住院，按合同约定的每日住院津贴<span>{}</span>元×每次住院天数；被保险人自合同生效<span>{}</span>天后因疾病导致住院，按合同约定的每日住院津贴<span>{}</span>元×（每次住院天数—<span>{}</span>）；住院津贴全年累计不超过<span>{}</span>天；保险期间内，所有住院津贴累计最高给付<span>{}</span>元。",
            "i": "乐享住院补贴，住院就补，不必担心药品类别限制！"
        },
        "38": {
            "41": "<i></i>被保险人因实际情况需要进入重症监护室治疗，按合同约定的每日重症监护室津贴<span>{}</span>元×每次住院天数；",
            "i": "重症监护，给您更“多”补贴！"
        },
        "39": {
            "42": "<i></i>合同到期，返还所交保费<span>{}</span>元。",
            "i": "乐享资产安全，满期返还本金！"
        },
        "40": {
            "44": "<i></i>一般意外身故、全残赔付<span>{}</span>万元。",
            "i": "一般意外保障<span>{}</span>万"
        },
        "41": {
            "45": "<i></i>驾驶或乘坐私家车意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "私家车意外保障最高<span>{}</span>万"
        },
        "42": {
            "46": "<i></i>驾驶或乘坐公务用车、租赁车意外身故或全残最高赔付<span>{}</span>万元。",
            "i": "公务用车、租赁车意外最高赔付<span>{}</span>万"
        },
        "43": {
            "47": "<i></i>乘坐陆路公共交通工具（市内公交汽车、长途汽车、出租车、轨道交通工具）意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "陆路公共交通意外保障最高<span>{}</span>万"
        },
        "44": {
            "48": "<i></i>乘坐轮船意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "轮船意外保障最高<span>{}</span>万"
        },
        "45": {
            "49": "<i></i>乘坐客运班机意外身故全残最高赔付<span>{}</span>万元。",
            "i": "航空意外最高<span>{}</span>万"
        },
        "46": {
            "50": "<i></i>重大自然灾害（请参阅泰康保障范围写具体）意外身故全残最高赔付<span>{}</span>万元。",
            "i": "重大自然灾害意外最高<span>{}</span>万"
        },
        "47": {
            "51": "<i></i>非意外原因导致身故、全残最高返还（已交保费的<span>{}</span>倍即）<span>{}</span>元。",
            "i": "非意外保障最高赔付<span>{}</span>元"
        },
        "48": {
            "52": "<i></i>合同到期返还（已交保费的<span>{}</span>倍即）<span>{}</span>元。",
            "i": "合同到期返还<span>{}</span>元"
        },
        "49": {
            "53": "<i></i>分红是不确定的。",
            "i": "额外分红"
        },
        "50": {
            "i": "<入住养老社区确认函>是您享有优雅养老品质生活的唯一载体，入住后您可以拥有洒脱、开放、高品位的养老社交朋友圈，体验到活力趣味的生活方式，享受到专业化细致入微的医养护理，居家生活，富足而退，一旦入住，从此无忧。",
            "00": "无"
        },
        "51": {
            "i": "关于<入住养老社区确认函>中您的权益（自由支配、保证入住、优先入住、入住优惠）的详细情况请咨询为您提供服务的经纪人。",
            "00": "无"
        },
        "52": {
            "64": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的轻度癌症，退还实际交纳保费的<span>{}</span>%；合同生效<span>{}</span>天后初次确诊发生合同载明的轻度癌症，赔付保额的<span>{}</span>%即<span>{}</span>万元，合同仍然有效。",
            "i": "轻度癌症确认即赔，把重度癌症扼杀在摇篮里！"
        },
        "53": {
            "65": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的癌症，退还实际交纳保费的<span>{}</span>%；合同生效<span>{}</span>天后初次确诊发生合同载明的癌症，赔付保额<span>{}</span>万元，合同终止。",
            "i": "发生癌症确诊即赔<span>{}</span>万，安心治疗，不给子孙添麻烦！"
        },
        "54": {
            "66": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的特定癌症，退还实际交纳保费；合同生效<span>{}</span>天后初次确诊发生合同载明的特定癌症，赔付保额<span>{}</span>万元之外额外赔付特定癌症保险金额<span>{}</span>万元，合同终止。",
            "i": "特定癌症额外给付，人性关爱不是空话而已！"
        },
        "55": {
            "68": "<i></i>保险有效期内无癌症发生，返还全部已交保费的<span>{}</span>%；返还完毕保险合同终止。",
            "65": "<i></i>保险有效期内无癌症发生，返还当期已交保费；返还完毕保险合同终止。",
            "i": "满期返还，不（少）花钱得保障！"
        },
        "56": {
            "57": "<i></i>交费期内投保人意外身故、全残，以后应该交的保费不用再交，合同依然有效。",
            "i": "自带投保人豁免，充分体现人性关爱"
        },
        "57": {
            "58": "<i></i>保险有效期内，因恶性肿瘤住院每日补贴<span>{}</span>万元；因恶性肿瘤手术赔付<span>{}</span>万元、放化疗，均获得赔付<span>{}</span>万元。",
            "i": "癌症全过程赔付，治疗更加贴心"
        },
        "58": {
            "59": "<i></i>被保险人发生轻症癌症或合同约定的恶性肿瘤，以后该交的保费不用再交，合同依然有效。",
            "i": "自带豁免功能，筑起癌症全程防火墙"
        },
        "59": {
            "60": "<i></i>投保时投保人附加豁免条款情况下，投保人身故、全残，以后应该交的保费不用再交，合同依然有效。",
            "i": "落实对被保人的爱，充分体现人性关怀"
        },
        "60": {
            "61": "<i></i>投保时投保人附加豁免条款情况下，不论被保险人发生轻度重疾理赔、或者投保人身故、或确诊合同载明的重大疾病、轻症，以后应该交的保费不用再交，合同依然有效。",
            "i": "保费双向豁免，充分体现人性关爱"
        },
        "61": {
            "69": "<i></i>自第<span>{}</span>个保单周年至第<span>{}</span>个保单周年，每年按照保额的<span>{}</span>%领取生存金，每年领取<span>{}</span>元，共领取<span>{}</span>年，小计<span>{}</span>元。",
            "i": "生存关爱，让您拥有持续的现金流"
        },
        "62": {
            "70": "<i></i>保险期间届满，返还保额的<span>{}</span>%，即<span>{}</span>元，合同终止。",
            "i": "超额满期金，实现现金回流"
        },
        "63": {
            "72": "<i></i>保险期间届满时，您可以将生存年金、满期金、分红金合并转化为养老年金。",
            "73": "<i></i>被保险人可将当时的全部现金价值按当时所提供方式转换为年金产品，转换后本合同终止。",
            "i": "年金转化，实现养老无忧"
        },
        "64": {
            "75": "<i></i>投保时附加豁免情况下，被保险人患轻症或重疾，以后该交的保费不用再交，合同依然有效。",
            "i": "保费豁免，保障范围更宽泛"
        },
        "65": {
            "76": "<i></i>投保时投保人附加豁免条款情况下，投保人轻症、重疾、身故，以后应该交的保费不用再交，合同依然有效。",
            "i": "投保人保费豁免，充分体现人性关爱"
        },
        "66": {
            "78": "<i></i>被保险人生存至约定年龄，返还已交全部保费作为祝寿金，轻症、重疾、身故/全残责任依然有效。",
            "79": "<i></i>投保人重疾或身故，返还投保人豁免所交的保费，体现保障功能。",
            "i": "保费全返还，保险公司亏大了！"
        },
        "67": {
            "80": "<i></i>保险有效期内不幸身故，返还已交保费或当前现金价值较大者；理赔后，保险合同终止。",
            "i": "身价保障，尽显人性关爱！"
        },
        "01": {
            "i": "<span>{}</span>种重大疾病确诊就赔<span>{}</span>万，医疗费用收入损失全覆盖，患病对家人也有交代！",
            "01": "<i></i>因意外或合同生效<span>{}</span>天后因疾病导致合同载明的重大疾病，赔付<span>{}</span>万元。"
        },
        "02": {
            "i": "<span>{}</span>种轻度重疾确诊就赔<span>{}</span>万，把重疾扼杀在摇篮里！",
            "02": "<i></i>因意外或合同生效<span>{}</span>天后因疾病导致合同载明的轻度重疾，赔付<span>{}</span>万元，每种轻症赔付1次，最多赔付<span>{}</span>次，合同继续有效，不影响重大疾病的赔付。"
        },
        "03": {
            "i": "自带轻症豁免，筑起重疾防火墙",
            "03": "<i></i>被保险人发生轻度重疾理赔，以后该交的保费不用再交，合同依然有效。"
        },
        "04": {
            "i": "保费双向豁免，充分体现人性关爱",
            "04": "<i></i>投保时投保人附加豁免条款情况下，投保人身故、全残或确诊合同载明的重大疾病、轻症，以后应该交的保费不用再交，合同依然有效。<br>被保险人发生轻度重疾理赔，以后该交的保费不用再交，合同依然有效。"
        },
        "05": {
            "i": "特定重疾，赔付更多",
            "05": "<i></i><span>{}</span>天观察期后，罹患合同载明的特定重大疾病，除了赔付重疾保额之外，额外赔付保额的<span>{}</span>%，赔付后合同终止。"
        },
        "06": {
            "i": "重疾保额二次赔付，重疾也可以是重疾的防火墙！",
            "06": "<i></i>被保险人发生重疾理赔后，如果不幸罹患合同约定不同组别的重疾，可以再次赔付保额<span>{}</span>元。"
        },
        "07": {
            "i": "绿色通道服务，告别有钱看不好病的尴尬！",
            "07": "<i></i>被保险人年交保费达到<span>{}</span>元以上，可在全国顶尖医疗机构范围内享受专家门诊、专家治疗、专家病房服务，省内就医补贴最高<span>{}</span>元，省外就医补贴最高<span>{}</span>元，直接预约，无需排队。"
        },
        "08": {
            "i": "特色医疗服务，让专家随时在您身边！",
            "08": "<i></i>被保险人可享受远程专家诊疗服务，保险期内不限次数。"
        },
        "09": {
            "i": "年金返还，给您一份可以随时领取的钱！",
            "09": "<i></i>被保险人<span>{}</span>岁至<span>{}</span>岁仍生存，每年按照保额的<span>{}</span>%给付生存金。"
        }
    },
    "C": {
        "10": {
            "10": "<i></i>保险期满被保险人仍生存，赔付已交全部保费，合同终止。",
            "i": "满期金返还，保险公司亏大了！"
        },
        "11": {
            "11": "<i></i><span>{}</span>天观察期内因疾病导致全残，赔付已交保费的<span>{}</span>%；因意外或<span>{}</span>天观察期后因疾病导致全残，赔付全部保额，赔付后合同终止。",
            "26": "<i></i>18岁前身故或全残，赔付已交保费；18周岁后身故或全残，赔付已交保费或当前账户价值较大者。",
            "30": "<i></i>保险有效期内不幸身故或全残，返还全部已交保费的{}%；理赔后，保险合同终止。",
            "46": "<i></i>保险有效期内不幸身故，返还当期已交保费；理赔后，保险合同终止。",
            "50": "<i></i><span>{}</span>天观察期内因疾病导致身故，赔付已交保费的<span>{}</span>%；因意外或<span>{}</span>天观察期后因疾病导致身故，赔付全部保额，赔付后合同终止。",
            "i": "身价保障，尽显人性关爱！"
        },
        "12": {
            "12": "<i></i>分红随保障年期不断增加，让您的保障动态增长；分红是不确定的；重疾或身故全残理赔后，分红随之终止。",
            "i": "分红送心意，给您的当然应该更多！"
        },
        "13": {
            "13": "<i></i>被保险人因意外事故或合同生效<span>{}</span>天后患病需要住院治疗的，门诊及住院费用终身累计最高可报销<span>{}</span>元，年度最高可报销<span>{}</span>元，免赔额为<span>{}</span>元。已经社保报销的，剩余部分按照<span>{}</span>%的比例赔付，未经社保报销的，按<span>{}</span>%比例赔付。",
            "i": "住院医疗全覆盖，超低免赔额，最高报销<span>{}</span>元。"
        },
        "14": {
            "14": "<i></i>住院医疗中的药品费用，不区分类别，累计报销上限为<span>{}</span>元。",
            "i": "住院药品无限制，和自费药不报销说拜拜！"
        },
        "15": {
            "15": "<i></i>无论理赔与否，保险期间内报销额度没有用完无条件续保，续保没有等待期。",
            "i": "保证续保，人性关爱！"
        },
        "16": {
            "16": "<i></i>可选择生育险、齿科等模块。",
            "i": "增加可选责任，保障更全面！"
        },
        "17": {
            "17": "<i></i>住院前<span>{}</span>天（含）及出院后<span>{}</span>天（含）发生和住院相同原因的门急诊医疗费用同样可以报销。",
            "i": "门急诊也报销，人性化到让你感动！"
        },
        "18": {
            "18": "<i></i>二级或二级以上公立医院，含特需部、特需病房、外宾病房、干部病房、VIP病房及国际医疗部病房；二级或二级以上公立医院（含特需部、特需病房、外宾病房、干部病房、VIP病房及国际医疗部病房）、私立医院（昂贵医院除外）。详见昂贵医院清单。",
            "i": "医院范围广泛，突破传统就医范围！"
        },
        "19": {
            "19": "<i></i><span>{}</span>天观察期内被保险人因疾病导致身故，返还已交保费；因其他原因身故，赔付保险金额；理赔后，合同终止。",
            "49": "<i></i><span>{}</span>天观察期内被保险人因疾病导致全残，返还已交保费；因其他原因全残，赔付保险金额；理赔后，合同终止。",
            "i": "锁定<span>{}</span>万身价，资产传承不再是想法而已！"
        },
        "20": {
            "20": "<i></i>自合同生效10天后即可按保额的<span>{}</span>%领取第一笔生存金，自第一个保单周年末至被保险人<span>{}</span>岁，每年按照保额的<span>{}</span>%领取生存金，每年领取<span>{}</span>元，共领取<span>{}</span>年，小计<span>{}</span>元。",
            "i": "即交即领，让您拥有一生的现金流"
        },
        "21": {
            "21": "<i></i>自被保险人<span>{}</span>岁至<span>{}</span>岁被保险人仍生存每年按照保额的<span>{}</span>%开始领取养老金，每年领取<span>{}</span>元，领取<span>{}</span>年，小计领取<span>{}</span>元。",
            "i": "年龄越大，领取额度越高，呵护养老"
        },
        "22": {
            "22": "<i></i>被保险人<span>{}</span>岁时仍生存，一次性返还已交保险费。",
            "i": "满期返还，本金无忧"
        },
        "23": {
            "23": "生存金不领取直接进入万能账户二次生息，万能账户保底给付利率为<span>{}</span>%，被保险人60周岁时账户价值保证收益为<span>{}</span>元，被保险人70周岁时账户价值保证收益为<span>{}</span>元。",
            "i": "生存金不领取，进入二次增值账户复利滚存，人到老年，富足而退"
        },
        "24": {
            "24": "<i></i>在生存金进入万能账户二次生息情况下被保险人可以选择不同特定年龄段灵活领取，全面满足教育金、创业金、疾病关爱金、养老金等方面的需求。",
            "i": "灵活领取，各年龄段需求一网打尽"
        },
        "25": {
            "25": "<i></i>万能账户可以追加领取，在保单生效或满<span>{}</span>年后不收入额外费用，追加部分直接按照<span>{}</span>%复利增值。",
            "48": "<i></i>万能账户可以追加领取，在保单生效后不收取额外费用，追加部分直接按照<span>{}</span>%复利增值。",
            "i": "可追加可领取，随时为资金找到安稳的家"
        },
        "26": {
            "i": "<入住养老社区确认函>是您享有优雅养老品质生活的唯一载体，入住后您可以拥有洒脱、开放、高品位的养老社交朋友圈，体验到活力趣味的生活方式，享受到专业化细致入微的医养护理，居家生活，富足而退，一旦入住，从此无忧。",
            "00": "无"
        },
        "27": {
            "i": "关于<入住养老社区确认函>中您的权益（自由支配、保证入住、优先入住、入住优惠）的详细情况请咨询为您提供服务的经纪人。",
            "00": "无"
        },
        "28": {
            "27": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的轻度癌症，退还实际交纳保费的<span>{}</span>%；合同生效<span>{}</span>天后初次确诊发生合同载明的轻度癌症，赔付保额的<span>{}</span>%即<span>{}</span>万元，合同仍然有效。",
            "i": "轻度癌症确认即赔，把重度癌症扼杀在摇篮里！"
        },
        "29": {
            "28": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的癌症，退还实际交纳保费的<span>{}</span>%；合同生效<span>{}</span>天后初次确诊发生合同载明的癌症，赔付保额<span>{}</span>万元，合同终止。",
            "i": "发生癌症确诊即赔<span>{}</span>万，安心治疗，不给子孙添麻烦！"
        },
        "30": {
            "29": "<i></i>合同生效<span>{}</span>天内初次确诊发生合同载明的特定癌症，退还实际交纳保费；合同生效<span>{}</span>天后初次确诊发生合同载明的特定癌症，赔付保额<span>{}</span>万元之外额外赔付特定癌症保险金额<span>{}</span>万元，合同终止。",
            "i": "特定癌症额外给付，人性关爱不是空话而已！"
        },
        "31": {
            "31": "<i></i>保险有效期内无癌症发生，返还全部已交保费的<span>{}</span>%；返还完毕保险合同终止。",
            "47": "<i></i>保险有效期内无癌症发生，返还当期已交保费；返还完毕保险合同终止。",
            "i": "满期返还，不（少）花钱得保障！"
        },
        "32": {
            "31": "<i></i>保险有效期内，因恶性肿瘤住院每日补贴<span>{}</span>万元；因恶性肿瘤手术赔付<span>{}</span>万元、放化疗，均获得赔付<span>{}</span>万元",
            "i": "癌症全过程赔付，治疗更加贴心"
        },
        "33": {
            "32": "<i></i>被保险人发生轻症癌症或合同约定的恶性肿瘤，以后该交的保费不用再交，合同依然有效。",
            "i": "自带豁免功能，筑起癌症全程防火墙"
        },
        "34": {
            "33": "<i></i>一般意外身故、全残赔付<span>{}</span>万元。",
            "i": "一般意外保障<span>{}</span>万"
        },
        "35": {
            "34": "<i></i>驾驶或乘坐私家车意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "私家车意外保障最高<span>{}</span>万"
        },
        "36": {
            "35": "<i></i>驾驶或乘坐公务用车、租赁车意外身故或全残最高赔付<span>{}</span>万元。",
            "i": "公务用车、租赁车意外最高赔付<span>{}</span>万"
        },
        "37": {
            "36": "<i></i>乘坐陆路公共交通工具（市内公交汽车、长途汽车、出租车、轨道交通工具）意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "陆路公共交通意外保障最高<span>{}</span>万"
        },
        "38": {
            "37": "<i></i>乘坐轮船意外身故、全残最高赔付<span>{}</span>万元。",
            "i": "轮船意外保障最高<span>{}</span>万"
        },
        "39": {
            "38": "<i></i>乘坐客运班机意外身故全残最高赔付<span>{}</span>万元。",
            "i": "航空意外最高<span>{}</span>万"
        },
        "40": {
            "39": "<i></i>重大自然灾害（请参阅泰康保障范围写具体）意外身故全残最高赔付<span>{}</span>万元。",
            "i": "重大自然灾害意外最高<span>{}</span>万"
        },
        "41": {
            "40": "<i></i>非意外原因导致身故、全残最高返还（已交保费的<span>{}</span>倍即）<span>{}</span>元。",
            "i": "非意外保障最高赔付<span>{}</span>元"
        },
        "42": {
            "41": "<i></i>岁合同到期返还（已交保费的<span>{}</span>倍即）<span>{}</span>元。",
            "i": "合同到期返还<span>{}</span>元"
        },
        "43": {
            "42": "<i></i>分红是不确定的。",
            "i": "额外分红"
        },
        "44": {
            "43": "<i></i>投保时投保人附加豁免条款情况下，投保人身故、全残，以后应该交的保费不用再交，合同依然有效。",
            "i": "落实对被保人的爱，充分体现人性关怀"
        },
        "45": {
            "44": "<i></i>投保时投保人附加豁免条款情况下，不论被保险人发生轻度重疾理赔、或者投保人身故、或确诊合同载明的重大疾病、轻症，以后应该交的保费不用再交，合同依然有效。",
            "i": "保费双向豁免，充分体现人性关爱"
        },
        "46": {
            "51": "<i></i>被保险人可将当时的全部现金价值按当时所提供方式转换为年金产品，转换后本合同终止。",
            "i": "年金转换，一份爱心多种表达！"
        },
        "47": {
            "52": "<i></i>保险有效期内不幸身故，返还已交保费或当前现金价值较大者；理赔后，保险合同终止。",
            "i": "身价保障，尽显人性关爱！"
        },
        "01": {
            "i": "<span>{}</span>种重大疾病确诊就赔<span>{}</span>万，医疗费用收入损失全覆盖，患病对家人也有交代！",
            "01": "<i></i>因意外或合同生效<span>{}</span>天后因疾病导致合同载明的重大疾病，赔付<span>{}</span>万元。"
        },
        "02": {
            "i": "<span>{}</span>种轻度重疾确诊就赔<span>{}</span>万，把重疾扼杀在摇篮里！",
            "02": "<i></i>因意外或合同生效<span>{}</span>天后因疾病导致合同载明的轻度重疾，赔付<span>{}</span>万元，每种轻症赔付1次，最多赔付<span>{}</span>次，合同继续有效，不影响重大疾病的赔付。（查看轻度重疾清单）"
        },
        "03": {
            "i": "自带轻症豁免，筑起重疾防火墙",
            "03": "<i></i>被保险人发生轻度重疾理赔，以后该交的保费不用再交，合同依然有效。"
        },
        "04": {
            "i": "保费双向豁免，充分体现人性关爱",
            "04": "<i></i>投保时投保人附加豁免条款情况下，投保人身故、全残或确诊合同载明的重大疾病、轻症，以后应该交的保费不用再交，合同依然有效。<br>被保险人发生轻度重疾理赔，以后该交的保费不用再交，合同依然有效。"
        },
        "05": {
            "i": "特定重疾，赔付更多",
            "05": "<i></i><span>{}</span>天观察期后，罹患合同载明的特定重大疾病，除了赔付重疾保额之外，额外赔付保额的<span>{}</span>%，赔付后合同终止。"
        },
        "06": {
            "i": "重疾保额二次赔付，重疾也可以是重疾的防火墙！",
            "06": "<i></i>被保险人发生重疾理赔后，如果不幸罹患合同约定不同组别的重疾，可以再次赔付保额<span>{}</span>元。"
        },
        "07": {
            "i": "绿色通道服务，告别有钱看不好病的尴尬！",
            "07": "<i></i>被保险人年交保费达到<span>{}</span>元以上，可在全国顶尖医疗机构范围内享受专家门诊、专家治疗、专家病房服务，省内就医补贴最高<span>{}</span>元，省外就医补贴最高<span>{}</span>元，直接预约，无需排队。"
        },
        "08": {
            "i": "特色医疗服务，让专家随时在您身边！",
            "08": "<i></i>被保险人可享受远程专家诊疗服务，保险期内不限次数。"
        },
        "09": {
            "i": "年金返还，给您一份可以随时领取的钱！",
            "09": "<i></i>被保险人<span>{}</span>岁至<span>{}</span>岁仍生存，每年按照保额的<span>{}</span>%给付生存金。"
        }
    }
}