define(['app'],function (app) {

    app.register.controller('proCompareCategoryCtrl', ['$scope','$location','backFactory','adbService','proCompareFactory',function($scope,$location,backFactory,adbService,proCompareFactory){
        //改变页面的<title>
        $scope.appTitle = '产品对比';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('proCompareCategory','homeR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack","index.html#/"+backUrl,"2",true);//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        //产品比价的分类到产品比价生成对比页面的跳转
        $scope.goCompare = function(){
            //数据传到result需要使用localStorage

            //返回跳转记录
            $scope.setBackFactory('proCompareList','proCompareCategoryR');
            $location.path('/proCompareListR');
        };

        //初始化
        function init(){
            getCompareList();
        }

        init()
        //产品比价总量列表
        function getCompareList(){
            var params = {}
            adbService.getResult(
                {},
                $scope.setService('I181013', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.list = json.data.compareCollects;
                    }
                }
            )
        }

        $scope.goPromotionByPersonal = function(classId){
            proCompareFactory.setter(classId);
            $scope.setBackFactory('proCompareList', 'proCompareCategoryR');
            $location.path('/proCompareListR');
        }

    }]);
});