function pro100302($scope, event, service ) {
    var init = function () {
        $scope.minLAAge = "0";
        $scope.maxLAAge = "75";
        //$scope.calculateAmt = 0;//保费
        //$scope.coveragePeriodType = "";//保障期间类型 0-无关 1-保终身 2-保多少年 3-保至多少岁 4-保多少月 5-保多少天
        //$scope.coveragePeriod = "";//保障期间
        $scope.coveragePeriodName = "请选择保障期间";
        $scope.insuredStartDate = genNowDate(1);
        $scope.planNo = 3;//计划编号
        $scope.benefitLevel = $scope.planNo;
        $scope.planNoName = "计划一";
        $scope.$emit('benefitLevelNum', $scope.benefitLevel);

        $scope.coveragePeriod = "7";
        $scope.coveragePeriodType = "5";
        $scope.coveragePeriodName = "1-7天";
        $scope.tabtit = true;
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        //初始化计划信息
        if($scope.calculateInfo && $scope.calculateInfo.benefitLevel){
            $scope.benefitLevel = $scope.calculateInfo.benefitLevel;
            savePlanInfo();
        }
        $scope.calculateAmt = $scope.productBaseInfo.minPremium;//保费
    };

    //选择保险期间
    $scope.duration = false;//选择份数弹框状态
    $scope.selectShow = function () {  //弹出选择投保份数框
        $scope.duration = true;
    };
    //选择保险期间

    $scope.selectDuration = function (num) {
        $scope.selectNum = num;
        $scope.coveragePeriod = num;
        $scope.coveragePeriodType = "5";
        if(num=='7'){
            $scope.coveragePeriodName = "1-7"+"天";
        }
        if(num=='10'){
            $scope.coveragePeriodName = "8-10"+"天";
        }
        if(num=='14'){
            $scope.coveragePeriodName = "11-14"+"天";
        }
        if(num=='17'){
            $scope.coveragePeriodName = "15-17"+"天";
        }
        if(num=='21'){
            $scope.coveragePeriodName = "18-21"+"天";
        }
        if(num=='24'){
            $scope.coveragePeriodName = "22-24"+"天";
        }
        if(num=='30'){
            $scope.coveragePeriodName = "25-30"+"天";
        }
        if(num=='45'){
            $scope.coveragePeriodName = "31-45"+"天";
        }
        if(num=='60'){
            $scope.coveragePeriodName = "46-60"+"天";
        }
        if(num=='75'){
            $scope.coveragePeriodName = "61-75"+"天";
        }
        if(num=='90'){
            $scope.coveragePeriodName = "76-90"+"天";
        }
        if(num=='180'){
            $scope.coveragePeriodName = "91-180"+"天";
        }
        if(num=='270'){
            $scope.coveragePeriodName = "181-270"+"天";
        }
        if(num=='365'){
            $scope.coveragePeriodName = "270-365"+"天";
        }
        if(num=='1'){
            $scope.coveragePeriod = "1";
            $scope.coveragePeriodType = "2";
            $scope.coveragePeriodName = "1年";
        }
        $scope.duration = false;
        $scope.reckonResult();
        saveCalculateInfo();
    };
    //点击切换

    $scope.click_tab = function(boolean){
        //console.info("计划",boolean,boolean=='true',boolean=='false')
        $scope.tabtit = boolean;
        if(boolean == true){
            $scope.planNo = 3;
            $scope.planNoName = "计划一"
        }else{
            $scope.planNo = 5;
            $scope.planNoName = "计划二"
        }
        $scope.benefitLevel =$scope.planNo;
        //console.info("选择计划",$scope.benefitLevel);
        $scope.$emit('benefitLevelNum', $scope.benefitLevel);
        $scope.reckonResult();
    }
    //请求试算结果
    $scope.reckonResult = function(){
        service['adbService'].getResult(
            {},
            $scope.setService("I181011", {
                "trialProductList": [
                    {
                        "productId":$scope.productId,
                        "parameters": "coveragePeriod="+$scope.coveragePeriodType+";coverageYear="+$scope.coveragePeriod+";benefitLevel="+$scope.planNo
                    }
                ]
            }),
            function (json) {
                if (json.header.istatus == '-99'){
                    $scope.gotoApp('jsRefreshCookie');
                }
                else if (json.header.istatus == '1') {//存储产品基础信息
                    $scope.calculateAmt = json.data.trialProductList[0].premium;
                    saveCalculateInfo()
                } else {

                }
            },
            function (err) {

            }
        )
    }

    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo() {
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;
        calculateInfo.minLAAge = $scope.minLAAge;
        calculateInfo.maxLAAge = $scope.maxLAAge;
        calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculateInfo.coveragePeriod = $scope.coveragePeriodType;//保障期间类型 0-无关 1-保终身 2-保多少年 3-保至多少岁 4-保多少月 5-保多少天
        calculateInfo.coveragePeriodValue = $scope.coveragePeriod;//保障期间
        calculateInfo.coveragePeriodName =$scope.coveragePeriodName;//保障期间的值
        calculateInfo.insuredStartDate = $scope.insuredStartDate;
        calculateInfo.benefitLevel = $scope.planNo;//计划编号
        calculateInfo.planNoName = $scope.planNoName;
        $scope.calculateInfo = calculateInfo;//保存试算信息
        calculatedInsuredDate($scope.insuredStartDate);
        savePlanInfo();//保存保险利益
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }
    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            if(typeof startDate!="undefined" && startDate){
                $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
                $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
            }else{
                $scope.calculateInfo.insuredStartDate = "";
            }
        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }

    ////判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }
    function changeBirthday(params){
        thday(params.birthday);
    }

    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.benefitLevel-1].benefitLiab;
        var showPlanInfo = {};
        showPlanInfo.title = $scope.showPlanInfo.title;
        showPlanInfo.content = [];
        for (var i = 0; i < $scope.showPlanInfo.content.length; i++) {
            var item = {};
            if ($scope.showPlanInfo.content[i].riskAmount){
                if($scope.showPlanInfo.content[i].riskAmount.replace(/,/g,"") >= 10000){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount.replace(/,/g,"") / 10000 + "万元";
                }else if($scope.showPlanInfo.content[i].riskAmount.indexOf("元/每")>-1){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].riskAmount.indexOf("元/天")>-1){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].riskAmount.indexOf("/晚")>-1){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].riskAmount.indexOf("原始机票")>-1){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].riskAmount.indexOf("天")>-1){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].riskAmount.indexOf("有")>-1){
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount;
                }else{
                    item.riskAmount = $scope.showPlanInfo.content[i].riskAmount+"元";
                }
            }else{
                item.riskAmount = "包含";
            }
            item.liabilityName = $scope.showPlanInfo.content[i].liabilityName;
            showPlanInfo.content.push(item);
        }
        $scope.showPlanInfo = showPlanInfo;
        $scope.productSetItem("showPlanInfo",$scope.showPlanInfo);
    }

    if (!event) {
        return init();
    } else if (event.type == 'click0') {
        return calculateCopies(event.params)
    } else if (event.type == 'calculateAge') {
        return calculateAge(event.params);
    } else if (event.type == 'changeBirthday') {
        $scope.singelMoney = "50000";//单份保额
        calculate(event.params);
    }else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
