function pro100303($scope, event, service) {
    var init = function () {
        $scope.unit = "1";//份数
        //$scope.singelMoney = "0.00";//单份保额
        //$scope.sumAssured = ($scope.unit * $scope.singelMoney) / 10000 + "万元";//基本保额
        //$scope.calculateAmt = "0.00";//保费 默认0元
        //$scope.coveragePeriodType = "2";//保障期间类型 0-无关 1-保终身 2-保多少年 3-保至多少岁 4-保多少月 5-保多少天
        //$scope.coveragePeriod = "1";//保障期间
        $scope.coverageYear = "请选择保障期间";//保障期间范围
        $scope.selectOpts = [
            {"code":7,"name":"1-7天"},
            {"code":10,"name":"8-10天"},
            {"code":14,"name":"11-14天"},
            {"code":17,"name":"15-17天"},
            {"code":21,"name":"18-21天"},
            {"code":24,"name":"22-24天"},
            {"code":30,"name":"25-30天"},
            {"code":45,"name":"31-45天"},
            {"code":60,"name":"46-60天"},
            {"code":75,"name":"61-75天"},
            {"code":90,"name":"76-90天"},
            {"code":1,"name":"1年（多次，每次小于90天）"},
            {"code":180,"name":"91-180天"},
            {"code":270,"name":"181-270天"},
            {"code":365,"name":"271-365天"}
        ];
        $scope.chargePeriodType = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargeYear = "1";//缴费年限
        $scope.chargeType = "0";//缴费频率 0-无关 1-年缴 2-半年缴 3-季缴 4-月缴 5-趸缴
        $scope.insuredStartDate = genNowDate(1);//保单生效日
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.benefitLevel = "1";//计划编号
        $scope.calculateInfo.benefitLevel = "1";//计划编号
        $scope.coverageYear = "1-7天";
        $scope.coveragePeriod = 7;
        $scope.coveragePeriodType = "5";

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        $scope.calculateAmt = $scope.productBaseInfo.minPremium;//保费 默认0元
    };


    $scope.popShow100303 = false;//选择保障期间弹框状态
    $scope.selectPop100303 = function () {  //弹出选择保障期间框
        $scope.popShow100303 = true;
    };


    //选择保险期间
    $scope.selectPeriod = function (code,name) {//选择保障期间阶段
        //console.log(code);
        $scope.coveragePeriod = code;
        $scope.coveragePeriodType = "5";
        $scope.mark = code;
        $scope.coverageYear = name;
        if(code=='1'){//当保障期间类型为年时
            $scope.coverageYear = "1年";
            $scope.coveragePeriod = code;
            $scope.coveragePeriodType = "2";
        }
        $scope.popShow100303 = false;
        var params = {
            "coveragePeriodType": $scope.coveragePeriodType,//保障期间类型
            "coveragePeriod": $scope.coveragePeriod,//保障期间
            "coverageYear": $scope.coverageYear//保障期间的取值
        };
        calculate(params);
    };

    //根据保险期间试算
    var calculate = function (params) {
        //console.log(params);
        $scope.coveragePeriodType = params.coveragePeriodType;//保障期间类型
        $scope.coveragePeriod = params.coveragePeriod;//保障期间
        $scope.coverageYear = params.coverageYear;//保障期间的取值

        service['adbService'].getResult(
            {},
            $scope.setService("I181011",  {
                "trialProductList": [
                    {
                        "productId": $scope.productId,
                        "parameters": "coveragePeriod="+$scope.coveragePeriodType+";coverageYear="+$scope.coveragePeriod+";benefitLevel="+$scope.benefitLevel
                    }
                ]
            }),
            function (json) {
                if (json.header.istatus == '-99'){
                    $scope.gotoApp('jsRefreshCookie');
                }
                else if (json.header.istatus == '1') {
                    var calculateAmt = json.data.trialProductList[0].premium;
                    $scope.calculateAmt = calculateAmt;
                    saveCalculateInfo();//保存试算信息
                } else {
                    // error message
                    //$scope.loginError = json.msg;
                }
            },
            function (error) {
                // error message
            }
        );
    };
    //多试算条件验证试算
    function productCalculateValidate() {
        if ("" == $scope.insuredBirthday) {
            $scope.dialogTip("请选择被保人出生日期");
            return false;
        } else if ($scope.unit == "") {
            $scope.dialogTip("请选择投保份数");
            return false;
        }
        return true;
    }






    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo() {
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;//产品id
        calculateInfo.unit = $scope.unit;//购买份数
        calculateInfo.calculateAmt =  $scope.calculateAmt;//保费
        //calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;//保费
        calculateInfo.coveragePeriod = $scope.coveragePeriodType;//保障类型
        calculateInfo.coveragePeriodValue = $scope.coveragePeriod;//保障期间
        calculateInfo.coverageYear =$scope.coverageYear;//保障期间取值
        calculateInfo.selectOpts=$scope.selectOpts;//保障期间范围数组
        calculateInfo.insuredStartDate = $scope.insuredStartDate;//投保生效日
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.chargePeriod = $scope.chargePeriodType;//缴费期间类型
        calculateInfo.chargePeriodValue = $scope.chargeYear;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        calculateInfo.benefitLevel = $scope.benefitLevel;//计划编号
        $scope.calculateInfo = calculateInfo;//保存试算信息
        calculatedInsuredDate(calculateInfo.insuredStartDate);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);



    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            if(typeof startDate!="undefined" && startDate){
                $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
                $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
            }else{
                $scope.calculateInfo.insuredStartDate = "";
            }

        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }

    if (!event) {
        return init();
    } else if (event.type == 'click0') {
        return calculateCopies(event.params)
    } else if (event.type == 'calculateAge') {
        return calculateAge(event.params);
    } else if (event.type == 'changeBirthday') {
        $scope.singelMoney = "50000";//单份保额
        calculate(event.params);
    }else if (event.type == 'calculate') {
        calculate(event.params);
    }else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
