function pro100301($scope, event, service) {

    var init = function () {
        $scope.unit = "1";//份数
        $scope.singelMoney = "";//单份保额
        $scope.sumAssured = ($scope.unit * $scope.singelMoney) / 10000 + "万元";//基本保额
        //$scope.calculateAmt = 0;//保费
        $scope.coveragePeriodValue = "1";//保障期间类型 0-无关 1-保终身 2-保多少年 3-保至多少岁 4-保多少月 5-保多少天
        $scope.coveragePeriod = "2";//保障期间
        $scope.chargePeriodType = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargeYear = "1";//缴费年限
        $scope.chargeType = "0";//缴费频率 0-无关 1-年缴 2-半年缴 3-季缴 4-月缴 5-趸缴
        if($scope.calculateInfo.insuredStartDate){
            $scope.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        }else{
            $scope.insuredStartDate = new Date(genNowDate(1));
        }
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.planNo = "0";//计划编号

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        //$scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        var ageInfo = {};
        ageInfo.minAgeUnit = "1";
        ageInfo.minAge = "18";
        $scope.insuredBirthday = $scope.insuredBirthday?$scope.insuredBirthday:new Date(getBirthdayByAgeInfo(ageInfo,$scope.insuredStartDate));
        thday($scope.insuredBirthday);
    };

    //选择的日期转化年龄，并判断赋值价格
    var thday = function (birthday) {
        if (birthday == '') {
            //$scope.calculateAmt = '0';
        } else {
            var age = getCurrentAge(birthday,$scope.insuredStartDate);
            if(age > 50 || age < 18){
                $scope.dialogTip("被保人年龄不符合标准");
            }else if(age >= 18 && age <= 35){
                $scope.benefitLevel = 1;
                $scope.calculateAmt = 380;
            }else if(age >= 36 && age <= 45){
                $scope.benefitLevel = 2;
                $scope.calculateAmt = 520;
            }else if(age >= 46 && age <= 50){
                $scope.benefitLevel = 3;
                $scope.calculateAmt = 720;
            }
        }
        saveCalculateInfo();
    };

    function saveCalculateInfo() {
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;//产品id
        calculateInfo.unit = $scope.unit;//购买份数
        calculateInfo.calculateAmt =  $scope.calculateAmt;//保费
        calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;//保费
        calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障类型
        calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障期间
        calculateInfo.benefitLevel = $scope.benefitLevel; //产品
        calculateInfo.insuredStartDate = $scope.insuredStartDate;//投保生效日
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.chargePeriodType = $scope.chargePeriodType;//缴费期间类型
        calculateInfo.chargeYear = $scope.chargeYear;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        $scope.calculateInfo = calculateInfo;//保存试算信息
        calculatedInsuredDate($scope.insuredStartDate);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        //console.info(startDate);
        if(typeof startDate == 'string'){
            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);

        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    ////判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        thday(params.birthday);
        return true;
    }
    function changeBirthday(params){
        thday(params.birthday);
    }
    if (!event) {
        return init();
    } else if (event.type == 'click0') {
        return calculateCopies(event.params)
    } else if (event.type == 'calculateAge') {
        return calculateAge(event.params);
    } else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
