function pro100465($scope, event, service) {
    var init = function () {
        /*if($scope.productBaseInfo){
            $scope.calculateAmt = $scope.productBaseInfo.minPremium.toFixed(2);//保费
        }*/
        $scope.chargePeriod = "2";//缴费年限
        $scope.chargePeriodValue = "20";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodIndex = "2";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "20年";

        $scope.coveragePeriod = "1";//保障期间类型
        $scope.coveragePeriodValue = "999";//保障期间
        $scope.coveragePeriodName = "终身";//保障期间描述

        $scope.insuredAge = "0";
        $scope.insuredSex = "F";

        $scope.sumAssured = "100000";
        $scope.sumAssuredName = "10万";
        $scope.insuredMaxValue = 30;//保障期间最大值
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.jobLevelCategray = "1,2,3,4";

        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;


        };

        $scope.extendFee = false;

        $scope.getEnableAgeList();
        initCalculateInfo();
        calculate();
        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            $scope.getSumAssuredList($scope.insuredAge);
            $scope.getChargePeriodList($scope.insuredAge);
            //$scope.getCoveragePeriodList();
            //获取保障责任
            $scope.savePlanInfo();
        }
    };

    $scope.seeFeePop = function(){
        $scope.extendFee = true;
    }

    $scope.closeFee = function(){
        $scope.extendFee = false;
    };

    //获取年龄选择返回
    $scope.getEnableAgeList = function(){
        $scope.enableAgeList = [];
        $scope.enableAgeList.push({"value":"0","name":"0周岁（28天）",minAge:"28",minAgeUnit:"2",maxAge:"28",maxAgeUnit:"2"});
        for(var i = 1; i <= 55; i++){
            var enableAge = {"value":""+i,"name":i+"岁",minAge:""+i,minAgeUnit:"1",maxAge:""+i,maxAgeUnit:"1"};
            $scope.enableAgeList.push(enableAge);
        }
    }
    //获取试算年龄
    $scope.ageChecked = function(value){
        $scope.calculateInfo.insuredAge = value;
        $scope.getSumAssuredList(value);
        $scope.getChargePeriodList(value);
        calculate();
    }

    //修改性别
    $scope.changeSex = function(type,sex){
        if(type=="insured"){
            $scope.insuredSex = sex;
            $scope.calculateInfo.insuredSex = sex;
            calculate();
        }
    }

    //重置基本保额
    function resetSumAssured(insuredAge){
        var a = insuredAge;
        if(($scope.minAge1==0 || $scope.minAge1) && $scope.maxAge1){
            if(a>=$scope.minAge1 && a<=$scope.maxAge1){

            }else{
                $scope.sumAssured = "请选择基本保额";
                $scope.sumAssuredName = "请选择基本保额";
                $scope.calculateInfo.sumAssured = $scope.sumAssured;
                $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
                if(a>=0 && a<=40){
                    $scope.minAge1 = 0;
                    $scope.maxAge1 = 40;
                }else if(a>=41 && a<=45){
                    $scope.minAge1 = 41;
                    $scope.maxAge1 = 45;
                }else if(a>=46 && a<=50){
                    $scope.minAge1 = 46;
                    $scope.maxAge1 = 50;
                }else if(a>=51 && a<=55){
                    $scope.minAge1 = 51;
                    $scope.maxAge1 = 55;
                }
                return;
            }
        }else{
            $scope.minAge1 = 0;
            $scope.maxAge1 = 40;
        }
    }

    //重置交费期间
    function resetChargePeriod(insuredAge){
        var a = insuredAge;
        if(($scope.minAge2==0 || $scope.minAge2) && $scope.maxAge2){
            if(a>=$scope.minAge2 && a<=$scope.maxAge2){

            }else{
                $scope.chargePeriodIndex = "请选择交费期间";
                $scope.chargePeriod = "请选择交费期间";
                $scope.chargePeriodValue = "请选择交费期间";
                $scope.chargePeriodName = "请选择交费期间";
                $scope.calculateInfo.chargePeriodIndex = $scope.chargePeriodIndex;
                $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
                $scope.calculateInfo.chargePeriodvalue = $scope.chargePeriodValue;
                $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
                if(a>=0 && a<=50){
                    $scope.minAge2 = 0;
                    $scope.maxAge2 = 50;
                }else if(a>=51 && a<=55){
                    $scope.minAge2 = 51;
                    $scope.maxAge2 = 55;
                }
                return;
            }
        }else{
            $scope.minAge2 = 0;
            $scope.maxAge2 = 50;
        }
    }

    //获取保额列表
    $scope.getSumAssuredList = function(insuredAge){
        $scope.sumAssuredList = [];
        if(insuredAge>=41 && insuredAge <=45){
            $scope.sumAssuredList = [{"index":"0","name":"10万","value":"100000"},{"index":"1","name":"20万","value":"200000"},{"index":"2","name":"30万","value":"300000"}];
        }else if(insuredAge>=46 && insuredAge <=50){
            $scope.sumAssuredList = [{"index":"0","name":"10万","value":"100000"},{"index":"1","name":"20万","value":"200000"}];
        }else if(insuredAge>=51 && insuredAge <=55){
            $scope.sumAssuredList = [{"index":"0","name":"10万","value":"100000"}];
        }else{
            $scope.sumAssuredList = [{"index":"0","name":"10万","value":"100000"},{"index":"1","name":"20万","value":"200000"},{"index":"2","name":"30万","value":"300000"},{"index":"3","name":"50万","value":"500000"}];
        }
        resetSumAssured(insuredAge);
    }

    //保额选择
    $scope.sumAssuredChecked = function(value){
        $scope.calculateInfo.sumAssured = value;
        $scope.calculateInfo.sumAssuredName = value/10000+"万";
        calculate();
    };

    //获取保险期间索引
    $scope.getCoveragePeriodList = function(){}

    //获取交费期间列表
    $scope.getChargePeriodList = function(insuredAge){
        $scope.chargePeriodList = [];
        if(insuredAge>=51 && insuredAge <=55){
            $scope.chargePeriodList = [{"value":"0","name":"10年",chargePeriod:"2",chargePeriodValue:"10"}];
        }else{
            $scope.chargePeriodList = [{"value":"0","name":"10年",chargePeriod:"2",chargePeriodValue:"10"},{"value":"1","name":"15年",chargePeriod:"2",chargePeriodValue:"15"},{"value":"2","name":"20年",chargePeriod:"2",chargePeriodValue:"20"}];
        }
        resetChargePeriod(insuredAge);
    }

    //交费期间选择
    $scope.chargePeriodChecked = function(value){
        console.info("chargePeriodChecked",value);
        if(value){
            $scope.calculateInfo.chargePeriodIndex = value;
            $scope.calculateInfo.chargePeriod = $scope.chargePeriodList[value].chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodList[value].chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodList[value].name;
            calculate();
        }
        console.info("=============",$scope.calculateInfo);
    };

    //保存计划信息
    $scope.savePlanInfo = function(){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
    }

    //各类人员证件类型
    $scope.initCertiType=function(){
        //$scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        //$scope.insuredCertiTypeList = getSpecCredList("1,2,3,9,16");//处理被保人证件类型
    }
    $scope.getCoverageList = function(){};

    //根据选择条件进行试算
    //type 1 试算 2 投保
    var calculate = function () {
        if($scope.calculateInfo.insuredBirthday){
            $scope.calculateInfo.insuredAge = getCurrentAge($scope.calculateInfo.insuredBirthday,$scope.calculateInfo.insuredStartDate);
        }
        if($scope.calculateInfo.sumAssured != "请选择基本保额"){
            $scope.calculateAmt = tentativeCal($scope.calculateInfo,$scope.productData);
            $scope.calculateAmt = $scope.calculateInfo.sumAssured/1000*$scope.calculateAmt;
            $scope.calculateAmt = parseFloat($scope.calculateAmt).toFixed(2);
        }else{
            $scope.calculateAmt = "0.00";
        }
        $scope.saveCalculateInfo();
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        $scope.savePlanInfo();
    };

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        if(calculateAge(params)){//年龄合法试算
            $scope.calculateInfo.insuredBirthday = params.birthday;
            calculate();
            return true;
        }else{//不合法不试算
            return false;
        }
    }

    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }
    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredAge = $scope.calculateInfo.insuredAge?$scope.calculateInfo.insuredAge:$scope.insuredAge;
            $scope.calculateInfo.insuredSex = $scope.calculateInfo.insuredSex?$scope.calculateInfo.insuredSex:$scope.insuredSex;
            //$scope.calculateInfo.insuredBirthday = $scope.calculateInfo.insuredBirthday?$scope.calculateInfo.insuredBirthday:getBirthdayByAgeInfo($scope.enableAgeList[$scope.calculateInfo.insuredAge],$scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.chargePeriod = $scope.calculateInfo.chargePeriod?$scope.calculateInfo.chargePeriod:$scope.chargePeriod;
            $scope.calculateInfo.chargePeriodIndex = $scope.calculateInfo.chargePeriodIndex?$scope.calculateInfo.chargePeriodIndex:$scope.chargePeriodIndex;
            $scope.calculateInfo.chargePeriodValue = $scope.calculateInfo.chargePeriodValue?$scope.calculateInfo.chargePeriodValue:$scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.calculateInfo.chargePeriodName?$scope.calculateInfo.chargePeriodName:$scope.chargePeriodName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
            $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
        }else{
            $scope.calculateInfo = {};
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        //$scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
    }
    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(1);
        var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 3);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }

    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }else if(type == 'insured'){
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }

                //获取职业信息
                $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
                if ($scope.holderInfo.jobClass1) {
                    $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
                }
                getIncomeList();
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-'
                + $scope.holderInfo.addressInfo.countyName +"-"+ $scope.holderInfo.addressInfo.detailAddress;
            $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }

            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
            if ($scope.holderInfo.jobClass1) {
                $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
            }
            getIncomeList();
        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");//处理被保人证件类型
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                $scope.insuredBirthday = formatDate10($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo") {
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                    //获取省对应市信息
                    if ($scope.insuredInfos[i].addressInfo && $scope.insuredInfos[i].addressInfo.provinceCode) {
                        $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[i].addressInfo.provinceCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取市对应县信息
                    if ($scope.insuredInfos[i].addressInfo.cityCode) {//获取省对应市信息
                        $scope.getBranch("insuredInfo", "", 2, $scope.insuredInfos[i].addressInfo.cityCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//二级职业
                    }
                    getIncomeList();
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-'
                        + $scope.insuredInfos[i].addressInfo.countyName+"-"+ $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;
            $scope.getBranch("insuredInfo", "", 0, "", 0,$scope.insuredInfos[0]);
            if ($scope.insuredInfos[0].addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[0].addressInfo.provinceCode, 0,$scope.insuredInfos[0]);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0],$scope.jobLevelCategray);//二级职业
            }
            getIncomeList();
        }
        $scope.calculateInfo.insuredBirthday = $scope.insuredInfos[0].insuredBirthday;
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;

    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }

    //获取续期银行信息
    function getRenewalBanks(companyCode){
        return renewalBanks["C"+companyCode];
    }

    //初始续期信息
    function initRenewalInfo(optType) {
        if ($scope.saveData.renewalInfo) {
            $scope.renewalInfo = $scope.productGetItem('renewalInfo');
            //$scope.renewalInfo.renewalBankName = $scope.renewalInfo.renewalBankName||"请选择缴费银行";
        } else {
            $scope.renewalInfo = {};
            $scope.renewalInfo.renewalBankName = "请选择缴费银行";
            $scope.renewalInfo.accName=$scope.calculateInfo.holderName;
            $scope.renewalInfo.addressInfo = {};
        }
        if(optType!="showInfo") {
            $scope.renewalBanks = getRenewalBanks($scope.productBaseInfo.productCompany);
            $scope.getBranch("renewalInfo", "", 0, "", 0,$scope.renewalInfo);
            if ($scope.renewalInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("renewalInfo", "", 1, $scope.renewalInfo.addressInfo.provinceCode, 0,$scope.renewalInfo);
            }
            //获取市对应县信息
            if ($scope.renewalInfo.addressInfo.cityCode) {//获取省对应市信息
                $scope.getBranch("renewalInfo", "", 2, $scope.renewalInfo.addressInfo.cityCode, 0, $scope.renewalInfo);
            }
        }
        $scope.renewalInfo.addressDetail = $scope.renewalInfo.addressInfo.provinceName + '-' + $scope.renewalInfo.addressInfo.cityName + '-' + $scope.renewalInfo.addressInfo.countyName;
        $scope.renewalInfo.accName=$scope.calculateInfo.holderName;//防止修改被保人信息，续期账户未修改
    }

    $scope.renewalBankChecked = function(bankCode){
        $scope.renewalInfo.bankCode = bankCode;
        for(var i=0;i<$scope.renewalBanks.length;i++){
            if($scope.renewalBanks[i].code == bankCode){
                $scope.renewalInfo.renewalBankName = $scope.renewalBanks[i].name;
            }
        }
    };

    function getIncomeList(){
        $scope.incomeList = [];
        $scope.incomeList.push({"code":"1","name":"5万元以下"});
        $scope.incomeList.push({"code":"2","name":"5-10万元"});
        $scope.incomeList.push({"code":"3","name":"10-50万元"});
        $scope.incomeList.push({"code":"4","name":"50万元以上"});
    }

    $scope.getIncome = function(code,type){
        if(type == 'holder'){
            $scope.holderInfo.incomeCode = code;
            $scope.holderInfo.income = code;
            if($scope.incomeList[code-1]){
                $scope.holderInfo.incomeName = $scope.incomeList[code-1].name;
            }
        }else if(type == 'insured'){
            $scope.insuredInfos[0].incomeCode = code;
            $scope.insuredInfos[0].income = code;
            if($scope.incomeList[code-1]){
                $scope.insuredInfos[0].incomeName = $scope.incomeList[code-1].name;
            }
        }
    };


    //扩展信息
    function initExtraInfo(){
        $scope.extraInfo = $scope.productGetItem('extraInfo');
    }
    //初始第一步信息
    function initStep1(){
        console.info("......各自投保人信息.....");
        initProductBaseInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initHolderInfo();
        initInsuredInfo();
    }
    //初始第二步信息
    function initStep2(){
        console.info("......各自被保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initHolderInfo();
        initInsuredInfo();
    }
    //初始第三步信息
    function initStep3(){
        console.info("......各自投保计划信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        var minMaxAge = JSON.parse(localStorage.getItem("minMaxAge"));
        if(minMaxAge){
            $scope.minAge1 = minMaxAge.minAge3;
            $scope.maxAge1 = minMaxAge.maxAge3;
            $scope.minAge2 = minMaxAge.minAge4;
            $scope.maxAge2 = minMaxAge.maxAge4;
        }
        //console.info("minmaxAge",$scope.minAge1,$scope.minAge2,$scope.minAge3,$scope.minAge4);
        //console.info("minmaxAge",$scope.maxAge1,$scope.maxAge2,$scope.maxAge3,$scope.maxAge4);
        var insuredAge = getCurrentAge($scope.calculateInfo.insuredBirthday,$scope.calculateInfo.insuredStartDate);
        $scope.getSumAssuredList(insuredAge);
        $scope.getChargePeriodList(insuredAge);
        initRenewalInfo();
        //处理页面展示日期格式
        $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        initRenewalInfo("showInfo");//初始化续期账户
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        //initExtraInfo();//扩展信息
        /*$scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>。";*/
        $scope.showLink= "本投保人声明上述各项内容填写属实，已征得被保险人同意，被保险人认可保险金额、保障内容和健康告知内容。并同意（" +
            "<a ng-click=\"goToShow(3)\">条款</a>、" +
            "<a ng-click=\"goToShow(1)\">投保须知</a>、" +
            "<a ng-click=\"goToShow(2)\">重要告知与声明</a>、" +
            "<a ng-click=\"goToShow(5)\">信息披露</a>、" +
            "<a ng-click=\"goToShow(7)\">转账授权书</a>、" +
            "<a ng-click=\"goToShow(6)\">人身保险投保提示</a>" +
            "）链接及内容";

    }
    //校验第一步
    function checkStep1(){
        console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0") {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if ((!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.addressInfo.cityCode)|| !validCredNum("", $scope.holderInfo.addressInfo.countyCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
            res['status'] = false;
            res['msg'] = '投保人通讯地址填写有误，请完善';
        } else if($scope.holderInfo.addressInfo.detailAddress.length<5){
            res['status'] = false;
            res['msg'] = '投保人详细地址填写有误，请完善';
        } else if ((!validCredNum("", $scope.holderInfo.jobClass1)
            || !validCredNum("", $scope.holderInfo.jobClass2))) {
            res['status'] = false;
            res['msg'] = '投保人职业类别填写有误，请完善';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if (!validCredNum("height", $scope.holderInfo.height) || typeof $scope.holderInfo.height == 'undefined' || parseInt($scope.holderInfo.height)<120 || parseInt($scope.holderInfo.height)>250) {
            res['status'] = false;
            res['msg'] = '投保人身高填写有误，请更正';
        } else if (!validCredNum("weight", $scope.holderInfo.weight) || typeof $scope.holderInfo.weight == 'undefined' || parseInt($scope.holderInfo.weight)<30 || parseInt($scope.holderInfo.weight)>150) {
            res['status'] = false;
            res['msg'] = '投保人体重填写有误，请更正';
        } else if (typeof $scope.holderInfo.income == "undefined" || $scope.holderInfo.income == null || $scope.holderInfo.income == "0") {
            res['status'] = false;
            res['msg'] = '投保人年收入填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                var haveRelFlag = false;
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
                //重置投被保人关系值--防止回退变更角色性别而导致之前关系选择失效
                for(var j in $scope.holderInsuredRel){
                    if($scope.insuredInfos[i].relationship==$scope.holderInsuredRel[j].id){
                        haveRelFlag = true;
                        break;
                    }
                }
                if(!haveRelFlag){//如果原选择关系不在本次可选范围之内，则重置关系
                    $scope.insuredInfos[i].relationship = "";
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;

        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }
        }

        $scope.nextModule = "8";
        $scope.prevModule1 = "16";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        return true;
    }
    //校验第二步
    function checkStep2(){
        console.info("验证表单2信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == null || $scope.insuredInfos[i].certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if(!checkSpouseSex($scope.insuredInfos[i].relationship,$scope.holderInfo.holderSex,$scope.insuredInfos[i].insuredSex)){
                res['status'] = false;
                res['msg'] = '被保人性别与投被保人关系不符，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ((!validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode)
                || !validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode)|| !validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) || !validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '被保人通讯地址填写有误，请完善';
            } else if($scope.insuredInfos[i].addressInfo.detailAddress.length<5){
                res['status'] = false;
                res['msg'] = '被保人详细地址填写有误，请完善';
            } else if ((!validCredNum("", $scope.insuredInfos[i].jobClass1)
                || !validCredNum("", $scope.insuredInfos[i].jobClass2))) {
                res['status'] = false;
                res['msg'] = '被保人职业类别填写有误，请完善';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("height", $scope.insuredInfos[i].height) || typeof $scope.insuredInfos[i].height == 'undefined' || parseInt($scope.insuredInfos[i].height)<20 || parseInt($scope.insuredInfos[i].height)>250) {
                res['status'] = false;
                res['msg'] = '被保人身高填写有误，请更正';
            } else if (!validCredNum("weight", $scope.insuredInfos[i].weight) || typeof $scope.insuredInfos[i].weight == 'undefined' || parseInt($scope.insuredInfos[i].weight)<2 || parseInt($scope.insuredInfos[i].weight)>150) {
                res['status'] = false;
                res['msg'] = '被保人体重填写有误，请更正';
            } else if (typeof $scope.insuredInfos[i].income == "undefined" || $scope.insuredInfos[i].income == null || $scope.insuredInfos[i].income == "0") {
                res['status'] = false;
                res['msg'] = '请选择被保人年收入';
            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;



        //根据校验通过信息再进行试算
        calculate();

        $scope.nextModule = "12";
        $scope.prevModule2 = "8";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        return true;
    }
    //校验第三步
    function checkStep3(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("",$scope.calculateInfo.sumAssured) || $scope.calculateInfo.sumAssuredName=="请选择基本保额") {//选择投保保额
            res['status'] = false;
            res['msg'] = '请选择基本保额';
        } else if (!validCredNum("",$scope.calculateInfo.chargePeriod)|| $scope.calculateInfo.chargePeriodIndex == null|| $scope.calculateInfo.chargePeriodName=="请选择" ||$scope.calculateInfo.chargePeriodName=="请选择交费期间") {//选择交费方式
            res['status'] = false;
            res['msg'] = '请选择交费期间';
        } else if (!validCredNum("",$scope.renewalInfo.bankCode)) {//缴费银行
            res['status'] = false;
            res['msg'] = '请选择续保缴费银行';
        } else if ((!validCredNum("", $scope.renewalInfo.addressInfo.provinceCode) || !validCredNum("", $scope.renewalInfo.addressInfo.cityCode))) {
            res['status'] = false;
            res['msg'] = '开户行所在地填写有误，请完善';
        } else if (!validCredNum("",$scope.renewalInfo.cardNum)) {//缴费账号
            res['status'] = false;
            res['msg'] = '请填写正确的续期缴费账号';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        var oldBirthday = getCurrentAge($scope.calculateInfo.insuredBirthday,$scope.calculateInfo.insuredStartDate);
        if(oldBirthday>=0 && oldBirthday<=40){
            $scope.minAge3 = 0;
            $scope.maxAge3 = 40;
        }else if(oldBirthday>=41 && oldBirthday<=45){
            $scope.minAge3 = 41;
            $scope.maxAge3 = 45;
        }else if(oldBirthday>=46 && oldBirthday<=50){
            $scope.minAge3 = 46;
            $scope.maxAge3 = 50;
        }else if(oldBirthday>=51 && oldBirthday<=55){
            $scope.minAge3 = 51;
            $scope.maxAge3 = 55;
        }

        if(oldBirthday>=0 && oldBirthday<=50){
            $scope.minAge4 = 0;
            $scope.maxAge4 = 50;
        }else if(oldBirthday>=51 && oldBirthday<=55){
            $scope.minAge4 = 51;
            $scope.maxAge4 = 55;
        }

        $scope.minMaxAge = {};
        $scope.minMaxAge['minAge3'] = $scope.minAge3;
        $scope.minMaxAge['maxAge3'] = $scope.maxAge3;
        $scope.minMaxAge['minAge4'] = $scope.minAge4;
        $scope.minMaxAge['maxAge4'] = $scope.maxAge4;

        localStorage.setItem("minMaxAge",JSON.stringify($scope.minMaxAge));

        $scope.prevModule3 = "12";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        $scope.nextModule = "16";
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "16";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        //$scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
