function pro990011($scope, event, service) {
    var init = function () {
        //$scope.calculateAmt = 10;
        $scope.showAgeRange ="28天-55周岁";
        $scope.showJobRange = "限购一份";//职业类别范围描述
        $scope.showMoney1 = "5万";//年度保障金额
        $scope.showMoney2 = "25万";//终身保障额度
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "一次交清";
        $scope.coveragePeriod = "5";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.coveragePeriodName = "1年";//保障期间描述
        $scope.coveragePeriodIndex = "1";
        $scope.insuredMaxValue = 1;//保障期间最大值
        $scope.productBaseInfo.minLAAge=28;
        $scope.productBaseInfo.minInsuredAgeUnit="2";
        $scope.productBaseInfo.maxLAAge = 55;
        $scope.productBaseInfo.maxInsuredAgeUnit="1"
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.benefitLevel= "1";//默认保障计划1;展示保障责任
        $scope.benefitLevelName="基础款";
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        var ageInfo = {};
        ageInfo.minAgeUnit = "1";
        ageInfo.minAge = "9";
        $scope.insuredBirthday = $scope.insuredBirthday?$scope.insuredBirthday:new Date(new Date(getBirthdayByAgeInfo(ageInfo,$scope.insuredStartDate)).getTime()-2*86400000);

        // thday($scope.insuredBirthday);

        initCalculateInfo();
        if($scope.calculateInfo.insuredSex==undefined){
            $scope.calculateInfo.insuredSex="F";
        }
        calculate();

        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            //获取保险计划
            $scope.getPlanList();
            $scope.benefitLevelName=$scope.planList[$scope.calculateInfo.benefitLevel-1].name;//默认保障计划1
            //获取保障责任
            $scope.savePlanInfo();
        }
    };

    var changeBirthday = function(birthday,unit){
        var age = getCurrentAge($scope.insuredBirthday,$scope.insuredStartDate);
        if(getDaysFromBirth($scope.insuredBirthday,$scope.insuredStartDate) < 28 || age > 55){
            $scope.dialogTip("被保人年龄需为28天-55周岁");
            return;
        }
        calculate();
    }

    // //选择的日期转化年龄，并判断赋值价格
    // var thday = function (birthday) {
    //     var age = getCurrentAge(birthday,$scope.insuredStartDate);
    //     if((age*365) < 28 || age > 60){
    //             $scope.dialogTip("被保人年龄需为28天-60周岁");
    //     }
    // };

    $scope.coveragePeriodChecked = function(value){
        $scope.calculateInfo.coveragePeriodIndex = value;
        $scope.calculateInfo.coveragePeriodName = $scope.coveragePeriodList[value].name;
        $scope.calculateInfo.coveragePeriod = $scope.coveragePeriodList[value].maxCoverageUnit;
        $scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodList[value].maxCoverage;
        calculate();
    };
    $scope.selectSex1 = function (val) {
        $scope.calculateInfo.insuredSex = val;
        calculate();
    };
    //保存计划信息
    $scope.savePlanInfo = function(benefitLevel){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.calculateInfo.benefitLevel-1].benefitLiab;
    }
    //修改保障计划
    $scope.changePlan = function(){
        calculate();
    }
    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1,3");//处理投保人证件类型
        //$scope.insuredCertiTypeList = getSpecCredList("1,2,3,9,16");//处理被保人证件类型
    }
    $scope.getCoverageList = function(){};

    //获取保障计划列表
    $scope.getPlanList = function(){
        $scope.planList = [];
        $scope.planList.push({"value":"1","name":"基础款"});
        $scope.planList.push({"value":"2","name":"普通款"});
        $scope.planList.push({"value":"3","name":"豪华款"});
        $scope.planList.push({"value":"4","name":"土豪款"});
    }

    //选择保险计划
    $scope.planChecked = function(code){
        //$scope.planBox = false;
        if($scope.calculateInfo) {
            $scope.calculateInfo.benefitLevel = code;
            $scope.calculateInfo.benefitLevelName = $scope.planList[code-1].name;
        }
        if(code == 1){
            $scope.showMoney1 = "5万";//年度保障金额
            $scope.showMoney2 = "25万";//终身保障额度
        }else if(code == 2){
            $scope.showMoney1 = "10万";//年度保障金额
            $scope.showMoney2 = "50万";//终身保障额度
        }else if(code == 3){
            $scope.showMoney1 = "15万";//年度保障金额
            $scope.showMoney2 = "75万";//终身保障额度
        }else if(code == 4){
            $scope.showMoney1 = "20万";//年度保障金额
            $scope.showMoney2 = "100万";//终身保障额度
        }
        $scope.changePlan(code);
    };


    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":formatDate10(new Date($scope.calculateInfo.insuredBirthday)),
            "insuredStartDate":formatDate10(new Date($scope.calculateInfo.insuredStartDate)),
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }
        var valide = true;
        if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!$scope.calculateInfo.benefitLevel){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        //console.info("试算条件---",$scope.calculateInfo.insuredBirthday,$scope.calculateInfo.chargePeriod,$scope.calculateInfo.chargePeriodValue,$scope.calculateInfo.coveragePeriod,$scope.calculateInfo.coveragePeriodValue,$scope.calculateInfo.benefitLevel,valide);

        return valide;
    }
//根据选择条件进行试算
    //type 1 试算 2 投保
    var calculate = function () {
        if(!productCalculateValid()){
            return;
        }
        //费率
        var rate1;
        var rate2;
        switch ($scope.calculateInfo.benefitLevel){
            case "1":
                rate1=5;
                rate2=0.85;
                break;
            case "2":
                rate1=10;
                rate2=0.6;
                break;
            case "3":
                rate1=15;
                rate2=0.6;
                break;
            case "4":
                rate1=20;
                rate2=0.6;
                break;
            default:
                return;
        };
        var age = getCurrentAge($scope.insuredBirthday,$scope.insuredStartDate);//获取出生日期年龄
        console.log(age);
        age=new Date($scope.insuredBirthday).getMonth()==new Date($scope.insuredStartDate).getMonth()&&(new Date($scope.insuredBirthday).getDate()==new Date().getDate()||new Date($scope.insuredBirthday).getDate()==new Date($scope.insuredStartDate).getDate())?age-1:age;
        $scope.calculateAmt = rate2*$scope.productData[$scope.calculateInfo.insuredSex=="M"?1:0][age];
        $scope.calculateAmt=parseInt($scope.calculateAmt*10)/10;
        $scope.calculateAmt=$scope.calculateAmt*rate1;
        $scope.calculateAmt=$scope.calculateAmt%1>=0.5?parseInt($scope.calculateAmt)+0.5:parseInt($scope.calculateAmt);
        $scope.calculateAmt = $scope.calculateAmt.toFixed(2);
        $scope.saveCalculateInfo();
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        $scope.savePlanInfo();
    };


    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        if(calculateAge(params)){//年龄合法试算
            $scope.calculateInfo.insuredBirthday = params.birthday;
            calculate();
            return true;
        }else{//不合法不试算
            return false;
        }
    }

    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }
    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.calculateAmt=$scope.calculateInfo.calculateAmt?$scope.calculateInfo.calculateAmt:$scope.calculateAmt;
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodIndex = $scope.calculateInfo.coveragePeriodIndex?$scope.calculateInfo.coveragePeriodIndex:$scope.coveragePeriodIndex;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
            $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
        }else{
            $scope.calculateInfo = {};
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        //$scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
        $scope.calculateInfo.coveragePeriod = "2";
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
    }
    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(1);
        var insuredStartEndDate =  addmulDate(insuredStartBeginDate, 30);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }

    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }else if(type == 'insured'){
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1,3");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-'
                + $scope.holderInfo.addressInfo.countyName +"-"+ $scope.holderInfo.addressInfo.detailAddress;

        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.certiType = "1";  //默认选中身份证
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }
        }
        if(optType!="showInfo") {
            $scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
            }
        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,3");//处理被保人证件类型
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].certiType = $scope.insuredInfos[i].certiType==null?"1":$scope.insuredInfos[i].certiType;
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                $scope.insuredBirthday = formatDate10($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo"){
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                }
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].certiType = "1";  //默认选中身份证
            $scope.insuredInfos[0].validAgeFlag = true;
            $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
        }

    }


    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }
    //扩展信息
    function initExtraInfo(){
        $scope.extraInfo = $scope.productGetItem('extraInfo');
    }
    //初始第二步信息
    function initStep2(){
        console.info("......各自投保人信息.....");
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第三步信息
    function initStep3(){
        console.info("......各自被保人信息.....");

        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        $scope.initCertiType();
        initHolderInfo();
        $scope.holderInfo = $scope.productGetItem('holderInfo');//获取投保人的数据
        initInsuredInfo();
        if($scope.holderInfo.certiType == '1' && $scope.insuredInfos[0].relationship == '1'){//如果投保人类型是本人
            $scope.insuredInfos[0].disableCertificate = false;
        }
    }
    //初始第一步信息
    function initStep1(){
        console.info("......各自投保计划信息.....");
        $scope.getPlanList();//获取计划信息
        $scope.getCoverageList($scope.insuredBirthday);//初始化保障年期
        // $scope.getCoveragePeriodList();
        initProductBaseInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        //处理页面展示日期格式
        //$scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        //initExtraInfo();//扩展信息
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        $scope.productSetItem('calculateInfo', $scope.calculateInfo);
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        calculate();
        $scope.showPlanInfo.content.splice(4,3);
        //initExtraInfo();//扩展信息
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，" +
            "同意<a ng-click=\"goToShow(2)\">《投保声明》</a>"+
            "并如实做出<a ng-click=\"goToShow(4)\">《健康告知》</a>。";
    }
    //校验第二步
    function checkStep2(){
        console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        }  else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0") {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(3))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;

        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }
        }

        $scope.nextModule = "18";
        $scope.prevModule2 = "12";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        return true;
    }
    //校验第三步
    function checkStep3(){
        console.info("验证表单2信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!$scope.insuredInfos[i].validAgeFlag) {
                res['status'] = false;
                res['msg'] = '被保人年龄无效，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if(!checkSpouseSex($scope.insuredInfos[i].relationship,$scope.holderInfo.holderSex,$scope.insuredInfos[i].insuredSex)){
                res['status'] = false;
                res['msg'] = '被保人性别与投被保人关系不符，请更正';
            } else if ($scope.insuredInfos[i].insuredMobile!=undefined && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if ((!validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode))){
                // || !validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode)|| !validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) || !validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '请选择投保人常住地址';
            }
            // else if($scope.insuredInfos[i].addressInfo.detailAddress.length<5){
            //     res['status'] = false;
            //     res['msg'] = '投保人详细地址填写有误，请完善';
            // }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }

        }
        //TODO--加表单验证--结束
        //$scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;
        calculate();
        $scope.nextModule = "13";
        $scope.prevModule3 = "18";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        return true;
    }
    //校验第一步
    function checkStep1(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        /*if (!validCredNum("",$scope.calculateInfo.benefitLevel)) {//保险期间
         res['status'] = false;
         res['msg'] = '请选择保险计划';
         }*/
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.prevModule1 = "18";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "12";
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "13";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        //$scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }

    //获取年龄选择返回
    $scope.getEnableAgeList = function(){
        $scope.enableAgeList = [];
        $scope.enableAgeList.push({value:"1",name:"28天-60周岁",minAge:"30",minAgeUnit:"1",maxAge:"18",maxAgeUnit:"1"});
    }


    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        //$scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}

