define(['app'],function (app) {
    app.register.controller('insureClauseCtrl', ['$scope','$stateParams','backFactory',function($scope,$stateParams,backFactory){
        //改变页面的<title>
        $scope.appTitle = '产品条款';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("goBackShow", true);
        $scope.$emit("saveShow", false);
        $scope.isRightIconShow = false;
        $scope.detailShow = false;
        $scope.$emit("stepNum", '');//返回详情页  广播
        $scope.showDetail = function (num) {
            if($scope.detailShow != num){
                $scope.detailShow = num;
            }else{
                $scope.detailShow = false;
            }
        };
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            function scrollInsureClauseFun() {
                var obj = document.getElementById('dataCont');
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
            scrollInsureClauseFun();
        });
        /*--------------------------头部返回start--------------------------*/
        //因为是浏览器、微信、App都会调用此页面
        var appBack = backFactory.getter();//App存储backFactory
        if (typeof appBack['productInsureClause'] != 'undefined'&& appBack['productInsureClause'] != '')
        {
            var backUrl = appBack['productInsureClause'];
            $scope.$emit("adbBack","index.html#"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        else{
            //不是APP,从localstorage读取
            var localBack = localStorage.getItem("productInsureClause");
            $scope.$emit("adbBack","index.html#"+localBack,"2");
        }
        /*--------------------------头部返回end--------------------------*/
    }]);
});