define(['app'],function (app) {
    app.register.controller('payResultCtrl', ['$scope','$stateParams','$location',"$window","adbService","$timeout",function($scope,$stateParams,$location,$window,adbService,$timeout){
        //改变页面的<title>
        $scope.appTitle = '产品条款';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.resultState = '';
        $scope.$emit("homeShow", true);
        $scope.$emit("goBackShow", false);
        $scope.$emit("titleName", '支付完成');
        $scope.remark = {};//同步通知备注信息
        //跳转到订单详情页
        /*$scope.orderDetail = function () {
            location.href = '#/productOrderDetailR';
        };*/
        //滚动销售消息
        function noticeInfo(){
            console.info($scope.shareInfo)
            var params = {
                "actionCode":"newOrder",
                "name":$scope.shareInfo.brokerName,
                "productId":$scope.shareInfo.productId,
                "productName":$scope.shareInfo.productName
            };
            adbService.getResult(
                {

                },
                $scope.setService("I101000",params),
                function (json) {
                },
                function (err) {
                }
            );
        }
        function getInsureInfo(){
            adbService.getResult(
                {

                },
                $scope.setService("I181021",{"busiOrderId": $scope.busiOrderId}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.shareInfo = json.data.share;
                        //系统滚动消息
                        noticeInfo();
                    }
                    if(json.header.istatus == '2'){
                        $scope.dialogTip("未查询到该订单详情,请稍后重试");
                    }
                },
                function (err) {
                }
            );
        }
        function init()//初始化信息
        {
            $scope.resultObj = getUrlParams($location.url());//获取链接参数对象
            $scope.resultState = $scope.resultObj.tradeStatus;
            if($scope.resultObj.busiOrderId){
                $scope.busiOrderId = $scope.resultObj.busiOrderId;
                $scope.resultState = $scope.resultObj.tradeStatus;
            }else{//众安收银台
                $scope.busiOrderId = $scope.resultObj.out_trade_no;
                if($scope.resultObj.pay_result=="S")
                    $scope.resultState = "10";
                else
                    $scope.resultState = "11";
            }

            if($scope.resultObj.shopNonce){//获取同步通知备注信息
                try{
                    $scope.remark = JSON.parse(decodeURIComponent($scope.resultObj.shopNonce))
                }catch (err){
                    $scope.remark = {};
                }
            }
            //console.info($scope.remark.source)
            if($scope.remark.source == "wolaibao"){//我来保车险没有二次分享，故不用再获取待分享信息

            }else {
                getInsureInfo();
            }
            //原生清空缓存--因为有众安web收银台
            if($scope.isNativeApp()=="IOS")
                $scope.gotoApp("jsPaySuccess","");
        }

        init();
        //查看订单详情
        $scope.orderDetail = function(){
            $scope.setBackFactory('productOrderDetail');

            var regId = "";
            var broker;
            if(typeof localStorage.getItem('broker_in_session') != "undefined")
            {
                broker = JSON.parse(localStorage.getItem('broker_in_session'));
            }
            if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                regId = broker['regId'];

            $scope.eventAttributes('productOrderDetail',JSON.stringify({productId:$scope.shareInfo.productId,tel:regId}));//购买成功后查看订单次数埋点

            if($scope.remark.source == "wolaibao"){
                location.href = "#/autoPolicyDetailR/" + $scope.busiOrderId;
            }else {
                location.href = "#/productOrderDetailR/" + $scope.busiOrderId + "?from=payResult";
            }
        };

        var sharing = false;//分享中
        $scope.productShare = function () {
            //产品分享
            if(!sharing) {
                sharing = true;//标识在分享中

                var approvedLevel = JSON.parse(localStorage.getItem('broker_in_session')).approvedLevel;
                var activeNum = '1';//阻止重复调用原生方法
                if (typeof approvedLevel=="undefined" || approvedLevel) {
                    if (typeof approvedLevel=="undefined" || approvedLevel == '1') {
                        var title = '您还未认证';
                        var dialogConfirmStatus = true;
                    } else if (approvedLevel == '4') {
                        var title = '认证中';
                        var dialogConfirmStatus = true;
                    } else if (approvedLevel == '5') {
                        var title = '认证失败';
                        var dialogConfirmStatus = true;
                    }
                    if(dialogConfirmStatus){
                        $scope.dialogConfirm("", title, "取消", "认证", "event_approvedLevel");
                        $scope.$on("event_approvedLevel", function (event, msg) {
                            if(activeNum == '1'){
                                $scope.gotoApp('ADBRealInfoAuth');
                                activeNum ++ ;
                            }
                        });
                    }
                    if(approvedLevel == '2' || approvedLevel == '3'){
                        var tailfContent = "您的家庭财务风险顾问"+($scope.shareInfo.brokerName||"")+"至诚推荐，点击一下！";
                        var shareTitle = "";
                        var shareContent = "";
                        //中意境外旅游全球三五特殊处理
                        if($scope.shareInfo.productId=="100302"){
                            shareTitle = $scope.shareInfo.shareTitle.split("|")[$scope.shareInfo.benefitLevel-1];
                            shareContent = $scope.shareInfo.shareContent.split("|")[$scope.shareInfo.benefitLevel-1];
                        }else{
                            shareTitle = $scope.shareInfo.shareTitle;
                            shareContent = $scope.shareInfo.shareContent;
                        }

                        var shareArr = {
                            "imgUrl":$scope.shareInfo.imgUrl,
                            "shareUrl": _globalOption.shareHost+"/adb/shareWx.html?goUrl="+encodeURIComponent("#/productR/productDetailOnlineR/"+$scope.shareInfo.productId+'?'
                            +'shareCode='+encodeURIComponent($scope.shareInfo.shareCode)+"&submitChlId="+$scope.shareInfo.submitChlId+"&saleChlId="
                            +$scope.shareInfo.saleChlId+"&brokerName="+encodeURIComponent($scope.shareInfo.brokerName)+"&randTime="+new Date().getTime()),
                            "title": shareTitle,//产品名称
                            "description":shareContent+tailfContent//分享信息描述
                        };

                        var regId = "";
                        var broker;
                        if(typeof localStorage.getItem('broker_in_session') != "undefined")
                        {
                            broker = JSON.parse(localStorage.getItem('broker_in_session'));
                        }
                        if(typeof broker != "undefined" && broker && typeof broker['regId'] != "undefined" && broker['regId'])
                            regId = broker['regId'];
                        $scope.eventAttributes('productShare',JSON.stringify({productId:$scope.shareInfo.productId,tel:regId}));//产品分享次数埋点

                        if(typeof $scope.shareInfo.shareCode == "undefined" || !$scope.shareInfo.shareCode)
                        {
                            $scope.dialogRes("分享异常，请联系客服");
                            return;
                        }

                        $scope.$emit("goShare", shareArr);
                        $scope.showShareBox(true);
                    }
                }

                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );

            }

        };

        ////产品分享
        //$scope.productShare = function(){
        //    //var tailfContent = "您的专业保险经纪人-"+$scope.shareInfo.brokerName||""+"，用心为您找到一款适合您的产品，马上点击一下！";
        //    var tailfContent = "您的家庭财务风险顾问"+($scope.shareInfo.brokerName||"")+"至诚推荐，点击一下！";
        //    var shareTitle = "";
        //    var shareContent = "";
        //    //中意境外旅游全球三五特殊处理
        //    if($scope.shareInfo.productId=="100302"){
        //        shareTitle = $scope.shareInfo.shareTitle.split("|")[$scope.benefitLevel-1];
        //        shareContent = $scope.shareInfo.shareContent.split("|")[$scope.benefitLevel-1];
        //    }else{
        //        shareTitle = $scope.shareInfo.shareTitle;
        //        shareContent = $scope.shareInfo.shareContent;
        //    }
        //
        //    var shareArr = {
        //        "imgUrl":_globalOption.host+"/adb/images/logo.png",
        //        "shareUrl": _globalOption.shareHost+"/adb/share.html#/productR/productDetailOnlineR/"+$scope.shareInfo.productId+'?'
        //        +'shareCode='+$scope.shareInfo.shareCode+"&submitChlId="+$scope.shareInfo.submitChlId+"&saleChlId="
        //        +$scope.shareInfo.saleChlId+"&brokerName="+$scope.shareInfo.brokerName,
        //        "title": shareTitle,//产品名称
        //        "description":shareContent+tailfContent//分享信息描述
        //    };
        //    //console.info($scope.shareInfo,shareTitle,shareArr.description)
        //    $scope.$emit("goShare",shareArr);
        //    $scope.showShareBox(true);
        //
        //}
    }]);
});