define(['app'],function (app) {
    app.register.controller('payResultCtrl', ['$scope','$stateParams','$location',"$window","adbService","$timeout","backFactory",function($scope,$stateParams,$location,$window,adbService,$timeout,backFactory){
        //改变页面的<title>
        $scope.appTitle = '投保完成';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.resultState = '';
        $scope.$emit("homeShow", false);
        $scope.$emit("goBackShow", false);

        function init()//初始化信息
        {
            $scope.resultObj = getUrlParams($location.url());//获取链接参数对象
        }

        init();

        //前往保单关系
        $scope.goGuaranteeManage = function(){

        };

        //前往主页
        $scope.goHomePage = function(){
            $scope.goHome();
        };

        //返回修改
        $scope.goBackEdit = function(){
            var appBack = backFactory.getter();
            if (typeof appBack['productFillInfoOfflineR'] != 'undefined' && appBack['productFillInfoOfflineR'] != '') {
                var backUrl = appBack['productFillInfoOfflineR'];
                $scope.$emit("adbBack", "index.html#" + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            }
            else {
                var localBack = localStorage.getItem("productFillInfoOfflineUrl");
                $scope.$emit("adbBack", "index.html#" + localBack, "2");
                localStorage.removeItem("productFillInfoOfflineUrl")
            }
        };
    }]);
});