'use strict';
define(['app'], function (app) {

    app.register.controller('downloadTopCtrl', ['$scope', '$stateParams','$state','adbService','$location',function ($scope, $stateParams,$state,adbService,$location) {
        $scope.goToBack = function () {
            var res = $scope.gotoApp('PopNative');
            if (!res) {
                $location.path('homeR');
            }
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            if ($scope.isNative) $scope.isNative = true;
            //$scope.authed = !$scope.isNative;
        }
    }]);
    app.register.controller('downloadCtrl', ['$scope', '$stateParams','$state','adbService',function ($scope, $stateParams,$state,adbService) {
        //改变页面的<title>
        $scope.appTitle = '';
        $scope.$emit("titleName", $scope.appTitle);

        function init()//初始化信息
        {

            $scope.authed = true;
            var broker = localStorage.getItem('broker_in_session');
            if(!broker || broker == 'undefined' || broker == 'false')
            {
                $scope.authed = false;
            }



            if($scope.authed)
            {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }

        }
        init();


        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            adbService.getResult(
                {},
                $scope.setService("I110701", {}),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.totalNumber = json.data.data.totalBrokers;//总保险人数
                        $scope.totalAmount = json.data.data.totalPremByAiDuoBao;//总承保金额
                    }
                },
                function (err) {
                }
            )
        });

        $scope.goAndroidDown = function(){
            $scope.dialogTip("敬请期待！");
        };
    }]);
});