'use strict';
define(['app'], function (app) {

    app.register.controller('homeNoLoginCtrl', ['$scope', '$stateParams','$state','backFactory','adbService',function ($scope, $stateParams,$state,backFactory,adbService) {
        //改变页面的<title>
        $scope.appTitle = '爱多保';
        $scope.$emit("titleName", $scope.appTitle);

        function init()//初始化信息
        {
            backFactory.setter({});//清除所有返回数据
        }
        init();

        var loadNum = 1;
        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            if (loadNum==1){
                getTotal();//获得总经纪人数和总佣金发放
                loadNum++;
            }

        });
        //获得总经纪人数和总佣金发放
        function getTotal(){
            //post给后台的参数
            var params = {
            };
            adbService.getResult(
                {},
                $scope.setService('I110701',params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.total=json.data.data;

                    }


                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }

        //跳转登录页
        $scope.goLogin = function(){
            $state.go("loginR");
        };

        //跳转到注册页
        $scope.goRegister = function(){
            $state.go("registerR");
        };




    }]);
});