var circleIndexRouter = {   //我的圈子首页
    url:'circleIndexR',
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/circle/index/view.html',
            controller: 'circleIndexCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/index/css/index.css',"circleIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/index/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'circleIndexTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/index/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        ////for "ui-view='sideslip"
        //'sideSlip@adb':{
        //    templateUrl: 'module/common/views/sideslip.html'
        //}
    }
}
var circleAllowanceRouter = {  //圈子收益
    url:'/circleAllowanceR/:month',
    views:{
        '':{
            templateUrl: 'module/circle/circleAllowance/view.html',
            controller: 'circleAllowanceCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/circleAllowance/css/circleAllowance.css',"circleAllowance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/circleAllowance/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var circleUserRouter = {   //圈子人员明细
    url:'circleUserListR',
    views:{
        '':{
            templateUrl: 'module/circle/circleUserList/view.html',
            controller: 'circleUserListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/circleUserList/css/circleUserList.css',"circleUserList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/circleUserList/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }
    }
}
var teamAllowanceRouter = {   //团队收益明细
    url:'teamAllowanceR/:month',
    views:{
        '':{
            templateUrl: 'module/circle/teamAllowance/view.html',
            controller: 'teamAllowanceCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/teamAllowance/css/teamAllowance.css',"teamAllowance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/teamAllowance/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'teamAllowanceTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/teamAllowance/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
    }
}
var teamUserListRouter = { //团队人员明细
    url:'teamUserListR',
    views:{
        '':{
            templateUrl: 'module/circle/teamUserList/view.html',
            controller: 'teamUserListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/teamUserList/css/teamUserList.css',"teamUserList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/teamUserList/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var investorRouter = {   //投资合伙人
    url:'investorR',
    views:{
        '':{
            templateUrl: 'module/circle/investor/view.html',
            controller: 'investorCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/investor/css/investor.css',"investor");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/investor/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var investorAllowanceRouter = {   //业绩明细
    url:'investorAllowanceR/:month',
    views:{
        '':{
            templateUrl: 'module/circle/investorAllowance/view.html',
            controller: 'investorAllowanceCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/investorAllowance/css/investorAllowance.css',"investorAllowance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/investorAllowance/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var investorUserListRouter = {   //人员明细
    url:'investorUserListR',
    views:{
        '':{
            templateUrl: 'module/circle/investorUserList/view.html',
            controller: 'investorUserListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/investorUserList/css/investorUserList.css',"investorUserList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/investorUserList/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var buildCircleRouter = {  //建圈子
    url:'buildCircleR',
    views:{
        '':{
            templateUrl: 'module/circle/buildCircle/view.html',
            controller: 'buildCircleCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/buildCircle/css/buildCircle.css',"buildCircle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/buildCircle/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'buildCircleTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/buildCircle/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var inviteFriendRouter = { //邀请好友
    url:'inviteFriendR',
    views:{
        '':{
            templateUrl: 'module/circle/inviteFriend/view.html',
            controller: 'inviteFriendCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/inviteFriend/css/inviteFriend.css',"inviteFriend");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/inviteFriend/js/controller',
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }
    }
}
var wechatRegisterGuideRouter = {  //邀请注册引导页面
    url:'/wechatRegisterGuideR',
    views:{
        '':{
            templateUrl: 'module/circle/wechatRegister/guide.html',
            controller: 'wechatRegisterCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/wechatRegister/css/wechatRegister.css',"wechatRegister");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/wechatRegister/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
}
var wechatRegisterRouter = {  //邀请注册页面
    url:'/wechatRegisterR',
    views:{
        '':{
            templateUrl: 'module/circle/wechatRegister/view.html',
            controller: 'wechatRegisterCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/circle/wechatRegister/css/wechatRegister.css',"wechatRegister");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/circle/wechatRegister/js/controller',
                        //'js/libs/endeCode',
                        //'js/sha'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        // for "ui-view='dialog'"
        'dialog@wechatRegisterR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
}

var shopIndexRouter={//个人店铺
    url:"/shopIndexR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/index/view.html',
            controller: 'shopIndexCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/index/css/index.css',"shopIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/index/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@shopIndexR':{
            templateUrl: 'module/common/views/topLeftUCRed.html'
        },
        'sideSlip@shopIndexR':{
            templateUrl: 'module/common/views/sideslip.html'
        },
        'share@shopIndexR':{
            templateUrl: 'module/shop/preview/share.html'
        }
    }

};
var shopSetTemplateRouter={//个人店铺设置模板,storeId店铺ID,template 模板
    url:"shopSetTemplateR/:template/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/setTemplate/view.html',
            controller: 'shopSetTemplateCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/setTemplate/css/setTemplate.css',"shopSetTemplate");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/setTemplate/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }

};
var shopPreviewRouter={//店铺预览,storeId店铺ID
    url:"/shopPreviewR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/preview/view.html',
            controller: 'shopPreviewCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/preview/css/shopPreview.css',"shopPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/preview/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@shopPreviewR':{
            templateUrl: 'module/common/views/topTransparent.html',
            controller: 'appTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/preview/js/appTopCtrl'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }

        },
        'share@shopPreviewR':{
            templateUrl: 'module/shop/preview/share.html'
        }
    }

};
var shopEditRouter={//店铺信息编辑
    url:"shopEditR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/edit/list.html',
            controller: 'shopEditCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/edit/css/list.css',"shopEdit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/listController'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopEditTypeRouter={//店铺编辑-各个项编辑修改
    url:"shopEditTypeR/:type",//1-名称修改,2-简介修改,3-公告修改,4-标签修改
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/edit/edit.html',
            controller: 'shopEditTypeCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/edit/css/edit.css',"shopEditType");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/editController'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },

        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'appTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/appTopCtrl'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopManageRouter={//店铺产品列表
    url:"shopManageR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/manage/view.html',
            controller: 'shopManageCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/manage/css/manage.css',"shopManage");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/manage/js/controller',
                        'js/directive/mainDirectives'

                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }



};
var shopAddProductRouter={//店铺管理-添加产品
    url:"shopAddProductR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/add/view.html',
            controller: 'shopAddProductCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/add/css/add.css',"shopAddProduct");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/add/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'appTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/edit/js/appTopCtrl'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopShareRouter={//微信中客户看到的店铺首页
    url:"shopShareR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/share/view.html',
            controller: 'shopShareCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/preview/css/shopPreview.css',"shopPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/share/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var shopListRouter={//微信中查看的产品列表
    url:"/shopListR/:template/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/list/view.html',
            controller: 'shopListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/list/css/list.css',"shopList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/list/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@shopListR': {
            templateUrl: 'module/shop/list/appTop.html'
        }
    }

};
var ContactSellerRouter = {   //联系卖家
    url:"ContactSellerR/:storeId",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/shop/ContactSeller/view.html',
            controller: 'ContactSellerCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/shop/ContactSeller/css/ContactSeller.css',"ContactSeller");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/shop/ContactSeller/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        },
    }
}
var customerIndexRouter={//客户首页
    url:"customerIndexR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/index/view.html',
            controller: 'customerIndexCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/index/css/index.css',"customerIndex");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/index/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        //for "ui-view='sideslip"
        'sideSlip@adb':{
            templateUrl: 'module/common/views/sideslip.html'
        },
        'share@adb': {
            templateUrl: 'module/common/views/addcustomers.html'
        }
    }

};
var customerDetailRouter={//客户详情
    url:"customerDetailR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/detail/view.html',
            controller: 'customerDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/detail/css/detail.css',"customerDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/detail/js/controller',
                        'module/customers/js/factory',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerAddRouter={//客户添加
    url:"customerAddR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/add/view.html',
            controller: 'customerAddCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/add/css/add.css',"customerAdd");
                    loadCss('js/libs/dateTime/mobiscroll.css',"mobiscroll");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/add/js/controller',
                        //'js/libs/idCardValid',
                        'js/directive/mainDirectives',
                        'js/directive/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        }
    }

};
var customerBirthdayRemindRouter={//客户生日提醒
    url:"customerBirthdayRemindR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/birthdayRemind/view.html',
            controller: 'customerBirthdayRemindCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/birthdayRemind/css/customerBirthdayRemind.css',"customerBirthdayRemind");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/birthdayRemind/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerInsuranceRemindRouter={//客户保单提醒
    url:"customerInsuranceRemindR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceRemind/view.html',
            controller: 'customerInsuranceRemindCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceRemind/css/customerInsuranceRemind.css',"customerInsuranceRemind");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceRemind/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerPortrayalRouter={//客户画像
    url:"customerPortrayalR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/portrayal/view.html',
            controller: 'customerPortrayalCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/portrayal/css/customerPortrayal.css',"customerPortrayal");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/portrayal/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'customerPortrayalTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/portrayal/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }

        }
    }

};
var customerSendGiftRouter={//客户送祝福
    url:"customerSendGiftR/:cid/:tid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/sendGift/view.html',
            controller: 'customerSendGiftCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/sendGift/css/customerSendGift.css',"customerSendGift");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/sendGift/js/controller',
                        'module/customers/sendGift/js/sendGiftConfig',
                        'js/directive/mainDirectives'

                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerSendGiftTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/sendGift/js/controller'

                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }

        }
    }

};
var customerInsuranceRemindDetailRouter={//客户保单提醒详情
    url:"customerInsuranceRemindDetailR/:cid/:Gid",   //cid客户ID  提醒ID
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceRemindDetail/view.html',
            controller: 'customerInsuranceRemindDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceRemindDetail/css/customerInsuranceRemindDetail.css',"customerInsuranceRemindDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceRemindDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/customers/insuranceRemindDetail/appTop.html',
            controller: 'customerInsuranceRemindDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceRemindDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }

    }

};
var customerEditRouter={//客户资料编辑
    url:"customerEditR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/edit/view.html',
            controller: 'customerEditCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/edit/css/customerEdit.css',"customerEdit");
                    loadCss('js/libs/dateTime/mobiscroll.css',"mobiscroll");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/edit/js/controller',
                        'js/directive/mainDirectives',
                        'js/directive/selectDirective',
                        'js/libs/iscroll',
                        'module/customers/js/factory'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerRelationsListRouter={//客户家庭关系列表
    url:"customerRelationsListR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/relationsList/view.html',
            controller: 'customerRelationsListCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/relationsList/css/customerRelationsList.css',"customerRelationsList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/relationsList/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerCardInfoRouter={//客户车辆信息
    url:"customerCardInfoR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/cardInfo/view.html',
            controller: 'customerCardInfoCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/cardInfo/css/customerCardInfo.css',"customerCardInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/cardInfo/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerRelationAddRouter={//客户家庭关系添加
    url:"customerRelationAddR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/relationAdd/view.html',
            controller: 'customerRelationAddCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/relationAdd/css/customerRelationAdd.css',"customerRelationAdd");
                    loadCss('js/libs/dateTime/mobiscroll.css',"mobiscroll");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/relationAdd/js/controller',
                        //'js/libs/idCardValid',
                        'js/directive/mainDirectives',
                        'js/directive/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var customerRelationEditRouter={//客户家庭关系编辑,cid-客户id,rid-关系id
    url:"customerRelationEditR/:cid/:rid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/relationEdit/view.html',
            controller: 'customerRelationEditCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/relationEdit/css/customerRelationEdit.css',"customerRelationEdit");
                    loadCss('js/libs/dateTime/mobiscroll.css',"mobiscroll");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/relationEdit/js/controller',
                        //'js/libs/idCardValid',
                        'js/directive/mainDirectives',
                        'js/directive/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        }
    }

};
var customerInsuranceDetailRouter={//客户保单详情,cid-客户id,oid-保单id
    url:"customerInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/view.html',
            controller: 'customerInsuranceDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceDetail/css/customerInsuranceDetail.css',"customerInsuranceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var carInsuranceDetailRouter={//客户保单详情,cid-客户id,oid-保单id
    url:"carInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/car/view.html',
            controller: 'carInsuranceDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/autoInsurance/policyDetail/css/policyDetail.css', "autoPolicyDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/car/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var manuallyInsuranceDetailRouter={//客户手工录入保单详情,cid-客户id,oid-保单id
    url:"manuallyInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/manually/view.html',
            controller: 'manuallyInsuranceDetailCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceDetail/css/customerInsuranceDetail.css',"customerInsuranceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/manually/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var photoInsuranceDetailRouter={//客户拍照保单详情,cid-客户id,oid-保单id
    url:"photoInsuranceDetailR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceDetail/photo/view.html',
            controller: 'photoInsuranceDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceDetail/css/customerInsuranceDetail.css',"customerInsuranceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/photo/js/controller',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var pictureInfoRouter={//客户拍照保单影像资料,cid-客户id,oid-保单id
    url:"pictureInfoR/:cid/:oid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/pictureInfo/view.html',
            controller: 'pictureInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/pictureInfo/css/pictureInfo.css',"pictureInfo");
                    loadCss('module/customers/pictureInfo/css/photoswipe.css',"photoSwipe");
                    loadCss('module/customers/pictureInfo/css/default-skin.css',"defaultSkin");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/pictureInfo/js/controller',
                        'module/customers/pictureInfo/js/photoswipe.min',
                        'module/customers/pictureInfo/js/photoswipe-ui-default.min'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'customerInsuranceDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceDetail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }

};
var customerInsuranceAddRouter={//客户保单添加,cid-客户id
    url:"customerInsuranceAddR/:cid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/insuranceAdd/view.html',
            controller: 'customerInsuranceAddCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/insuranceAdd/css/customerInsuranceAdd.css',"customerInsuranceAdd");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/insuranceAdd/js/controller',
                        //'js/libs/idCardValid',
                        'js/factory/factory',
                        'module/customers/js/factory',
                        'module/userCenter/js/factory'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html'
        }
        //'adbTop@adb': {
        //templateUrl: 'module/customers/index/appTop.html',
        //controller: 'appTopCtrl',
        //resolve: {
        //loadCtrl: ["$q", function($q) {
        //var deferred = $q.defer();
        ////异步加载controller／directive/filter/service
        //require([
        //'module/common/js/controller.js'
        //], function() { deferred.resolve(); });
        //return deferred.promise;
        //}]
        //}
        //}
    }

};
var searchRouter={//搜索，module-模块名称
    url:"searchR/:moudle",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/integration/search/view.html',
            controller: 'searchCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/search/css/search.css',"search");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/search/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@searchR':{
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var templateRouter = {   //分享贺卡模板,tid-模板id
    url:"/templateR/:tid",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/customers/template/view.html',
            controller: 'templateCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/customers/template/css/template.css',"template");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/customers/template/js/controller',
                        'module/customers/sendGift/js/sendGiftConfig'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@templateR':{
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var homeNoLoginRouter = {
    url: "/homeNoLoginR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/noLogin/view.html',
            controller: 'homeNoLoginCtrl',
            //css:'css/index.css',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/noLogin/css/noLogin.css', "homeNoLogin");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/noLogin/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var homeRouter = {
    url: "/homeR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/view.html',
            controller: 'homeCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/css/home.css', "home");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@homeR': {
            templateUrl: 'module/home/topLeftUC.html'
        },
        'sideSlip@homeR': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'dialog@homeR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
var registerRouter = {
    url: "/registerR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/register/view.html',
            controller: 'registerCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/register/css/register.css', "register");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/register/js/controller',
                        //'js/libs/endeCode',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@registerR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@registerR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
var registerProtocolRouter = {
    url: "/registerProtocolR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/register/protocol.html',
            controller: 'registerProtocolCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/register/css/register.css', "register");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/register/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@registerProtocolR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }
};
var loginRouter = {
    url: "/loginR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/login/view.html',
            controller: 'loginCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/login/css/login.css', "login");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/login/js/controller',
                        //'js/libs/endeCode',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@loginR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'adbTop@loginR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }

};
var forgetPasswordRouter = {
    url: "/forgetPasswordR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/forgetPassword/view.html',
            controller: 'forgetPasswordCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/forgetPassword/css/forgetPassword.css', "forgetPassword");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/forgetPassword/js/controller',
                        'module/loginRegister/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@forgetPasswordR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@forgetPasswordR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
var resetPasswordRouter = {
    url: "/resetPasswordR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/resetPassword/view.html',
            controller: 'resetPasswordCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/resetPassword/css/resetPassword.css', "resetPassword");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/resetPassword/js/controller',
                        //'js/libs/endeCode',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@resetPasswordR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@resetPasswordR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
var wxBindRouter = {
    url: "/wxBindR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/loginRegister/wxBind/view.html',
            controller: 'wxBindCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/loginRegister/register/css/register.css', "register");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/loginRegister/wxBind/js/controller',
                        //'js/libs/endeCode',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@wxBindR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'dialog@wxBindR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
var userCenterRouter = {
    url: "/userCenterR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/userCenter.html',
            controller: 'userCenterCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/css/userCenter.css', "userCenter");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var userInfoRouter = {
    url: "userInfoR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/userInfo/view.html',
            controller: 'userInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/userInfo/css/userInfo.css', "userInfo");
                    loadCss('js/libs/dateTime/mobiscroll.css',"mobiscroll");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/userInfo/js/controller',
                        'js/directive/selectDirective',
                        'js/libs/iscroll',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'provinceDialog@adb.customerAddR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        }

    }

};
var editNameRouter = {
    url: "editNameR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/editName/view.html',
            controller: 'editNameCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/editName/css/editName.css', "editName");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/editName/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var certificationRouter = {
    url: "certificationR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/certification/view.html',
            controller: 'certificationCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/certification/css/certification.css', "certification");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/certification/js/controller',
                        //'js/libs/idCardValid'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var statusVerificationRouter = {
    url: "statusVerificationR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/statusVerification/view.html',
            controller: 'statusVerificationCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/statusVerification/css/statusVerification.css', "statusVerification");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/statusVerification/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var statusVerificationResRouter = {
    url: "statusVerificationResR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/statusVerificationRes/view.html',
            controller: 'statusVerificationResCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/statusVerificationRes/css/statusVerificationRes.css', "statusVerificationRes");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/statusVerificationRes/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var myAddressRouter = {
    url: "myAddressR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myAddress/view.html',
            controller: 'myAddressCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myAddress/css/myAddress.css', "myAddress");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myAddress/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var verifyOriginalPhoneRouter = {
    url: "verifyOriginalPhoneR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/verifyOriginalPhone/view.html',
            controller: 'verifyOriginalPhoneCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/verifyOriginalPhone/css/verifyOriginalPhone.css', "verifyOriginalPhone");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/verifyOriginalPhone/js/controller',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var verifyNewPhoneRouter = {
    url: "verifyNewPhoneR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/verifyNewPhone/view.html',
            controller: 'verifyNewPhoneCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/verifyNewPhone/css/verifyNewPhone.css', "verifyNewPhone");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/verifyNewPhone/js/controller',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var myCardRouter = {
    url: "myCardR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myCard/view.html',
            controller: 'myCardCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myCard/css/myCard.css', "myCard");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myCard/js/controller',
                        'js/factory/factory',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        }
    }

};
var cardPreviewRouter = {
    url: "cardPreviewR/:regId",
    //url:"cardPreviewR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/cardPreview/view.html',
            controller: 'cardPreviewCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/cardPreview/css/cardPreview.css', "cardPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/cardPreview/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        },
        'share@adb':{
            templateUrl: 'module/common/views/share.html'
        }
    }
};
var companyListRouter = {
    url: "companyListR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/companyList/view.html',
            controller: 'companyListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/companyList/css/companyList.css', "companyList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/companyList/js/controller',
                        'js/factory/factory',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var companyAllListRouter = {
    url: "companyAllListR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/companyAllList/view.html',
            controller: 'companyAllListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/customers/index/css/index.css',"customerIndex");
                    loadCss('module/userCenter/companyAllList/css/companyAllList.css', "companyAllList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/companyAllList/js/controller',
                        'js/directive/mainDirectives',
                        'js/factory/factory',
                        'module/customers/js/factory',
                        'module/userCenter/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var myJobRouter = {
    url: "myJobR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myJob/view.html',
            controller: 'myJobCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myJob/css/myJob.css', "myJob");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myJob/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var myOrderRouter = {
    url: "myOrderR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/view.html',
            controller: 'myOrderCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/css/myOrder.css', "myOrder");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var productOrderDetailRouter = {
    url: "productOrderDetailR/:oid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/productOrderDetail/view.html',
            controller: 'productOrderDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/productOrderDetail/css/productOrderDetail.css', "productOrderDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderDetail/js/controller',
                        'js/filter/myfilter',
                        'js/productConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'productOrderDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderDetail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var productOrderLineDownRouter = {
    url: "productOrderLineDownR/:oid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/productOrderLineDown/view.html',
            controller: 'productOrderLineDownCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/productOrderLineDown/css/productOrderLineDown.css', "productOrderLineDown");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderLineDown/js/controller',
                        'js/filter/myfilter',
                        'js/productConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'productOrderLineDownTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderLineDown/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
}

//线下产品订单详情
var productOrderOfflineRouter = {
    url: "productOrderOfflineR/:oid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/productOrderOffline/view.html',
            controller: 'productOrderOfflineCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/productOrderOffline/css/productOrderOffline.css', "productOrderOffline");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderOffline/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'productOrderOfflineCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productOrderOffline/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
}
//查看电子投保单
var productElectronicPolicyRouter = {
    url: "productElectronicPolicyR/:oid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/productElectronicPolicy/view.html',
            controller: 'productElectronicPolicyCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/productElectronicPolicy/css/productElectronicPolicy.css', "productElectronicPolicy");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productElectronicPolicy/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'productElectronicPolicyHeadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/productElectronicPolicy/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
}

var carOrderDetailRouter = {
    url: "carOrderDetailR/:cardId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myOrder/carOrderDetail/view.html',
            controller: 'carOrderDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myOrder/carOrderDetail/css/carOrderDetail.css', "carOrderDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myOrder/carOrderDetail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var myFavoriteRouter = {
    url: "myFavoriteR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myFavorite/view.html',
            controller: 'myFavoriteCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myFavorite/css/myFavorite.css', "myFavorite");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myFavorite/js/controller',
                        'js/directive/mainDirectives',
                        'module/common/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'recommendProList@adb.myFavoriteR':{
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }

};
var myFavoriteArticleRouter = {
    url: "myFavoriteArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/myFavoriteArticle/view.html',
            controller: 'myFavoriteArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/myFavoriteArticle/css/myFavoriteArticle.css', "myFavoriteArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/myFavoriteArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var setRouter = {
    url: "setR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/view.html',
            controller: 'setCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/css/set.css', "set");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        }
    }

};
var aboutUsRouter = {
    url: "aboutUsR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/aboutUs/view.html',
            controller: 'aboutUsCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/aboutUs/css/aboutUs.css', "aboutUs");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/aboutUs/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var contactUsRouter = {
    url: "contactUsR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/contactUs/view.html',
            controller: 'contactUsCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/contactUs/css/contactUs.css', "contactUs");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/contactUs/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var functionIntroduceRouter = {
    url: "/functionIntroduceR",
    resolve: {
        loadCtrl: ["$q", function ($q) {
            loadCss('module/userCenter/set/functionIntroduce/css/functionIntroduce.css', "functionIntroduce");
            var deferred = $q.defer();
            //异步加载controller／directive/filter/service
            require([
                'module/userCenter/set/functionIntroduce/js/controller',
                'js/directive/mainDirectives'
            ], function () {
                deferred.resolve();
            });
            return deferred.promise;
        }]
    },
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/functionIntroduce/view.html',
            controller: 'functionIntroduceCtrl'
        },
        'adbTop@functionIntroduceR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'topToHomeCtrl'
        }
    }

};
var updatedVersionRouter = {
    url: "updatedVersionR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/updatedVersion/view.html',
            controller: 'updatedVersionCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/updatedVersion/css/updatedVersion.css', "updatedVersion");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/updatedVersion/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'updatedVersionTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/updatedVersion/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var updatePwdRouter = {
    url: "updatePwdR/:stepId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/set/updatePwd/view.html',
            controller: 'updatePwdCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/set/updatePwd/css/updatePwd.css', "updatePwd");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/set/updatePwd/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'updatePwdIndex@adb.updatePwdR': {
            templateUrl: function ($stateParams) {
                return 'module/userCenter/set/updatePwd/views/' + $stateParams.stepId + '.html';
            }
        }
    }

};
var specialPowerRouter = {
    url: "specialPowerR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/specialPower/view.html',
            controller: 'specialPowerCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/specialPower/css/specialPower.css', "specialPower");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/specialPower/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'specialPowerTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/specialPower/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var claimsServiceRouter = {
    url: "/claimsServiceR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/claimsService/view.html',
            controller: 'claimsServiceCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/claimsService/css/claimsService.css', "claimsService");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsService/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@claimsServiceR': {
            templateUrl: 'module/userCenter/claimsService/adbTop.html',
            controller: 'claimsServiceTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsService/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var claimsCompanyRouter = {
    url: "claimsCompanyR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/claimsInfo/company.html',
            controller: 'claimsCompanyCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/claimsInfo/css/claimsInfo.css', "claimsInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var claimsInfoRouter = {
    url: "/claimsInfoR/:cid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/userCenter/claimsInfo/view.html',
            controller: 'claimsInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/userCenter/claimsInfo/css/claimsInfo.css', "claimsInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/userCenter/claimsInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@claimsInfoR': {
            templateUrl: 'module/common/views/topTransparent.html'
        }
    }

};
var exhibitionRouter = {
    url: "exhibitionR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/exhibition/view.html',
            controller: 'exhibitionCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/exhibition/css/exhibition.css', "exhibition");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/exhibition/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'recommendProList@adb.exhibitionR': {
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};
var familyAnalysisListRouter = {
    url: "/familyAnalysisListR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/list/view.html',
            controller: 'familyAnalysisListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/familyAnalysis/list/css/list.css', "familyAnalysisList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/list/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'familyAnalysisTop@familyAnalysisListR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisListR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var familyAnalysisCustomInfoRouter = {
    url: "/familyAnalysisCustomInfoR",
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/customInfo/view.html',
            controller: 'familyAnalysisCustomInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/customInfo/css/customInfo.css', "familyAnalysisCustomInfo");
                    loadCss('module/integration/association/css/association.css', "association");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/customInfo/js/controller',
                        'module/familyAnalysis/js/factory',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'module/integration/association/js/controller'//关联客户controller
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisCustomInfoR': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'association@familyAnalysisCustomInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        },//关联客户路由
        'dialog@familyAnalysisCustomInfoR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var familyAnalysisAddMemberRouter = {
    url: "/familyAnalysisAddMemberR",
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/addMember/view.html',
            controller: 'familyAnalysisAddMemberCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/addMember/css/addMember.css', "familyAnalysisAddMember");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/addMember/js/controller',
                        'module/familyAnalysis//js/factory',
                        'module/familyAnalysis//js/familyConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisAddMemberR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisAddMemberR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var familyAnalysisEditMemberRouter = {
    url: "/familyAnalysisEditMemberR/:fid",
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/editMember/view.html',
            controller: 'familyAnalysisEditMemberCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/editMember/css/editMember.css', "familyAnalysisEditMember");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/editMember/js/controller',
                        'module/familyAnalysis/js/factory',
                        'module/familyAnalysis/js/familyConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisEditMemberR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisEditMemberR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var familyAnalysisInfoRouter = {
    url: "/familyAnalysisInfoR",//id-0,添加，其余编辑
    views: {
        '': {
            templateUrl: 'module/familyAnalysis/info/view.html',
            controller: 'familyAnalysisInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    loadCss('module/familyAnalysis/info/css/info.css', "familyAnalysisInfo");

                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/info/js/controller',
                        'module/familyAnalysis/js/factory',
                        'module/familyAnalysis/js/familyConfig',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }

        },
        'familyAnalysisTop@familyAnalysisInfoR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisInfoR': {
            templateUrl: 'module/common/views/dialog.html'
        }

    }
};
var familyAnalysisInputRouter = {
    url: "/familyAnalysisInputR/:fid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/input/view.html',
            controller: 'familyAnalysisInputCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/familyAnalysis/input/css/input.css', "familyAnalysisInput");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/input/js/controller',
                        'module/familyAnalysis/js/factory',
                        'module/familyAnalysis/js/familyConfig'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'familyAnalysisTop@familyAnalysisInputR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller',
                        'module/familyAnalysis/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisInputR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var familyAnalysisResultRouter = {
    url: "/familyAnalysisResultR/:fid",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/familyAnalysis/result/view.html',
            controller: 'familyAnalysisResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    //加载css文件，并做标记（标记一定要唯一）
                    loadCss('module/familyAnalysis/result/css/result.css', "familyAnalysisResult");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/result/js/controller',
                        'module/familyAnalysis/js/factory',
                        'js/directive/drag',
                        'module/familyAnalysis/js/familyDirectives'
                    ], function (ec) {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'familyAnalysisTop@familyAnalysisResultR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'familyAnalysisTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/familyAnalysis/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@familyAnalysisResultR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'share@familyAnalysisResultR': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};

var promoteRouter = {
    url: "promoteR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/index/view.html',
            controller: 'promoteCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/index/css/promoteIndex.css', "promoteIndex");
                    loadCss('css/swiper.min.css', "swiperCss");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/index/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/promote/index/head.html'
        },
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }
};
var promoteBooksRouter = {
    url: "promoteBooksR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/books/view.html',
            controller: 'promoteBooksCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/books/css/promoteBooks.css', "promoteBooks");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/books/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        //'adbTop@adb':{
        //    templateUrl: 'module/promote/books/head.html'
        //},
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }
};
var booksPreviewRouter = {
    url: "/booksPreviewR/:bookId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/booksPreview/view.html',
            controller: 'booksPreviewCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/booksPreview/css/booksPreview.css', "booksPreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/booksPreview/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@booksPreviewR': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'booksPreviewTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/common/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var promoteArticleRouter = {
    url: "promoteArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/article/view.html',
            controller: 'promoteArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/article/css/promoteArticle.css', "promoteArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/article/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var articlePreviewRouter = {
    url: "/articlePreviewR/:essayID",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/articlePreview/view.html',
            controller: 'articlePreviewCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/articlePreview/css/articlePreview.css', "articlePreview");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/articlePreview/js/controller',
                        'js/filter/myfilter',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@articlePreviewR': {
            templateUrl: 'module/promote/common/head.html',
            //controller: 'articlePreviewTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/common/css/header.css', "promoteHeader");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/articlePreview/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@articlePreviewR': {
            templateUrl: 'module/common/views/share.html'
        },
        'dialog@articlePreviewR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var publishArticleRouter = {
    url: "publishArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/publishArticle/view.html',
            controller: 'publishArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/publishArticle/css/publishArticle.css', "publishArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/publishArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var publishNoArticleRouter = {
    url: "publishNoArticleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/promote/publishArticle/noArticle.html',
            controller: 'publishNoArticleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/promote/publishArticle/css/publishNoArticle.css', "publishNoArticle");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/publishArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'publishNoArticleTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/promote/publishArticle/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var performanceRouter = {
    url: "performanceR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/index/view.html',
            controller: 'performanceCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/index/css/index.css', "performance");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/index/js/controller',
                        'module/performance/index/js/factory',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@adb': {
            templateUrl: 'module/common/views/sideslip.html'
        }

    }
};
var getTaskRouter = {
    url: "getTaskR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/getTask/view.html',
            controller: 'getTaskCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/getTask/css/getTask.css', "getTask");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/getTask/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'getTaskTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/getTask/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var taskRuleRouter = {
    url: "/taskRuleR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/taskRule/view.html',
            controller: 'taskRuleCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/taskRule/css/taskRule.css', "taskRule");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/taskRule/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@taskRuleR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }
};
var promotionExpensesRouter = {
    url: "promotionExpensesR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/promotionExpenses/view.html',
            controller: 'promotionExpensesCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/promotionExpenses/css/promotionExpenses.css', "promotionExpenses");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/promotionExpenses/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'promotionExpensesTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/promotionExpenses/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var promotionByPersonalRouter = {
    url: "promotionByPersonalR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/promotionByPersonal/view.html',
            controller: 'promotionByPersonalCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/promotionByPersonal/css/promotionByPersonal.css', "promotionByPersonal");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/promotionByPersonal/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'recommendProList@adb.promotionByPersonalR': {
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};
var performanceDetailRouter = {
    url: "performanceDetailR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/detail/view.html',
            controller: 'performanceDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/detail/css/detail.css', "performanceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/detail/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'recommendProList@adb.performanceDetailR': {
            templateUrl: 'module/common/views/recommendProList.html'
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'performanceDetailTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/detail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var performanceDetailAllRouter = {
    url: "performanceDetailAllR/:monthId",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/performance/detail/view2.html',
            controller: 'performanceDetailAllCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {

                    //加载css文件，并做标记（标记一定要唯一，建议使用路由名称）
                    loadCss('module/performance/detail/css/detail.css', "performanceDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/performance/detail/js/controller2',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'recommendProList@adb.performanceDetailAllR': {
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};
var downloadRouter = {
    url: "/downloadR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/download/view.html',
            controller: 'downloadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/download/css/download.css', "download");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@downloadR': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'downloadTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@downloadR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
var wxDownloadRouter = {
    url: "/wxDownloadR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/home/download/wxDownload.html',
            controller: 'wxDownloadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/home/download/css/download.css', "download");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/wxController'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@downloadR': {
            templateUrl: 'module/common/views/adbTopRed.html',
            controller: 'downloadTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/home/download/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@downloadR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};
/*var backToSchoolRouter = {
    url: "/backToSchoolR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/backToSchool/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@backToSchoolR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@backToSchoolR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

}
var hegemonyRouter = {
    url: "/hegemonyR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hegemony/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@hegemonyR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@hegemonyR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
var hegemonyRankRouter = {
    url: "/hegemonyRankR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hegemony/rank.html',
            controller: 'hegemonyRankCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/hegemony/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var hundredRegimentsRouter = {
    url: "/hundredRegimentsR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hundredRegiments/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@hundredRegimentsR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@hundredRegimentsR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
var hundredRegimentsRankRouter = {
    url: "/hundredRegimentsRankR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/hundredRegiments/rank.html',
            controller: 'hundredRegimentsRankCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/hundredRegiments/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};

var midAutumnRouter = {
    url: "/midAutumnR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/midAutumn/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@midAutumnR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@midAutumnR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};

var nationalDayRouter = {
    url: "/nationalDayR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/nationalDay/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@nationalDayR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@nationalDayR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
var redEnvelopeRouter = {
    url: "/redEnvelopeR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/redEnvelope/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@redEnvelopeR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@redEnvelopeR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
var redEnvelopeDetailRouter = {
    url: "/redEnvelopeDetailR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/redEnvelope/detail.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@redEnvelopeDetailR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@redEnvelopeDetailR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};*/
var harvestSeasonRouter = {
    url: "/harvestSeasonR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/harvestSeason/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@harvestSeasonR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'sideSlip@harvestSeasonR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};
var wheelSurfRouter = {
    url: "/wheelSurfR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/wheelSurf/view.html',
            controller: 'wheelSurfCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/wheelSurf/css/wheelSurf.css', "wheelSurf");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/wheelSurf/js/controller',
                        'module/activity/wheelSurf/js/awardRotate'

                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@wheelSurfR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'sideSlip@wheelSurfR': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'share@wheelSurfR': {
            templateUrl: 'module/common/views/share.html'
        }
    }

};
var wheelSurfDownloadRouter = {
    url: "/wheelSurfDownloadR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/wheelSurf/download.html',
            controller: 'wheelSurfDownloadCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/wheelSurf/css/wheelSurf.css', "wheelSurf");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/wheelSurf/js/controller',
                        'module/activity/wheelSurf/js/awardRotate'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }

};
var planBookRouter = {
    url: "/",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/planBook/view.html',
            controller: 'planBookCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/common/css/adbTop.css', "planBookAdbTop");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@planBook': {
            templateUrl: 'module/planBook/common/adbTop.html'
        },
        'dialog@planBook': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'share@planBook': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
var planBookListRouter = {
    url: "planBookListR",
    views: {
        '': {
            templateUrl: 'module/planBook/list/view.html',
            controller: 'planBookListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/list/css/list.css', "planBookList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/list/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@planBook': {
            templateUrl: 'module/planBook/common/adbTop.html',
            controller: 'planBookListTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/list/js/controller',
                        'js/directive/mainDirectives',  //本地directive
                        'js/directive/drag',  //拖拽
                        'module/planBook/js/common' //common配置文件
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var planBookMyRecordRouter = {
    url: "planBookMyRecordR/:customerId",
    views: {
        '': {
            templateUrl: 'module/planBook/myRecord/view.html',
            controller: 'planBookMyRecordCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/myRecord/css/myRecord.css', "planBookMyRecord");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/myRecord/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'module/planBook/js/common'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var planBookDemonstrationRouter = {
    url: "planBookDemonstrationR",
    views: {
        '': {
            templateUrl: 'module/planBook/demonstration/view.html',
            controller: 'planBookDemonstrationCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/demonstration/css/demonstration.css', "planBookDemonstration");
                    loadCss('module/integration/association/css/association.css', "association");
                    loadCss('js/libs/dateTime/mobiscroll.css','mobiscroll');
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/demonstration/js/controller', //计划书controller
                        'module/planBook/demonstration/js/planBooksSelectInsur', //添加主险js
                        'module/planBook/js/trial', //添加试算js
                        'js/directive/mainDirectives',  //本地directive
                        'js/directive/drag',  //拖拽
                        'module/integration/association/js/controller', //选择关联客户
                        'module/planBook/js/common', //common配置文件
                        'module/planBook/js/ruleForMakePlan', //计划书规则页
                        'module/planBook/js/mild', //计划书轻症疾病列表
                        'module/planBook/js/severe', //计划书重症疾病列表
                        'module/planBook/js/showRuleData', //计划书
                        'module/planBook/js/showRule' //计划书
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'association@planBook.planBookDemonstrationR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};
var planBookResultRouter = {
    url: "planBookResultR/:planId",
    views: {
        '': {
            templateUrl: 'module/planBook/result/view.html',
            controller: 'planBookResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/planBook/result/css/result.css', "planBookResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/planBook/result/js/controller',
                        'js/directive/mainDirectives',  //本地directive
                        'js/directive/drag',  //拖拽
                        'module/planBook/js/mild', //计划书轻症疾病列表
                        'module/planBook/js/severe' //计划书重症疾病列表
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var proCompareCategoryRouter = {
    url: "proCompareCategoryR",
    views: {
        '': {
            templateUrl: 'module/proCompare/category/view.html',
            controller: 'proCompareCategoryCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/category/css/category.css', "proCompareCategory");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/category/js/controller',
                        'module/proCompare/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var proCompareListRouter = {
    url: "proCompareListR",
    views: {
        '': {
            templateUrl: 'module/proCompare/list/view.html',
            controller: 'proCompareListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/list/css/list.css', "proCompareList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/list/js/controller',
                        'module/proCompare/js/factory'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var proCompareResultRouter = {
    url: "proCompareResultR/:classId/:pid/:pid1",
    views: {
        '': {
            templateUrl: 'module/proCompare/result/view.html',
            controller: 'proCompareResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/result/css/result.css', "proCompareResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'proCompareResultTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
var proCompareShareRouter = {
    url: "proCompareShareR/:classId/:pid/:pid1/:uid",//classid-分类id，pid，pid1-产品id,cid,客户id
    views: {
        '': {
            templateUrl: 'module/proCompare/result/view.html',
            controller: 'proCompareResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/proCompare/result/css/result.css', "proCompareResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'proCompareResultTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/proCompare/result/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var productRouter = {
    url: "/productR",
    abstract: true, // 抽象状态，不会对应到url上
    views: {
        '': {
            templateUrl: 'module/product/view.html',
            controller: 'productCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/css/product.css', "product");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/js/controller',
                        'js/productConfig',
                        'js/filter/myfilter'
                        //'libs/idCardValid',
                        //'city'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@productR': {
            templateUrl: 'module/product/header.html'
        },
        'dialog@productR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'share@productR': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
var makeMoneyRouter = {
    url: "/makeMoneyR",
    views: {
        '': {
            templateUrl: 'module/makeMoney/view.html',
            controller: 'makeMoneyCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/makeMoney/css/makeMoney.css', "productMakeMoney");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/makeMoney/js/controller',
                        'module/common/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@productR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@productR': {
            templateUrl: 'module/common/views/sideslip.html'
        },
        'recommendProList@productR.makeMoneyR':{
            templateUrl: 'module/common/views/recommendProList.html'
        }
    }
};
var productListRouter = {
    url: "/productListR",
    views: {
        '': {
            templateUrl: 'module/product/list/view.html',
            controller: 'productListCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/list/css/productList.css', "productList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/list/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@productR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }
};
var productDetailOnlineRouter = {
    url: "/productDetailOnlineR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/detailOnline/view.html',
            controller: 'productDetailOnlineCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/detailOnline/css/productDetailOnline.css', "productDetailOnline");
                    loadCss('module/product/detailOnline/css/productDetailOnlineHead.css', "productDetailOnlineHead");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/detailOnline/js/controller',
                        //'js/service/anchorSmoothScroll',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'detailContent@productR.productDetailOnlineR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOnline/views/' + $stateParams.productId + '/detail.html';
            }
        },
        'header@productR': {
            templateUrl: 'module/product/detailOnline/header.html',
            controller: 'productDetailOnlineTopCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/detailOnline/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@productR.productDetailOnlineR': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
var productFillInfoRouter = {
    url: "/productFillInfoR/:productId/:stepId",
    views: {
        '': {
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css', "productFillInfo");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/controller',
                        'js/directive/mainDirectives',
                        //'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillInfo/views/general/step' + $stateParams.stepId + '.html';
            }
        },
        'association@productR.productFillInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};
var productFillInfoCarRouter = {
    url: "/productFillInfoCarR/:productId/:stepId",
    views: {
        '': {
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoCarCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css', "productFillInfo");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/carController',
                        'js/directive/mainDirectives',
                        //'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoCarR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillInfo/views/car/step' + $stateParams.stepId + '.html';
            }
        },
        'association@productR.productFillInfoCarR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};
var productFillInfoManyRouter = {
    url:"/productFillInfoManyR/:productId/:stepId",
    views:{
        '':{
            templateUrl: 'module/product/fillInfo/view.html',
            controller: 'fillInfoManyCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/product/fillInfo/css/productFillInfo.css',"productFillInfo");
                    loadCss('module/integration/association/css/association.css',"association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfo/js/manyController',
                        'js/directive/mainDirectives',
                        //'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoManyR': {
            templateUrl: function($stateParams){
                return 'module/product/fillInfo/views/many/step'+$stateParams.stepId+'.html';
            }
        },
        'association@productR.productFillInfoManyR':{
            templateUrl: 'module/integration/association/view.html',
            controller:'customersListCtrl'
        }
    }
};
var productFillMessageRouter = {
    url: "/productFillMessageR/:productId/:stepId/:stepModule",
    views: {
        '': {
            templateUrl: 'module/product/fillMessage/view.html',
            controller: 'fillMessageCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillMessage/css/productFillMessage.css', "productFillMessage");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillMessage/js/controller',
                        'js/directive/mainDirectives',
                        //'js/libs/idCardValid',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillMessageR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillMessage/views/step' + $stateParams.stepId + '/step' + $stateParams.stepId + '_'+$stateParams.stepModule+'.html';
            }
        },
        'association@productR.productFillMessageR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};
var productPayResultRouter = {
    url: "/productPayResultR",
    views: {
        '': {
            templateUrl: 'module/product/payResult/view.html',
            controller: 'payResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/payResult/css/payResult.css', "payResult");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/payResult/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var productInsureClauseRouter = {
    url: "/productInsureClauseR/:productPath/:productId",
    views: {
        '': {
            templateUrl: 'module/product/insureClause/view.html',
            controller: 'insureClauseCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/insureClause/css/insureClause.css', "productInsureClause");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/insureClause/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dataCont@productR.productInsureClauseR': {
            templateUrl: function ($stateParams) {
                return 'module/product/' + $stateParams.productPath + '/views/' + $stateParams.productId + '/insureClause.html';
            }
        }
    }
};
var productInsureNoticeRouter = {
    url: "/productInsureNoticeR/:productPath/:productId/:num",
    views: {
        '': {
            templateUrl: 'module/product/insureNotice/view.html',
            controller: 'insureNoticeCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/insureNotice/css/insureNotice.css', "productInsureNotice");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/insureNotice/js/controller',
                        //'js/service/anchorSmoothScroll'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'statementCont@productR.productInsureNoticeR': {
            templateUrl: function ($stateParams) {
                return 'module/product/' + $stateParams.productPath + '/views/' + $stateParams.productId + '/insureNotice.html';
            }
        }
    }
};
var productHealthNoticeRouter = {
    url: "/productHealthNoticeR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/healthNotice/view.html',
            controller: 'productHealthCtl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/healthNotice/css/productHealthNotice.css', "productHealthNotice");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/healthNotice/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]

            }
        },
        'healthContent@productR.productHealthNoticeR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOnline/views/' + $stateParams.productId + '/healthNotice.html';
            }
        },
        'header@productR.productHealthNoticeR': {
            templateUrl: function ($stateParams) {
                return 'module/product/healthNotice/header.html';
            }
        }
    }
};
var productLargePayRouter = {
    url: "/productLargePayR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/largePay/view.html',
            controller: 'largePayCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/largePay/css/largePay.css', "largePay");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/largePay/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//线下产品详情页面路由
var productDetailOfflineRouter = {
    url: "/productDetailOfflineR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/detailOffline/view.html',
            controller: 'productDetailOfflineCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/detailOffline/css/productDetailOffline.css', "productDetailOffline");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/detailOffline/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'detailContent@productR.productDetailOfflineR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOffline/views/' + $stateParams.productId + '/detail.html';
            }
        },
        /*'header@productR': {
         templateUrl: 'module/product/detailOffline/header.html',
         controller: 'productDetailOfflineTopCtrl',
         resolve: {
         loadCtrl: ["$q", function ($q) {
         var deferred = $q.defer();
         //异步加载controller／directive/filter/service
         require([
         'module/product/detailOffline/js/controller'
         ], function () {
         deferred.resolve();
         });
         return deferred.promise;
         }]
         }
         }*/
    }
};

//线下产品投保结果路由
var productPayResultOfflineRouter = {
    url: "/productPayResultOfflineR",
    views: {
        '': {
            templateUrl: 'module/product/payResultOffline/view.html',
            controller: 'payResultCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/payResultOffline/css/payResultOffline.css', "payResultOffline");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/payResultOffline/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};

//线下产品投保路由
var productFillInfoOfflineRouter = {
    url: "/productFillInfoOfflineR/:companyId/:productId/:stepId/:stepModule",
    views: {
        '': {
            templateUrl: 'module/product/fillInfoOffline/view.html',
            controller: 'fillInfoOfflineCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/fillInfoOffline/css/productFillInfoOffline.css', "productFillInfoOffline");
                    loadCss('module/integration/association/css/association.css', "association");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/fillInfoOffline/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'fillInfoIndex@productR.productFillInfoOfflineR': {
            templateUrl: function ($stateParams) {
                return 'module/product/fillInfoOffline/views/' + $stateParams.companyId + '/step' + $stateParams.stepId + '/step' + $stateParams.stepId + '_'+$stateParams.stepModule+'.html';
            }
        },
        'association@productR.productFillInfoOfflineR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};

//线下产品附加险信息页面
var productAdditionalInfoRouter = {
    url: "/productAdditionalInfoR/:productId",
    views: {
        '': {
            templateUrl: 'module/product/additionalInfo/view.html',
            controller: 'productAdditionalInfoCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/product/additionalInfo/css/productAdditionalInfo.css', "productAdditionalInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/product/additionalInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'additionalContent@productR.productAdditionalInfoR': {
            templateUrl: function ($stateParams) {
                return 'module/product/detailOffline/views/' + $stateParams.productId + '/additionalInfo.html';
            }
        }
    }
};


var autoInquiriesRouter = {
    url: 'autoInquiriesR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/inquiries/view.html',
            controller: 'autoInquiriesCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/inquiries/css/inquiries.css', "autoInquiries");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/inquiries/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'autoInquiriesTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/inquiries/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var autoOwnerInfoRouter = {
    url: 'autoOwnerInfoR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/ownerInfo/view.html',
            controller: 'autoOwnerInfoCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/ownerInfo/css/ownerInfo.css', "autoOwnerInfo");
                    loadCss('module/integration/association/css/association.css', "association")
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/ownerInfo/js/controller',
                        //'js/libs/idCardValid',
                        'module/integration/association/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'association@adb.autoOwnerInfoR': {
            templateUrl: 'module/integration/association/view.html',
            controller: 'customersListCtrl'
        }
    }
};
var autoVehicleInfoRouter = {
    url: 'autoVehicleInfoR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/vehicleInfo/view.html',
            controller: 'autoVehicleInfoCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {

                    loadCss('module/autoInsurance/vehicleInfo/css/vehicleInfo.css', "autoVehicleInfo");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/vehicleInfo/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var autoSelectModelRouter = {
    url: 'autoSelectModelR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/selectModel/view.html',
            controller: 'autoSelectModelCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {

                    loadCss('module/autoInsurance/selectModel/css/selectModel.css', "autoSelectModel");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/selectModel/js/controller',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var autoInsurancePlanRouter = {
    url: 'autoInsurancePlanR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/insurancePlan/view.html',
            controller: 'autoInsurancePlanCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {

                    loadCss('module/autoInsurance/insurancePlan/css/insurancePlan.css', "autoInsurancePlan");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/insurancePlan/js/controller',
                        'module/autoInsurance/insurancePlan/js/data_items'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var autoSelectCompanyRouter = {
    url: 'autoSelectCompanyR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/selectCompany/view.html',
            controller: 'autoSelectCompanyCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/selectCompany/css/selectCompany.css', "autoSelectCompany");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/selectCompany/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var autoSubmitOkRouter = {
    url: 'autoSubmitOkR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/submitOk/view.html',
            controller: 'submitOkCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/submitOk/css/submitOk.css', "autoSubmitOk");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/submitOk/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }

    }
};
var autoInquirySheetRouter = {
    url: 'autoInquirySheetR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/inquirySheet/view.html',
            controller: 'autoInquirySheetCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/inquirySheet/css/inquirySheet.css', "autoInquirySheet");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/inquirySheet/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var autoOfferListRouter = {
    url: 'autoOfferListR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/offerList/view.html',
            controller: 'autoOfferListCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/offerList/css/offerList.css', "autoOfferList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/offerList/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var autoDetailOfferRouter = {
    url: 'autoDetailOfferR/:qNo',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/detailOffer/view.html',
            controller: 'autoDetailOfferCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/detailOffer/css/detailOffer.css', "autoDetailOffer");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/detailOffer/js/controller',
                        'js/filter/myfilter',
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var autoFillOrderRouter = {
    url: 'autoFillOrderR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/fillOrder/view.html',
            controller: 'autoFillOrderCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/fillOrder/css/fillOrder.css', "autoFillOrder");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/fillOrder/js/controller',
                        //'js/libs/idCardValid'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'autoFillOrderTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/fillOrder/js/controller',
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var autoPoliciesRouter = {
    url: 'autoPoliciesR',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/policies/view.html',
            controller: 'autoPoliciesCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/policies/css/policies.css', "autoPolicies");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policies/js/controller',
                        'js/filter/myfilter',
                        'js/directive/mainDirectives'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'autoPoliciesTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policies/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var autoUploadRouter = {
    url: 'autoUploadR/:oid',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/upload/view.html',
            controller: 'autoUploadCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/upload/css/upload.css', "autoUploadR");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/upload/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var autoMessageRouter = {
    url: 'autoMessageR/:oid',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/message/view.html',
            controller: 'autoMessageCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/message/css/message.css', "autoMessageR");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/message/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/adbTopRed.html'
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }
    }
};
var autoPolicyDetailRouter = {
    url: 'autoPolicyDetailR/:oid',
    views: {
        '': {
            templateUrl: 'module/autoInsurance/policyDetail/view.html',
            controller: 'autoPolicyDetailCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/autoInsurance/policyDetail/css/policyDetail.css', "autoPolicyDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policyDetail/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'autoPolicyDetailTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/autoInsurance/policyDetail/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'share@adb': {
            templateUrl: 'module/common/views/share.html'
        }

    }
};
var myWalletRouter = {
    url: 'myWalletR',
    views: {
        '': {
            templateUrl: 'module/myWallet/walletIndex/view.html',
            controller: 'myWalletCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/walletIndex/css/walletIndex.css', "myWallet");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/walletIndex/js/controller',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/myWallet/walletIndex/head.html',
            controller: 'myWalletTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/walletIndex/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var withdrawDepositRouter = {
    url: 'withdrawDepositR',
    views: {
        '': {
            templateUrl: 'module/myWallet/withdraw/view.html',
            controller: 'withdrawDepositCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/withdraw/css/withdraw.css', "withdrawDeposit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdraw/js/withdrawDepositController',
                        //'js/sha',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'withdrawDepositTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdraw/js/withdrawDepositController'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var withdrawConfirmRouter = {
    url: 'withdrawConfirmR',
    views: {
        '': {
            templateUrl: 'module/myWallet/withdraw/confirm.html',
            controller: 'withdrawConfirmCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/withdraw/css/confirm.css', "withdrawConfirm");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdraw/js/withdrawConfirmController',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var myBankCardRouter = {
    url: 'myBankCardR',
    views: {
        '': {
            templateUrl: 'module/myWallet/bankCard/view.html',
            controller: 'myBankCardCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/bankCard/css/my.css', "myBankCard");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/bankCard/js/myBankCardController',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var addBankCardRouter = {
    url: 'addBankCardR/:stepId',
    views: {
        '': {
            templateUrl: 'module/myWallet/bankCard/add.html',
            controller: 'addBankCardCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/bankCard/css/add.css', "addBankCard");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/bankCard/js/addBankCardController',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'addBankCardTopCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/bankCard/js/addBankCardController'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var transDetailRouter = {
    url: '/transDetailR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transDetail/view.html',
            controller: 'transDetailCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transDetail/css/detail.css', "transDetail");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transDetail/js/controller',
                        'module/myWallet/transDetail/js/typeTrans',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'header@transDetailR': {
            templateUrl: 'module/myWallet/transDetail/head.html'
        },
        'dialog@transDetailR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var transPassRouter = {
    url: 'transPassR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/view.html',
            controller: 'transPassCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/pass.css', "transPass");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassController',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var transPassSetRouter = {
    url: 'transPassSetR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/set.html',
            controller: 'transPassSetCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassSetR");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassSetController',
                        //'js/libs/idCardValid',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var transPassEditRouter = {
    url: 'transPassEditR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/edit.html',
            controller: 'transPassEditCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassEdit");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassEditController',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var transPassForgetRouter = {
    url: 'transPassForgetR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/forget.html',
            controller: 'transPassForgetCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassForget");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassForgetController',
                        'module/myWallet/transPass/js/transPassForgetFactory',
                        //'js/libs/idCardValid',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var transPassNewRouter = {
    url: 'transPassNewR',
    views: {
        '': {
            templateUrl: 'module/myWallet/transPass/new.html',
            controller: 'transPassNewCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/transPass/css/set.css', "transPassNew");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/transPass/js/transPassNewController',
                        'module/myWallet/transPass/js/transPassForgetFactory',
                        //'js/sha'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var payStateRouter = {
    url: 'payStateR',
    views: {
        '': {
            templateUrl: 'module/myWallet/payState/view.html',
            controller: 'payStateCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/payState/css/payState.css', "payState");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/payState/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var cardTypeListRouter = {
    url: 'cardTypeListR',
    views: {
        '': {
            templateUrl: 'module/myWallet/cardTypeList/view.html',
            controller: 'cardTypeListCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/cardTypeList/css/cardTypeList.css', "cardTypeList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/cardTypeList/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb': {
            templateUrl: 'module/common/views/topRightHome.html'
        }
    }
};
var withdrawFeeRouter = {
    url: 'withdrawFeeR',
    views: {
        '': {
            templateUrl: 'module/myWallet/withdrawFee/view.html',
            controller: 'withdrawFeeCtrl',
            resolve: {
                loadCtrl: ['$q', function ($q) {
                    loadCss('module/myWallet/withdrawFee/css/withdrawFee.css', "withdrawFee");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/myWallet/withdrawFee/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        }
    }
};
var messageActivityRouter={
    url:"/messageActivityR",
    views:{
        '':{
            templateUrl: 'module/message/activity/view.html',
            controller: 'messageActivityCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/activity/css/activity.css',"messageActivity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/activity/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'messageTop@messageActivityR':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'messageTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/common/js/controller'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var messageSystemRouter={
    url:"/messageSystemR",
    views:{
        '':{
            templateUrl: 'module/message/system/view.html',
            controller: 'messageSystemCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/system/css/system.css',"messageSystem");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/system/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'messageTop@messageSystemR':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'messageTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/common/js/controller'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var messageNoticeRouter={
    url:"/messageNoticeR",
    views:{
        '':{
            templateUrl: 'module/message/notice/view.html',
            controller: 'messageNoticeCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/notice/css/notice.css',"messageNotice");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/notice/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'messageTop@messageNoticeR':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'messageTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/common/js/controller'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var publishByProRouter={
    url:"publishByProR/:parentId",
    views:{
        '':{
            templateUrl: 'module/integration/comments/publishByPro/view.html',
            controller: 'publishByProCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/publishByPro/css/publishByPro.css',"publishByPro");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/publishByPro/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'publishByProTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/publishByPro/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var proCommentListRouter={
    url:"proCommentListR/:pid",
    views:{
        '':{
            templateUrl: 'module/integration/comments/proCommentList/view.html',
            controller: 'proCommentListCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/proCommentList/css/proCommentList.css',"proCommentList");
                    loadCss('module/product/detailOnline/css/productDetailOnline.css',"productDetailOnline");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/proCommentList/js/controller',
                        'module/integration/comments/publish/js/factory',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/integration/comments/proCommentList/header.html',
            controller: 'proCommentListTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/product/detailOnline/css/productDetailOnlineHead.css', "productDetailOnlineHead");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/proCommentList/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var commentListRouter={
    url:"commentListR/:mType/:mid",//mType为文章或者书籍的类型，mid为文章id或者书籍id
    views:{
        '':{
            templateUrl: 'module/integration/comments/list/view.html',
            controller: 'commentListCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/list/css/list.css',"commentList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/list/js/controller',
                        'module/integration/comments/publish/js/factory',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'commentListTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/list/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
var publishCommentRouter={
    url:"/publishCommentR/:mType/:mid/:parentId",//mType为文章或者书籍的类型，mid为文章或者书籍的id,parentId为父级评论的id，默认为0
    views:{
        '':{
            templateUrl: 'module/integration/comments/publish/view.html',
            controller: 'publishCommentCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/publish/css/publish.css',"publishComment");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/publish/js/controller',
                        'module/integration/comments/publish/js/factory'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@publishCommentR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};
var versionsUpdateRouter={
    url:"/versionsUpdateRouterR",
    views:{
        '':{
            templateUrl: 'module/integration/versionsUpdate/view.html',
            controller: 'versionsUpdateCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/versionsUpdate/css/versionsUpdate.css',"versionsUpdate");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/versionsUpdate/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@versionsUpdateR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'adbTop@versionsUpdateR':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'versionsUpdateTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/versionsUpdate/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};

//双十一活动-活动页
var doubleElevenRouter = {
    url: "/doubleElevenR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/doubleEleven/view.html',
            controller: 'activityCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@doubleElevenR': {
            templateUrl: 'module/common/views/topLeftUC.html'
        },
        'sideSlip@doubleElevenR': {
            templateUrl: 'module/common/views/sideslip.html'
        }
    }

};

//双十一活动-领取页
var doubleElevenGetRouter = {
    url: "/doubleElevenGetR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/doubleEleven/get.html',
            controller: 'doubleElevenCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/doubleEleven/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'dialog@doubleElevenGetR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }

};

//致爱多保的一封信
var sendLetterRouter = {
    url: "/sendLetterR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/sendLetter/view.html',
            controller: 'sendLetterCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/sendLetter/css/sendLetter.css', "sendLetter");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/sendLetter/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@sendLetterR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'share@sendLetterR': {
            templateUrl: 'module/common/views/share.html'
        }
    }

};


//感恩节活动-预约返现
var thanksgivingRouter = {
    url: "/thanksgivingR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/thanksgiving/view.html',
            controller: 'thanksgivingCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/thanksgiving/css/thanksgiving.css', "thanksgiving");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/thanksgiving/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@thanksgivingR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'share@thanksgivingR': {
            templateUrl: 'module/common/views/share.html'
        }
    }

};
//感恩节活动-高额返佣
var thanksgivingRebateRouter = {
    url: "/thanksgivingRebateR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/thanksgiving/rebate.html',
            controller: 'thanksgivingRebateCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/thanksgiving/css/thanksgiving.css', "thanksgiving");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/thanksgiving/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@thanksgivingRebateR': {
            templateUrl: 'module/common/views/adbTop.html'
        },
        'share@thanksgivingRebateR': {
            templateUrl: 'module/common/views/share.html'
        }
    }

};
//利宝-暖冬出游
var winterTravelRouter = {
    url: "/winterTravelR",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/winterTravel/view.html',
            controller: 'winterTravelCtrl',
            resolve: {
                loadCtrl: ["$q", function ($q) {
                    loadCss('module/activity/css/activity.css', "activity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/winterTravel/js/controller'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@winterTravelR': {
            templateUrl: 'module/common/views/adbTop.html'
        }
    }

};
//活动页面总入口
var activityRouter = {
    url: "/activityR/:activityName",
    views: {
        // 无名 view
        '': {
            templateUrl: 'module/activity/view.html',
            controller: 'activityAllCtrl',
            resolve: {
                loadCtrl: ["$q","$stateParams", function ($q,$stateParams) {
                    loadCss('module/activity/css/activityAll.css', "activityAll");
                    loadCss('module/activity/'+$stateParams.activityName+'/style.css', "activity"+$stateParams.activityName);
                    loadCss('css/swiper.min.css', "swiper");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/activity/js/activity'
                    ], function () {
                        deferred.resolve();
                    });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@activityR': {
            templateUrl: 'module/activity/activityTop.html'
        },
        'share@activityR': {
            templateUrl: 'module/common/views/share.html'
        }
    }

};


//demo示例
var demoRouter={
    url:"/demoR",
    views:{
        // 无名 view
        '':{
            templateUrl: 'module/demo/view.html',
            controller: 'demoCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/demo/css/demo.css',"demo");
                    loadCss('js/libs/dateTime/mobiscroll.css',"mobiscroll");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/demo/js/controller',
                        'js/directive/mainDirectives',
                        'module/demo/js/selectDirective',
                        'js/libs/iscroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'share@demoR':{
            templateUrl: 'module/common/views/share.html'
        },
        'dialog@demoR':{
            templateUrl: 'module/common/views/dialog.html'
        },
        'provinceDialog@demoR':{
            templateUrl: 'module/common/views/provinceDialog.html'
        },
        'numDialog@demoR':{
            templateUrl: 'module/common/views/numDialog.html'
        }
    }
};