
/*消息主页-活动*/
var messageActivityRouter={
    url:"/messageActivityR",
    views:{
        '':{
            templateUrl: 'module/message/activity/view.html',
            controller: 'messageActivityCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/activity/css/activity.css',"messageActivity");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/activity/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'messageTop@messageActivityR':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'messageTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/common/js/controller'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*消息主页-系统*/
var messageSystemRouter={
    url:"/messageSystemR",
    views:{
        '':{
            templateUrl: 'module/message/system/view.html',
            controller: 'messageSystemCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/system/css/system.css',"messageSystem");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/system/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'messageTop@messageSystemR':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'messageTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/common/js/controller'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
/*消息主页-通知*/
var messageNoticeRouter={
    url:"/messageNoticeR",
    views:{
        '':{
            templateUrl: 'module/message/notice/view.html',
            controller: 'messageNoticeCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/notice/css/notice.css',"messageNotice");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/notice/js/controller',
                        'js/directive/drag',
                        'js/directive/mainDirectives',
                        'js/filter/myfilter',
                        'js/service/anchorSmoothScroll'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'messageTop@messageNoticeR':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'messageTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/common/js/controller'
                    ], function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
/*消息主页-活动详情*/
var messageDetailRouter={
    url:"messageDetailR",
    views:{
        '':{
            templateUrl: 'module/message/detail/view.html',
            controller: 'messageDetailCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/message/detail/css/detail.css',"planBookList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/message/detail/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};
/*发表评论（从订单列表进入）*/

var publishByProRouter={
    url:"publishByProR/:parentId",
    views:{
        '':{
            templateUrl: 'module/integration/comments/publishByPro/view.html',
            controller: 'publishByProCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/publishByPro/css/publishByPro.css',"publishByPro");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/publishByPro/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'publishByProTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/publishByPro/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*评论列表（从产品详情页面查看）*/

var proCommentListRouter={
    url:"proCommentListR/:pid",
    views:{
        '':{
            templateUrl: 'module/integration/comments/proCommentList/view.html',
            controller: 'proCommentListCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    //loadCss('module/integration/comments/proCommentList/css/proCommentList.css',"proCommentList");
                    loadCss('module/product/detailOnline/css/productDetailOnline.css',"productDetailOnline");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/proCommentList/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/integration/comments/proCommentList/header.html',
            controller: 'proCommentListTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/product/detailOnline/css/productDetailOnlineHead.css', "productDetailOnlineHead");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/proCommentList/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*文章书籍评论列表*/

var commentListRouter={
    url:"commentListR/:mType/:mid",//mType为文章或者书籍的类型，mid为文章id或者书籍id
    views:{
        '':{
            templateUrl: 'module/integration/comments/list/view.html',
            controller: 'commentListCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/list/css/list.css',"commentList");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/list/js/controller',
                        'js/directive/mainDirectives'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'adbTop@adb':{
            templateUrl: 'module/common/views/adbTop.html',
            controller: 'commentListTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/list/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};

/*文章书籍发表评论*/
var publishCommentRouter={
    url:"/publishCommentR/:mType/:mid/:parentId",//mType为文章或者书籍的类型，mid为文章或者书籍的id,parentId为父级评论的id，默认为0
    views:{
        '':{
            templateUrl: 'module/integration/comments/publish/view.html',
            controller: 'publishCommentCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/comments/publish/css/publish.css',"publishComment");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/comments/publish/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@publishCommentR': {
            templateUrl: 'module/common/views/dialog.html'
        }
    }
};

var versionsUpdateRouter={
    url:"/versionsUpdateRouterR",
    views:{
        '':{
            templateUrl: 'module/integration/versionsUpdate/view.html',
            controller: 'versionsUpdateCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    loadCss('module/integration/versionsUpdate/css/versionsUpdate.css',"versionsUpdate");
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/versionsUpdate/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        },
        'dialog@versionsUpdateR': {
            templateUrl: 'module/common/views/dialog.html'
        },
        'adbTop@versionsUpdateR':{
            templateUrl: 'module/common/views/topRightHome.html',
            controller: 'versionsUpdateTopCtrl',
            resolve: {
                loadCtrl: ["$q", function($q) {
                    var deferred = $q.defer();
                    //异步加载controller／directive/filter/service
                    require([
                        'module/integration/versionsUpdate/js/controller'
                    ],function() { deferred.resolve(); });
                    return deferred.promise;
                }]
            }
        }
    }
};