/**
 * Created by maxxi on 2016/7/12.
 */


var items = {
    "vehicleRiskTraffic": {
    "insuranceCode": "vehicle",
    "insuranceName": "交强险(含车船税)",
    "insuranceDesc": "国家强制投保,未投保则无法验车并处双倍罚款",
    "taxCode": "tax",
    "taxName": "车船税",
    "taxDesc": ""
    },
    "vehicleRiskCommercialList": [
        {
            "insuranceCode": "damage",
            "insuranceName": "车损险",
            "insuranceClass": "1",
            "supportExempt": "1",
            "desc": "赔付您本车车辆损失",
            "options": []
        },
        {
            "insuranceCode": "third",
            "insuranceName": "三者险",
            "insuranceClass": "1",
            "supportExempt": "1",
            "desc": "赔付第三方人身伤亡及财产损失",
            "options": [
                {
                    "key": "0",
                    "value": "不投保"
                },
                {
                    "key": "50000",
                    "value": "5万"
                },
                {
                    "key": "100000",
                    "value": "10万"
                },
                {
                    "key": "150000",
                    "value": "15万"
                },
                {
                    "key": "200000",
                    "value": "20万"
                },
                {
                    "key": "300000",
                    "value": "30万"
                },
                {
                    "key": "500000",
                    "value": "50万"
                },
                {
                    "key": "1000000",
                    "value": "100万"
                },
                {
                    "key": "1500000",
                    "value": "150万"
                },
                {
                    "key": "2000000",
                    "value": "200万"
                }
            ]
        },
        {
            "insuranceCode": "driver",
            "insuranceName": "司机险",
            "insuranceClass": "1",
            "supportExempt": "1",
            "desc": "赔付驾驶员的人身伤亡",
            "options": [
                {
                    "key": "0",
                    "value": "不投保"
                },
                {
                    "key": "10000",
                    "value": "1万"
                },
                {
                    "key": "20000",
                    "value": "2万"
                },
                {
                    "key": "30000",
                    "value": "3万"
                },
                {
                    "key": "50000",
                    "value": "5万"
                },
                {
                    "key": "80000",
                    "value": "8万"
                },
                {
                    "key": "100000",
                    "value": "10万"
                },
                {
                    "key": "150000",
                    "value": "15万"
                },
                {
                    "key": "200000",
                    "value": "20万"
                }
            ]
        },
        {
            "insuranceCode": "passenger",
            "insuranceName": "乘客险",
            "insuranceClass": "1",
            "supportExempt": "1",
            "desc": "赔付乘客的人身伤亡",
            "options": [
                {
                    "key": "0",
                    "value": "不投保"
                },
                {
                    "key": "10000",
                    "value": "1万"
                },
                {
                    "key": "20000",
                    "value": "2万"
                },
                {
                    "key": "30000",
                    "value": "3万"
                },
                {
                    "key": "50000",
                    "value": "5万"
                },
                {
                    "key": "80000",
                    "value": "8万"
                },
                {
                    "key": "100000",
                    "value": "10万"
                },
                {
                    "key": "150000",
                    "value": "15万"
                },
                {
                    "key": "200000",
                    "value": "20万"
                }
            ]
        },
        {
            "insuranceCode": "robbery",
            "insuranceName": "盗抢险",
            "insuranceClass": "1",
            "supportExempt": "1",
            "desc": "赔付全车被盗抢造成的车辆损失",
            "options": []
        },
        {
            "insuranceCode": "glass",
            "insuranceName": "玻璃险",
            "insuranceClass": "2",
            "supportExempt": "0",
            "desc": "赔付前后挡风玻璃和车窗玻璃单独破碎的损失",
            "options": [
                {
                    "key": "0",
                    "value": "不投保"
                },
                {
                    "key": "1",
                    "value": "国产"
                },
                {
                    "key": "2",
                    "value": "进口"
                }
            ]
        },
        {
            "insuranceCode": "scratch",
            "insuranceName": "划痕险",
            "insuranceClass": "2",
            "supportExempt": "1",
            "desc": "赔付无明显碰撞痕迹的车身划痕损失",
            "options": [
                {
                    "key": "0",
                    "value": "不投保"
                },
                {
                    "key": "2000",
                    "value": "2000"
                },
                {
                    "key": "5000",
                    "value": "5000"
                },
                {
                    "key": "10000",
                    "value": "10000"
                },
                {
                    "key": "20000",
                    "value": "20000"
                }
            ]
        },
        {
            "insuranceCode": "burn",
            "insuranceName": "自燃险",
            "insuranceClass": "2",
            "supportExempt": "0",
            "desc": "赔付因自身或所载物造成起火的损失",
            "options": []
        },
        {
            "insuranceCode": "water",
            "insuranceName": "涉水险",
            "insuranceClass": "2",
            "supportExempt": "1",
            "desc": "赔付因在积水路面涉水行驶或被水淹后致使发动机损坏的损失",
            "options": []
        },
        {
            "insuranceCode": "repair",
            "insuranceName": "指定修理厂险",
            "insuranceClass": "2",
            "supportExempt": "0",
            "desc": "投保时购买本附加险，机动车损失保险事故发生后，被保险人可指定修理厂进行修理",
            "options": []
        },
        {
            "insuranceCode": "solatium",
            "insuranceName": "精神损害抚慰金责任险",
            "insuranceClass": "2",
            "supportExempt": "1",
            "desc": "精神损害抚慰金责任险",
            "options": [
                {
                    "key": "0",
                    "value": "不投保"
                },
                {
                    "key": "10000",
                    "value": "1万"
                },
                {
                    "key": "20000",
                    "value": "2万"
                },
                {
                    "key": "30000",
                    "value": "3万"
                },
                {
                    "key": "40000",
                    "value": "4万"
                },
                {
                    "key": "50000",
                    "value": "5万"
                },
                {
                    "key": "60000",
                    "value": "6万"
                },
                {
                    "key": "70000",
                    "value": "7万"
                },
                {
                    "key": "80000",
                    "value": "8万"
                },
                {
                    "key": "90000",
                    "value": "9万"
                },
                {
                    "key": "100000",
                    "value": "10万"
                },
                {
                    "key": "110000",
                    "value": "11万"
                },
                {
                    "key": "120000",
                    "value": "12万"
                },
                {
                    "key": "130000",
                    "value": "13万"
                },
                {
                    "key": "140000",
                    "value": "14万"
                },
                {
                    "key": "150000",
                    "value": "15万"
                },
                {
                    "key": "160000",
                    "value": "16万"
                },
                {
                    "key": "170000",
                    "value": "17万"
                },
                {
                    "key": "180000",
                    "value": "18万"
                },
                {
                    "key": "190000",
                    "value": "19万"
                },
                {
                    "key": "200000",
                    "value": "20万"
                }
            ]
        },
        {
            "insuranceCode": "damage_special",
            "insuranceName": "机动车损失保险无法找到第三方特约险",
            "insuranceClass": "2",
            "supportExempt": "0",
            "desc": "机动车损失保险无法找到第三方特约险",
            "options": []
        }
    ]
};

var quote= {
    "status": "1",
    "msg": "ok",
    "data": {
        "quoteSeqNo": "7cb4adfb3ab84960",
        "businessPrice": 6546.03,
        "exemptPrice": 438.69,
        "vehiclePrice": 0,
        "taxPrice": 0,
        "vehicleRiskTraffic": {
            "insuranceCode": "vehicle",
            "insuranceName": "交强险(含车船税)",
            "price": 200.00,
            "taxPrice": 0
        },
        "vehicleRiskCommercialList": [
            {
                "insuranceCode": "damage",
                "insuranceName": "车损险",
                "selected": 1,
                "amount": 139949,
                "price": 1788.39,
                "exemptPrice": 268.26,
                "deductibleIndi": "Y"
            },
            {
                "insuranceCode": "third",
                "insuranceName": "三者险",
                "selected": 1,
                "amount": 500000,
                "price": 903.96,
                "exemptPrice": 0
            },
            {
                "insuranceCode": "driver",
                "insuranceName": "司机险",
                "selected": 1,
                "amount": 80000,
                "price": 201.42,
                "exemptPrice": 30.21,
                "deductibleIndi": "Y"
            },
            {
                "insuranceCode": "passenger",
                "insuranceName": "乘客险",
                "selected": 1,
                "amount": 150000,
                "price": 958,
                "exemptPrice": 0
            },
            {
                "insuranceCode": "robbery",
                "insuranceName": "盗抢险",
                "selected": 1,
                "amount": 139949,
                "price": 529.19,
                "exemptPrice": 105.84,
                "deductibleIndi": "Y"
            },
            {
                "insuranceCode": "glass",
                "insuranceName": "玻璃险",
                "selected": 1,
                "amount": 1,
                "price": 225.54,
                "exemptPrice": 0
            },
            {
                "insuranceCode": "scratch",
                "insuranceName": "划痕险",
                "selected": 1,
                "amount": 10000,
                "price": 798.33,
                "exemptPrice": 0
            },
            {
                "insuranceCode": "burn",
                "insuranceName": "自燃险",
                "selected": 1,
                "amount": 139949,
                "price": 171.89,
                "exemptPrice": 34.38
            },
            {
                "insuranceCode": "water",
                "insuranceName": "涉水险",
                "selected": 1,
                "amount": 0,
                "price": 89.42,
                "exemptPrice": 0
            },
            {
                "insuranceCode": "solatium",
                "insuranceName": "精神损害抚慰金责任险",
                "selected": 1,
                "amount": 170000,
                "price": 835.18,
                "exemptPrice": 0
            },
            {
                "insuranceCode": "damage_special",
                "insuranceName": "机动车损失保险无法找到第三方特约险",
                "selected": 1,
                "amount": 0,
                "price": 44.71,
                "exemptPrice": 0
            }
        ]
    },
    "header": {
        "trcode": "/queryVehicleQuote",
        "syscode": "adb",
        "sdate": "2016-07-20",
        "stime": "16:45:56",
        "stransid": "2016072008554871548",
        "retcode": "CX100101",
        "retinfo": "交易成功"
    }
}

