'use strict';
define(['app'], function (app) {

    app.register.controller('autoMessageCtrl', ['$scope', '$location', '$stateParams', '$state','adbService','$filter','$timeout',function ($scope, $location, $stateParams, $state,adbService,$filter,$timeout) {

        //改变页面的<title>
        $scope.appTitle = '保险告知单';
        $scope.$emit("titleName", $scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        //var backUrl = $scope.getBackFactory('autoMessage','autoPolicyDetailR');
        //if (backUrl != ''){
        //    //返回按钮操作
        //    $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        //}
        $scope.$emit("adbBack", "javascript:history.go(-1)", "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        /*****************************设置头部返回地址 end******************************/

        function init(){ //初始化
            $scope.oid = $stateParams.oid;
        }

        init();
        $scope.$on('$viewContentLoaded', function(){
            getorderInfo();
        });
        function getorderInfo(){
            var params = {
                "busiOrderId": $scope.oid
            }
            adbService.getResult(
                {},
                $scope.setService('I252015',params),
                function(json){
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        if (json.data.businessStartDate != 'undefined'&& json.data.businessStartDate ){
                            json.data.businessStartDate = $filter('fullDateStringToyyyMMdd')(json.data.businessStartDate);
                            json.data.businessStartDate = $filter('getChinaDate')(json.data.businessStartDate)+'0时起至';
                        }
                        if (json.data.businessEndDate != 'undefined'&& json.data.businessEndDate ){
                            json.data.businessEndDate = $filter('fullDateStringToyyyMMdd')(json.data.businessEndDate);
                            json.data.businessEndDate = $filter('getChinaDate')(json.data.businessEndDate)+'24时止';
                        }
                        if (json.data.trafficStartDate != 'undefined'&& json.data.trafficStartDate ){
                            json.data.trafficStartDate = $filter('fullDateStringToyyyMMdd')(json.data.trafficStartDate);
                            json.data.trafficStartDate = $filter('getChinaDate')(json.data.trafficStartDate)+'0时起至';
                        }
                        if (json.data.trafficEndDate != 'undefined'&& json.data.trafficEndDate ){
                            json.data.trafficEndDate = $filter('fullDateStringToyyyMMdd')(json.data.trafficEndDate);
                            json.data.trafficEndDate = $filter('getChinaDate')(json.data.trafficEndDate)+'24时止';
                        }

                        if (json.data.orderTime != 'undefined'&& json.data.orderTime ){
                            json.data.orderTime = $filter('fullDateStringToyyyMMdd')(json.data.orderTime);
                            json.data.orderTime = $filter('getChinaDate')(json.data.orderTime);
                        }


                        if(typeof json.data.businessPrice == 'undefined' || !json.data.businessPrice){
                            json.data.businessPrice = 0;
                        }
                        if(typeof json.data.taxPrice == 'undefined' || !json.data.taxPrice){
                            json.data.taxPrice = 0;
                        }
                        if(typeof json.data.vehiclePrice == 'undefined' || !json.data.vehiclePrice){
                            json.data.vehiclePrice = 0;
                        }

                        if(json.data.businessPrice > 0 && json.data.taxPrice > 0 && json.data.vehiclePrice > 0 ){
                            json.data['insureMyName'] = '商业险+交强险(含车船税)';
                        }else if(json.data.businessPrice== 0 && json.data.taxPrice > 0 && json.data.vehiclePrice > 0 ){
                            json.data['insureMyName'] = '交强险(含车船税)';
                        }else if(json.data.businessPrice> 0 && json.data.taxPrice == 0 && json.data.vehiclePrice == 0 ){
                            json.data['insureMyName'] = '交强险(含车船税)';
                        }

                        if(json.data['entName'])
                        {
                            var entNameArr = (json.data['entName']).split('-');
                            if (entNameArr.length >=2)
                            {
                                json.data['entName'] = entNameArr[1];
                            }

                        }
                        //var regId = json.data['regId'];
                        //console.log(regId);
                        //console.log(json.data);
                        $scope.orderInfo = json.data;
                        //getUserInfo(regId);

                        $scope.userInfo = {};

                        if(json.data && typeof json.data['brokerInfo'] != 'undefined')
                        {
                            $scope.userInfo = json.data['brokerInfo'];
                        }

                        callShare2();//二次分享



                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                }

            )
        }

        var sharing = false;//分享中
        $scope.gotoShare = function(){

            if(!sharing)
            {
                sharing = true;//标识在分享中
                var shareObj = {
                    //"imgUrl": _globalOption.host+"/adb/images/logo.png",
                    "imgUrl": _globalOption.host+"/adb/module/familyAnalysis/result/images/analysisImg.png",
                    "shareUrl": _globalOption.shareHost+"/adb/share.html#/autoMessageR/"+$scope.oid+"?&",
                    "title": "小保已成功的为您的爱车承保",
                    "description": "您的爱车["+$scope.orderInfo.licenseNo+"]已在"+$scope.orderInfo.entName+"成功投保，请以纸质正式保单为准。"
                }
                //console.log(shareObj);

                /********************分享 start********************/
                $scope.$emit("goShare",shareObj );
                /********************分享 end********************/

                $scope.showShareBox(true);
                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );
            }
        };

        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {
                    //var url = _globalOption.shareHost+"/adb/share.html#/autoMessageR/"+$scope.oid+"?&";
                    var url = $location.absUrl();
                    var share2Obj = {
                        "currentUrl":url,//原始url
                        "shareTitle":'小保已成功的为您的爱车承保',//分享的标题
                        "shareUrl":url,//分享的url
                        "shareImg":_globalOption.host+"/adb/module/familyAnalysis/result/images/analysisImg.png",//分享的图片
                        "shareDesc":"您的爱车["+$scope.orderInfo.licenseNo+"]已在"+$scope.orderInfo.entName+"成功投保，请以纸质正式保单为准。"//分享的描述
                    };

                    var pos=share2Obj.currentUrl.indexOf("#");
                    var dataJson = $scope.setService("W102010", {
                        "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                    })
                    common_wx_share(dataJson,share2Obj);
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/
    }]);

});
function noDrag(){
    $('#noDrage').click();
}