'use strict';
define(['app'], function (app) {
    app.register.controller('autoPoliciesTopCtrl', ['$scope', '$location', '$stateParams', '$state','backFactory','adbService','$timeout',function ($scope, $location, $stateParams, $state,backFactory,adbService,$timeout) {
        $scope.goToBack = function(){
            /*****************************设置头部返回地址 begin******************************/
            //var backUrl = $scope.getBackFactory('autoPolicies','homeR');
            //if (backUrl != ''){
            //    if(backUrl.indexOf('myOrderR')>-1)
            //    {
            //        var res = $scope.gotoApp('ADBHome');//跳转到原生的首页
            //        if(res) return;
            //    }
            //    location.href = 'index.html#/'+backUrl;
            //}
            var res = $scope.gotoApp('ADBHome');
            if (!res) {
                $location.path('homeR');
            }
            /*****************************设置头部返回地址 end******************************/
        };

        //判断是否显示头部
        /*if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            //$scope.isNative = 'ios';
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }*/
    }]);
    app.register.controller('autoPoliciesCtrl', ['$scope', '$location', '$stateParams', '$state','backFactory','adbService','$timeout',function ($scope, $location, $stateParams, $state,backFactory,adbService,$timeout) {
        //改变页面的<title>
        $scope.appTitle = '我的订单';
        $scope.$emit("titleName", $scope.appTitle);


        function init()//初始化信息
        {
            //判断是否显示头部
            /*if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                //$scope.isNative = 'ios';
                if ($scope.isNative) $scope.isNative = true;
            }*/


            $scope.showStatus = true;//筛选框展示与否
            $scope.showTitleStatus = false;//筛选框展示与否

            $scope.titleItem = '3';//筛选项


            $scope.detailList = [];//初始化列表
            $scope.listShow = -1;//初始化默认显示loading
            $scope.currentPage = 1;//当前页
            $scope.pageSize = 10;
            //防止一次加载多页数据
            $scope.isLoad=false;
            $scope.noMore = false;//没有更多数据加载

            $scope.listShow = -1;

            $scope.selectItem = $location.search().selectItem;
            //console.log($scope.selectItem);
            if(typeof $scope.selectItem == 'undefined')
            {
                $scope.selectItem = '0';//筛选项
            }
            $scope.selectItem = parseInt($scope.selectItem);//1-核保中，2-待付款，3-待出单，4-已完成 ，5-已取消，0-全部

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            $scope.showSelect($scope.selectItem);
        });

/*****************************筛选 start*************************************/
        //筛选状态
        $scope.showSelect = function(val){
            $scope.showTitleStatus = false;//关闭订单类型弹出框
            $scope.showStatus = !$scope.showStatus;
            $scope.selectItem = val;//1-核保中，2-待付款，3-待出单，4-已完成 ，5-已取消，0-全部
            $scope.orderStateIds = [];//订单状态：0 订单取消 1 待付款 5 待承保（待出单） 8 订单完成 3-核保中
            $scope.detailList = [];
            $scope.currentPage = 1;
            $scope.noMore=false;
            switch(val)
            {
                case 0://0-全部
                    $scope.orderStateIds = [];
                    break;
                case 1://1-核保中
                    $scope.orderStateIds = ['3'];
                    break;
                case 2://2-待付款
                    $scope.orderStateIds = ['1'];
                    break;
                case 3://3-待出单
                    $scope.orderStateIds = ['5'];
                    break;
                case 4://4-已完成
                    $scope.orderStateIds = ['8'];
                    break;
                case 5://5-已取消
                    $scope.orderStateIds = ['0','4','9','10','11'];
                    break;
                default:
                    $scope.orderStateIds = ['3'];
            }
            getCarList()
        };
        //筛选线上线下车险
        $scope.showTitle = function(val){
            $scope.showStatus = false;//关闭订单状态弹出框
            $scope.showTitleStatus = !$scope.showTitleStatus;
            $scope.titleItem = val;//1-线上产品 2-线下产品 3-车险
            if(val<3){
                var res = $scope.gotoApp('PopNative');//返回原生的个人中心我的订单
                if(!res)
                {
                    //location.href = 'index.html#/myOrderR';
                    $location.url('myOrderR');
                }
            }
        };
/********************************筛选 end**********************************/
        //进入保单详情
        $scope.goPolicyDetail = function (oid) {
            $scope.setBackFactory('autoPolicyDetail','autoPoliciesR?selectItem='+$scope.selectItem);
            //location.href = 'index.html#/autoPolicyDetailR/'+oid;
            $location.url('autoPolicyDetailR/'+oid);
        }


        //初始化车险列表
        function getCarList(){
            var params = {
                "pageNum": $scope.currentPage,
                "pageSize": $scope.pageSize,
                "orderStateIds": $scope.orderStateIds//状态  传入方式为数组：0 订单取消 1 待付款 5 待承保 8 订单完成 xx-核保中（备注：[0,1,5,8,xx]）
            };
            adbService.getResult(
                {},
                $scope.setService('I251013', params),
                function (json) {
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //$scope.detailList = json.data.detailList;
                        var detailList = json.data.detailList;
                        if(detailList.length < $scope.pageSize){
                            $scope.noMore=true;
                        }
                        if(detailList.length > 0)
                        {
                            $scope.listShow = 1;//显示列表
                            $scope.currentPage++;

                            $scope.detailList = $scope.detailList.concat(detailList);//追加数据
                        }

                    }
                    if ($scope.detailList.length <= 0)
                    {
                        $scope.noMore=false;
                        $scope.listShow = 0;//信息为空

                    }

                }
            );


        }

        //数据滚动加载
        $scope.loadMore = function() {
            //console.log(1111111111)
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getCarList();
                    $scope.isLoad=false;
                },300)
            }
        };


    }]);

});