'use strict';
define(['app'], function (app) {
    app.register.controller('autoPolicyDetailTopCtrl', ['$scope', '$location', '$stateParams', '$state','backFactory','anchorSmoothScroll','adbService','$timeout','$filter',function ($scope, $location, $stateParams, $state,backFactory,anchorSmoothScroll,adbService,$timeout,$filter) {

        $scope.from=true;
        //头部显示
        /*if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            //$scope.isNative = 'ios';
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }*/

        //二个入口，客户详情，车险订单列表，本页面不会被分享出去
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('autoPolicyDetail','autoPoliciesR');
        if (typeof backUrl != 'undefined' && backUrl != '') {
            if (backUrl.indexOf('customerDetail')>-1 )//如果是从客户详情的保单列表过来的数据，则跳转回原生的页面
            {
                var  res = $scope.gotoApp('PopNative');

            }
            backUrl = 'index.html#/' + backUrl;
            $scope.$emit("adbBack", backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        else if ($scope.isNative){
            $scope.gotoApp('PopNative');
        }
        //console.log(backUrl.indexOf('customerInsuranceDetailR'));
        //console.log($scope.policyDetailTop);
            /*****************************设置头部返回地址 end******************************/

    }]);
    app.register.controller('autoPolicyDetailCtrl', ['$scope', '$location', '$stateParams', '$state','backFactory','anchorSmoothScroll','adbService','$timeout','$filter',function ($scope, $location, $stateParams, $state,backFactory,anchorSmoothScroll,adbService,$timeout,$filter) {

        /*尹洪亮:
            2016041411303134107 代付款车险  2016082411382746063
        尹洪亮:
            2016050318105486253 已取消车险
        尹洪亮:
            2016052616003318690 已完成车险
        尹洪亮:
            2016041418054040767 异常车险
        尹洪亮:
            2016040715050718701 核保中车险*/

        //改变页面的<title>
        $scope.appTitle = '订单详情';
        $scope.loaded = true;
        $scope.$emit("titleName", $scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('autoPolicyDetail','autoPoliciesR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        //此页规定规定返回车险订单列表 autoPoliciesR
        //$scope.$emit("adbBack",'index.html#/autoPoliciesR',"2");

        /*****************************设置头部返回地址 end******************************/
        function init(){ //初始化
            loadingShow();//请求数据中
            //判断是否显示头部
            /*if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                //$scope.isNative = 'ios';
                if ($scope.isNative) $scope.isNative = true;
            }*/

            $scope.oid = $stateParams.oid;//订单号
            $scope.orderInfo = {};//订单信息
            $scope.initDatas={  //折叠效果
                "fillPlanBox":true,
                "holderInfoBox":false,
                "insuredInfoBox":false,
                "insureBenifitBox":false,
                "beneficiary":true
            };
            $scope.concentBox ='PolicyCenter_1';
        }
        init();
        $scope.$on('$viewContentLoaded', function(){
            getorderInfo();
        });


        $scope.toggleShow=function(e) {
            $scope.initDatas[e] = !$scope.initDatas[e];
        }
        /*---------------获取订单信息数据----------------------*/
        function getorderInfo(){
            var params = {
                "busiOrderId": $scope.oid
            }
            adbService.getResult(
                {},
                $scope.setService('I252015',params),
                function(json){
                    //console.log(json);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        //单状态	0 订单取消 1 待付款 5 待承保（待出单） 8 订单完成 3-核保中（备注：[0,1,3，5,8]）
                        //1核保中；2核保通过(待支付)；3核保失败；4线下支付处理中；5支付完成出单；6订单失效；7 支付成功待出单
                        if(json.data.statusCode == '8'){
                            $scope.concentBox ='PolicyCenter_5';
                        }
                        else{
                            if(json.data.statusCode == '0')
                            {
                                $scope.concentBox ='PolicyCenter_3';
                            }
                            else{
                                $scope.concentBox ='PolicyCenter_'+json.data.statusCode;
                            }

                        }
                        if (json.data.businessStartDate != 'undefined'&& json.data.businessStartDate ){
                            json.data.businessStartDate = $filter('fullDateStringToyyyMMdd')(json.data.businessStartDate);
                            json.data.businessStartDate = $filter('getChinaDate')(json.data.businessStartDate)+'0时起至';
                        }
                        if (json.data.businessEndDate != 'undefined'&& json.data.businessEndDate ){
                            json.data.businessEndDate = $filter('fullDateStringToyyyMMdd')(json.data.businessEndDate);
                            json.data.businessEndDate = $filter('getChinaDate')(json.data.businessEndDate)+'24时止';
                        }
                        if (json.data.trafficStartDate != 'undefined'&& json.data.trafficStartDate ){
                            json.data.trafficStartDate = $filter('fullDateStringToyyyMMdd')(json.data.trafficStartDate);
                            json.data.trafficStartDate = $filter('getChinaDate')(json.data.trafficStartDate)+'0时起至';
                        }
                        if (json.data.trafficEndDate != 'undefined'&& json.data.trafficEndDate ){
                            json.data.trafficEndDate = $filter('fullDateStringToyyyMMdd')(json.data.trafficEndDate);
                            json.data.trafficEndDate = $filter('getChinaDate')(json.data.trafficEndDate)+'24时止';
                        }

                        if(json.data['entName'])
                        {
                            var entNameArr = (json.data['entName']).split('-');
                            if (entNameArr.length >=2)
                            {
                                json.data['entName'] = entNameArr[1];
                            }

                        }



                        var a = $timeout(function(){
                            //console.log('执行$timeout回调');
                            $scope.orderInfo = json.data;
                            //显示订单详情页面
                            policyDetailShow();
                            return 'angular'
                        },1000);



                    }
                    else{
                        //$scope.dialogRes(json.header.imsg);//弹出错误提示
                        //显示请求失败页面
                        loadingDefeatedShow();
                    }
                }

            )
        }
        /*var infoMsg = info;
        //绑定数据
        $scope.statusCode = info.statusCode;   //订单状态
        $scope.statusMsg = info.statusMsg;    //订单状态描述
        $scope.businessDate = {   //商业险起保与结束日期
            "businessStartDate":infoMsg.businessStartDate,
            "businessEndDate":infoMsg.businessEndDate

        };
        $scope.trafficDate = {   //交强险起保与结束日期
            "trafficStartDate":infoMsg.trafficStartDate,
            "trafficEndDate":infoMsg.trafficEndDate
        };
        $scope.carOwner = {
            "ownerName":infoMsg.owner,   //车主姓名
            "licenseNo":infoMsg.licenseNo  //车牌号
        }
        */




        /*------------------------------------------*/
        $scope.gotoElement = function (eID){   //回到顶部
            anchorSmoothScroll.scrollTo(eID);
        };
        $scope.UploadData = function(){  //跳转到上传资料
            $scope.setBackFactory('autoUpload');
            $location.path('/autoUploadR/'+$scope.oid);
        };
        $scope.Informed = function(){
            $scope.setBackFactory('autoMessage');
            $location.path('/autoMessageR/'+$scope.oid);
        };
        //关闭加载中或者加载失败页面
        $scope.loadingBack=function(){
            //console.info(backUrl);
            if (typeof backUrl != 'undefined' && backUrl != '') {
                if (backUrl.indexOf('customerDetail')>-1 )//如果是从客户详情的保单列表过来的数据，则跳转回原生的页面
                {
                    var  res = $scope.gotoApp('PopNative');

                }
                //backUrl = 'index.html#/' + backUrl;
                //location.href= backUrl;//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
                $location.url(backUrl);
            }
            else if ($scope.isNative){
                $scope.gotoApp('PopNative');
            }
        };

        //显示订单详情页面
        function policyDetailShow(){
            $scope.policyDetail=true;//默认显示订单详情
            $scope.loading_box=false;//默认隐藏加载页面
            $scope.loading=false;//默认不显示加载中页面
            $scope.loadingDefeated=false;//默认不显示加载失败页面
        }
        //显示请求数据中页面
        function loadingShow(){
            $scope.policyDetail=false;//隐藏订单详情
            $scope.loading_box=true;//显示加载页面
            $scope.loading=true;//显示加载中
            $scope.loadingDefeated=false;//隐藏加载失败
        }

        //显示请求失败页面
        function loadingDefeatedShow(){
            $scope.policyDetail=false;//隐藏订单详情
            $scope.loading_box=true;//显示加载页面
            $scope.loading=false;//显示加载中
            $scope.loadingDefeated=true;//隐藏加载失败
        }
        $scope.orderPay = function(){
            //申请支付单
            //var busiOrderAmt = $scope.orderInfo.businessPrice+$scope.orderInfo.vehiclePrice+$scope.orderInfo.taxPrice;
            var busiOrderAmt = $scope.orderInfo.oldTotalPrice;
            var params = {
                /*"openId": "skdklf882834",
                "unionId": "siidkke9299349",
                "certiType": "1",
                "certiName": "身份证",
                "certiCode": "11010119800101007X",*/
                "pgType1": "11",//交易类型 ："11"
                "softWareType": "23",//支付类型 23:app支付 24：公众号支付 25：微信扫码支付
                "hardWareType": "1",//硬件类型 0：PC 1：手机
                "busiOrderId": $scope.oid,//业务订单号
                "busiSeqId": $scope.oid,//业务订单号
                "busiOrderAmt": busiOrderAmt,//订单金额
                "source":"wolaibao",//订单来源类型 "wolaibao":我来保车险,不填则系统默认订单系统
                "busiOrderDesc":"车险订单"+$scope.oid//支付单描述
            };
            adbService.getResult(
                {},
                $scope.setService('I211010',params),
                function(json){

                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.applyPayOrder(json.data);

                    }
                    else{
                        $scope.dialogRes(json.header.imsg);//弹出错误提示
                    }
                }

            )
        }
        $scope.applyPayOrder = function (data){
            ////申请订单支付,表单数据
            $('input[name="clientSysCode"]').val(data.clientSysCode);
            $('input[name="transCode"]').val(data.transCode);
            $('input[name="shopId"]').val(data.shopId);
            $('input[name="shopUid"]').val(data.shopUid);
            $('input[name="regCode"]').val(data.regCode);
            $('input[name="regId"]').val(data.regId);
            $('input[name="certiType"]').val(data.certiType);
            $('input[name="certiName"]').val(data.certiName);
            $('input[name="certiCode"]').val(data.certiCode);
            $('input[name="wxOpenId"]').val(data.wxOpenId);
            $('input[name="wxUnionId"]').val(data.wxUnionId);
            $('input[name="busiOrderId"]').val(data.busiOrderId);
            $('input[name="busiSeqId"]').val(data.busiSeqId);
            $('input[name="busiOrderTime"]').val(data.busiOrderTime);
            $('input[name="busiOrderDesc"]').val(data.busiOrderDesc);
            $('input[name="busiOrderAmt"]').val(data.busiOrderAmt);
            $('input[name="noticeUrl"]').val(data.noticeUrl);
            $('input[name="successUrl"]').val(data.successUrl);
            $('input[name="pgType1"]').val(data.pgType1);
            $('input[name="pgType2"]').val(data.pgType2);
            $('input[name="pgType3"]').val(data.pgType3);
            $('input[name="shopSign"]').val(data.shopSign);
            $('input[name="shopNonce"]').val(data.shopNonce);
            $('input[name="shopVer"]').val(data.shopVer);
            $('input[name="token"]').val(data.token);
            $('#payForm').prop('action', data.formUrl).prop('method', "POST");
            document.getElementById("payForm").submit();
        };
    }]);
});
function noDrag(){
    $('#noDrage').click();
}