/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('circleAllowanceCtrl',['$scope','$location','adbService','$stateParams','$timeout',function($scope,$location,adbService,$stateParams,$timeout){
        $scope.appTitle = "圈子收益明细";
        $scope.$emit('titleName',$scope.appTitle);

        $scope.goToBack = function(){
            var res = $scope.gotoApp('PopNative');//跳转到原生
            if(!res){
                var backUrl = $scope.getBackFactory('circleAllowance');
                if (backUrl != ''){
                    $location.path(backUrl);
                }
            }
        }
        /*****************************设置头部返回地址 begin******************************/
        //返回按钮操作
        //var backUrl = $scope.getBackFactory('circleAllowance','circleIndexR');
        //if (backUrl != '')
        //{
        //    backUrl = 'index.html#/'+backUrl;
        //    $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        //}
        //else{
        //    $scope.gotoApp('PopNative');//跳转到原生
        //}

        /*****************************设置头部返回地址 end******************************/

            //改变菜单
        $scope.changeMenu = function(index){
            //console.log(index)
            //console.log($scope.menu)
            if((index+'') == $scope.menu)
            {
                //点击的是已选中菜单，则变换排序顺序
                var sort = $scope.menuArr[index]['sort'];
                //console.log(sort);
                if(sort == 'Up')
                {
                    $scope.menuArr[index]['sort'] = 'Down';
                }
                else{
                    $scope.menuArr[index]['sort'] = 'Up';
                }
            }
            else{
                //变换菜单
                for(var i=0;i<$scope.menuArr.length;i++)
                {
                    $scope.menuArr[i]['select'] = '';
                    $scope.menuArr[i]['sort'] = 'Up';
                }
                $scope.menuArr[index]['select'] = 'active';
                $scope.menu = index;
            }
            //console.log($scope.menu);
            //console.log($scope.menuArr);


            /*"sortField":$scope.sortField,//1-发佣时间 2-津贴 3-产品名称 4-代理人姓名
             "sortType":$scope.sortType//1-升序 2-降序*/
            //console.log(typeof index);


            switch(index)
            {
                case 0:
                    $scope.sortField = 1;
                    break;
                case 1:
                    $scope.sortField = 4;
                    break;
                case 2:
                    $scope.sortField = 3;
                    break;
                case 3:
                    $scope.sortField = 2;
                    break;
            }

            if($scope.menuArr[index]['sort'] == 'Up')
            {
                $scope.sortType = 1;
            }
            else{
                $scope.sortType = 2;
            }
            $scope.circleAllowance=[];
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize=20;
            getCircleAllowance();
            //console.log($scope.menuArr);
        }

        function init()//初始化信息
        {
            /*//排序
            $scope.orderInfo={
                "time":"activeDown",//按时间排序，默认升序
                "name": "",       //按姓名排序
                "product": "",   //按产品名称排序
                "amt": ""        //按津贴金额排序
            };*/
            $scope.circleAllowance = [];//列表信息
            //空白页初始化
            $scope.showBlank=-1;


            $scope.menu = '';//初始化的menu为''
            $scope.menuArr = [];
            $scope.menuArr[0] = {};
            $scope.menuArr[0]['select'] = 'active';//true-被选择
            $scope.menuArr[0]['sort'] = 'Up';//up-升序
            $scope.menuArr[0]['title'] = '时间顺序';

            $scope.menuArr[1] = {};
            $scope.menuArr[1]['select'] = '';//true-被选择
            $scope.menuArr[1]['sort'] = 'Down';//true-升序
            $scope.menuArr[1]['title'] = '姓名排序';

            $scope.menuArr[2] = {};
            $scope.menuArr[2]['select'] = '';//true-被选择
            $scope.menuArr[2]['sort'] = 'Down';//true-升序
            $scope.menuArr[2]['title'] = '产品名称';


            $scope.menuArr[3] = {};
            $scope.menuArr[3]['select'] = '';//true-被选择
            $scope.menuArr[3]['sort'] = 'Down';//true-升序
            $scope.menuArr[3]['title'] = '津贴排序';

            $scope.changeMenu(0);

            //$scope.eventAttributes("circleAllowance");//圈子收益明细埋点

        }
        init();

        $scope.$on('$viewContentLoaded', function(){

        });



        //数据滚动加载
        $scope.loadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getCircleAllowance();//得到圈子收益明细
                    $scope.isLoad=false;
                },300)
            }
        };


        //初始化数据
        /*function clearDate(sortField,sortType){
            //排序
            $scope.orderInfo={
                "time":"",//按时间排序，默认升序
                "name": "",       //按姓名排序
                "product": "",   //按产品名称排序
                "amt": ""        //按津贴金额排序
            };
            console.log(sortField);
            console.log(sortType);
            if (sortField == 1)
            {
                if (sortType == 1)
                {
                    $scope.orderInfo['time'] = 'activeDown'
                }
                else
                {
                    $scope.orderInfo['time'] = 'activeUp'
                }
            }
            else if (sortField == 2)
            {
                if (sortType == 1)
                {
                    $scope.orderInfo['amt'] = 'activeDown'
                }
                else
                {
                    $scope.orderInfo['amt'] = 'activeUp'
                }
            }
            else if (sortField == 3)
            {
                if (sortType == 1)
                {
                    $scope.orderInfo['product'] = 'activeDown'
                }
                else
                {
                    $scope.orderInfo['product'] = 'activeUp'
                }
            }
            else if (sortField == 4)
            {
                if (sortType == 1)
                {
                    $scope.orderInfo['name'] = 'activeDown'
                }
                else
                {
                    $scope.orderInfo['name'] = 'activeUp'
                }
            }

            /!*switch(sortField)
            {
                case '1':
                    $scope.orderInfo={
                        "time":"",//按时间排序，默认升序
                        "name": "",       //按姓名排序
                        "product": "",   //按产品名称排序
                        "amt": ""        //按津贴金额排序
                    };
                    break;
                case '2':
                    $scope.orderInfo={
                        "time":"",//按时间排序，默认升序
                        "name": "",       //按姓名排序
                        "product": "",   //按产品名称排序
                        "": "activeDown"        //按津贴金额排序
                    };
                    break;
                case '3':
                    $scope.orderInfo={
                        "time":"",//按时间排序，默认升序
                        "name": "",       //按姓名排序
                        "product": "activeDown",   //按产品名称排序
                        "amt": ""        //按津贴金额排序
                    };
                    break;
                case '4':
                    $scope.orderInfo={
                        "time":"",//按时间排序，默认升序
                        "name": "activeDown",       //按姓名排序
                        "product": "",   //按产品名称排序
                        "amt": ""        //按津贴金额排序
                    };
                    break;
                default:
                    $scope.orderInfo={
                        "time":"activeDown",//按时间排序，默认升序
                        "name": "",       //按姓名排序
                        "product": "",   //按产品名称排序
                        "amt": ""        //按津贴金额排序
                    };
            }*!/



            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize=20;
            $scope.circleAllowance=[];
            $scope.sortField=sortField;//排序类型
            $scope.sortType=sortType;//升降序
        }*/

        //获取圈子收益明细
        function getCircleAllowance(){//sortField:排序类型，sortType：升降序
            if($scope.noResult || $scope.noMore){
                $scope.isLoading=false;
                return ;
            }else{
                $scope.isLoading=true;
            }
            //post给后台的参数
            var params = {
                "startMonth": $stateParams.month,//查询业绩月份,YYYY-MM
                "pageNum": $scope.currentPage,//页码,默认 1
                "pageSize": $scope.pageSize,//每页数量，默认10
                "sortField":$scope.sortField,//1-发佣时间 2-津贴 3-产品名称 4-代理人姓名
                "sortType":$scope.sortType//1-升序 2-降序
            };
            //console.log(params);
            adbService.getResult(
                {},
                $scope.setService('I140701',params),
                function (json) {
                    //console.log(json.data);
                    //console.log($scope.currentPage);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {

                        //获取资料列表成功
                        if(json.data.detailList.length<$scope.pageSize){
                            $scope.noMore=true;
                            $scope.isLoading=false;
                        }
                        if(json.data.detailList.length>0){
                            $scope.currentPage=++$scope.currentPage;
                        }
                        var circleAllowance = json.data.detailList;
                        //console.log(circleAllowance);
                        $scope.circleAllowance = $scope.circleAllowance.concat(circleAllowance);
                        if($scope.circleAllowance.length>20){
                            $scope.bottomShow = true;
                        }else{
                            $scope.bottomShow = false;
                        }
                        //无结果处理
                        if(circleAllowance.length==0){
                            $scope.noResult=true;
                        }

                    }else{

                    }
                    //判断是否显示空白页
                    if($scope.circleAllowance.length==0){
                        $scope.showBlank=1;
                    }else{
                        $scope.showBlank=0;
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }
        //切换排序条件
        $scope.changeOrder = function (opt) {
            switch (opt) {
                case "time":
                    if (!$scope.orderInfo.time) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.time = 'activeDown';
                        clearDate("1","2");//初始化数据
                        getCircleAllowance();
                    } else {
                        $scope.orderInfo.time = toggleOrder($scope.orderInfo.time);
                        if($scope.orderInfo.time == 'activeDown'){
                            clearDate("1","2");//初始化数据
                        }else{
                            clearDate("1","1");//初始化数据
                        }

                        getCircleAllowance();
                    }
                    break;
                case "name":
                    if (!$scope.orderInfo.name) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.name = 'activeUp';
                        clearDate("4","1");//初始化数据
                        getCircleAllowance();
                    } else {
                        $scope.orderInfo.name = toggleOrder($scope.orderInfo.name);
                        if($scope.orderInfo.name == 'activeDown'){
                            clearDate("4","2");//初始化数据
                        }else{
                            clearDate("4","1");//初始化数据
                        }
                        getCircleAllowance();
                    }
                    break;
                case "product":
                    if (!$scope.orderInfo.product) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.product = 'activeUp';
                        clearDate("3","1");//初始化数据
                        getCircleAllowance();
                    } else {
                        $scope.orderInfo.product = toggleOrder($scope.orderInfo.product);
                        if($scope.orderInfo.product == 'activeDown'){
                            clearDate("3","2");//初始化数据
                        }else{
                            clearDate("3","1");//初始化数据
                        }
                        getCircleAllowance();
                    }
                    break;
                case "amt":
                    if (!$scope.orderInfo.amt) {
                        $scope.orderInfo = {};
                        $scope.orderInfo.amt = 'activeUp';
                        clearDate("2","1");//初始化数据
                        getCircleAllowance();
                    } else {
                        $scope.orderInfo.amt = toggleOrder($scope.orderInfo.amt);
                        if($scope.orderInfo.amt == 'activeDown'){
                            clearDate("2","2");//初始化数据
                        }else{
                            clearDate("2","1");//初始化数据
                        }
                        getCircleAllowance();
                    }
                    break;
                default:break;
            }
        };
        //单个条目切换升降序
        function toggleOrder(order) {
            if (order === 'activeUp') {
                return 'activeDown';
            } else if (order === "activeDown") {
                return "activeUp";
            }else{
                return "";
            }
        }


    }])
});