/**
 * Created by acer on 2016/7/27.
 */
'use strict';
define(['app'],function(app){
    app.register.controller('investorUserListCtrl',['$scope','$location','backFactory','adbService','$timeout',function($scope,$location,backFactory,adbService,$timeout){
        $scope.appTitle = "人员明细";
        $scope.$emit('titleName',$scope.appTitle);
        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('investorUserList','investorR');
        if (backUrl != '')
        {
            backUrl = 'index.html#/'+backUrl;
            $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/
        var brokerLevel = "3";
        var date=new Date;
        var year=date.getFullYear();
        var month=date.getMonth()+1;
        month =(month<10 ? "0"+month:month);
        var yearmonth = year + "-" + month;
        function init()//初始化信息
        {
            $scope.jyhhrshow = true;     //经营合伙人
            $scope.aloneshow = false;
            $scope.gjaloneshow = false;
            clearDate();
            //空白页初始化
            $scope.showBlank=-1;

            var broker = localStorage.getItem('broker_in_session');
            $scope.regId = '';
            if (broker) {
                broker = JSON.parse(broker);
                $scope.regId = broker['regId'];
            }

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            getUserlist();
        });

        //数据滚动加载
        $scope.loadMore = function() {
            if(!$scope.isLoad){
                $scope.isLoad=true;
                $timeout(function(){
                    getUserlist();//得到人员明细
                    $scope.isLoad=false;
                },300)
            }
        };

        function clearDate(){
            $scope.noResult = false;//没有结果
            $scope.isLoading = false;//是否加载
            $scope.noMore = false;//没有更多结果
            $scope.currentPage = 1;
            $scope.pageSize=10;
            $scope.circleAllowance=[];
            $scope.showBlank=-1;
        }


        //获取投资合伙人信息
        $scope.getHehuodata = function(){
            adbService.getResult(
                {},
                $scope.setService("I140801", {
                    "regId": $scope.regId,
                    "month": yearmonth
                }),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.partnerCount = json.data.partnerCount;
                        $scope.seniorBrokerCount = json.data.seniorBrokerCount;
                        $scope.aloneBrokerCount = json.data.aloneBrokerCount;
                    }
                },
                function (err) {
                }
            )
        };
        $scope.getHehuodata();
        //点击事件-加载经营合伙人列表
        $scope.jyhhrfn = function(){

            $scope.jyhhrshow = true;
            $scope.aloneshow = false;
            $scope.gjaloneshow = false;
            brokerLevel = "3";
            clearDate();
            getUserlist();
        }
        //点击事件-加载独立经济人列表
        $scope.alonefn = function(){

            $scope.jyhhrshow = false;
            $scope.aloneshow = true;
            $scope.gjaloneshow = false;
            brokerLevel = "1";
            clearDate();
            getUserlist();
        };
        //点击事件-加载高级独立经济人列表
        $scope.gjalonefn = function(){

            $scope.jyhhrshow = false;
            $scope.aloneshow = false;
            $scope.gjaloneshow = true;
            brokerLevel = "2";
            clearDate();
            getUserlist();
        };
        //获取人员信息列表
        function getUserlist(){
            if($scope.noResult || $scope.noMore){
                $scope.isLoading=false;
                return ;
            }else{
                $scope.isLoading=true;
            }
            var params =  {
                "regId": $scope.regId,
                "brokerLevel": brokerLevel,
                "pagesize":'20',
                //"pagesize":$scope.pageSize,
                "offset":'1'
                //"offset":$scope.currentPage
            };

            adbService.getResult(
                {},
                $scope.setService("I140804",params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        if(json.data.detailList.length<$scope.pageSize){
                            $scope.noMore=true;
                            $scope.isLoading=false;
                        }
                        if(json.data.detailList.length>0){
                            //$scope.currentPage=++$scope.currentPage;
                        }
                        var circleAllowance = json.data.detailList;
                        $scope.circleAllowance = $scope.circleAllowance.concat(circleAllowance);
                        if($scope.circleAllowance.length>10){
                            $scope.bottomShow = true;
                        }else{
                            $scope.bottomShow = false;
                        }
                        //无结果处理
                        if(circleAllowance.length==0){
                            $scope.noResult=true;
                        }
                    }
                    //判断是否显示空白页
                    if($scope.circleAllowance.length==0){
                        $scope.showBlank=1;
                    }else{
                        $scope.showBlank=0;
                    }
                },
                function (err) {
                }
            )
        }
    }])
});