
'use strict';
define(['app'], function (app) {

    app.register.controller('customersListCtrl', ['$scope', '$stateParams','$state','$location','adbService',function ($scope, $stateParams,$state,$location,adbService) {


        function init()//初始化信息
        {
            $scope.companyName="保险公司";
            $scope.searchName="";//初始化搜索姓名
            $scope.companyShow =false;//初始化保险公司弹窗
            $scope.companyCode="";//初始化保险公司代码
            $scope.customerInfo=[];//初始化用户信息
            //空白页初始化
            $scope.showBlank=-1;
            var customerListByLetter = $scope.customerListByLetter = new Array();//初始化按字母分类的客户列表
            //根据拼音首字母，重新得到客户列表
            $scope.resetListByLetter=function(listArr) {
                //console.log("listArr",listArr);
                var m_count = new Array();

                for(i=0;i<26;i++)
                {
                    m_count[i] = 0;
                    customerListByLetter[i] = {};
                    customerListByLetter[i]['Arr'] = new Array();
                }
                customerListByLetter[0]['letter'] = 'A';
                customerListByLetter[1]['letter'] = 'B';
                customerListByLetter[2]['letter'] = 'C';
                customerListByLetter[3]['letter'] = 'D';
                customerListByLetter[4]['letter'] = 'E';
                customerListByLetter[5]['letter'] = 'F';
                customerListByLetter[6]['letter'] = 'G';
                customerListByLetter[7]['letter'] = 'H';
                customerListByLetter[8]['letter'] = 'I';
                customerListByLetter[9]['letter'] = 'J';
                customerListByLetter[10]['letter'] = 'K';
                customerListByLetter[11]['letter'] = 'L';
                customerListByLetter[12]['letter'] = 'M';
                customerListByLetter[13]['letter'] = 'N';
                customerListByLetter[14]['letter'] = 'O';
                customerListByLetter[15]['letter'] = 'P';
                customerListByLetter[16]['letter'] = 'Q';
                customerListByLetter[17]['letter'] = 'R';
                customerListByLetter[18]['letter'] = 'S';
                customerListByLetter[19]['letter'] = 'T';
                customerListByLetter[20]['letter'] = 'U';
                customerListByLetter[21]['letter'] = 'V';
                customerListByLetter[22]['letter'] = 'W';
                customerListByLetter[23]['letter'] = 'X';
                customerListByLetter[24]['letter'] = 'Y';
                customerListByLetter[25]['letter'] = 'Z';

                for(var i=0;i<listArr.length;i++)
                {
                    var letter = listArr[i]['namePinyin'].substring(0,1);
                    switch(letter){
                        case 'A':
                            customerListByLetter[0]['Arr'][m_count[0]] = listArr[i];
                            m_count[0]++;
                            break;
                        case 'B':
                            customerListByLetter[1]['Arr'][m_count[1]] = listArr[i];
                            m_count[1]++;
                            break;
                        case 'C':
                            customerListByLetter[2]['Arr'][m_count[2]] = listArr[i];
                            m_count[2]++;
                            break;
                        case 'D':
                            customerListByLetter[3]['Arr'][m_count[3]] = listArr[i];
                            m_count[3]++;
                            break;
                        case 'E':
                            customerListByLetter[4]['Arr'][m_count[4]] = listArr[i];
                            m_count[4]++;
                            break;
                        case 'F':
                            customerListByLetter[5]['Arr'][m_count[5]] = listArr[i];
                            m_count[5]++;
                            break;
                        case 'G':
                            customerListByLetter[6]['Arr'][m_count[6]] = listArr[i];
                            m_count[6]++;
                            break;
                        case 'H':
                            customerListByLetter[7]['Arr'][m_count[7]] = listArr[i];
                            m_count[7]++;
                            break;
                        case 'I':
                            customerListByLetter[8]['Arr'][m_count[8]] = listArr[i];
                            m_count[8]++;
                            break;
                        case 'J':
                            customerListByLetter[9]['Arr'][m_count[9]] = listArr[i];
                            m_count[9]++;
                            break;
                        case 'K':
                            customerListByLetter[10]['Arr'][m_count[10]] = listArr[i];
                            m_count[10]++;
                            break;
                        case 'L':
                            customerListByLetter[11]['Arr'][m_count[11]] = listArr[i];
                            m_count[11]++;
                            break;
                        case 'M':
                            customerListByLetter[12]['Arr'][m_count[12]] = listArr[i];
                            m_count[12]++;
                            break;
                        case 'N':
                            customerListByLetter[13]['Arr'][m_count[13]] = listArr[i];
                            m_count[13]++;
                            break;
                        case 'O':
                            customerListByLetter[14]['Arr'][m_count[14]] = listArr[i];
                            m_count[14]++;
                            break;
                        case 'P':
                            customerListByLetter[15]['Arr'][m_count[15]] = listArr[i];
                            m_count[15]++;
                            break;
                        case 'Q':
                            customerListByLetter[16]['Arr'][m_count[16]] = listArr[i];
                            m_count[16]++;
                            break;
                        case 'R':
                            customerListByLetter[17]['Arr'][m_count[17]] = listArr[i];
                            m_count[17]++;
                            break;
                        case 'S':
                            customerListByLetter[18]['Arr'][m_count[18]] = listArr[i];
                            m_count[18]++;
                            break;
                        case 'T':
                            customerListByLetter[19]['Arr'][m_count[19]] = listArr[i];
                            m_count[19]++;
                            break;
                        case 'U':
                            customerListByLetter[20]['Arr'][m_count[20]] = listArr[i];
                            m_count[20]++;
                            break;
                        case 'V':
                            customerListByLetter[21]['Arr'][m_count[21]] = listArr[i];
                            m_count[21]++;
                            break;
                        case 'W':
                            customerListByLetter[22]['Arr'][m_count[22]] = listArr[i];
                            m_count[22]++;
                            break;
                        case 'X':
                            customerListByLetter[23]['Arr'][m_count[23]] = listArr[i];
                            m_count[23]++;
                            break;
                        case 'Y':
                            customerListByLetter[24]['Arr'][m_count[24]] = listArr[i];
                            m_count[24]++;
                            break;
                        case 'Z':
                            customerListByLetter[25]['Arr'][m_count[25]] = listArr[i];
                            m_count[25]++;
                            break;
                        default:
                            break;
                    }
                }

            }

        }
        init();


        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载
            getCustomerList();//得到全部客户列表

            //选择保险公司
            $scope.showCompany =function(t){
                getCompanyList();//得到全部保险公司
                $scope.companyShow =t;//控制保险公司显示或隐藏
                $scope.$emit("overflowHidden",true);

            };
            //根据保险公司搜索
            $scope.clickCompany =function(t,company){
                $scope.companyName=company;
                $scope.companyShow=false;
                $scope.$emit("overflowHidden",false);
                getCustomerList(t,"");
                if(t){
                    $scope.clickSearchName=function(n){
                        getCustomerList(t,n);
                    };
                }else{
                    $scope.clickSearchName=function(n){
                        getCustomerList("",n);
                    };
                }
            };

            $scope.clickSearchName=function(n){
                getCustomerList("",n);
            };

        });

        //获取后台客户列表
        function getCustomerList(companyCode,name){
            //post给后台的参数
            var params = {
                "companyCode":companyCode,
                "name":name,
                "pageNo":"1",
                "pageSize":"9999"
            };
            //console.log(params);
            adbService.getResult(
                {},
                $scope.setService('I131011',params),
                function (json) {
                    //console.log(json.data);
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取客户列表成功
                        $scope.customerList = json.data.customerList;//返回客户信息



                    }else{
                        $scope.customerList=[];
                    }
                    //判断是否显示空白页

                    if(typeof $scope.customerList != 'undefined')
                    {
                        if($scope.customerList && $scope.customerList.length==0){
                            $scope.showBlank=1;
                        }else{
                            $scope.showBlank=0;
                            $scope.resetListByLetter($scope.customerList);
                        }
                    }
                    else{
                        $scope.showBlank=1;
                    }



                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }
        //获取保险公司列表
        function getCompanyList(){
            //post给后台的参数
            var params = {
            };
            adbService.getResult(
                {},
                $scope.setService('I227010',params),
                function (json) {
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        //获取客户列表成功
                        $scope.companyList = json.data.dataList;//返回客户信息
                        $scope.companyCode=$scope.companyList.brokerCode;
                        //console.log($scope.customerList);
                    }

                },
                function(err){
                    //错误
                    //console.log(err);
                }
            );
        }








    }]);
});