/**
 * Created by Mr.Zheng on 2016/8/8.
 */
'use strict';
define(['app'], function (app) {
    app.register.controller('publishByProTopCtrl', ['$scope', '$stateParams', '$state', '$location', 'adbService', '$timeout', function ($scope, $stateParams, $state, $location, adbService, $timeout) {
        /*****************************设置头部返回地址 begin******************************/
        /*if ($scope.authed) {
         $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
         if ($scope.isNative) $scope.isNative = true;
         $scope.authed = !$scope.isNative;
         }*/

        $scope.haveHead = $location.search().haveHead;//-1为无头,其他为有头
        if ($scope.haveHead == '-1') {
            $scope.authed = false;//无头
        }
        $scope.goToBack = function () {
            var backUrl = $scope.getBackFactory('publishByPro', 'myOrderR');
            if (backUrl != '') {
                //返回按钮操作
                if (backUrl == 'myOrderR') {
                    //清楚缓存
                    var res = $scope.gotoApp('PopNative');
                    if (res) return;
                }
                //location.href = 'index.html#/' + backUrl;
                $location.url(backUrl);
            }
        }

        /*****************************设置头部返回地址 end******************************/
    }]);
    app.register.controller('publishByProCtrl', ['$scope', '$stateParams', '$state', '$location', 'adbService', '$timeout', function ($scope, $stateParams, $state, $location, adbService, $timeout) {

        //改变页面的<title>
        $scope.appTitle = '订单评价';
        $scope.$emit("titleName", $scope.appTitle);

        function init()//初始化信息
        {
            //alert($location.absUrl());
            //改变满意度
            $scope.starNum = 0;//初始满意度为0
            $scope.changeSatisfy1 = false;
            $scope.changeSatisfy2 = false;
            $scope.changeSatisfy3 = false;
            $scope.changeSatisfy4 = false;
            $scope.changeSatisfy5 = false;
            $scope.pid = $stateParams.parentId;//产品id

            /*if ($scope.authed) {
             $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
             if ($scope.isNative) $scope.isNative = true;
             }*/

            $scope.haveHead = $location.search().haveHead;//-1为无头,其他为有头
            if ($scope.haveHead == '-1') {
                $scope.isNative = true;//无头
            }
            $('#taContent').focus();
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

        });


        $scope.changeSatisfy = function (num) {

            $scope.starNum = num;
            if (num == 1) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = false;
                $scope.changeSatisfy3 = false;
                $scope.changeSatisfy4 = false;
                $scope.changeSatisfy5 = false;
            }
            if (num == 2) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = false;
                $scope.changeSatisfy4 = false;
                $scope.changeSatisfy5 = false;
            }
            if (num == 3) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = true;
                $scope.changeSatisfy4 = false;
                $scope.changeSatisfy5 = false;
            }
            if (num == 4) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = true;
                $scope.changeSatisfy4 = true;
                $scope.changeSatisfy5 = false;
            }
            if (num == 5) {
                $scope.changeSatisfy1 = true;
                $scope.changeSatisfy2 = true;
                $scope.changeSatisfy3 = true;
                $scope.changeSatisfy4 = true;
                $scope.changeSatisfy5 = true;
            }
        }
        //跳转到消息活动详情
        $scope.goCommentList = function () {
            $scope.setBackFactory('proCommentList');
            $location.path("proCommentListR/" + $scope.pid);
        }

        //发布评论
        $scope.publishComment = function () {
            var objectId = $scope.pid;//评论对象id ,文章ID 电子书ID 保险产品ID
            var objectType = "P";//评论对象类型, A.文章 B.电子书 P.保险产品
            var title = "";//评论对象题目 ,文章题目 电子书题目 保险产品题目
            var content = $('#taContent').val();//评论内容
            var stars = $scope.starNum;//满意度
            if ($scope.starNum < '1') {
                $scope.dialogRes("您还没有选择综合评价");
                return false;
            } else {
                $scope.satisfyLimit = false;
            }
            if ($('#taContent').val().length < 5) {
                $scope.dialogRes("您至少需要输入五个字的描述");
                return false;
            } else {
                $scope.fiveLimit = false;
            }
            var params = {
                "objectId": objectId,
                "objectType": objectType,
                "title": title,
                "content": content,
                "stars": stars
            };

            adbService.getResult(
                {},
                $scope.setService('I221013', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        $scope.dialogRes("评价成功");
                        var backUrl = $scope.getBackFactory('publishByPro', 'myOrderR');
                        if (backUrl != '') {
                            //返回按钮操作
                            if (backUrl == 'myOrderR') {
                                //清楚缓存
                                var res = $scope.gotoApp('PopNative');
                                if (res) return;
                            }
                            //location.href = 'index.html#/' + backUrl;
                            $location.url(backUrl);
                        }
                    }
                    /*$scope.setBackFactory('proCommentList');
                     $location.path('proCommentListR/'+$scope.pid);*/
                }
            )
        }


    }]);
});
