'use strict';
define(['app'], function (app) {

    app.register.controller('forgetPasswordCtrl', ['$scope', '$stateParams','$state','adbService','$location','resetPasswordFactory',function ($scope, $stateParams,$state,adbService,$location,resetPasswordFactory) {
        //改变页面的<title>
        $scope.appTitle = '手机验证';
        $scope.$emit("titleName", $scope.appTitle);

        function init()//初始化信息
        {

        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });

        //返回按钮操作
        $scope.goToBack = function () {
            $location.path('loginR');
        }


        //点击发送验证码
        $scope.SendCode = function(){
            if($scope.mobile==''||$scope.mobile==undefined){
                $scope.dialogRes("请输入手机号");
                return;
            }else if(!/^[\+86|86]?1[3|4|5|7|8]\d{9}$/.test($scope.mobile)){
                $scope.dialogRes("请输入正确的手机号");
                return;
            }
            sendCount();       //倒计时60秒
            getMSg();          //获取验证码
        }

        //倒数60秒 切换按钮显示
        function sendCount(){
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        }

        //获取验证码
        function getMSg(){
            var params = {
                "mobile":$scope.mobile,
                "sendType": "2"
            }
            adbService.getResult(
                {},
                $scope.setService('I225010', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){

                    }
                }
            )
        }

        //验证校验码
        function getvalidate (){
            var params = {
                "mobile":$scope.mobile,
                "verifyCode":$scope.vCode
            }

            adbService.getResult(
                {},
                $scope.setService('I225011', params),
                function(json){
                    //console.info(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){
                        $scope.token = json.data.token; //返回的token
                        $scope.infos = [$scope.mobile,$scope.vCode,$scope.token]
                        resetPasswordFactory.setter($scope.infos)
                        $scope.setBackFactory('resetPassword');
                        $location.path('/resetPasswordR')
                    }else{
                        $scope.dialogRes(json.header.imsg);
                    }
                }
            )
        }

        $scope.goReset = function(){
            getvalidate()

        };




    }]);
});