'use strict';
define(['app'], function (app) {

    app.register.controller('loginCtrl', ['$scope', '$stateParams','$state','adbService','$location',function ($scope, $stateParams,$state,adbService,$location) {
        //改变页面的<title>
        $scope.appTitle = '登录';
        $scope.$emit("titleName", $scope.appTitle);

        //-----------------------------------------------------------------------------------------------------
        var officeIP=true;
        $.ajax({
            method:"get",
            url: '/pub/chkClient',
            //data:,
            cache: false,
            async: false,
            dataType: 'json',
            success: function (json) {
                console.log('json的controller===================',JSON.stringify(json));
                var clientString = JSON.stringify(json);
                if(clientString.indexOf('36.110.64.242')<0){
                    officeIP=false;
                }
            },
            error: function (err) {
            }
        });
        //-----------------------------------------------------------------------------------------------------

        $scope.goToBack = function () {
            $location.path('homeNoLoginR');
        };

        function init()//初始化信息
        {
            $scope.isWeiXin= navigator.userAgent.indexOf("MicroMessenger")>-1;//判断是否为微信

            //微信来时的入口
            $scope.wxUrlRouter = localStorage.getItem('wxUrlRouter');
            localStorage.clear();//清除登陆信息
            localStorage.setItem('wxUrlRouter',$scope.wxUrlRouter);


            $scope.isSubmit = false;
            $scope.phoneNum = '';
            $scope.password = '';

            /*点击扩散效果*/
        }
        init();

        $scope.$on('$viewContentLoaded', function(){
            //视图渲染后加载

        });


        //跳转到首页
        $scope.login = function(event){

            if(!officeIP){
                alert('禁止访问！');
                return;
            }

            if($scope.isSubmit) return;
            $scope.isSubmit = true;
            /*console.log({
                "mobile": $scope.phoneNum,
                "pwd": $scope.password
            });*/
            var a = new Date();
            var demoA= ""+a.getFullYear()+ (a.getMonth()+1)+ a.getDate()+ a.getHours()+ a.getMinutes();
            var encryptPwd=encrypt(hex_sha1($scope.password),demoA);
            adbService.getResult(
                {},
                $scope.setService("I170103", {
                    "mobile": $scope.phoneNum,
                    "pwd":encryptPwd,
                    "md5":hex_sha1(demoA)
                }),
                function (json) {
                    $scope.isSubmit = false;
                    //console.info(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        localStorage.setItem('broker_in_session',JSON.stringify(json.data));

                       if( $scope.wxUrlRouter&&$scope.wxUrlRouter!='null'){
                           //maxx.20161018
                           location.href=$scope.wxUrlRouter;
                       }else{
                           $location.path('/homeR');
                       }
                    }else{
                        $scope.dialogTip(json.header.imsg);
                    }
                },
                function (err) {
                    $scope.dialogTip('连接似乎有问题，请检查网络');
                    $scope.isSubmit = false;
                }
            );
            //$state.go("homeR");
        };
        //跳转到忘记密码
        $scope.goForgetPassword = function(){
            $state.go("forgetPasswordR");
        };

        //关闭登录
        $scope.closeLogin = function(){
            $state.go("homeNoLoginR");
        };

        $scope.goWeixinLogin = function()
        {
            //微信登陆
        }




    }]);
});