'use strict';
define(['app'], function (app) {
    app.register.controller('registerProtocolTopCtrl', ['$scope', '$stateParams', '$state', '$location',function ($scope, $stateParams, $state,$location) {
        //$scope.goToBack = function () {
        //    var res = $scope.gotoApp('PopNative');
        //    if (!res) {
        //        $location.path('performanceR');
        //    }
        //}

    }]);
    app.register.controller('registerCtrl', ['$scope', '$stateParams', '$state', 'adbService','$location',function ($scope, $stateParams, $state ,adbService,$location) {
        //改变页面的<title>
        $scope.appTitle = '注册';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.goToBack = function () {
            $location.path('homeNoLoginR');
        }
        function init()//初始化信息
        {

            $scope.isActive = true;
            $scope.status = true;
        }

        init();

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载

        });

        //同意注册协议
        $scope.isProtocol = function(type){
            $scope.isActive = type == true ? $scope.isActive = false : $scope.isActive = true;
            //console.info($scope.isActive);
        }

        //点击发送验证码
        $scope.SendCode = function(){
            if($scope.mobile==''||$scope.mobile==undefined){
                $scope.dialogRes("请输入手机号");
                return;
            }else if(!/^[\+86|86]?1[3|4|5|7|8]\d{9}$/.test($scope.mobile)){
                $scope.dialogRes("请输入正确的手机号");
                return;
            }
            sendCount();       //倒计时60秒
            getMSg();          //获取验证码
        }

        //倒数60秒 切换按钮显示
        function sendCount(){
            $scope.clickStatus = true;
            $scope.second = 60;
            var timer = setInterval(function () {
                if ($scope.second == 0) {
                    clearInterval(timer);
                    $scope.clickStatus = false;
                }
                $scope.second--;
                $scope.$apply();
            }, 1000);
        }
        //获取验证码
        function getMSg(){
            var params = {
                "mobile":$scope.mobile,
                "sendType": "1"
            }
            adbService.getResult(
                {},
                $scope.setService('I225010', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){

                    }else{
                        $scope.dialogRes(json.header.imsg)
                        $scope.clickStatus = false;
                    }
                }
            )
        }

        //验证校验码
        function getvalidate (){
            var params = {
                "mobile":$scope.mobile,
                "verifyCode":$scope.vCode
            }
            adbService.getResult(
                {},
                $scope.setService('I225011', params),
                function(json){
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){
                        console.log("校验成功")
                        checkForm();
                    }else{
                        if(json.header.imsg == '验证失败'){
                            $scope.dialogRes('验证码错误');
                        }

                    }
                }
            )
        }

        //表单校验
        function checkForm(){
            if($scope.password==undefined||$scope.password==''||!(/^[\w.]{6,12}$/).test($scope.password)){
                $scope.dialogRes("密码为6-12位");
                return;
            }
            if($scope.confirmPassword!=$scope.password){
                $scope.dialogRes("重复密码必须一致");
                return;
            }
            if($scope.isActive != true){
                $scope.dialogRes("您还未同意注册协议");
                return;
            }
            var a = new Date();
            var demoA= ""+a.getFullYear()+ (a.getMonth()+1)+ a.getDate()+ a.getHours()+ a.getMinutes();
            var encryptPwd=encrypt(hex_sha1($scope.password),demoA);
            //开始注册
            var params = {
                "mobile":$scope.mobile,
                "pwd": encryptPwd,
                "md5":hex_sha1(demoA),
                "regChannel": "adbnative",
                "regSource": "2",
                "regType": "3",
                "smsCode": $scope.vCode
            }
            //console.info(params)
            adbService.getResult(
                {},
                $scope.setService('I170202', params),
                function(json){
                    //console.info(json)
                    if (json.header.istatus == '-99'){
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if(json.header.istatus == '1'){
                        $state.go("loginR");
                    }else{
                        //$scope.dialogRes(json.header.imsg);
                    }
                }
            )

        }

        //跳转到注册
        $scope.goLogin = function () {
            getvalidate();//验证短信校验码
            //checkForm();
        };

        //跳转到注册协议
        $scope.goRegisterProtocol = function () {
            $scope.setBackFactory('registerProtocol');
            $state.go("registerProtocolR");
        };

        //关闭注册
        $scope.closeRegister = function () {
            $state.go("homeNoLoginR");
        };


    }]);

    app.register.controller('registerProtocolCtrl', ['$scope', '$stateParams', '$state','$location', function ($scope, $stateParams, $state,$location) {
        //改变页面的<title>
        $scope.appTitle = '注册协议';
        $scope.$emit("titleName", $scope.appTitle);

        //返回按钮操作
        var backUrl = $scope.getBackFactory('registerProtocol','autoPoliciesR');
        if (typeof backUrl != 'undefined' && backUrl != '') {
            if (backUrl.indexOf('customerDetail')>-1 )//如果是从客户详情的保单列表过来的数据，则跳转回原生的页面
            {
                var  res = $scope.gotoApp('PopNative');

            }
            backUrl = 'index.html#/' + backUrl;
            $scope.$emit("adbBack", backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        $scope.goToBack = function () {
            var res = $scope.gotoApp('PopNative');
            if(!res){
                location.href="javascript:history.go(-1)";
            }
            //$location.path('registerR');
        }

    }]);


});