define(['app'],function (app) {

    app.register.controller('myBankCardCtrl', ['$scope','$location','backFactory',function($scope,$location,backFactory){
        //改变页面的<title>
        $scope.appTitle = '我的银行卡';
        $scope.$emit("titleName", $scope.appTitle);


        /*****************************设置头部返回地址 begin******************************/
        //因为是浏览器、微信、App都会调用此页面
        var backUrl = $scope.getBackFactory('myBankCard','myBankCardR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        //添加银行卡
        $scope.goBankCardAdd = function(){
            $scope.setBackFactory('addBankCard');
            $location.path('/addBankCardR/1');
        };


    }]);

    app.register.controller('addBankCardCtrl', ['$scope','$location','backFactory','$stateParams',function($scope,$location,backFactory,$stateParams){
        //改变页面的<title>
        $scope.appTitle = '添加银行卡';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.step = $stateParams.stepId;

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = backFactory.getter();
        if($scope.step == 2){
            backUrl = "#/addBankCardR/1";
        }
        else if (typeof backUrl['addBankCard'] != 'undefined'&& backUrl['addBankCard'] != '')
        {
            backUrl = "index.html#/"+backUrl['addBankCard'];
        }
        else
        {
            backUrl = "index.html#/addBankCardR";
        }

        //返回按钮操作
        $scope.$emit("adbBack",backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        /*****************************设置头部返回地址 end******************************/

        //添加银行卡下一步
        $scope.goBankCardAddNext = function(){
            $location.path('/addBankCardR/2');
        };

        //判断是从提现进入还是我的银行卡页面跳转到添加银行卡页面
        $scope.goMyBankCard = function(){
            var params = backFactory.getter();
            if(params['addBankCard'] == 'withdrawDepositR'){
                $location.path('/withdrawDepositR');
            }else if(params['addBankCard'] == 'myBankCardR'){
                $location.path('/myBankCardR');
            }
        };

    }]);
});