define(['app'],function (app) {

    app.register.controller('withdrawDepositCtrl', ['$scope','$location','backFactory',function($scope,$location,backFactory){
        //改变页面的<title>
        $scope.appTitle = '提现';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('withdrawDeposit','withdrawDepositR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

        $scope.goBankCardAdd = function(){
            $scope.setBackFactory('addBankCard');
            $location.path('/addBankCardR/1');
        };

        $scope.goWithdrawConfirm = function(){
            $scope.setBackFactory('withdrawConfirm');
            $location.path('/withdrawConfirmR');
        };

    }]);

    app.register.controller('withdrawConfirmCtrl', ['$scope','$location','backFactory',function($scope,$location,backFactory){
        //改变页面的<title>
        $scope.appTitle = '确认提现';
        $scope.$emit("titleName", $scope.appTitle);

        /*****************************设置头部返回地址 begin******************************/
        var backUrl = $scope.getBackFactory('withdrawConfirm','withdrawConfirmR');
        if (backUrl != ''){
            //返回按钮操作
            $scope.$emit("adbBack",'index.html#/'+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        /*****************************设置头部返回地址 end******************************/

    }]);
});