var calculateFee = {
    getCalFeeRateDim : function(myMainProduct,mySelfProduct,insureInfos){//用于计算产品的费率维度
        //console.log(mySelfProduct.productId);
        var myProposal = ruleForMakePlan[mySelfProduct.productId];
        //附加险和主险的结构毕竟不同，所以要区分处理//组rateInfo
        var rateInfo = {};
        rateInfo.insuredInfo = insureInfos.insuredInfo;
        rateInfo.holderInfo = insureInfos.holderInfo;
        var isMain = false;//主险标记
        if(myMainProduct.productId == mySelfProduct.productId)isMain = true;
        //保费保额
        if(myProposal["c_fee_method"] == '1'){//算费方式  1：保额算保费   2：保费算保额  3:无任何方式（保额保费为0）
            if (myProposal["InputType"] == '1' || myProposal["InputType"] == '2') {//保额录入方式  1：输入金额 2：输入份数   3:按钮选择保额-算保费 4:取主险保费
                if (typeof mySelfProduct.amt == 'undefined') {
                    if(typeof myProposal.defaultAmt != 'undefined'){
                        rateInfo.amt = myProposal.defaultAmt;
                        mySelfProduct.amt = myProposal.defaultAmt;
                    }
                    else if(typeof myProposal["feeRule"] != 'undefined'){
                        if(myProposal["feeRule"].feeType == '1'){
                            if(myProposal["feeRule"].isClass == 'Y'){
                                var classIndex = "";
                                var insuredAge = parseInt(insureInfos.insuredInfo.age);
                                var classIndex = "";
                                if(insuredAge >=0 && insuredAge < 18){
                                    classIndex = 'A';
                                }
                                else if(insuredAge >=18 && insuredAge < 60){
                                    classIndex = 'B';
                                }
                                else if(insuredAge >= 60){
                                    classIndex = 'C';
                                }
                                if(typeof myProposal["feeRule"][classIndex].minAmt != 'undefined'){
                                    rateInfo.amt = myProposal["feeRule"][classIndex].minAmt;
                                    mySelfProduct.amt = myProposal["feeRule"][classIndex].minAmt;
                                }
                            }
                            else{
                                if(typeof myProposal["feeRule"].minAmt != 'undefined'){
                                    rateInfo.amt = myProposal["feeRule"].minAmt;
                                    mySelfProduct.amt = myProposal["feeRule"].minAmt;
                                }
                            }
                        }
                        else{
                        }
                    }

                }
                else {
                    rateInfo.amt = mySelfProduct.amt;
                }
            }
            else if (myProposal["InputType"] == '3') {
                if (typeof mySelfProduct.amt == 'undefined') {
                    if(typeof myMainProduct.amt == 'undefined'){
                        rateInfo.amt = myProposal.defaultAmt;
                        mySelfProduct.amt = myProposal.defaultAmt;
                        myMainProduct.amt = myProposal.defaultAmt;
                    }
                    else{
                        for(var i = 0;i<myProposal["amtRule"].length;i++){
                            if(parseInt(myMainProduct.amt) >= parseInt(myProposal["amtRule"][i]["minPremium"]) && parseInt(myMainProduct.amt) < parseInt(myProposal["amtRule"][i]["maxPremium"])){
                                break;
                            }
                        }
                        //console.log(myProposal["amtRule"][i],i);
                        rateInfo.amt = myProposal["amtRule"][i].defaultAmt;
                        mySelfProduct.amt = myProposal.defaultAmt;
                    }
                }
                else {
                    rateInfo.amt = mySelfProduct.amt;
                }
            }
            else if (myProposal["InputType"] == '4') {//4:取主险保费作为自身的保额
                if (!isMain) {
                    if (typeof mySelfProduct.amt == 'undefined') {
                        rateInfo.amt = myMainProduct.fee;
                        mySelfProduct.amt = myMainProduct.fee;
                    }
                    else {
                        rateInfo.amt = myMainProduct.fee;
                    }
                }
            }
            else if(myProposal["InputType"] == '5'){//有复合公式，进行特殊处理
                if(mySelfProduct.productId == '100501'){
                    //主险保费加上其他附加险保费
                    //console.log("enter 100501");
                    //console.log("myMainProduct.fee",myMainProduct.fee);
                    rateInfo.amt = parseFloat(myMainProduct.fee);
                    //console.log("myMainProduct.riderList.length",myMainProduct.riderList.length);
                    for(var i =0;i<myMainProduct.riderList.length;i++){
                        if(myMainProduct.riderList[i].flagId == 'Y' && myMainProduct.riderList[i].productId != mySelfProduct.productId && myMainProduct.riderList[i].payTerm != 'to_all'){
                            //console.log("myMainProduct.riderList[i].fee",myMainProduct.riderList[i].fee);
                            rateInfo.amt += parseFloat(myMainProduct.riderList[i].fee);
                        }
                    }
                }else if(mySelfProduct.productId == '210002'){
                    //主险保费加上其他附加险保费
                    rateInfo.amt = parseFloat(myMainProduct.fee);
                    //console.log("myMainProduct.riderList.length",myMainProduct.riderList.length);
                    for(var i =0;i<myMainProduct.bind.length;i++){
                        if(myMainProduct.bind[i].productId != mySelfProduct.productId && myMainProduct.bind[i].productId == '210001'){
                            rateInfo.amt += parseFloat(myMainProduct.bind[i].fee);
                        }
                    }
                }
                //console.log("rateInfo.amt",rateInfo.amt);
            }
            else if(myProposal["InputType"] == '6'){//取主险的保额作为自身的保额
                if (!isMain) {
                    if (typeof mySelfProduct.amt == 'undefined') {
                        if(typeof myProposal["InputRate"] == 'undefined'){
                            rateInfo.amt = myMainProduct.amt;
                            mySelfProduct.amt = myMainProduct.amt;
                        }
                        else{
                            //console.log(myMainProduct.amt,myProposal["InputRate"]);
                            rateInfo.amt = parseFloat(myMainProduct.amt)*parseFloat(myProposal["InputRate"]);
                            rateInfo.amt = rateInfo.amt.toFixed(2);
                            mySelfProduct.amt = rateInfo.amt;
                        }
                    }
                    else {
                        if(typeof myProposal["InputRate"] == 'undefined'){
                            rateInfo.amt = myMainProduct.amt;
                            mySelfProduct.amt = myMainProduct.amt;
                        }
                        else{
                            //console.log(myMainProduct.amt,myProposal["InputRate"]);
                            rateInfo.amt = parseFloat(myMainProduct.amt)*parseFloat(myProposal["InputRate"]);
                            rateInfo.amt = rateInfo.amt.toFixed(2);
                            mySelfProduct.amt = rateInfo.amt;
                        }
                    }
                }
            }
        }
        else if(myProposal["c_fee_method"] == '2'){//保费算保额
            if (myProposal["InputType"] == '1') {//保额录入方式  1：输入金额 2：输入份数   3:按钮选择保额-算保费 4:取主险保费
                if (typeof mySelfProduct.fee == 'undefined') {
                    if(typeof myProposal.defaultFee != 'undefined'){
                        rateInfo.fee = myProposal.defaultFee;
                        mySelfProduct.fee = myProposal.defaultFee;
                    }
                    else if(typeof myProposal["feeRule"] != 'undefined'){
                        if(myProposal["feeRule"].feeType == '1'){
                            if(myProposal["feeRule"].isClass == 'Y'){
                                var classIndex = "";
                                var insuredAge = parseInt(insureInfos.insuredInfo.age);
                                var classIndex = "";
                                if(insuredAge >=0 && insuredAge < 18){
                                    classIndex = 'A';
                                }
                                else if(insuredAge >=18 && insuredAge < 60){
                                    classIndex = 'B';
                                }
                                else if(insuredAge >= 60){
                                    classIndex = 'C';
                                }
                                if(typeof myProposal["feeRule"][classIndex].minFee != 'undefined'){
                                    rateInfo.fee = myProposal["feeRule"][classIndex].minFee;
                                    mySelfProduct.fee = myProposal["feeRule"][classIndex].minFee;
                                }
                            }
                            else{
                                if(typeof myProposal["feeRule"].minFee != 'undefined'){
                                    rateInfo.fee = myProposal["feeRule"].minFee;
                                    mySelfProduct.fee = myProposal["feeRule"].minFee;
                                }
                            }
                        }
                        else{
                        }
                    }

                }
                else {
                    rateInfo.fee = mySelfProduct.fee;
                }
            }
        }
        else if(myProposal["c_fee_method"] == '3'){//自动补0
            //console.log("enter c_fee_method == 3");
            rateInfo.fee = '0'
            rateInfo.amt = '0';
            rateInfo.payTerm =myProposal["defaultPay"];
            rateInfo.insureTerm =myProposal["defaultEnsure"];
            mySelfProduct.rateInfo = rateInfo;
            mySelfProduct.fee = rateInfo.fee;
            mySelfProduct.amt = rateInfo.amt;
            mySelfProduct.payTerm =rateInfo.payTerm;
            mySelfProduct.insureTerm =rateInfo.insureTerm;
            return;
        }
        else if(myProposal["c_fee_method"] == '4'){//根据绑定险计算

        }
        else if(myProposal["c_fee_method"] == '5'){//只取自身默认值
            //console.log("enter c_fee_method == 5");
            rateInfo.fee = 0;
            mySelfProduct.fee = 0;
            if (myProposal["InputType"] == '1' || myProposal["InputType"] == '2') {//保额录入方式  1：输入金额 2：输入份数   3:按钮选择保额-算保费 4:取主险保费
                if (typeof mySelfProduct.amt == 'undefined') {
                    if(typeof myProposal.defaultAmt != 'undefined'){
                        rateInfo.amt = myProposal.defaultAmt;
                        mySelfProduct.amt = myProposal.defaultAmt;
                    }
                    else if(typeof myProposal["feeRule"] != 'undefined'){
                        if(myProposal["feeRule"].feeType == '1'){
                            if(myProposal["feeRule"].isClass == 'Y'){
                                var classIndex = "";
                                var insuredAge = parseInt(insureInfos.insuredInfo.age);
                                var classIndex = "";
                                if(insuredAge >=0 && insuredAge < 18){
                                    classIndex = 'A';
                                }
                                else if(insuredAge >=18 && insuredAge < 60){
                                    classIndex = 'B';
                                }
                                else if(insuredAge >= 60){
                                    classIndex = 'C';
                                }
                                if(typeof myProposal["feeRule"][classIndex].minAmt != 'undefined'){
                                    rateInfo.amt = myProposal["feeRule"][classIndex].minAmt;
                                    mySelfProduct.amt = myProposal["feeRule"][classIndex].minAmt;
                                }
                            }
                            else{
                                if(typeof myProposal["feeRule"].minAmt != 'undefined'){
                                    rateInfo.amt = myProposal["feeRule"].minAmt;
                                    mySelfProduct.amt = myProposal["feeRule"].minAmt;
                                }
                            }
                        }
                        else{
                        }
                    }

                }
                else {
                    rateInfo.amt = mySelfProduct.amt;
                }
            }
            else if (myProposal["InputType"] == '3') {
                //console.log("enter InputType == 3");
                if (typeof mySelfProduct.amt == 'undefined') {
                    if(typeof myMainProduct.amt == 'undefined'){
                        if(typeof myProposal.defaultAmt == 'undefined'){
                            rateInfo.amt = myProposal["amtRule"][0].defaultAmt;
                            mySelfProduct.amt = rateInfo.defaultAmt;
                            myMainProduct.amt = rateInfo.defaultAmt;
                        }
                        else{
                            rateInfo.amt = myProposal.defaultAmt;
                            mySelfProduct.amt = myProposal.defaultAmt;
                            myMainProduct.amt = myProposal.defaultAmt;
                        }
                    }
                    else{
                        for(var i = 0;i<myProposal["amtRule"].length;i++){
                            if(parseInt(myMainProduct.amt) >= parseInt(myProposal["amtRule"][i]["minPremium"]) && parseInt(myMainProduct.amt) < parseInt(myProposal["amtRule"][i]["maxPremium"])){
                                break;
                            }
                        }
                        //console.log(myProposal["amtRule"][i],i);
                        rateInfo.amt = myProposal["amtRule"][i].defaultAmt;
                        mySelfProduct.amt = rateInfo.amt;
                    }
                }
                else {
                    rateInfo.amt = mySelfProduct.amt;
                }
            }
            else if (myProposal["InputType"] == '4') {//4:取主险保费作为自身的保额
                if (!isMain) {
                    if (typeof mySelfProduct.amt == 'undefined') {
                        rateInfo.amt = myMainProduct.fee;
                        mySelfProduct.amt = myMainProduct.fee;
                    }
                    else {
                        rateInfo.amt = myMainProduct.fee;
                    }
                }
            }
            else if(myProposal["InputType"] == '5'){//有复合公式，进行特殊处理
            }
            else if(myProposal["InputType"] == '6'){//取主险的保额作为自身的保额
                if (!isMain) {
                    if (typeof mySelfProduct.amt == 'undefined') {
                        //console.log("mySelfProduct.amt is undefined");
                        if(typeof myProposal["InputRate"] == 'undefined'){
                            rateInfo.amt = myMainProduct.amt;
                            mySelfProduct.amt = myMainProduct.amt;
                        }
                        else{
                            //console.log(myMainProduct.amt,myProposal["InputRate"]);
                            rateInfo.amt = parseFloat(myMainProduct.amt)*parseFloat(myProposal["InputRate"]);
                            rateInfo.amt = rateInfo.amt.toFixed(2);
                            mySelfProduct.amt = rateInfo.amt;
                        }
                    }
                    else {
                        //console.log("mySelfProduct.amt",mySelfProduct.amt);
                        rateInfo.amt = myMainProduct.amt;
                    }
                }
            }
            else if(myProposal["InputType"] == '7'){//
            }
        }

        //缴费期间
        if(isMain){
            var myProposalPayArray;
            if(myProposal["payType"] == "1"){//1：取自身  2：与主险有关
                for(var j = 0;j<myProposal["payFull"].length;j++){
                    if(insureInfos.insuredInfo.age >= myProposal["payFull"][j].minAge && insureInfos.insuredInfo.age <= myProposal["payFull"][j].maxAge){
                        break;
                    }
                }
                if(j < myProposal["payFull"].length){
                    myProposalPayArray = myProposal["payFull"][j]["payYear"];
                    rateInfo.payTerm = myProposal["payFull"][j].defaultPay;
                }
                else myProposalPayArray = [];
            }
            else if(myProposal["payType"] == "3"){
                //模板3，最复杂的模板，根据保障期间获取缴费期间，所以应该先获取保障期间的值，如果没有值，则获取其默认值
                var insureTerm = "";
                if (typeof mySelfProduct.insureTerm != 'undefined') {
                    //先看自身的缴费期间
                    insureTerm = mySelfProduct.insureTerm;
                } else if (typeof insureInfos.editInfo.insureTerm != 'undefined') {
                    //再看编辑项的缴费期间
                    insureTerm = insureInfos.editInfo.insureTerm;
                } else if (typeof myProposal['ensureType'] != 'undefined') {
                    if (myProposal['ensureType'] == '3') {
                        for (var j = 0; j < myProposal["ensureYear"].length; j++) {
                            if (insureInfos.insuredInfo.age >= myProposal["ensureYear"][j].minAge && insureInfos.insuredInfo.age <= myProposal["ensureYear"][j].maxAge) {
                                break;
                            }
                        }
                        insureTerm = myProposal["ensureYear"][j].defaultEnsure;
                    }
                    else {
                    }
                } else{
                }
                //console.log("insureTerm",insureTerm);
                var myProposalPay = myProposal["payFull"][insureTerm];
                //console.log("myProposalPay",myProposalPay);
                for (var j = 0; j < myProposalPay.length; j++) {
                    if (parseInt(insureInfos.insuredInfo.age) >= parseInt(myProposalPay[j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(myProposalPay[j].maxAge)) {
                        //console.log(myProposalPay[j].defaultPay);
                        myProposalPayArray = myProposalPay[j]["payYear"];
                        rateInfo.payTerm = myProposalPay[j].defaultPay;
                        break;
                    }
                }
            }
            else if(myProposal["payType"] == "4") {
                //模板4，根据祝寿金领取年龄获取缴费期间
                if(myProposal["birthdayType"] == '1'){
                    var birthdayValue = myProposal["birthdayValue"];
                    console.log("birthdayValue:",birthdayValue);
                    console.log("insureInfos.insuredInfo.age:",insureInfos.insuredInfo.age);
                    var birthdayValueArray = [];
                    var birthdaydefaultValue = "";
                    for (var j = 0; j < birthdayValue.length; j++) {
                        if (parseInt(insureInfos.insuredInfo.age) >= parseInt(birthdayValue[j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(birthdayValue[j].maxAge)) {
                            //console.log(myProposalPay[j].defaultPay);
                            birthdayValueArray = birthdayValue[j]["payYear"];
                            birthdaydefaultValue = rateInfo.birthdayValue = birthdayValue[j].defaultPay;
                            break;
                        }
                    }
                    if(typeof mySelfProduct.birthdayValue != 'undefined' && birthdayValueArray.indexOf(mySelfProduct.birthdayValue) >= 0){
                        birthdaydefaultValue = rateInfo.birthdayValue = mySelfProduct.birthdayValue;
                    }
                    else birthdaydefaultValue = mySelfProduct.birthdayValue = rateInfo.birthdayValue;

                    console.log("birthdaydefaultValue:",birthdaydefaultValue);
                    var myProposalPay = myProposal["payFull"][birthdaydefaultValue];

                    for (var j = 0; j < myProposalPay.length; j++) {
                        if (parseInt(insureInfos.insuredInfo.age) >= parseInt(myProposalPay[j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(myProposalPay[j].maxAge)) {
                            //console.log(myProposalPay[j].defaultPay);
                            myProposalPayArray = myProposalPay[j]["payYear"];
                            rateInfo.payTerm = myProposalPay[j].defaultPay;
                            break;
                        }
                    }
                }
            }

            if(typeof mySelfProduct.payTerm != 'undefined' && myProposalPayArray.indexOf(mySelfProduct.payTerm) >= 0){
                rateInfo.payTerm = mySelfProduct.payTerm;
            }
            else mySelfProduct.payTerm = rateInfo.payTerm;
        }
        else{
            var myProposalPayArray;
            if(myProposal["payType"] == "1"){//1：取自身  2：与主险有关
                for(var j = 0;j<myProposal["payFull"].length;j++){
                    if(parseInt(insureInfos.insuredInfo.age) >= parseInt(myProposal["payFull"][j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(myProposal["payFull"][j].maxAge)){
                        break;
                    }
                }
                myProposalPayArray = myProposal["payFull"][j]["payYear"];
                rateInfo.payTerm = myProposal["payFull"][j].defaultPay;
            }
            else if(myProposal["payType"] == "2"){
                myProposalPayArray = [];
                if(myProposal["payValue"] == "1"){
                    rateInfo.payTerm = myMainProduct.payTerm;
                }
                else if(myProposal["payValue"] == "2"){
                    //console.log("myMainProduct",myMainProduct);
                    var valueD = checkTermValue(myMainProduct.payTerm);
                    var signD = checkTermSign(myMainProduct.payTerm)
                    rateInfo.payTerm = valueD - 1;
                    if(rateInfo.payTerm == 0){
                        mySelfProduct.flagId = "N";
                        //console.log("缴费期间不能为0");
                    }
                    else{
                        if(signD == 'to_full')signD = 'to_';
                        else if(signD == 'to_all')signD='term_'
                        rateInfo.payTerm = signD + rateInfo.payTerm;
                    }
                }
            }
            else if(myProposal["payType"] == "3"){
                //模板3，最复杂的模板，根据保障期间获取缴费期间，所以应该先获取保障期间的值，如果没有值，则获取其默认值
                var insureTerm = "";
                //console.log(mySelfProduct.insureTerm,insureInfos.editInfo.insureTerm,myProposal['ensureType']);
                if (typeof mySelfProduct.insureTerm != 'undefined') {
                    //先看自身的缴费期间
                    insureTerm = mySelfProduct.insureTerm;
                } else if (typeof insureInfos.editInfo.insureTerm != 'undefined') {
                    //再看编辑项的缴费期间
                    insureTerm = insureInfos.editInfo.insureTerm;
                } else if (typeof myProposal['ensureType'] != 'undefined') {
                    if(myProposal["ensureType"] == "2"){
                        if(myProposal["ensureYear"] == "1"){//主险缴费年期
                            insureTerm = myMainProduct.insureTerm;
                        }
                        else if(myProposal["ensureYear"] == "2"){//主险缴费年期减1
                            //console.log("myMainProduct",myMainProduct);
                            var valueD = checkTermValue(myMainProduct.insureTerm);
                            var signD = checkTermSign(myMainProduct.insureTerm);
                            insureTerm = valueD - 1;
                            if(insureTerm == 0){
                                mySelfProduct.flagId = "N";
                                //console.log("缴费期间不能为0");
                            }
                            else{
                                if(signD == 'to_full')signD = 'to_';
                                else if(signD == 'to_all')signD='term_'
                                insureTerm = signD + insureTerm;
                            }
                        }
                    }
                    else if (myProposal['ensureType'] == '3') {
                        for (var j = 0; j < myProposal["ensureYear"].length; j++) {
                            if (parseInt(insureInfos.insuredInfo.age) >= parseInt(myProposal["ensureYear"][j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(myProposal["ensureYear"][j].maxAge)) {
                                break;
                            }
                        }
                        insureTerm = myProposal["ensureYear"][j].defaultEnsure;
                    }
                    else {
                    }
                } else{
                }
                //console.log("insureTerm",insureTerm);
                var myProposalPay = myProposal["payFull"][insureTerm];
                //console.log("myProposalPay",myProposalPay);
                for (var j = 0; j < myProposalPay.length; j++) {
                    if (parseInt(insureInfos.insuredInfo.age) >= parseInt(myProposalPay[j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(myProposalPay[j].maxAge)) {
                        //console.log(myProposalPay[j].defaultPay);
                        myProposalPayArray = myProposalPay[j]["payYear"];
                        rateInfo.payTerm = myProposalPay[j].defaultPay;
                        break;
                    }
                }
            }
            if(typeof mySelfProduct.payTerm != 'undefined' && myProposalPayArray.indexOf(mySelfProduct.payTerm) >= 0){
                rateInfo.payTerm = mySelfProduct.payTerm;
            }
            else mySelfProduct.payTerm = rateInfo.payTerm;
        }

        //保障期间
        if(isMain){
            var myProposalEnsureArray;
            if(myProposal["ensureType"]=="1"){//1：取自身  2：与主险有关
                rateInfo.insureTerm = myProposal["defaultEnsure"];
                myProposalEnsureArray = myProposal["ensureYear"];
            }
            else if(myProposal["ensureType"] == "3"){
                var insureTerm = "";
                for (var j = 0; j < myProposal["ensureYear"].length; j++) {
                    if (insureInfos.insuredInfo.age >= myProposal["ensureYear"][j].minAge && insureInfos.insuredInfo.age <= myProposal["ensureYear"][j].maxAge) {
                        break;
                    }
                }
                myProposalEnsureArray = myProposal["ensureYear"][j]["enYear"];
                insureTerm = myProposal["ensureYear"][j].defaultEnsure;
                //console.log("insureTerm",insureTerm);
                rateInfo.insureTerm = insureTerm;
            }
            else if(myProposal["ensureType"] == "4"){
                myProposalEnsureArray = [];
                insureTerm = rateInfo.payTerm;
                //console.log("insureTerm",insureTerm);
                rateInfo.insureTerm = rateInfo.payTerm;
            }
            if(typeof mySelfProduct.insureTerm != 'undefined' && myProposalEnsureArray.indexOf(mySelfProduct.insureTerm) >= 0){
                rateInfo.insureTerm = mySelfProduct.insureTerm;
            }
            else{
                if(typeof mySelfProduct.insureTerm != 'undefined'){
                    mySelfProduct.insureTerm = rateInfo.insureTerm;
                }
                else if(typeof mySelfProduct.editInfo != 'undefined' && typeof mySelfProduct.editInfo.insureTerm != 'undefined'){
                    mySelfProduct.insureTerm = mySelfProduct.editInfo.insureTerm;
                    rateInfo.insureTerm = mySelfProduct.editInfo.insureTerm;
                }
                else{
                    mySelfProduct.insureTerm = rateInfo.insureTerm;
                }
            }
        }
        else{
            var myProposalEnsureArray;
            if(myProposal["ensureType"]=="1"){//1：取自身  2：与主险有关
                rateInfo.insureTerm = myProposal["defaultEnsure"];
                myProposalEnsureArray = myProposal["ensureYear"];
            }
            else if(myProposal["ensureType"] == "2"){
                myProposalEnsureArray = [];
                if(myProposal["ensureYear"] == "1"){//主险缴费年期
                    rateInfo.insureTerm = myMainProduct.insureTerm;
                }
                else if(myProposal["ensureYear"] == "2"){//主险缴费年期减1
                    //console.log("myMainProduct",myMainProduct);
                    var valueD = checkTermValue(myMainProduct.insureTerm);
                    var signD = checkTermSign(myMainProduct.insureTerm);
                    rateInfo.insureTerm = valueD - 1;
                    if(rateInfo.insureTerm == 0){
                        mySelfProduct.flagId = "N";
                        //console.log("缴费期间不能为0");
                    }
                    else{
                        if(signD == 'to_full')signD = 'to_';
                        else if(signD == 'to_all')signD='term_'
                        rateInfo.insureTerm = signD + rateInfo.insureTerm;
                    }
                }
            }
            else if(myProposal["ensureType"] == "3"){
                var insureTerm = "";
                for (var j = 0; j < myProposal["ensureYear"].length; j++) {
                    if (insureInfos.insuredInfo.age >= myProposal["ensureYear"][j].minAge && insureInfos.insuredInfo.age <= myProposal["ensureYear"][j].maxAge) {
                        break;
                    }
                }
                myProposalEnsureArray = myProposal["ensureYear"][j]["enYear"];
                insureTerm = myProposal["ensureYear"][j].defaultEnsure;
                //console.log("insureTerm",insureTerm);
                rateInfo.insureTerm = insureTerm;
                mySelfProduct.insureTerm = insureTerm;
            }
            else if(myProposal["ensureType"] == "4"){
                myProposalEnsureArray = [];
                insureTerm = rateInfo.payTerm;
                //console.log("insureTerm",insureTerm);
                rateInfo.insureTerm = rateInfo.payTerm;
            }

            if(typeof mySelfProduct.insureTerm != 'undefined' && myProposalEnsureArray.indexOf(mySelfProduct.insureTerm) >= 0){
                rateInfo.insureTerm = mySelfProduct.insureTerm;
            }
            else{
                if(typeof mySelfProduct.insureTerm != 'undefined'){
                    mySelfProduct.insureTerm = rateInfo.insureTerm;
                }
                else if(typeof mySelfProduct.editInfo != 'undefined' && typeof mySelfProduct.editInfo.insureTerm != 'undefined'){
                    mySelfProduct.insureTerm = mySelfProduct.editInfo.insureTerm;
                    rateInfo.insureTerm = mySelfProduct.editInfo.insureTerm;
                }
                else{
                    mySelfProduct.insureTerm = rateInfo.insureTerm;
                }
            }

            if(typeof mySelfProduct.insureTerm == 'undefined'){
                if(myProposal["ensureType"]=="1"){//1：取自身  2：与主险有关
                    rateInfo.insureTerm = myProposal["defaultEnsure"];
                    mySelfProduct.insureTerm = myProposal["defaultEnsure"];
                }
                else if(myProposal["ensureType"] == "2"){
                    if(myProposal["ensureYear"] == "1"){//主险缴费年期
                        rateInfo.insureTerm = myMainProduct.insureTerm;
                    }
                    else if(myProposal["ensureYear"] == "2"){//主险缴费年期减1
                        //console.log("myMainProduct",myMainProduct);
                        var valueD = checkTermValue(myMainProduct.insureTerm);
                        var signD = checkTermSign(myMainProduct.insureTerm);
                        rateInfo.insureTerm = valueD - 1;
                        if(rateInfo.insureTerm == 0){
                            mySelfProduct.flagId = "N";
                            //console.log("缴费期间不能为0");
                        }
                        else{
                            if(signD == 'to_full')signD = 'to_';
                            else if(signD == 'to_all')signD='term_'
                            rateInfo.insureTerm = signD + rateInfo.insureTerm;
                        }
                    }
                    mySelfProduct.insureTerm = rateInfo.insureTerm;
                }
                else if(myProposal["ensureType"] == "3"){
                    var insureTerm = "";
                    if (typeof mySelfProduct.insureTerm != 'undefined') {
                        //先看自身的缴费期间
                        insureTerm = mySelfProduct.insureTerm;
                    } else if (typeof insureInfos.editInfo.insureTerm != 'undefined') {
                        //再看编辑项的缴费期间
                        insureTerm = insureInfos.editInfo.insureTerm;
                    } else if (typeof myProposal['ensureType'] != 'undefined') {
                        if (myProposal['ensureType'] == '3') {
                            for (var j = 0; j < myProposal["ensureYear"].length; j++) {
                                if (insureInfos.insuredInfo.age >= myProposal["ensureYear"][j].minAge && insureInfos.insuredInfo.age <= myProposal["ensureYear"][j].maxAge) {
                                    break;
                                }
                            }
                            insureTerm = myProposal["ensureYear"][j].defaultEnsure;
                        }
                        else {
                        }
                    }
                    else{

                    }
                    //console.log("insureTerm",insureTerm);
                    rateInfo.insureTerm = insureTerm;
                    mySelfProduct.insureTerm = insureTerm;
                }
            }
            else{
                rateInfo.insureTerm = mySelfProduct.insureTerm;
            }
        }
        //祝寿金领取年龄
        if(isMain){
            var birthdayValueArray = [];
            if(myProposal["birthdayType"] == '1'){
                var birthdayValue = myProposal["birthdayValue"];
                console.log("birthdayValue:",birthdayValue);
                console.log("insureInfos.insuredInfo.age:",insureInfos.insuredInfo.age);
                var birthdaydefaultValue = "";
                for (var j = 0; j < birthdayValue.length; j++) {
                    if (parseInt(insureInfos.insuredInfo.age) >= parseInt(birthdayValue[j].minAge) && parseInt(insureInfos.insuredInfo.age) <= parseInt(birthdayValue[j].maxAge)) {
                        //console.log(myProposalPay[j].defaultPay);
                        birthdayValueArray = birthdayValue[j]["payYear"];
                        birthdaydefaultValue = rateInfo.birthdayValue = birthdayValue[j].defaultPay;
                        break;
                    }
                }
            }

            if(typeof mySelfProduct.birthdayValue != 'undefined' && birthdayValueArray.indexOf(mySelfProduct.birthdayValue) >= 0){
                rateInfo.birthdayValue = mySelfProduct.birthdayValue;
            }
            else mySelfProduct.birthdayValue = rateInfo.birthdayValue;
        }
        else{
            if(myProposal["birthdayType"] == '2'){//与主险相关
                var birthdayValue = myProposal["birthdayValue"];
                if(birthdayValue == '1'){
                    rateInfo.birthdayValue = myMainProduct.birthdayValue;
                    mySelfProduct.birthdayValue = rateInfo.birthdayValue;
                }
            };
        }
        mySelfProduct.rateInfo = rateInfo;
    },
    changePayTermFormat: function (payTerm){
        var pos = -1;
        var tmpPayTerm = -1;
        pos = payTerm.indexOf("term_");
        if(pos >= 0){
            pos = pos+"term_".length;
            tmpPayTerm = payTerm.substr(pos, payTerm.length - pos);
        }
        else{
            if(payTerm == "to_all"){
                tmpPayTerm = 1;
            }
            else{
                return payTerm;
            }
        }
        return tmpPayTerm;
    },
    putFee:function(productId, mainProductInfo, callback, present){
        var functionName = productId;
        if(typeof this[functionName] != 'undefined' && typeof this[functionName] != 'function'){
            this[functionName] = this[this[functionName]];
            this[functionName](productId, mainProductInfo, callback, present);
        }
        else if(typeof this[functionName] != 'undefined' && typeof this[functionName] == 'function'){
            this[functionName](productId, mainProductInfo, callback, present);
        }
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "100100":function(productId,mainProductInfo, callback, present){//100100费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、交费年期、年龄 —— 保额运算
    "100101":function(productId, mainProductInfo, callback, present){//100101费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 100101");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 100101");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(typeof rateInfo == 'undefined')return;
        var sexIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取投保人性别维度
                //console.log(rateInfo);
                if(typeof rateInfo.holderInfo == 'undefined')rateInfo.holderInfo={};
                if(typeof rateInfo.holderInfo.sex == 'undefined')rateInfo.holderInfo.sex = 'M';
                //console.log("rateInfo.holderInfo.sex",rateInfo.holderInfo.sex);
                for (var i = 0; i < dataJson[0].length; i++) {
                    if (dataJson[0][i] == rateInfo.holderInfo.sex) {
                        sexIndex = i;
                    }
                }
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("rateInfo.payTerm",payTerm);
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取投保人年龄维度
                if(typeof rateInfo.holderInfo == 'undefined' || typeof rateInfo.holderInfo.age == 'undefined')return;
                //console.log("rateInfo.holderInfo.age",rateInfo.holderInfo.age);
                for (var i = 0; i < dataJson[2].length; i++) {
                    if (dataJson[2][i] == rateInfo.holderInfo.age) {
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,payTermIndex,ageIndex);

                //根据各个维度获取费率
                rateInfo.rate = dataJson[3][sexIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                //console.log("rateInfo.fee",rateInfo.fee);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
                //console.log(err);
            }
        });
    },
    //保额算保费——费率参数：保额、年龄 —— 保额运算
    "100201":function(productId, mainProductInfo, callback, present){//100201费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 100201");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 100201");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(typeof rateInfo == 'undefined')return;
        var amtIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson);
                //console.log(rateInfo);
                //读取保额维度
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.amt){
                        amtIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //根据各个维度获取费率
                rateInfo.rate = dataJson[2][amtIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                rateInfo.fee = parseFloat(rateInfo.rate);
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "100203":function(productId, mainProductInfo, callback, present){//100203费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 100203");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 100203");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //根据各个维度获取费率
                rateInfo.rate = dataJson[1][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                rateInfo.fee = (rateInfo.amt/30) * parseFloat(rateInfo.rate);
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "100402":function(productId, mainProductInfo, callback, present){//100402费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 100203");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 100203");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //根据各个维度获取费率
                rateInfo.rate = dataJson[1][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                rateInfo.fee = (rateInfo.amt/1000) * parseFloat(rateInfo.rate);
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "100401":function(productId,mainProductInfo, callback, present){//100401费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[2][sexIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "100403":function(productId, mainProductInfo, callback, present){//100403费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 100101");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 100101");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(typeof rateInfo == 'undefined')return;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("rateInfo.payTerm",payTerm);
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取投保人年龄维度
                if(typeof rateInfo.holderInfo == 'undefined' || typeof rateInfo.holderInfo.age == 'undefined')return;
                //console.log("rateInfo.holderInfo.age",rateInfo.holderInfo.age);
                for (var i = 0; i < dataJson[1].length; i++) {
                    if (dataJson[1][i] == rateInfo.holderInfo.age) {
                        ageIndex = i;
                    }
                }
                //console.log(payTermIndex,ageIndex);

                //根据各个维度获取费率
                rateInfo.rate = dataJson[2][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);
                rateInfo.fee = (rateInfo.amt/100) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                //console.log("rateInfo.fee",rateInfo.fee);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
                //console.log(err);
            }
        });
    },
    "101100":function(productId,mainProductInfo, callback, present){//101100费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var amtIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取附加险保额维度
                if(ruleForMakePlan[productId]["c_fee_method"] == '4'){
                    var bindProductId = "";
                    bindProductId = ruleForMakePlan[productId]["appoint"];
                    for(var i = 0;i<mainProductInfo.bind.length;i++){
                        if(mainProductInfo.bind[i].productId == bindProductId){
                            break;
                        }
                    }
                    //直接得到绑定险种的数据
                    calculateFee.getCalFeeRateDim(mainProductInfo,mainProductInfo.bind[i],present.state);
                    //console.log("bindAmt:",mainProductInfo.bind[i].amt);
                    amtIndex = mainProductInfo.bind[i].amt;

                    for(var i=0;i<dataJson[2].length;i++){
                        if(dataJson[2][i] == amtIndex){
                            amtIndex = i;
                        }
                    }
                }
                else{
                    return;
                }
                //console.log("amtIndex:",amtIndex);

                //console.log(dataJson[3]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[4].length;i++){
                    if(dataJson[4][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,amtIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                //console.log(dataJson[5][sexIndex][insureTermIndex]);
                rateInfo.rate = dataJson[5][sexIndex][insureTermIndex][amtIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);
                //根据各个维度获取保额
                rateInfo.amt = dataJson[6][sexIndex][insureTermIndex][amtIndex][payTermIndex][ageIndex];
                //rateInfo.amt = parseFloat(rateInfo.amt).toFixed(2);
                rateInfo.fee = rateInfo.rate;
                //rateInfo.fee = parseFloat(rateInfo.fee).toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "100206":function(productId, mainProductInfo, callback, present) {//102206无需试算，直接返回
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 102206");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 102206");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        callback(productId,mainProductInfo,present);//回调算费函数
    },
    "100700":function(productId,mainProductInfo, callback, present){//100700费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/10000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "101000":function(productId, mainProductInfo, callback, present){//101000费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 101000");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(typeof rateInfo == 'undefined')return;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("rateInfo.payTerm",payTerm);
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取投保人年龄维度
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined')return;
                //console.log("rateInfo.insuredInfo.age",rateInfo.insuredInfo.age);
                for (var i = 0; i < dataJson[1].length; i++) {
                    if (dataJson[1][i] == rateInfo.insuredInfo.age) {
                        ageIndex = i;
                    }
                }
                //console.log(payTermIndex,ageIndex);

                //根据各个维度获取费率
                rateInfo.rate = dataJson[2][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);
                rateInfo.fee = (rateInfo.amt/100000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                //console.log("rateInfo.fee",rateInfo.fee);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
                //console.log(err);
            }
        });
    },
    //保费算保额——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "101700":function(productId,mainProductInfo, callback, present){//100100费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.fee == 'undefined')rateInfo.fee = rateInfo["defaultFee"];
                rateInfo.amt = (rateInfo.fee/1000) * rateInfo.rate;
                rateInfo.amt = rateInfo.amt.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "200900":function(productId,mainProductInfo, callback, present){//100100费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/1000000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "201900":function(productId,mainProductInfo, callback, present){
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/100000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "201301":function(productId,mainProductInfo, callback, present){
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = rateInfo.amt * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、交费年期、年龄 —— 保额运算
    "201302":function(productId, mainProductInfo, callback, present){
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 100101");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 100101");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(typeof rateInfo == 'undefined')return;
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取投保人性别维度
                //console.log(rateInfo);
                if(typeof rateInfo.holderInfo == 'undefined')rateInfo.holderInfo={};
                if(typeof rateInfo.holderInfo.sex == 'undefined')rateInfo.holderInfo.sex = 'M';
                //console.log("rateInfo.holderInfo.sex",rateInfo.holderInfo.sex);
                for (var i = 0; i < dataJson[0].length; i++) {
                    if (dataJson[0][i] == rateInfo.holderInfo.sex) {
                        sexIndex = i;
                    }
                }
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("rateInfo.payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取投保人年龄维度
                if(typeof rateInfo.holderInfo == 'undefined' || typeof rateInfo.holderInfo.age == 'undefined')return;
                //console.log("rateInfo.holderInfo.age",rateInfo.holderInfo.age);
                for (var i = 0; i < dataJson[3].length; i++) {
                    if (dataJson[3][i] == rateInfo.holderInfo.age) {
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,payTermIndex,ageIndex);

                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);
                rateInfo.fee = rateInfo.amt * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                //console.log("rateInfo.fee",rateInfo.fee);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
                //console.log(err);
            }
        });
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "203800":function(productId,mainProductInfo, callback, present){
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[3][sexIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "204800":function(productId,mainProductInfo, callback, present){
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[1]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[3][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    //保额算保费——费率参数：性别、交费年期、年龄 —— 保额运算
    "210002":function(productId, mainProductInfo, callback, present){
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        //如果是主险，则使用主险的rate，如果是附加险，则找到附加险的rate
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            //console.log("main 210002");
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            //console.log("rider or bind 210002");
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(typeof rateInfo == 'undefined')return;
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //读取投保人性别维度
                //console.log(rateInfo);
                if(typeof rateInfo.holderInfo == 'undefined')rateInfo.holderInfo={};
                if(typeof rateInfo.holderInfo.sex == 'undefined')rateInfo.holderInfo.sex = 'M';
                //console.log("rateInfo.holderInfo.sex",rateInfo.holderInfo.sex);
                for (var i = 0; i < dataJson[0].length; i++) {
                    if (dataJson[0][i] == rateInfo.holderInfo.sex) {
                        sexIndex = i;
                    }
                }
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("rateInfo.payTerm",payTerm);
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取投保人年龄维度
                if(typeof rateInfo.holderInfo == 'undefined' || typeof rateInfo.holderInfo.age == 'undefined')return;
                //console.log("rateInfo.holderInfo.age",rateInfo.holderInfo.age);
                for (var i = 0; i < dataJson[3].length; i++) {
                    if (dataJson[3][i] == rateInfo.holderInfo.age) {
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,insureTermIndex,payTermIndex,ageIndex);

                //根据各个维度获取费率
                rateInfo.rate = dataJson[4][sexIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                //console.log("rateInfo.fee",rateInfo.fee);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
                //console.log(err);
            }
        });
    },
    //保额算保费——费率参数：性别、保障期间、交费年期、年龄 —— 保额运算
    "210000":function(productId,mainProductInfo, callback, present){//210000费率获取函数
        /*
         * 参数说明：
         * productId：产品ID，如果是附加险，则是附加险ID
         * mainProductInfo：主险信息
         * callback：jsx回调函数
         * present：jsx对象指针
         */
        var now = this;
        var rateInfo = null;
        if(mainProductInfo.productId == productId){
            rateInfo = mainProductInfo.rateInfo;
        }
        else{
            var iLen = -1;
            //绑定险种
            if(typeof mainProductInfo.bind != 'undefined' && mainProductInfo.bind.length>0){
                for(var i=0;i<mainProductInfo.bind.length;i++){
                    if(productId == mainProductInfo.bind[i].productId){
                        rateInfo = mainProductInfo.bind[i].rateInfo;
                        iLen = i;
                        break;
                    }
                }
            }
            if(iLen == -1){//绑定险种未找到，找附加险种
                if(typeof mainProductInfo.riderList != 'undefined' && mainProductInfo.riderList.length > 0){
                    for(i=0;i<mainProductInfo.riderList.length;i++){
                        if(productId == mainProductInfo.riderList[i].productId){
                            rateInfo = mainProductInfo.riderList[i].rateInfo;
                            iLen = i;
                            break;
                        }
                    }
                }
            }
            if(iLen == -1){
                return;
            }
        }
        if(!rateInfo)return;
        //console.log(rateInfo);
        //这里应该获取相应的规则
        //然后按照规则进行算费，如果是主险，则直接计算即可
        //是否存在有附加险决定主险的情况
        var sexIndex = 0;
        var insureTermIndex = 0;
        var payTermIndex = 0;
        var ageIndex = 0;
        var birthdayIndex = 0;
        //通过ajax远程获取费率表，如果有有可能请修改为只获取一次
        var cacheValid = localStorage.getItem('cacheValid');
        //console.log("cacheValid",cacheValid);
        if(typeof cacheValid == 'undefined')cacheValid = true;
        $.ajax({
            url: 'module/planBook/js/data/D' + productId + '.js',
            cache: cacheValid,
            async: false,
            success: function (data) {
                var dataJson = JSON.parse(data);
                //console.log(dataJson[0]);
                //读取性别维度
                if(typeof rateInfo.insuredInfo == 'undefined')rateInfo.insuredInfo={};
                if(typeof rateInfo.insuredInfo.sex == 'undefined')rateInfo.insuredInfo.sex = 'M';
                for(var i=0;i<dataJson[0].length;i++){
                    if(dataJson[0][i] == rateInfo.insuredInfo.sex){
                        sexIndex = i;
                    }
                }
                //读取祝寿金领取维度
                if(typeof rateInfo.birthdayValue == 'undefined')return;
                for(var i=0;i<dataJson[1].length;i++){
                    if(dataJson[1][i] == rateInfo.birthdayValue){
                        birthdayIndex = i;
                    }
                }
                //读取保障期间维度
                if(typeof rateInfo.insureTerm == 'undefined')return;
                for(var i=0;i<dataJson[2].length;i++){
                    if(dataJson[2][i] == rateInfo.insureTerm){
                        insureTermIndex = i;
                    }
                }
                //console.log(dataJson[2]);
                //读取缴费年期
                if(typeof rateInfo.payTerm == 'undefined')return;
                //console.log("rateInfo.payTerm",rateInfo.payTerm);
                var payTerm = now.changePayTermFormat(rateInfo.payTerm);
                //console.log("payTerm",payTerm);
                for(var i=0;i<dataJson[3].length;i++){
                    if(dataJson[3][i] == payTerm){
                        payTermIndex = i;
                    }
                }
                //读取年龄维度
                //console.log(rateInfo.insuredInfo);
                if(typeof rateInfo.insuredInfo == 'undefined' || typeof rateInfo.insuredInfo.age == 'undefined' || rateInfo.insuredInfo.age == null)return;
                for(var i=0;i<dataJson[4].length;i++){
                    if(dataJson[4][i] == rateInfo.insuredInfo.age){
                        ageIndex = i;
                    }
                }
                //console.log(sexIndex,birthdayIndex,insureTermIndex,payTermIndex,ageIndex);
                //根据各个维度获取费率
                rateInfo.rate = dataJson[5][sexIndex][birthdayIndex][insureTermIndex][payTermIndex][ageIndex];
                //console.log("rateInfo.rate",rateInfo.rate);

                //保额
                if(typeof rateInfo.amt == 'undefined')rateInfo.amt = rateInfo["defaultAmt"];
                rateInfo.fee = (rateInfo.amt/1000) * rateInfo.rate;
                rateInfo.fee = rateInfo.fee.toFixed(2);
                callback(productId,mainProductInfo,present);//回调算费函数
            },
            error: function (err) {
            }
        });
    },
    "100200":"100100",
    "100202":"100201",
    "100204":"100101",
    "100300":"100100",
    "100304":"100101",
    "100400":"100100",
    "100404":"100100",
    "100500":"100100",
    "100501":"100100",
    "100502":"100100",
    "100600":"100100",
    "100800":"100700",
    "100900":"100100",
    "101200":"100100",
    "101300":"100100",
    "101400":"100100",
    "101500":"100100",
    "101600":"100201",
    "102000":"100100",
    "102200":"100100",
    "102201":"100100",
    "102100":"100100",
    "102300":"100700",
    "102400":"100100",
    "102500":"100100",
    "102501":"100100",
    "102600":"100100",
    "102601":"100700",
    "102700":"100700",
    "200000":"100100",
    "200001":"100101",
    "200300":"100100",
    "201200":"100100",
    "201400":"100100",
    "205500":"100100",
    "201300":"201900",
    "210001":"210000",
    "220000":"100700"
};
