define(['app'], function (app) {
    var proCompareConfig = [];
    proCompareConfig[10] = {};
    proCompareConfig[10]['className'] = '老年防癌险';
    proCompareConfig[10]['Col'] = ['产品名称', '保险公司', '投保年龄范围', '可选保险期间', '可选交费方式', '免检额度（元）', '最低保额（元）', '投保年龄性别', '保险期间', '交费方式', '基本保额（元）', '年交保费（元）', '等待期', '存活期要求', '癌症责任（元）', '原位癌责任（元）', '特定疾病（元）', '身故保险金（元）', '满期领取金（元）', '其他责任'];

    proCompareConfig[11] = {};
    proCompareConfig[11]['className'] = '重疾险';
    proCompareConfig[11]['Col'] = ['产品名称', '保险公司', '投保年龄范围', '可选保险期间', '可选交费方式', '免检额度（元）', '投保年龄性别', '保险期间', '交费方式', '基本保额（元）', '年交保费（元）', '等待期', '轻症种类', '重疾种类', '轻症保障（元）', '轻症豁免', '重疾保障（元）', '特定重疾保障（元）', '终末期疾病（元）', '全残保障（元）', '身故保障（元）', '附加服务'];


    proCompareConfig[12] = {};
    proCompareConfig[12]['className'] = '中高端住院医疗';
    proCompareConfig[12]['Col'] = ['产品名称', '保险公司', '投保年龄范围', '保险期间', '最高续保年龄', '观察期', '免赔额（元）', '报销比例', '医院限制', '档次', '保费-0周岁（元）', '保费-30周岁（元）', '保费-50周岁（元）', '保额（元）', '门诊', '药品费用限制', '重疾医疗保额（元）', '续保条件', '档次', '保费-0周岁（元）', '保费-30周岁（元）', '保费-50周岁（元）', '保额（元）', '门诊', '药品费用限制', '重疾医疗保额（元）', '续保条件', '其他'];

    proCompareConfig[13] = {};
    proCompareConfig[13]['className'] = '终身寿险';
    proCompareConfig[13]['Col'] = ['产品名称', '保险公司', '投保年龄范围', '保险期间', '可选交费方式', '投保年龄性别', '交费方式', '基本保额（元）', '年交保费（元）', '合计交费（元）', '60岁现价', '80岁现价', '90岁现价', '保障责任（18岁前）', '保障责任（18岁后）', '最低保额（元）', '附加功能'];


    proCompareConfig[14] = {};
    proCompareConfig[14]['className'] = '年金险';
    proCompareConfig[14]['Col'] = ['产品名称', '保险公司', '是否附加万能账户', '投保年龄范围', '可选保险期间', '可选交费方式', '年金返还形式', '满期返还（元）', '身故保障（元）', '全残保障（元）', '投保人豁免', '投保年龄性别', '保险期间', '交费方式', '基本保额（元）', '年交保费（元）', '生存年金固定领取额度', '80岁账户价值（保证利率）'];

    proCompareConfig[15] = {};
    proCompareConfig[15]['className'] = '驾乘险';
    proCompareConfig[15]['Col'] = ['产品名称', '保险公司', '产品标签', '投保年龄范围', '可选保险期间', '可选交费方式', '投保年龄性别', '保险期间', '交费方式', '基本保额（元）', '年交保费（元）', '一般意外保障（元）', '疾病保障（元）', '自驾车保障（元）', '乘坐交通工具保障（元）', '轮船保障（元）', '航空保障（元）', '重大自然灾害保障（元）', '意外住院津贴', '满期返还（元）'];


    app.register.controller('proCompareResultTopCtrl', ['$scope', '$location', 'backFactory', 'adbService', '$stateParams','$timeout', function ($scope, $location, backFactory, adbService, $stateParams,$timeout) {

        if ($scope.authed) {
            $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
            if ($scope.isNative) $scope.isNative = true;
            $scope.authed = !$scope.isNative;
        }

        $scope.goToBack = function () {
            //var res = $scope.gotoApp('PopNative');
            $location.path('proCompareListR');
        }
    }]);

    app.register.controller('proCompareResultCtrl', ['$scope', '$location', 'backFactory', 'adbService', '$stateParams','$timeout', function ($scope, $location, backFactory, adbService, $stateParams,$timeout) {
        //改变页面的<title>
        $scope.appTitle = '对比结果';
        $scope.$emit("titleName", $scope.appTitle);


        function init() {
            if ($scope.authed) {
                $scope.isNative = $scope.isNativeApp();//判断是否为原生调用
                if ($scope.isNative) $scope.isNative = true;
            }

            var tableInfo = [];//对比信息数组
            var sexSelected = 0;
            $scope.sexSelected = sexSelected;
            $scope.classId = $stateParams.classId;  //比价产品分类
            $scope.pid = $stateParams.pid;  //产品1ID
            //console.log($scope.pid);
            $scope.pid1 = $stateParams.pid1 //产品2ID
            //console.log($scope.pid1)

        }

        init();
        var loadNum = 1;
        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            if (loadNum == 1) {
                $scope.uid = $stateParams.uid;
                if ($scope.uid) {
                    getUserInfo($scope.uid);
                }
                getDetails();
                loadNum++;
            }

        });

        var sharing = false;//分享中
        $scope.gotoShare = function () {
            //分享按钮
            var res = $scope.isNetConnectedFun();
            if(!res)
            {
                $scope.dialogTip('连接似乎有问题,请检查网络');
                return;
            }
            if(!$scope.isCertificationFun('请完善认证信息开启专享通道才可进行分享'))
            {
                return;//如果不是认证用户，则返回，不进行分享
            }
            if(!sharing) {
                sharing = true;//标识在分享中

                var regId = '';//代理人id
                var broker = localStorage.getItem('broker_in_session');
                if (broker) {
                    broker = JSON.parse(broker);
                    var isLimingUser = false;//非黎明用户,true-是，false-非
                    if(typeof broker['regId'] != 'undefined' && broker['regId'])
                    {
                        regId = broker['regId'];
                    }
                    if(typeof broker['brokerLevel'] != 'undefined' && broker['brokerLevel'] > 0)
                    {
                        isLimingUser = true;
                    }

                    if (isLimingUser)
                    {
                        //黎明用户
                        if(broker['nickName'])
                        {
                            $scope.brokerNname = broker['nickName'];
                        }
                        else if (broker['name']) {
                            $scope.brokerNname = broker['name'];
                        } else {
                            $scope.brokerNname = "";
                        }
                    }
                    else{
                        //非黎明用户
                        if (broker['name']) {
                            $scope.brokerNname = broker['name'];
                        } else {
                            $scope.brokerNname = "";
                        }
                    }


                }

                var title = $scope.tableInfo[0][1] + ' vs ' + $scope.tableInfo[0][2] + '，重点都在这里啦！';//康悦医疗PK心安怡，重点都在这里啦！
                var description = '投保先对比，心中更有数！保险经纪人' + $scope.brokerNname + '为您指点迷津！';//某某为您指点迷津！
                var shareObj = {
                    "imgUrl": _globalOption.host + "/adb/module/proCompare/result/images/proCompareImg.png",
                    //"imgUrl": _globalOption.host+"/adb/images/logo.png",
                    "shareUrl": _globalOption.shareHost + "/adb/share.html#/proCompareShareR/" + $scope.classId + '/' + $scope.pid + '/' + $scope.pid1 + '/' + regId + '?random=1&',
                    "title": title,
                    "description": description
                };
                //console.log(shareObj);

                $scope.eventAttributes("proCompareShare",JSON.stringify({productId:$scope.pid+"/"+$scope.pid1,tel:regId}));//产品对比分享次数（需要多个产品ID）埋点

                /********************分享 start********************/
                $scope.$emit("goShare", shareObj);

                /********************分享 end********************/

                $scope.showShareBox(true);

                var timer = $timeout(
                    function() {
                        sharing = false;
                    },
                    2000
                );
            }

        }
        function getDetails() {
            var params = {
                "classId": $scope.classId,
                "productIds": [
                    $scope.pid,
                    $scope.pid1
                ]
            };
            var params;
            adbService.getResult(
                {},
                $scope.setService('I181016', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var productsInfos = json.data.companyInfos;
                        //console.log(productsInfos);
                        if (typeof productsInfos[0] != 'undefinde' && productsInfos[0]) {
                            tableInfo = [];
                            //console.log(proCompareConfig[$scope.classId]['Col'].length);
                            for (var i = 0; i < proCompareConfig[$scope.classId]['Col'].length; i++) {
                                tableInfo[i] = [];
                                tableInfo[i][0] = proCompareConfig[$scope.classId]['Col'][i];
                                switch (i) {
                                    case 0:
                                        tableInfo[i][1] = productsInfos[0].productName;
                                        tableInfo[i][2] = productsInfos[1].productName;
                                        break;
                                    case 1:
                                        tableInfo[i][1] = productsInfos[0].shortCompanyName;
                                        tableInfo[i][2] = productsInfos[1].shortCompanyName;
                                        break;
                                    case 2:
                                        tableInfo[i][1] = productsInfos[0].agePeriod;
                                        tableInfo[i][2] = productsInfos[1].agePeriod;
                                        break;
                                    case 3:
                                        tableInfo[i][1] = productsInfos[0].guaranteePeriod;
                                        tableInfo[i][2] = productsInfos[1].guaranteePeriod;
                                        break;
                                    case 4:
                                        tableInfo[i][1] = productsInfos[0].payMent;
                                        tableInfo[i][2] = productsInfos[1].payMent;
                                        break;
                                    case 5:
                                        tableInfo[i][1] = productsInfos[0].exemptionAmount;
                                        tableInfo[i][2] = productsInfos[1].exemptionAmount;
                                        break;

                                }

                                if ($scope.classId == '10') {
                                    switch (i) {
                                        case 6:
                                            tableInfo[i][1] = productsInfos[0].minAmount;
                                            tableInfo[i][2] = productsInfos[1].minAmount;
                                            break;
                                        case 7:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['age'] + productsInfos[0].priceParityList[0]['sex'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['age'] + productsInfos[1].priceParityList[0]['sex'];
                                            break;
                                        case 8:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['period'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['period'];
                                            break;
                                        case 9:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['method'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['method'];
                                            break;
                                        case 10:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['amt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['amt'];
                                            break;
                                        case 11:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['fee'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['fee'];
                                            break;
                                        case 12:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['checkperiod'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['checkperiod'];
                                            break;
                                        case 13:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['survivalTime'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['survivalTime'];
                                            break;
                                        case 14:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['cancerRespons'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['cancerRespons'];
                                            break;
                                        case 15:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['carcinomaInSitu'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['carcinomaInSitu'];
                                            break;
                                        case 16:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['specificDisease'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['specificDisease'];
                                            break;
                                        case 17:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['accidentalDeath'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['accidentalDeath'];
                                            break;
                                        case 18:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['receivePaymentExpire'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['receivePaymentExpire'];
                                            break;
                                        case 19:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['other'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['other'];
                                            break;
                                    }
                                }
                                if ($scope.classId == '11') {
                                    switch (i) {
                                        case 6:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['age'] + productsInfos[0].priceParityList[0]['sex'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['age'] + productsInfos[1].priceParityList[0]['sex'];
                                            break;
                                        case 7:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['period'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['period'];
                                            break;
                                        case 8:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['method'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['method'];
                                            break;
                                        case 9:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['amt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['amt'];
                                            break;
                                        case 10:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['fee'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['fee'];
                                            break;
                                        case 11:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['checkperiod'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['checkperiod'];
                                            break;
                                        case 12:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['types2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['types2'];
                                            break;
                                        case 13:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['types'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['types'];
                                            break;
                                        case 14:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['insured3'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['insured3'];
                                            break;
                                        case 15:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['immunityOfLight'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['immunityOfLight'];
                                            break;
                                        case 16:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['insured2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['insured2'];
                                            break;
                                        case 17:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['tdzjbz'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['tdzjbz'];
                                            break;
                                        case 18:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['endStageDisease'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['endStageDisease'];
                                            break;
                                        case 19:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['fullDisProtection'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['fullDisProtection'];
                                            break;
                                        case 20:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['deathBenefit'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['deathBenefit'];
                                            break;
                                        case 21:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['other'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['other'];
                                            break;
                                    }
                                }
                                if ($scope.classId == '12') {
                                    switch (i) {
                                        case 4:
                                            tableInfo[i][1] = productsInfos[0]['maxRenewalAge'];
                                            tableInfo[i][2] = productsInfos[1]['maxRenewalAge'];
                                            break;
                                        case 5:
                                            tableInfo[i][1] = productsInfos[0]['checkperiod'];
                                            tableInfo[i][2] = productsInfos[1]['checkperiod'];
                                            break;
                                        case 6:
                                            tableInfo[i][1] = productsInfos[0]['deductibles'];
                                            tableInfo[i][2] = productsInfos[1]['deductibles'];
                                            break;
                                        case 7:
                                            tableInfo[i][1] = productsInfos[0]['reimburseRate'];
                                            tableInfo[i][2] = productsInfos[1]['reimburseRate'];
                                            break;
                                        case 8:
                                            tableInfo[i][1] = productsInfos[0]['hospitalRestriction'];
                                            tableInfo[i][2] = productsInfos[1]['hospitalRestriction'];
                                            break;
                                        case 9:
                                            tableInfo[i][1] = productsInfos[0]['priceParityList'][0]['level'];
                                            tableInfo[i][2] = productsInfos[1]['priceParityList'][0]['level'];
                                            break;
                                        case 10:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['premium0'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['premium0'];
                                            break;
                                        case 11:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['premium1'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['premium1'];
                                            break;
                                        case 12:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['premium2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['premium2'];
                                            break;
                                        case 13:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['amt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['amt'];
                                            break;
                                        case 14:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['outpatient'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['outpatient'];
                                            break;
                                        case 15:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['drugCostRestriction'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['drugCostRestriction'];
                                            break;
                                        case 16:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['insured2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['insured2'];
                                            break;
                                        case 17:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['renewalConditions'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['renewalConditions'];
                                            break;
                                        case 18:
                                            tableInfo[i][1] = productsInfos[0]['priceParityList'][1]['level'];
                                            tableInfo[i][2] = productsInfos[1]['priceParityList'][1]['level'];
                                            break;
                                        case 19:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['premium0'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['premium0'];
                                            break;
                                        case 20:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['premium1'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['premium1'];
                                            break;
                                        case 21:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['premium2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['premium2'];
                                            break;
                                        case 22:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['amt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['amt'];
                                            break;
                                        case 23:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['outpatient'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['outpatient'];
                                            break;
                                        case 24:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['drugCostRestriction'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['drugCostRestriction'];
                                            break;
                                        case 25:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['insured2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['insured2'];
                                            break;
                                        case 26:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[1]['renewalConditions'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[1]['renewalConditions'];
                                            break;
                                        case 27:
                                            tableInfo[i][1] = productsInfos[0]['other'];
                                            tableInfo[i][2] = productsInfos[1]['other'];
                                            break;
                                    }
                                }
                                if ($scope.classId == '13') {
                                    switch (i) {
                                        case 5:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['age'] + productsInfos[0].priceParityList[0]['sex'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['age'] + productsInfos[1].priceParityList[0]['sex'];
                                            break;
                                        case 6:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['method'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['method'];
                                            break;
                                        case 7:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['amt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['amt'];
                                            break;
                                        case 8:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['fee'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['fee'];
                                            break;
                                        case 9:
                                            tableInfo[i][1] = productsInfos[0]['priceParityList'][0]['totalPremium'];
                                            tableInfo[i][2] = productsInfos[1]['priceParityList'][0]['totalPremium'];
                                            break;
                                        case 10:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['cash0'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['cash0'];
                                            break;
                                        case 11:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['cash1'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['cash1'];
                                            break;
                                        case 12:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['cash2'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['cash2'];
                                            break;
                                        case 13:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['safeguardRespons0'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['safeguardRespons0'];
                                            break;
                                        case 14:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['safeguardRespons1'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['safeguardRespons1'];
                                            break;
                                        case 15:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['minAmt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['minAmt'];
                                            break;
                                        case 16:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['other'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['other'];
                                            break;
                                    }
                                }
                                if ($scope.classId == '14') {
                                    switch (i) {
                                        case 2:
                                            tableInfo[i][1] = productsInfos[0]['addUniverAcc'];
                                            tableInfo[i][2] = productsInfos[1]['addUniverAcc'];
                                            break;
                                        case 3:
                                            tableInfo[i][1] = productsInfos[0]['agePeriod'];
                                            tableInfo[i][2] = productsInfos[1]['agePeriod'];
                                            break;
                                        case 4:
                                            tableInfo[i][1] = productsInfos[0]['guaranteePeriod'];
                                            tableInfo[i][2] = productsInfos[1]['guaranteePeriod'];
                                            break;
                                        case 5:
                                            tableInfo[i][1] = productsInfos[0]['payMent'];
                                            tableInfo[i][2] = productsInfos[1]['payMent'];
                                            break;
                                        case 6:
                                            tableInfo[i][1] = productsInfos[0]['annuReturnForm'];
                                            tableInfo[i][2] = productsInfos[1]['annuReturnForm'];
                                            break;
                                        case 7:
                                            tableInfo[i][1] = productsInfos[0]['fullRefund'];
                                            tableInfo[i][2] = productsInfos[1]['fullRefund'];
                                            break;
                                        case 8:
                                            tableInfo[i][1] = productsInfos[0]['deathBenefit'];
                                            tableInfo[i][2] = productsInfos[1]['deathBenefit'];
                                            break;
                                        case 9:
                                            tableInfo[i][1] = productsInfos[0]['fullDisProtection'];
                                            tableInfo[i][2] = productsInfos[1]['fullDisProtection'];
                                            break;
                                        case 10:
                                            tableInfo[i][1] = productsInfos[0]['exemption'];
                                            tableInfo[i][2] = productsInfos[1]['exemption'];
                                            break;
                                        case 11:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['age'] + productsInfos[0].priceParityList[0]['sex'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['age'] + productsInfos[1].priceParityList[0]['sex'];
                                            break;
                                        case 12:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['period'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['period'];
                                            break;
                                        case 13:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['method'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['method'];
                                            break;
                                        case 14:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['amt'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['amt'];
                                            break;
                                        case 15:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['fee'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['fee'];
                                            break;
                                        case 16:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['claimAmount'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['claimAmount'];
                                            break;
                                        case 17:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['accValue'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['accValue'];
                                            break;
                                    }
                                }
                                if ($scope.classId == '15') {
                                    switch (i) {
                                        case 2:
                                            tableInfo[i][1] = productsInfos[0]['productLabel'];
                                            tableInfo[i][2] = productsInfos[1]['productLabel'];
                                            break;
                                        case 3:
                                            tableInfo[i][1] = productsInfos[0]['agePeriod'];
                                            tableInfo[i][2] = productsInfos[1]['agePeriod'];
                                            break;
                                        case 4:
                                            tableInfo[i][1] = productsInfos[0]['guaranteePeriod'];
                                            tableInfo[i][2] = productsInfos[1]['guaranteePeriod'];
                                            break;
                                        case 5:
                                            tableInfo[i][1] = productsInfos[0]['payMent'];
                                            tableInfo[i][2] = productsInfos[1]['payMent'];
                                            break;
                                        case 6:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['age'] + productsInfos[0].priceParityList[0]['sex'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['age'] + productsInfos[1].priceParityList[0]['sex'];
                                            break;
                                        case 7:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['period'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['period'];
                                            break;
                                        case 8:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['method'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['method'];
                                            break;
                                        case 9:
                                            tableInfo[i][1] = productsInfos[0]['priceParityList'][0]['amt'];
                                            tableInfo[i][2] = productsInfos[1]['priceParityList'][0]['amt'];
                                            break;
                                        case 10:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['fee'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['fee'];
                                            break;
                                        case 11:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['generalProtection'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['generalProtection'];
                                            break;
                                        case 12:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['sicknessCoverage'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['sicknessCoverage'];
                                            break;
                                        case 13:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['drivingSecurity'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['drivingSecurity'];
                                            break;
                                        case 14:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['transportSecurity'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['transportSecurity'];
                                            break;
                                        case 15:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['shipSupport'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['shipSupport'];
                                            break;
                                        case 16:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['flightSupport'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['flightSupport'];
                                            break;
                                        case 17:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['majorDisProtection'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['majorDisProtection'];
                                            break;
                                        case 18:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['allowance'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['allowance'];
                                            break;
                                        case 19:
                                            tableInfo[i][1] = productsInfos[0].priceParityList[0]['receivePaymentExpire'];
                                            tableInfo[i][2] = productsInfos[1].priceParityList[0]['receivePaymentExpire'];
                                            break;
                                    }
                                }
                            }

                            /*if($scope.classId == '10')
                             {
                             tableInfo=[[proCompareConfig[$scope.classId][0], productsInfos[0].productName, productsInfos[1].productName],
                             [proCompareConfig[$scope.classId][1], productsInfos[0].company, productsInfos[1].company],
                             [proCompareConfig[$scope.classId][2], productsInfos[0].priceParityList[$scope.sexSelected].age, productsInfos[1].priceParityList[$scope.sexSelected].age],
                             [proCompareConfig[$scope.classId][3], productsInfos[0].priceParityList[$scope.sexSelected].period, productsInfos[1].priceParityList[$scope.sexSelected].period],
                             [proCompareConfig[$scope.classId][4], productsInfos[0].priceParityList[$scope.sexSelected].method, productsInfos[1].priceParityList[$scope.sexSelected].method],
                             [proCompareConfig[$scope.classId][5], productsInfos[0].priceParityList[$scope.sexSelected].amt, productsInfos[1].priceParityList[$scope.sexSelected].amt],
                             [proCompareConfig[$scope.classId][6], productsInfos[0].priceParityList[$scope.sexSelected].fee, productsInfos[1].priceParityList[$scope.sexSelected].fee],
                             [proCompareConfig[$scope.classId][7], productsInfos[0].priceParityList[$scope.sexSelected].insured, productsInfos[1].priceParityList[$scope.sexSelected].insured],
                             [proCompareConfig[$scope.classId][8], productsInfos[0].priceParityList[$scope.sexSelected].cure, productsInfos[1].priceParityList[$scope.sexSelected].cure],
                             [proCompareConfig[$scope.classId][9], productsInfos[0].priceParityList[$scope.sexSelected].allowance, productsInfos[1].priceParityList[$scope.sexSelected].allowance],
                             [proCompareConfig[$scope.classId][10],productsInfos[0].priceParityList[$scope.sexSelected].types, productsInfos[1].priceParityList[$scope.sexSelected].types],
                             [proCompareConfig[$scope.classId][11],productsInfos[0].priceParityList[$scope.sexSelected].insured2, productsInfos[1].priceParityList[$scope.sexSelected].insured2],
                             ["轻症疾病种类",productsInfos[0].priceParityList[$scope.sexSelected].types2, productsInfos[1].priceParityList[$scope.sexSelected].types2],
                             ["轻症疾病保障",productsInfos[0].priceParityList[$scope.sexSelected].insured3, productsInfos[1].priceParityList[$scope.sexSelected].insured3],
                             ["观察期",productsInfos[0].priceParityList[$scope.sexSelected].checkperiod, productsInfos[1].priceParityList[$scope.sexSelected].checkperiod],
                             ["投保人豁免",productsInfos[0].priceParityList[$scope.sexSelected].exemption, productsInfos[1].priceParityList[$scope.sexSelected].exemption],
                             ["如何领取",productsInfos[0].priceParityList[$scope.sexSelected].howtoget, productsInfos[1].priceParityList[$scope.sexSelected].howtoget],
                             ["投保人豁免",productsInfos[0].priceParityList[$scope.sexSelected].waccount, productsInfos[1].priceParityList[$scope.sexSelected].waccount]
                             ];
                             }
                             else if($scope.classId == '11'){

                             }*/

                        }
                        $scope.tableInfo = tableInfo;
                        callShare2();//触发二次分享
                    }

                }
            )
        }

        function getUserInfo(uid) {

            var params = {
                "regId": uid
            };
            adbService.getResult(
                {},
                $scope.setService('I110801', params),
                function (json) {
                    if (json.header.istatus == '-99') {
                        $scope.gotoApp('jsRefreshCookie');
                    }
                    else if (json.header.istatus == '1') {
                        var userInfo = $scope.userInfo = json.data;//返回用户信息
                        //console.info(json.data);
                        var isLimingUser = false;//非黎明用户,true-是，false-非
                        if(userInfo)
                        {
                            if(typeof userInfo['brokerLevel'] != 'undefined' && userInfo['brokerLevel'] > 0)
                            {
                                isLimingUser = true;
                            }
                            if (isLimingUser)
                            {
                                //黎明用户
                                if(typeof userInfo['nickName'] != 'undefined' && userInfo['nickName'])
                                {
                                    $scope.userInfo.name = userInfo['nickName'];
                                }
                                else if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.userInfo.name = userInfo['name'];
                                }
                            }
                            else{
                                //非黎明用户
                                if(typeof userInfo['name'] != 'undefined' && userInfo['name'])
                                {
                                    $scope.userInfo.name = userInfo['name'];
                                }
                            }


                        }
                        callShare2();//触发二次分享
                    }
                },
                function (err) {
                    //错误
                    //console.log(err);
                });
        }


        /***************************************二次分享 begin******************************************************************/

        function callShare2()
        {
            if(!$scope.authed)
            {
                try {
                    if($scope.userInfo.name != 'undefined' && $scope.userInfo.name && $scope.tableInfo[0][1] != 'undefined' && $scope.tableInfo[0][1] && $scope.tableInfo[0][2] != 'undefined' && $scope.tableInfo[0][2]){
                        //var url = _globalOption.shareHost + "/adb/share.html#/proCompareShareR/" + $scope.classId + '/' + $scope.pid + '/' + $scope.pid1 + '/' + $scope.userInfo.regId + '?random=1&';
                        var url = $location.absUrl();
                        var share2Obj = {
                            "currentUrl":url,//原始url
                            "shareTitle":$scope.tableInfo[0][1] + ' vs ' + $scope.tableInfo[0][2] + '，重点都在这里啦！',//康悦医疗PK心安怡，重点都在这里啦！,//分享的标题
                            "shareUrl":url,//分享的url
                            "shareImg":_globalOption.host + "/adb/module/proCompare/result/images/proCompareImg.png",//分享的图片
                            "shareDesc":'投保先对比，心中更有数！保险经纪人' + $scope.userInfo.name + '为您指点迷津！'//某某为您指点迷津！//分享的描述
                        };
                        //alert(url);

                        var pos=share2Obj.currentUrl.indexOf("#");
                        var dataJson = $scope.setService("W102010", {
                            "url" : pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl
                        })
                        //alert(pos>-1?share2Obj.currentUrl.substring(0,pos):share2Obj.currentUrl);
                        //console.log(JSON.stringify(dataJson));
                        common_wx_share(dataJson,share2Obj);
                    }
                } catch (e) {

                }
            }
        }

        /***************************************二次分享 end******************************************************************/


    }]);

});

function noDrag() {
    $('#noDrage').click();
}