function pro100301($scope, event, service) {
    var init = function () {
        $scope.unit = $scope.unit?$scope.unit:"10";//份数
        $scope.singelMoney = "50000";//单份保额
        $scope.sumAssured = ($scope.unit * $scope.singelMoney) / 10000 + "万元";//基本保额
        //$scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "1";//类型：交费趸交
        $scope.chargePeriodValue = "0";//类型：一次交清
        $scope.coveragePeriod = "2";//类型：保多少年
        $scope.coveragePeriodValue = "1";//值：
        $scope.chargeInterval = "0";//频率趸交
        //$scope.insuredStartDate = genTomorrowDate();
        $scope.insuredStartDate = genNowDate(3);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.planNo = "0";//计划编号
        var calculateInfo  = $scope.productGetItem("calculateInfo");
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
        $scope.insuredAgeIndex = 0;
        $scope.getPlanList();
        $scope.getEnableAgeList();
        $scope.benefitLevel= calculateInfo.benefitLevel?calculateInfo.benefitLevel:"3";//默认保障计划1;展示保障责任
        $scope.benefitLevelName= calculateInfo.benefitLevelName?calculateInfo.benefitLevelName:"计划三";
        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        var minFeeBirthday = addmulYear(formatDate10(new Date()),-3);
        minFeeBirthday = addmulDate(minFeeBirthday,2);
        $scope.insuredBirthday = $scope.insuredBirthday?$scope.insuredBirthday:new Date(minFeeBirthday);
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        $scope.savePlanInfo();
        //$scope.calculateAmt = $scope.productBaseInfo.minPremium;
        calculate();
    };
    //新版调用函数占位
    $scope.getCoverageList = function(){

    }
    //保存计划信息
    $scope.savePlanInfo = function(){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.benefitLevel-1].benefitLiab;
    }
    $scope.getPlanList = function(){
        $scope.planList = [];
        $scope.planList.push({"value":"3","name":"计划三"});
        $scope.planList.push({"value":"2","name":"计划二"});
        $scope.planList.push({"value":"1","name":"计划一"});
    }
    //获取试算年龄
    $scope.ageChecked = function(value){
        $scope.insuredAgeIndex = value;

        $scope.insuredBirthday = getBirthdayByAgeInfo($scope.enableAgeList[$scope.insuredAgeIndex],genNowDate(0));
        calculate();
        // if($scope.calculateInfo){
        //     $scope.productSetItem('calculateInfo', $scope.calculateInfo);
        // }
    }
    //获取年龄选择返回
    $scope.getEnableAgeList = function(){
        $scope.enableAgeList = [];
        $scope.enableAgeList.push({"value":0,"name":"3-17周岁",minAge:"3",minAgeUnit:"1",maxAge:"17",maxAgeUnit:"1"});
        $scope.enableAgeList.push({"value":1,"name":"2周岁",minAge:"2",minAgeUnit:"1",maxAge:"2",maxAgeUnit:"1"});
        $scope.enableAgeList.push({"value":2,"name":"1周岁",minAge:"1",minAgeUnit:"1",maxAge:"1",maxAgeUnit:"1"});
        $scope.enableAgeList.push({"value":3,"name":"0周岁",minAge:"0",minAgeUnit:"1",maxAge:"0",maxAgeUnit:"1"});
    }

    //选择保险计划
    $scope.planChecked = function(code){
        $scope.benefitLevel = code;
        if(code == '1'){
            $scope.benefitLevelName = $scope.planList[2].name;
            $scope.unit = 6;
            $scope.sumAssured = "30万";
        }
        if(code == '3'){
            $scope.benefitLevelName = $scope.planList[0].name;
            $scope.sumAssured = "50万";
            $scope.unit = 10;
        }
        if(code == '2'){
            $scope.benefitLevelName = $scope.planList[1].name;
            $scope.sumAssured = "40万";
            $scope.unit = 8;
        }
        calculate();
        //calculateAge();
        // $scope.changePlan(code);
        // $scope.saveCalculateInfo();
    };
    //购买份数 加减按钮
    var calculate = function (params) {
        /*if ($scope.insuredInfo && $scope.calBirthday) {//被保人生日
         $scope.insuredBirthday = $scope.calBirthday;
         }
         if ($scope.calculateInfo && params.unit) {
         $scope.unit = params.unit;
         }*/
        $scope.savePlanInfo();
        console.info("重新试算.....",$scope.unit,$scope.insuredBirthday,$scope.unit * $scope.singelMoney)
        if ($scope.insuredBirthday == "" || $scope.unit == "") {
            //$scope.calculateAmt = 0;
            return;
        }
        //$scope.insuredBirthday = params.birthday;
        //$scope.unit = params.unit;
        var birthDay = '';
        if(typeof($scope.insuredBirthday) == 'string'){
            birthDay =$scope.insuredBirthday.replace('-', "").replace('-', "").concat("");
        }else{
            birthDay = formatDate10($scope.insuredBirthday).replace('-', "").replace('-', "").concat("")
        }
        service['adbService'].getResult(
            {},
            $scope.setService("I181011",  {
                trialProductList: [
                    {
                        "productId": $scope.productId,
                        "parameters": "birthday=" + birthDay + ";sumAssured=" + $scope.unit * $scope.singelMoney+";validateDate="+formatDate10(new Date()).replace(/-/g,'')
                    }
                ]
            }),
            function (json) {
                if (json.header.istatus == '-99'){
                    $scope.gotoApp('jsRefreshCookie');
                }
                else if (json.header.istatus == '1') {
                    var calculateAmt = json.data.trialProductList[0].premium;
                    $scope.calculateAmt = calculateAmt.toFixed(2);
                    saveCalculateInfo();//保存试算信息
                } else {
                    // error message
                    //$scope.loginError = json.msg;
                }
            },
            function (error) {
                // error message
            }
        );
    };
    //多试算条件验证试算
    function productCalculateValidate() {
        if ("" == $scope.insuredBirthday) {
            $scope.dialogTip("请选择被保人出生日期");
            return false;
        } else if ($scope.unit == "") {
            $scope.dialogTip("请选择投保份数");
            return false;
        }
        return true;
    }


    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo() {
        console.info("unit份数...",$scope.unit)
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;
        calculateInfo.unit = $scope.unit;//购买份数
        calculateInfo.calculateAmt =  $scope.calculateAmt;//保费
        calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;//保费
        calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障类型
        calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障期间
        calculateInfo.insuredStartDate = $scope.insuredStartDate;
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.chargePeriod = $scope.chargePeriod;
        calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        calculateInfo.benefitLevel = $scope.benefitLevel;
        calculateInfo.insuredAgeIndex = $scope.insuredAgeIndex;
        calculateInfo.benefitLevelName = $scope.benefitLevelName;
        $scope.calculateInfo = calculateInfo;//保存试算信息
        calculatedInsuredDate($scope.insuredStartDate);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);

    }
    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        //$scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(formatDate10(new Date(params.birthday)));
        var days = getDaysFromBirth(formatDate10(new Date(params.birthday)));
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        $scope.insuredBirthday = params.birthday;
        calculate(params);
        return true;

    }

    if (!event) {
        return init();
    } else if (event.type == 'click0') {
        return calculateCopies(event.params)
    } else if (event.type == 'calculateAge') {
        return calculateAge(event.params);
    } else if (event.type == 'changeBirthday') {
        $scope.singelMoney = "50000";//单份保额
        calculate(event.params);
    }else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
