function pro100330($scope, event, service) {
    var init = function () {
        //$scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "2";//缴费年限
        $scope.chargePeriodValue = "10";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "10年交";
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "10";//保障期间
        $scope.coveragePeriodName = "10年";
        //$scope.chargeInterval = "0";//频率趸交
        $scope.sumAssured = "100000";//默认投保保额
        $scope.sumAssuredName = "10万";//默认投保保额
        $scope.insuredSex = "F";
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.insuredStartDate = genNowDate(1)
        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        //保障期间集合
        $scope.coveragePeriods = [{"code":"1","name":"1天"},{"code":"3","name":"3天"},{"code":"5","name":"5天"},{"code":"10","name":"10天"}];

        //初始保障年期、交费年期列表空数据
        $scope.coveragePeriodList = new Array();
        $scope.chargePeriodList = new Array();
        $scope.sumAssuredList = new Array();
        if($scope.productBaseInfo) {
            initCalculateInfo();
            savePlanInfo();//加载产品保险责任
            $scope.calculateAmt = $scope.productBaseInfo.minPremium;//保费
            //推广费方案字段
            $scope.promotionFee = [];
            $scope.promotionFee.push({"pay":"交费方式","rebate":"推广费比例"});
            $scope.promotionFee.push({"pay":"一次交清","rebate":"3%"});
            $scope.promotionFee.push({"pay":"5年交","rebate":"23%"});
            $scope.promotionFee.push({"pay":"10年交","rebate":"32%"});
            $scope.promotionFee.push({"pay":"20年交","rebate":"37%"});
            $scope.promotionFee.push({"pay":"30年交","rebate":"37%"});
        }
    };

    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");//处理被保人证件类型
        $scope.benefiCertiTypeList = getSpecCredList("1");//处理受益人证件类型
    }
    //获取保障年期列表
    $scope.getCoverageList = function(insuredBirthday){
        //获取保障期间列表数据
        $scope.dataCollection = calInsureChargeRelation(formatDate10(new Date(insuredBirthday)),$scope.productBaseInfo.ageLimitMatrix,$scope.insuredStartDate);
        if($scope.dataCollection.msg){
            $scope.dialogTip($scope.dataCollection.msg);
            return
        }else{
            $scope.coveragePeriodList = $scope.dataCollection.insures;
            $scope.chargePeriodList = $scope.dataCollection["I2"+$scope.calculateInfo.coveragePeriodValue];
        }
        //console.info("获取保障年期信息....",$scope.coveragePeriodList,$scope.chargePeriodList)
    }

    //保险期间弹出框
    $scope.popCoveragePeriod = function(){
        var ageBoolean = getCurrentAge($scope.calculateInfo.insuredBirthday);
        if (ageBoolean===false) {
            $scope.dialogTip("所指定出生日期不在承保范围内！");
            return false;
        }
        if($scope.coveragePeriodList.length>0){//有保障年期数据列表
            $scope.insurePeriodBox = true;
        }
    };
    //选择保障年期
    $scope.coveragePeriodChecked = function(type,code,name){
        $scope.insurePeriodBox = false;
        $scope.coveragePeriod = type;
        $scope.coveragePeriodValue = code;
        $scope.coveragePeriodName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.coveragePeriod = $scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.coveragePeriodName;
        }
        //计算选中指定保障年期对应交费方式
        $scope.chargePeriodList = $scope.dataCollection["I"+type+code];
        if($scope.chargePeriodList.length>0) {
            //$scope.chargePeriodChecked($scope.chargePeriodList[0].type, $scope.chargePeriodList[0].code, $scope.chargePeriodList[0].name);
            $scope.chargePeriod = $scope.chargePeriodList[0].type;
            $scope.chargePeriodName = $scope.chargePeriodList[0].name;
            $scope.chargePeriodValue = $scope.chargePeriodList[0].code;
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            if($scope.calculateInfo.chargePeriod=="1"){//一次交清,不用展示续期
                $scope.showRenewalInfo = false;
            }else{
                $scope.showRenewalInfo = true;
            }
            calculate();
        }else{

        }
    };

    //基本保额弹出框
    $scope.popSumAssured = function(){
        var ageBoolean = getCurrentAge($scope.calculateInfo.insuredBirthday);
        if (ageBoolean===false) {
            $scope.dialogTip("所指定出生日期不在承保范围内！");
            return false;
        }
        $scope.calSumAssuredInfo = getAmountList($scope.calculateInfo.insuredBirthday,50000,$scope.productBaseInfo.saLimitMatrix,$scope.insuredStartDate);
        if($scope.calSumAssuredInfo.msg){
            $scope.dialogTip($scope.calSumAssuredInfo.msg);
        }else if($scope.calSumAssuredInfo.amtList) {
            $scope.sumAssuredList = $scope.calSumAssuredInfo.amtList;
            $scope.sumAssuredBox = true;
        }
    };

    //选择保额
    $scope.sumAssuredChecked = function(value,name){
        $scope.sumAssuredBox = false;
        $scope.sumAssured = value;
        $scope.sumAssuredName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.sumAssured = $scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
        }
        calculate();
        savePlanInfo();
    };

    //交费方式弹出框
    $scope.popChargePeriod = function(){
        var ageBoolean = getCurrentAge($scope.calculateInfo.insuredBirthday);
        if (ageBoolean===false) {
            $scope.dialogTip("所指定出生日期不在承保范围内！！");
            return false;
        }
        if($scope.chargePeriodList.length)
            $scope.chargePeriodBox = true;
    };
    //选择交费方式
    $scope.chargePeriodChecked = function(type,code,name){
        $scope.chargePeriodBox = false;
        $scope.chargePeriod = type;
        $scope.chargePeriodValue = code;
        $scope.chargePeriodName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
        };
        if(type=="1"){//一次交清,不用展示续期
            $scope.showRenewalInfo = false;
        }else{
            $scope.showRenewalInfo = true;
        }
        calculate();
    };
    //续期银行弹框
    $scope.popRenewalBank = function(){
        $scope.renewalBankBox = true;
    }
    //选择续期银行
    $scope.renewalBankChecked = function(code,name){
        $scope.renewalInfo.bankCode = code;
        $scope.renewalInfo.renewalBankName = name;
        $scope.renewalBankBox = false;
    };
    //修改性别
    $scope.changeSex = function(type,sex){
        if(type=="insured"){
            $scope.insuredSex = sex;
            $scope.calculateInfo.insuredSex = sex;
            calculate();
        }
    }
    //获取续期银行信息
    function getRenewalBanks(companyCode){
         return renewalBanks["C"+companyCode];
    }

    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":$scope.calculateInfo.insuredBirthday,
            "insuredStartDate":$scope.calculateInfo.insuredStartDate,
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }
        var valide = true;
        if(!$scope.calculateInfo.insuredSex){
            valide = false;
        }else if (!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.sumAssured) {
            valide = false;
        }else if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        //console.info("试算条件---",$scope.insuredSex,$scope.insuredBirthday,$scope.sumAssured,$scope.chargePeriod,$scope.chargePeriodValue,$scope.coveragePeriod,$scope.coveragePeriodValue,validAgeParams);


        return valide;
    }

    //根据选择条件进行试算
    var calculate = function (params) {
        if(!productCalculateValid()){
            //console.info("试算条件不满足,不进行试算.....");
            //$scope.calculateAmt = 0;
            return;
        }
        //组试算条件
        var trialProductList = [];
        trialProductList = [
            {
                "productId": $scope.productId,
                "parameters": "gender="+$scope.calculateInfo.insuredSex+";birthday="+formatDate10(new Date($scope.calculateInfo.insuredBirthday)).replace(/-/g,"")+
                ";chargePeriod="+$scope.calculateInfo.chargePeriod+";chargeYear="+$scope.calculateInfo.chargePeriodValue+
                ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue+";coveragePeriod="+$scope.calculateInfo.coveragePeriod+
                ";sumAssured="+$scope.calculateInfo.sumAssured
            }
        ];
        $scope.calculateApi(trialProductList);
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        if(!$scope.calculateInfo){
            $scope.calculateInfo = {};
        }
        $scope.calculateInfo.productId = $scope.productId;
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        /*$scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障期间
        $scope.calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障类型
        $scope.calculateInfo.insuredBirthday = $scope.insuredBirthday;
        $scope.calculateInfo.insuredStartDate = $scope.insuredStartDate;
        $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
        $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        $scope.calculateInfo.chargeInterval = $scope.chargeInterval;*/
        $scope.calculateInfo.unit = "1";
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        savePlanInfo();
        //$scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }
    ////初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
        }else{
            $scope.calculateInfo = {};
        }
        $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:$scope.insuredStartDate;
        if($scope.calculateInfo.insuredBirthday){

        }else{
            $scope.calculateInfo.insuredBirthday = getBirthdayByAge(1,$scope.calculateInfo.insuredStartDate);
        }
        $scope.calculateInfo.insuredBirthday = new Date($scope.calculateInfo.insuredBirthday);
        $scope.calculateInfo.insuredSex = $scope.calculateInfo.insuredSex?$scope.calculateInfo.insuredSex:$scope.insuredSex;
        $scope.calculateInfo.chargePeriod = $scope.calculateInfo.chargePeriod?$scope.calculateInfo.chargePeriod:$scope.chargePeriod;
        //$scope.calculateInfo.chargePeriodValue = $scope.calculateInfo.chargePeriodValue?$scope.calculateInfo.chargePeriodValue:$scope.chargePeriodValue;
        if(typeof $scope.calculateInfo.chargePeriodValue=="undefined" ){//趸交值为0
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        }
        $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
        $scope.calculateInfo.coveragePeriodValue=$scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
        $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
        $scope.getCoverageList($scope.calculateInfo.insuredBirthday);

        $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
        $scope.calculateInfo.chargePeriodName = $scope.calculateInfo.chargePeriodName?$scope.calculateInfo.chargePeriodName:$scope.chargePeriodName;
        $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;

        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.showRenewalInfo = false;
        }else{
            $scope.showRenewalInfo = true;
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }

    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = JSON.parse(JSON.stringify($scope.productBaseInfo.benefitLevels[0].benefitLiab));
        for(var i=0;i<$scope.showPlanInfo.content.length;i++){
            if($scope.showPlanInfo.content[i].liabId=="101089"){
                $scope.showPlanInfo.content[i].riskAmount = $scope.showPlanInfo.content[i].riskAmount.split("；");
                $scope.showPlanInfo.content[i].riskAmount.splice(($scope.showPlanInfo.content[i].riskAmount.length)-1,1);
                //特殊处理
                var liabilityName = $scope.showPlanInfo.content[i].liabilityName;
                var riskAmountArray = $scope.showPlanInfo.content[i].riskAmount;
                $scope.showPlanInfo.content[i].riskAmount = riskAmountArray[0];
                $scope.showPlanInfo.content[i].rowSpan = riskAmountArray.length;
                //截取该责任之后的责任信息
                var backRiskContent =  $scope.showPlanInfo.content.splice(i+1,3-(i+1));
                for(var i=1;i<riskAmountArray.length;i++){
                    $scope.showPlanInfo.content.push({"liabilityName":liabilityName,"riskAmount":riskAmountArray[i],"hideState":true});
                }
                $scope.showPlanInfo.content = $scope.showPlanInfo.content.concat(backRiskContent);
            }
        }
        //console.info("处理后保险利益...",$scope.showPlanInfo.content)
        $scope.productSetItem("showPlanInfo",$scope.showPlanInfo);
    }

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        if(calculateAge(params)){
            $scope.calculateInfo.insuredBirthday = params.birthday;
            $scope.calculateInfo.insuredSex = params.sex;
            calculate();
            return true;
        }else{
            return false;
        }

        //return calculateAge(params)
    }
    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"6,7");
        }else if(type=="insured"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList(sourceInfo.insuredSex,"6,7",type);
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","6,7");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        //$scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-'
                + $scope.holderInfo.addressInfo.countyName +"-"+ $scope.holderInfo.addressInfo.detailAddress;
            $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;
            //转换日期格式
            //证件起期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiValidDate = new Date($scope.holderInfo.certiValidDate);
            //证件终止期
            if($scope.holderInfo.certiExpiryDate)
                $scope.holderInfo.certiExpiryDate = new Date($scope.holderInfo.certiExpiryDate);
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            //console.info("获取机构.........",$scope.holderInfo.addressInfo.provinceCode);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }
            //获取服务机构信息
            $scope.holderInfo.sAddressInfo = {};
            /*$scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1");*/
        }
        if(optType!="showInfo") {
            $scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
            if ($scope.holderInfo.jobClass1) {
                $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
            }

        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");
        //初始化受益人证件类型
        $scope.benefitCertiTypeList = getSpecCredList("1");
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                /*$scope.insuredInfos[i].insuredMobile = $scope.insuredInfos[i].insuredMobile?$scope.insuredInfos[i].insuredMobile:$scope.holderInfo.holderMobile;
                $scope.insuredInfos[i].insuredEmail = $scope.insuredInfos[i].insuredEmail?$scope.insuredInfos[i].insuredEmail:$scope.holderInfo.holderEmail;
                $scope.insuredInfos[i].jobClass2 = $scope.insuredInfos[i].jobClass2?$scope.insuredInfos[i].jobClass2:$scope.holderInfo.jobClass2;
                $scope.insuredInfos[i].addressInfo.postCode = $scope.insuredInfos[i].addressInfo.postCode?$scope.insuredInfos[i].addressInfo.postCode:$scope.holderInfo.addressInfo.postCode;*/
                if(optType!="showInfo") {
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                    //获取省对应市信息
                    if ($scope.insuredInfos[i].addressInfo && $scope.insuredInfos[i].addressInfo.provinceCode) {
                        $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[i].addressInfo.provinceCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取市对应县信息
                    if ($scope.insuredInfos[i].addressInfo.cityCode) {//获取省对应市信息
                        $scope.getBranch("insuredInfo", "", 2, $scope.insuredInfos[i].addressInfo.cityCode, 0, $scope.insuredInfos[i]);
                    }
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-'
                        + $scope.insuredInfos[i].addressInfo.countyName+"-"+ $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
                /*if($scope.insuredInfos[i].relationship==1) {
                    $scope.relationshipChange('insured', $scope.insuredInfos[i].relationship,i);
                }*/
                //证件起期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiValidDate = new Date($scope.insuredInfos[i].certiValidDate);
                //证件终止期
                if($scope.insuredInfos[i].certiExpiryDate)
                    $scope.insuredInfos[i].certiExpiryDate = new Date($scope.insuredInfos[i].certiExpiryDate);
                //初始受益人
                if($scope.insuredInfos[i].benefitInfos){
                    for(var j in $scope.insuredInfos[i].benefitInfos){
                        //出生日期
                        $scope.insuredInfos[i].benefitInfos[j].birthday = new Date($scope.insuredInfos[i].benefitInfos[j].birthday);
                        //证件起期
                        if($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate);
                        //证件终止期
                        if($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate);
                    }

                }else{
                    $scope.insuredInfos[i].benefitInfos = [];//置空
                }
                /*//详细地址展示
                $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-' + $scope.holderInfo.addressInfo.detailAddress;
                //职业名称
                $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;*/
                //初始化受益人与被保人可选关系
                $scope.insuredInfos[i].benefitInsuredRel = getSpecSexRelaList($scope.insuredInfos[i].insuredSex,"6,7","insured")
                console.info("受益人关系....",$scope.insuredInfos[i].insuredSex,$scope.insuredInfos[i].benefitInsuredRel)
            }
            //console.info("多背背认识下你.....",$scope.insuredSex)
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;

            $scope.getBranch("insuredInfo", "", 0, "", 0,$scope.insuredInfos[0]);
            if ($scope.insuredInfos[0].addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[0].addressInfo.provinceCode, 0,$scope.insuredInfos[0]);
            }
            //$scope.insuredInfo.insuredSex = '';//初始化性别
            //console.info("初始被保人22222",$scope.insuredInfos)
        }

        //$scope.insuredInfo.winner = $scope.winner;
    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }
    //初始续期信息
    function initRenewalInfo(optType) {

        if ($scope.saveData.renewalInfo) {
            $scope.renewalInfo = $scope.productGetItem('renewalInfo');
            /*if($scope.renewalInfo.renewalBankName){
                $scope.renewalBankName = $scope.renewalInfo.renewalBankName;
            }*/
        } else {
            $scope.renewalInfo = {};
            $scope.renewalInfo.renewalBankName = "请选择缴费银行";
            $scope.renewalInfo.accName=$scope.calculateInfo.holderName;
            $scope.renewalInfo.addressInfo = {};
        }
        //console.info($scope.renewalInfo.renewalBankName)
        if(optType!="showInfo") {
            $scope.renewalBanks = getRenewalBanks($scope.productBaseInfo.productCompany);
        }
    }
    //扩展信息
    function createExtraInfo(){
        $scope.extraInfo = {"serviceOrgCode":$scope.holderInfo.sAddressInfo.cityCode};
    }
    //初始第一步信息
    function initStep1(){
        //console.info("......各自投保人信息.....");
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第二步信息
    function initStep2(){
        //console.info("......各自被保人信息.....");
        initInsuredInfo();
        initHolderInfo();//防止变更被保人而无通讯地址等特殊信息
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第三步信息
    function initStep3(){
        //console.info("......各自投保计划信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        $scope.getCoverageList($scope.calculateInfo.insuredBirthday);//初始化保障年期
        initInsurePlan();//投保计划
        initRenewalInfo();//续期账户
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        initRenewalInfo("showInfo");//初始化续期信息
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>";
        $scope.showRenewalInfo = $scope.productGetItem('showRenewalInfo');
        //console.info("获取续期标记.....",$scope.showRenewalInfo)
        createExtraInfo();
        //保障计划特殊处理
        //$scope.showPlanInfo.content.push({"liabilityName":"等待期","riskAmount":"180天"});
    }
    //校验第一步
    function checkStep1(){
        //console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        //console.info("出生日期。。。。",formatDate10(new Date($scope.holderInfo.holderBirthday)))
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0" || !$scope.holderInfo.certiType) {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (!validCredNum("",$scope.holderInfo.certiValidDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件起期填写有误，请更正';
        } else if (formatDate10($scope.holderInfo.certiValidDate)>formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件起期不能晚于当前日期，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && !validCredNum("",$scope.holderInfo.certiExpiryDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件止期填写有误，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && formatDate10($scope.holderInfo.certiExpiryDate)<formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件止期不能早于当前日期，请更正';
        }else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1))< 18 || getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1)) > 60) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁小于60周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if ((!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.addressInfo.cityCode)|| !validCredNum("", $scope.holderInfo.addressInfo.countyCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
            res['status'] = false;
            res['msg'] = '投保人通讯地址填写有误，请完善';
        } else if($scope.holderInfo.addressInfo.detailAddress.length<5){
            res['status'] = false;
            res['msg'] = '投保人详细地址填写有误，请完善';
        } else if ((!validCredNum("", $scope.holderInfo.sAddressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.sAddressInfo.cityCode))) {
            res['status'] = false;
            res['msg'] = '投保人服务地址填写有误，请完善';
        } else if ((!validCredNum("", $scope.holderInfo.jobClass1)
            || !validCredNum("", $scope.holderInfo.jobClass2))) {
            res['status'] = false;
            res['msg'] = '投保人职业类别填写有误，请完善';
        } else if (!(validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) ||
            (validCredNum("",$scope.holderInfo.addressInfo.regionPostCode)
            && !($scope.holderInfo.addressInfo.regionPostCode.indexOf(","+$scope.holderInfo.addressInfo.postCode.substr(0,4))>-1))){
            res['status'] = false;
            res['msg'] = '投保人邮编填写有误，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                //console.info($scope.insuredInfos[i].relationship);
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        //console.info("修改关系后多被保人。。。。。",$scope.insuredInfos);
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;
        //获取各机构名称信息

        /*for(var i=0;i<$scope.insuredInfos.length;i++) {
            console.info("地址..",$scope.insuredInfos[i].addressInfo,$scope.holderInfo.addressInfo)
            $scope.insuredInfos[i].insuredMobile = $scope.insuredInfos[i].insuredMobile ? $scope.insuredInfos[i].insuredMobile : $scope.holderInfo.holderMobile;
            $scope.insuredInfos[i].insuredEmail = $scope.insuredInfos[i].insuredEmail ? $scope.insuredInfos[i].insuredEmail : $scope.holderInfo.holderEmail;
            $scope.insuredInfos[i].jobClass1 = $scope.insuredInfos[i].jobClass1 ? $scope.insuredInfos[i].jobClass1 : $scope.holderInfo.jobClass1;
            $scope.insuredInfos[i].jobClass2 = $scope.insuredInfos[i].jobClass2 ? $scope.insuredInfos[i].jobClass2 : $scope.holderInfo.jobClass2;
            $scope.insuredInfos[i].jobClass1name = $scope.insuredInfos[i].jobClass1name ? $scope.insuredInfos[i].jobClass1name : $scope.holderInfo.jobClass1name;
            $scope.insuredInfos[i].jobClass2name = $scope.insuredInfos[i].jobClass2name ? $scope.insuredInfos[i].jobClass2name : $scope.holderInfo.jobClass2name;
            $scope.insuredInfos[i].addressInfo = $scope.holderInfo.addressInfo;
            //$scope.insuredInfos[i].addressInfo.postCode = $scope.insuredInfos[i].addressInfo.postCode ? $scope.insuredInfos[i].addressInfo.postCode : $scope.holderInfo.addressInfo.postCode;
        }*/

        //$scope.productSetItem('calculateInfo', $scope.calculateInfo);
        $scope.prevModule1 = "1";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "1";
        return true;
    }
    //校验第二步
    function checkStep2(){
        //console.info("验证表单2信息.....");
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            console.info("地址..",$scope.insuredInfos[i].addressInfo,$scope.holderInfo.addressInfo)
            $scope.insuredInfos[i].insuredMobile = $scope.insuredInfos[i].insuredMobile ? $scope.insuredInfos[i].insuredMobile : $scope.holderInfo.holderMobile;
            $scope.insuredInfos[i].insuredEmail = $scope.insuredInfos[i].insuredEmail ? $scope.insuredInfos[i].insuredEmail : $scope.holderInfo.holderEmail;
            $scope.insuredInfos[i].jobClass1 = $scope.insuredInfos[i].jobClass1 ? $scope.insuredInfos[i].jobClass1 : $scope.holderInfo.jobClass1;
            $scope.insuredInfos[i].jobClass2 = $scope.insuredInfos[i].jobClass2 ? $scope.insuredInfos[i].jobClass2 : $scope.holderInfo.jobClass2;
            $scope.insuredInfos[i].jobClass1name = $scope.insuredInfos[i].jobClass1name ? $scope.insuredInfos[i].jobClass1name : $scope.holderInfo.jobClass1name;
            $scope.insuredInfos[i].jobClass2name = $scope.insuredInfos[i].jobClass2name ? $scope.insuredInfos[i].jobClass2name : $scope.holderInfo.jobClass2name;
            $scope.insuredInfos[i].addressInfo = $scope.holderInfo.addressInfo;
            //$scope.insuredInfos[i].addressInfo.postCode = $scope.insuredInfos[i].addressInfo.postCode ? $scope.insuredInfos[i].addressInfo.postCode : $scope.holderInfo.addressInfo.postCode;
        }
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        console.info("===========",$scope.insuredInfos);
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0" || !$scope.insuredInfos[i].certiType) {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && !validCredNum("",$scope.insuredInfos[i].certiValidDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件起期填写有误，请更正';
            } else if (formatDate10($scope.insuredInfos[i].certiValidDate)>formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件起期不能晚于当前日期，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && $scope.insuredInfos[i].longTermFlag!='1' && !validCredNum("",$scope.insuredInfos[i].certiExpiryDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件止期填写有误，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && formatDate10($scope.insuredInfos[i].certiExpiryDate)<formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件止期不能早于当前日期，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.insuredInfos[i].validAgeFlag) {
                res['status'] = false;
                res['msg'] = '被保人年龄无效，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ((!validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode)
                || !validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode)|| !validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) || !validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '被保人通讯地址填写有误，请完善';
            } else if($scope.insuredInfos[i].addressInfo.detailAddress.length<5){
                res['status'] = false;
                res['msg'] = '被保人详细地址填写有误，请完善';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].jobClass1) || !validCredNum("",$scope.insuredInfos[i].jobClass2)) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            } else if ((!(validCredNum("postCode", $scope.insuredInfos[i].addressInfo.postCode))) ||
                (validCredNum("",$scope.insuredInfos[i].addressInfo.regionPostCode) &&
                !($scope.insuredInfos[i].addressInfo.regionPostCode.indexOf(","+$scope.insuredInfos[i].addressInfo.postCode.substr(0,4))>-1))){
                res['status'] = false;
                res['msg'] = '被保人邮编填写有误，请更正';
            }else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("email", $scope.insuredInfos[i].insuredEmail)) {
                res['status'] = false;
                res['msg'] = '被保人电子邮箱填写有误，请更正';
            } else if($scope.insuredInfos[i].benefitInfos.length){
                var benefitRate = 0;//收益比例
                for(var j in $scope.insuredInfos[i].benefitInfos){
                    var benefitInfo = $scope.insuredInfos[i].benefitInfos[j];
                    console.info("受益人信息》。。。",benefitInfo)
                    if (!validCredNum("", benefitInfo.relation)) {
                        res['status'] = false;
                        res['msg'] = '受益人关系未选择，请更正';
                    }else if (!validCredNum("name", benefitInfo.name)) {
                        res['status'] = false;
                        res['msg'] = '受益人姓名填写有误（2-20位中英文），请更正';
                    } else if (typeof benefitInfo.certiType == "undefined" || benefitInfo.certiType == "0" || !benefitInfo.certiType) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人证件类型';
                    } else if (!validCredNum(benefitInfo.certiType, benefitInfo.certiCode)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件号码填写有误，请更正';
                    } else if (!validCredNum("",benefitInfo.certiValidDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件起期填写有误，请更正';
                    } else if (formatDate10(benefitInfo.certiValidDate)>formatDate10(new Date())) {
                        res['status'] = false;
                        res['msg'] = '证件起期不能晚于当前日期，请更正';
                    } else if (benefitInfo.longTermFlag!='1' && !validCredNum("",benefitInfo.certiExpiryDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件止期填写有误，请更正';
                    } else if (benefitInfo.longTermFlag!='1' && formatDate10(benefitInfo.certiExpiryDate)<formatDate10(new Date())) {
                        res['status'] = false;
                        res['msg'] = '证件止期不能早于当前日期，请更正';
                    } else if (!validCredNum("",benefitInfo.birthday)) {
                        res['status'] = false;
                        res['msg'] = '受益人出生日期填写有误，请更正';
                    } else if (benefitInfo.certiType == "1" && formatDate10(benefitInfo.birthday).replace(/-/g, "") != benefitInfo.certiCode.substring(6, 14)) {//受益人出生日期与证件校验
                        res['status'] = false;
                        res['msg'] = '受益人出生日期与证件号不符，请更正';
                    } else if (!validCredNum("",benefitInfo.sex)) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人性别';
                    } else if (benefitInfo.certiType == "1" && !checkSex(benefitInfo.sex, benefitInfo.certiCode)) {//性别校验
                        res['status'] = false;
                        res['msg'] = '受益人性别与证件号不符，请更正';
                    } else if(!checkRoleSex(benefitInfo.relation,benefitInfo.sex)){
                        res['status'] = false;
                        res['msg'] = '受益人性别与所选角色不符，请更正';
                    } else if (!validCredNum("", benefitInfo.benefitRate)) {
                        res['status'] = false;
                        res['msg'] = '受益人受益比例填写有误，请完善';
                    } else if (benefitInfo.mobile && !validCredNum("mobile", benefitInfo.mobile)) {
                        res['status'] = false;
                        res['msg'] = '受益人手机号填写有误，请更正';
                    }
                    benefitRate +=parseInt(benefitInfo.benefitRate);
                    if(!res['status']){
                        break;
                    }
                }

                if(res['status'] && benefitRate!=100){
                    res['status'] = false;
                    if($scope.insuredInfos.length==1) {
                        res['msg'] = '被保人受益比例不等于100%，请更正';
                    }else{
                        res['msg'] = "第"+i+'被保人受益比例不等于100%，请更正';
                    }
                }

            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        //$scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;
        //calculate();//被保人最新信息重新试算
        //console.info("跳转被保人性别》。。。",$scope.calculateInfo.insuredSex);
        //重新处理被保人职业
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if(getCurrentAge($scope.insuredInfos[i].insuredBirthday,$scope.calculateInfo.insuredStartDate)<3) {
                $scope.insuredInfos[i].jobClass2 = "10170607";
                $scope.insuredInfos[i].jobClass2name = "学龄前儿童";
            }else{
                $scope.insuredInfos[i].jobClass2 = "10170596";
                $scope.insuredInfos[i].jobClass2name = "学生";
            }
        }
        $scope.prevModule2 = "1";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        $scope.nextModule = "1";
        return true;
    }
    //校验第三步
    function checkStep3(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        //console.info("交费方式....",$scope.calculateInfo.chargePeriodValue)
        if (!validCredNum("",$scope.calculateInfo.coveragePeriodValue)) {//保险期间
            res['status'] = false;
            res['msg'] = '请选择保险期间';
        } else if (!validCredNum("",$scope.calculateInfo.sumAssured)) {//选择投保保额
            res['status'] = false;
            res['msg'] = '请选择保额';
        } else if (!validCredNum("",$scope.calculateInfo.chargePeriod)) {//选择交费方式
            res['status'] = false;
            res['msg'] = '请选择交费方式';
        } else if ($scope.calculateInfo.chargePeriod!="1" && !validCredNum("",$scope.renewalInfo.bankCode)) {//缴费银行
            res['status'] = false;
            res['msg'] = '请选择续保缴费银行';
        }else if ($scope.calculateInfo.chargePeriod!="1" && !validCredNum("",$scope.renewalInfo.cardNum)) {//缴费账号
            res['status'] = false;
            res['msg'] = '请填写正确的续期缴费账号';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //结束校验表单-----
        if($scope.calculateInfo.calculateAmt==0){
            $scope.dialogTip("请正确选择投保计划,以便计算保费");
            return false;
        }
        $scope.productSetItem('showRenewalInfo', $scope.showRenewalInfo);
        $scope.prevModule3 = "1";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        $scope.nextModule = "1";
        //保存计划信息
        savePlanInfo();
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }

        $scope.prevModule4 = "1";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        $scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
