function pro100333($scope, event, service) {
    var init = function () {
        //$scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "2";//缴费年限
        $scope.chargePeriodValue = "10";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "10年交";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "10";//保障期间
        $scope.coveragePeriodName = "10年";//保障期间
        //$scope.chargeInterval = "0";//频率趸交
        $scope.sumAssured = "100000";//默认投保保额
        $scope.sumAssuredName = "10万";//默认投保保额
        $scope.insuredSex = "F";
        $scope.singelAmount = "10000";//单份保额
        $scope.product_calculate_validate = true;//多试算条件验证试算

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        //是否试算过
        /*if($scope.calculateInfo){
            $scope.insuredStartDate = $scope.calculateInfo.insuredStartDate||genNowDate(1);
            $scope.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue||"";
            $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate||"";
        }else{
            $scope.insuredStartDate = genNowDate(1);
        }*/
        //$scope.insuredStartDate = new Date($scope.insuredStartDate);

        //初始化计划信息
        //savePlanInfo();
        //$scope.coveragePeriodName = "请选择保险期间";
        //$scope.chargePeriodName = "请选择交费方式";
        //$scope.sumAssuredName = "请选择基本保额";

        //初始保障年期、交费年期列表空数据
        $scope.coveragePeriodList = new Array();
        $scope.chargePeriodList = new Array();
        $scope.sumAssuredList = new Array();

        //$scope.calculatePre = $scope.calculateResult = 1;

        initCalculateInfo();
        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            console.info("初始试算信息....",$scope.calculateInfo)
            calculate();
            savePlanInfo();
            $scope.calculateInfo.minInsuredAgeUnit = $scope.productBaseInfo.minInsuredAgeUnit;
            $scope.calculateInfo.maxInsuredAgeUnit = $scope.productBaseInfo.maxInsuredAgeUnit;
            $scope.calculateInfo.minLAAge = $scope.productBaseInfo.minLAAge;
            $scope.calculateInfo.maxLAAge = $scope.productBaseInfo.maxLAAge;
            $scope.calculateAmt = $scope.productBaseInfo.minPremium;//保费

            //推广费方案字段
            $scope.promotionFee = [];
            $scope.promotionFee.push({"pay":"交费方式","rebate":"推广费比例"});
            $scope.promotionFee.push({"pay":"一次交清","rebate":"3%"});
            $scope.promotionFee.push({"pay":"5年交","rebate":"16%"});
            $scope.promotionFee.push({"pay":"10年交","rebate":"25%"});
            $scope.promotionFee.push({"pay":"20年交","rebate":"33%"});
            $scope.promotionFee.push({"pay":"30年交","rebate":"33%"});
        }
    };

    function validAge(params){
        //ageUnit 1 岁 2 天
        if(params.insuredStartDate){

        }else{//因生效日与被保人填写信息顺序不一样,故为空时设定各自产品的最初生效日
            $scope.calculateInfo.insuredStartDate = genNowDate(1);
            params.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }
        var age = getCurrentAge(formatDate10(new Date(params.insuredBirthday)), formatDate10(new Date(params.insuredStartDate)));
        var days = getDaysFromBirth(formatDate10(new Date(params.insuredBirthday)), formatDate10(new Date(params.insuredStartDate)));

        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }

    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");//处理被保人证件类型
        $scope.benefiCertiTypeList = getSpecCredList("1");//处理受益人证件类型
    }
    //获取保障年期列表
    $scope.getCoverageList = function(insuredBirthday){
        //获取保障期间列表数据
        $scope.dataCollection = calInsureChargeRelation(insuredBirthday,$scope.productBaseInfo.ageLimitMatrix,$scope.calculateInfo.insuredStartDate);

        resetTrialBalance(insuredBirthday);
        resetCoverageCharge(insuredBirthday);
        if($scope.dataCollection.msg){
            $scope.dialogTip($scope.dataCollection.msg);
            return false;
        }else{
            $scope.coveragePeriodList = $scope.dataCollection.insures;
            $scope.chargePeriodList = $scope.dataCollection["I2"+$scope.calculateInfo.coveragePeriodValue];
        }
    }

    //保险期间弹出框
    $scope.popCoveragePeriod = function(){
        if($scope.coveragePeriodName == "请选择保险期间"){
            $scope.coveragePeriodValue = 0;
            $scope.coveragePeriod = 0;
            $scope.calculateInfo.coveragePeriod = 0;
        }
        var ageBoolean = validAge($scope.calculateInfo);
        if (!ageBoolean) {
            $scope.dialogTip("所指定出生日期不在承保范围内！");
            return false;
        }

        if($scope.coveragePeriodList.length>0){//有保障年期数据列表
            $scope.insurePeriodBox = true;
        }
    };
    //选择保障年期
    $scope.coveragePeriodChecked = function(type,code,name){
        $scope.insurePeriodBox = false;
        $scope.coveragePeriod = type;
        $scope.coveragePeriodValue = code;
        $scope.coveragePeriodName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.coveragePeriod = $scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.coveragePeriodName;
        }
        //计算选中指定保障年期对应交费方式
        $scope.chargePeriodList = $scope.dataCollection["I"+type+code];

        console.info("缴费方式....",$scope.calculateInfo,$scope.chargePeriodList)
        if($scope.chargePeriodList.length>0) {
            //$scope.chargePeriodChecked($scope.chargePeriodList[0].type, $scope.chargePeriodList[0].code, $scope.chargePeriodList[0].name);
            $scope.chargePeriod = $scope.chargePeriodList[0].type;
            $scope.chargePeriodName = $scope.chargePeriodList[0].name;
            $scope.chargePeriodValue = $scope.chargePeriodList[0].code;
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            if($scope.calculateInfo.chargePeriod=="1"){//一次交清,不用展示续期
                $scope.showRenewalInfo = false;
            }else{
                $scope.showRenewalInfo = true;
            }
            calculate();
        }else{

        }
    };
    //基本保额弹出框
    $scope.popSumAssured = function(){
        if($scope.sumAssuredName == "请选择基本保额"){
            $scope.sumAssured = 0;
            $scope.calculateInfo.sumAssured = 0;
        }
        var ageBoolean = validAge($scope.calculateInfo);
        if (!ageBoolean) {
            $scope.dialogTip("所指定出生日期不在承保范围内！");
            return false;
        }
        console.info($scope.calculateInfo.insuredBirthday,50000,$scope.productBaseInfo.saLimitMatrix);
        $scope.calSumAssuredInfo = getAmountList($scope.calculateInfo.insuredBirthday,50000,$scope.productBaseInfo.saLimitMatrix,$scope.calculateInfo.insuredStartDate);

        if($scope.calSumAssuredInfo.msg){
            $scope.dialogTip($scope.calSumAssuredInfo.msg);
        }else if($scope.calSumAssuredInfo.amtList) {
            $scope.sumAssuredList = $scope.calSumAssuredInfo.amtList;
            $scope.sumAssuredBox = true;
        }
    };

    //选择保额
    $scope.sumAssuredChecked = function(value,name){
        $scope.sumAssuredBox = false;
        $scope.sumAssured = value;
        $scope.sumAssuredName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.sumAssured = $scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
        }
        calculate();
        savePlanInfo();//保存保险利益
    };

    //交费方式弹出框
    $scope.popChargePeriod = function(){
        if($scope.chargePeriodName == "请选择交费方式"){
            $scope.chargePeriodValue = 0;
            $scope.chargePeriod = 0;
            $scope.calculateInfo.chargePeriod = 0;
        }
        var ageBoolean = validAge($scope.calculateInfo);
        if (!ageBoolean) {
            $scope.dialogTip("所指定出生日期不在承保范围内！");
            return false;
        }
        if($scope.chargePeriodList){
            $scope.chargePeriodBox = true;
        }else{
            $scope.dialogTip("请先选择保障期间");
        }

    };
    //选择交费方式
    $scope.chargePeriodChecked = function(type,code,name){
        $scope.chargePeriodBox = false;
        $scope.chargePeriod = type;
        $scope.chargePeriodValue = code;
        $scope.chargePeriodName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
        };
        if(type=="1"){//一次交清,不用展示续期
            $scope.showRenewalInfo = false;
        }else{
            $scope.showRenewalInfo = true;
        }
        calculate();
    };

    //续期银行弹框
    $scope.popRenewalBank = function(){
        $scope.renewalBankBox = true;
    }
    //选择续期银行
    $scope.renewalBankChecked = function(code,name){
        $scope.renewalInfo.bankCode = code;
        $scope.renewalInfo.renewalBankName = name;
        $scope.renewalBankBox = false;
    };

    //修改性别
    $scope.changeSex = function(type,sex){
        if(type=="insured"){
            $scope.insuredSex = sex;
            $scope.calculateInfo.insuredSex = sex;
            calculate();
        }
    }

    //获取续期银行信息
    function getRenewalBanks(companyCode){
        return renewalBanks["C"+companyCode];
    }

    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":formatDate10(new Date($scope.calculateInfo.insuredBirthday)),
            "insuredStartDate":formatDate10(new Date($scope.calculateInfo.insuredStartDate)),
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }
        var valide = true;
        if(!$scope.calculateInfo.insuredSex){
            valide = false;
        }else if (!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.sumAssured) {
            valide = false;
        }else if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        console.info("试算条件---",$scope.calculateInfo.insuredSex,$scope.calculateInfo.insuredBirthday,$scope.calculateInfo.sumAssured,$scope.calculateInfo.chargePeriod,$scope.calculateInfo.chargePeriodValue,$scope.calculateInfo.coveragePeriod,$scope.calculateInfo.coveragePeriodValue,validAgeParams);
        return valide;
    }

    //重置试算因子
    function resetTrialBalance(birthday){
        //校验年龄超过40周岁时不试算保费
        var a = getCurrentAge(formatDate10(new Date(birthday)));
        console.info("保额年龄....",a,$scope.minAge1,$scope.maxAge1)
        if($scope.minAge1 && $scope.maxAge1){
            if(a>$scope.minAge1 && a<$scope.maxAge1){
            }else{
                $scope.sumAssuredName = "请选择基本保额";
                $scope.calculateInfo.sumAssuredName = "请选择基本保额";
                $scope.sumAssured = 0;
                $scope.calculateInfo.sumAssured = 0;
                //$scope.calculateAmt = 0;
                $scope.minAge1 = 0;
                $scope.maxAge1 = 0;
                return;
            }
        }else{
            if(a>=18 && a<=40){
                $scope.minAge1 = 18;
                $scope.maxAge1 = 40;
            }else if(a>=41 && a<=49){
                $scope.minAge1 = 41;
                $scope.maxAge1 = 49;
            }else if(a>=50 && a<=60){
                $scope.minAge1 = 50;
                $scope.maxAge1 = 60;
            }
        }
    }

    function resetCoverageCharge(birthday){
        var b = getCurrentAge(formatDate10(new Date(birthday)));
        console.info("年龄ab..",$scope.minAge2 ,$scope.maxAge2);
        if($scope.minAge2 && $scope.maxAge2){
            if(b>$scope.minAge2 && b<$scope.maxAge2){
            }else{
                $scope.coveragePeriodName = "请选择保险期间";
                $scope.calculateInfo.coveragePeriodName = "请选择保险期间";
                $scope.calculateInfo.coveragePeriod = 0;
                $scope.calculateInfo.coveragePeriodValue = "";
                $scope.chargePeriodName = "请选择交费方式";
                $scope.calculateInfo.chargePeriodName = "请选择交费方式";
                $scope.calculateInfo.chargePeriod = 0;
                $scope.calculateInfo.chargePeriodValue = "";
                //$scope.calculateAmt = 0;
                $scope.minAge2 = 0;
                $scope.maxAge2 = 0;
                return;
            }
        }else{
            if(b>=18 && b<=40){
                $scope.minAge2 = 18;
                $scope.maxAge2 = 40;
            }else if(b>=41 && b<=50){
                $scope.minAge2 = 41;
                $scope.maxAge2 = 50;
            }else if(b>=51 && b<=60){
                $scope.minAge2 = 51;
                $scope.maxAge2 = 60;
            }
        }
    }

    //根据选择条件进行试算
    var calculate = function (params) {
        if(!productCalculateValid()){
            //console.info("试算条件不满足,不进行试算.....");
            //$scope.calculateAmt = 0;
            return;
        }

        //$scope.calculatePre++;

        //组试算条件
        var trialProductList = [];
        trialProductList = [
            {
                "productId": $scope.productId,
                "parameters": "gender="+$scope.calculateInfo.insuredSex+";birthday="+formatDate10(new Date($scope.calculateInfo.insuredBirthday)).replace(/-/g,"")+";chargePeriod="+$scope.calculateInfo.chargePeriod+";chargeYear="+$scope.calculateInfo.chargePeriodValue+
                ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue+";coveragePeriod="+$scope.calculateInfo.coveragePeriod+
                ";sumAssured="+$scope.calculateInfo.sumAssured
            }
        ];

        $scope.calculateApi(trialProductList);
        /*var insuredAge = getCurrentAge($scope.calculateInfo.insuredBirthday,$scope.calculateInfo.insuredStartDate);
            $scope.calculateAmt = $scope.productData[4][$scope.productData[0].indexOf($scope.calculateInfo.insuredSex)][$scope.productData[1].indexOf($scope.calculateInfo.coveragePeriodValue.toString())]
            [$scope.productData[2].indexOf($scope.calculateInfo.chargePeriodValue.toString())][$scope.productData[3].indexOf(insuredAge.toString())] * $scope.calculateInfo.sumAssured/$scope.singelAmount;
        $scope.saveCalculateInfo();*/
    };

    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        if(!$scope.calculateInfo){
            $scope.calculateInfo = {};
        }
        //$scope.calculateResult++;
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        savePlanInfo();
    }

    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }

    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            if($scope.calculateInfo.insuredBirthday){

            }else{
                $scope.calculateInfo.insuredBirthday = getBirthdayByAge(18,$scope.calculateInfo.insuredStartDate);
            }
            $scope.calculateInfo.insuredBirthday = new Date($scope.calculateInfo.insuredBirthday);
            $scope.calculateInfo.insuredSex = $scope.calculateInfo.insuredSex?$scope.calculateInfo.insuredSex:$scope.insuredSex;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.chargePeriod = $scope.calculateInfo.chargePeriod?$scope.calculateInfo.chargePeriod:$scope.chargePeriod;
            if(typeof $scope.calculateInfo.chargePeriodValue=="undefined"){
                $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            }
            //$scope.calculateInfo.chargePeriodValue = $scope.calculateInfo.chargePeriodValue?$scope.calculateInfo.chargePeriodValue:$scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.calculateInfo.chargePeriodName?$scope.calculateInfo.chargePeriodName:$scope.chargePeriodName;
            $scope.calculateInfo.insuredRangeName = $scope.calculateInfo.insuredRangeName?$scope.calculateInfo.insuredRangeName:$scope.insuredRangeName;
            $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;

            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
            if(optType!="showInfo"){
                $scope.getCoverageList($scope.calculateInfo.insuredBirthday);//获取保障期间列表数据
            }
        }else{
            $scope.calculateInfo = {};
        }
        console.info("初始保障期间....",$scope.calculateInfo.coveragePeriodValue)
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.showRenewalInfo = false;
        }else{
            $scope.showRenewalInfo = true;
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        /*$scope.calculateInfo.insuredEndDate = calInsuredDate($scope.calculateInfo.insuredBirthday, $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);*/
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }

    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(1);
        var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 1);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }


    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
        for(var i in $scope.showPlanInfo.content){
            if($scope.showPlanInfo.content[i].liabId=="101596"){
                /*$scope.showPlanInfo.content.splice(i,1);
                i--;*/
            }else if($scope.calculateInfo.sumAssuredName != "请选择基本保额"){
                $scope.showPlanInfo.content[i].riskAmount = $scope.calculateInfo.sumAssuredName;
                //$scope.showPlanInfo.content[i].riskAmount = $scope.sumAssured;
            }
        }
    }
    function recordOldBirthday(birth){
        resetTrialBalance(birth);
        resetCoverageCharge(birth);
        var oldBirthday = getCurrentAge(formatDate10(new Date($scope.calculateInfo.insuredBirthday)));
        if(oldBirthday>=18 && oldBirthday<=40){
            $scope.minAge4 = 18;
            $scope.maxAge4 = 40;
        }else if(oldBirthday>=41 && oldBirthday<=50){
            $scope.minAge4 = 41;
            $scope.maxAge4 = 50;
        }else if(oldBirthday>=51 && oldBirthday<=60){
            $scope.minAge4 = 51;
            $scope.maxAge4 = 60;
        }

        if(oldBirthday>=18 && oldBirthday<=40){
            $scope.minAge3 = 18;
            $scope.maxAge3 = 40;
        }else if(oldBirthday>=41 && oldBirthday<=49){
            $scope.minAge3 = 41;
            $scope.maxAge3 = 49;
        }else if(oldBirthday>=50 && oldBirthday<=60){
            $scope.minAge3 = 50;
            $scope.maxAge3 = 60;
        }


        if($scope.minAge3 == $scope.minAge1 && $scope.maxAge3 == $scope.maxAge1){
            $scope.calculateInfo.insuredBirthday = birth;
            //calculate();
        }else{
            $scope.sumAssuredName = "请选择基本保额";
            $scope.calculateInfo.sumAssuredName = "请选择基本保额";
            $scope.calculateInfo.sumAssured = 0;
            //$scope.calculateAmt = 0;
        }

        if($scope.minAge4 == $scope.minAge2 && $scope.maxAge4 == $scope.maxAge2){
            $scope.calculateInfo.insuredBirthday = birth;
            //calculate();
        }else{
            $scope.coveragePeriodName = "请选择保险期间";
            $scope.calculateInfo.coveragePeriodName = "请选择保险期间";
            $scope.calculateInfo.coveragePeriod = 0;
            $scope.calculateInfo.coveragePeriodValue = "";
            $scope.chargePeriodName = "请选择交费方式";
            $scope.calculateInfo.chargePeriodName = "请选择交费方式";
            $scope.calculateInfo.chargePeriod = 0;
            $scope.calculateInfo.chargePeriodValue = "";
            //$scope.calculateAmt = 0;
        }
    }

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        //ageUnit 1 岁 2 天
        /*if(params.insuredStartDate){

        }else{//因生效日与被保人填写信息顺序不一样,故为空时设定各自产品的最初生效日
            $scope.calculateInfo.insuredStartDate = genNowDate(1);
            params.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }
        var age = getCurrentAge(params.birthday, formatDate10(new Date(params.insuredStartDate)));
        var days = getDaysFromBirth(params.birthday, formatDate10(new Date(params.insuredStartDate)));
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }

        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if ($scope.insuredInfos[i].relationship != 1) {
                recordOldBirthday(params.birthday);
            }
        }

        calculate();//不论如何都调用试算
        return true;*/
        if(calculateAge(params)){
            $scope.calculateInfo.insuredBirthday = params.birthday;
            $scope.calculateInfo.insuredSex = params.sex;
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                if ($scope.insuredInfos[i].relationship != 1) {
                    recordOldBirthday(params.birthday);
                }
            }
            calculate();
            return true;
        }else{
            return false;
        }
    }
    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7");
        }else if(type=="insured"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList(sourceInfo.insuredSex,"2,3,4,5,6,7",type);
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","2,3,4,5,6,7,10");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        //$scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }

                //获取职业信息
                $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
                if ($scope.holderInfo.jobClass1) {
                    $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
                }
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-'
                + $scope.holderInfo.addressInfo.countyName +"-"+$scope.holderInfo.addressInfo.detailAddress;
            $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;
            //转换日期格式
            //证件起期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiValidDate = new Date($scope.holderInfo.certiValidDate);
            //证件终止期
            if($scope.holderInfo.certiExpiryDate)
                $scope.holderInfo.certiExpiryDate = new Date($scope.holderInfo.certiExpiryDate);
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            //console.info("获取机构.........",$scope.holderInfo.addressInfo.provinceCode);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }
            //获取服务机构信息
            $scope.holderInfo.sAddressInfo = {};
        }
        if(optType!="showInfo") {
            $scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
            if ($scope.holderInfo.jobClass1) {
                $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
            }

        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");
        //初始化受益人证件类型
        $scope.benefitCertiTypeList = getSpecCredList("1");
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo") {
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                    //获取省对应市信息
                    if ($scope.insuredInfos[i].addressInfo && $scope.insuredInfos[i].addressInfo.provinceCode) {
                        $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[i].addressInfo.provinceCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取市对应县信息
                    if ($scope.insuredInfos[i].addressInfo.cityCode) {//获取省对应市信息
                        $scope.getBranch("insuredInfo", "", 2, $scope.insuredInfos[i].addressInfo.cityCode, 0, $scope.insuredInfos[i]);
                    }

                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-'
                        + $scope.insuredInfos[i].addressInfo.countyName+"-"+ $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
                //证件起期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiValidDate = new Date($scope.insuredInfos[i].certiValidDate);
                //证件终止期
                if($scope.insuredInfos[i].certiExpiryDate)
                    $scope.insuredInfos[i].certiExpiryDate = new Date($scope.insuredInfos[i].certiExpiryDate);
                //初始受益人
                if($scope.insuredInfos[i].benefitInfos){
                    for(var j in $scope.insuredInfos[i].benefitInfos){
                        //出生日期
                        $scope.insuredInfos[i].benefitInfos[j].birthday = new Date($scope.insuredInfos[i].benefitInfos[j].birthday);
                        //证件起期
                        if($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate);
                        //证件终止期
                        if($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate);
                    }

                }else{
                    $scope.insuredInfos[i].benefitInfos = [];//置空
                }
                //初始化受益人与被保人可选关系
                $scope.insuredInfos[i].benefitInsuredRel = getSpecSexRelaList($scope.insuredInfos[i].insuredSex,"2,3,4,5,6,7","insured")

            }
            //console.info("多背背认识下你.....",$scope.insuredSex)
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;

            $scope.getBranch("insuredInfo", "", 0, "", 0,$scope.insuredInfos[0]);
            if ($scope.insuredInfos[0].addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[0].addressInfo.provinceCode, 0,$scope.insuredInfos[0]);
            }

            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
            }
        }

        $scope.calculateInfo.insuredBirthday = $scope.insuredInfos[0].insuredBirthday;
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;
        if($scope.insuredInfos[0].relationship == "1"){
            calculate();
        }

        //$scope.insuredInfo.winner = $scope.winner;
    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }

    /* //初始指定保障责任
     function initLiabilityList(){
     $scope.liabilityList = $scope.productGetItem('liabilityList');
     }*/

    //初始续期信息
    function initRenewalInfo(optType) {

        if ($scope.saveData.renewalInfo) {
            $scope.renewalInfo = $scope.productGetItem('renewalInfo');
            $scope.renewalInfo.renewalBankName = $scope.renewalInfo.renewalBankName||"请选择缴费银行";
        } else {
            $scope.renewalInfo = {};
            $scope.renewalInfo.renewalBankName = "请选择缴费银行";
            $scope.renewalInfo.accName=$scope.calculateInfo.holderName;
            $scope.renewalInfo.addressInfo = {};
        }
        if(optType!="showInfo") {
            $scope.renewalBanks = getRenewalBanks($scope.productBaseInfo.productCompany);
        }

        $scope.renewalInfo.accName=$scope.calculateInfo.holderName;//防止修改被保人信息，续期账户未修改
    }

    //扩展信息
    function createExtraInfo(){
        $scope.extraInfo = {"serviceOrgCode":$scope.holderInfo.sAddressInfo.cityCode};
    }
    //初始第一步信息
    function initStep1(){
        //console.info("......各自投保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initHolderInfo();
        initInsuredInfo();
    }
    //初始第二步信息
    function initStep2(){
        //console.info("......各自被保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initHolderInfo();
        initInsuredInfo();
        initRenewalInfo();//防止变更投保人信息,而续期账户信息未变更
    }
    //初始第三步信息
    function initStep3(){
        //console.info("......各自投保计划信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        $scope.getCoverageList($scope.calculateInfo.insuredBirthday);//初始化保障年期
        initProductBaseInfo();
        //处理页面展示日期格式
        //calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        initInsurePlan();//投保计划
        initRenewalInfo();
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initCalculateInfo("showInfo");//初始化试算信息
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initInsurePlan("showInfo");//初始化保障责任
        initRenewalInfo("showInfo");//初始化续期银行
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>";
        $scope.showRenewalInfo = $scope.productGetItem('showRenewalInfo');
        createExtraInfo();
        //保障计划特殊处理
        //$scope.showPlanInfo.content.push({"liabilityName":"等待期","riskAmount":"180天"});
    }
    //校验第一步
    function checkStep1(){
        //console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        //console.info("出生日期。。。。",formatDate10(new Date($scope.holderInfo.holderBirthday)))
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0" || !$scope.holderInfo.certiType) {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (!validCredNum("",$scope.holderInfo.certiValidDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件起期填写有误，请更正';
        } else if (formatDate10($scope.holderInfo.certiValidDate)>formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件起期不能晚于当前日期，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && !validCredNum("",$scope.holderInfo.certiExpiryDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件止期填写有误，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && formatDate10($scope.holderInfo.certiExpiryDate)<formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件止期不能早于当前日期，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        }  else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if ((!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.addressInfo.cityCode)|| !validCredNum("", $scope.holderInfo.addressInfo.countyCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
            res['status'] = false;
            res['msg'] = '投保人通讯地址填写有误，请完善';
        } else if($scope.holderInfo.addressInfo.detailAddress.length<5){
            res['status'] = false;
            res['msg'] = '投保人详细地址填写有误，请完善';
        } else if ((!validCredNum("", $scope.holderInfo.sAddressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.sAddressInfo.cityCode))) {
            res['status'] = false;
            res['msg'] = '投保人服务地址填写有误，请完善';
        } else if ((!validCredNum("", $scope.holderInfo.jobClass1)
            || !validCredNum("", $scope.holderInfo.jobClass2))) {
            res['status'] = false;
            res['msg'] = '投保人职业类别填写有误，请完善';
        } else if (!(validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) ||
            (validCredNum("",$scope.holderInfo.addressInfo.regionPostCode)
            && !($scope.holderInfo.addressInfo.regionPostCode.indexOf(","+$scope.holderInfo.addressInfo.postCode.substr(0,4))>-1))){
            res['status'] = false;
            res['msg'] = '投保人邮编填写有误，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                //console.info($scope.insuredInfos[i].relationship);
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        //console.info("修改关系后多被保人。。。。。",$scope.insuredInfos);
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;
        //获取各机构名称信息

        //获取各机构名称信息
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
                recordOldBirthday($scope.insuredInfos[i].insuredBirthday);
                calculate();
            }
        }
        $scope.prevModule1 = "1";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        $scope.nextModule = "2";
        return true;
    }
    //校验第二步
    function checkStep2(){
        //console.info("验证表单2信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0" || !$scope.insuredInfos[i].certiType) {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].certiValidDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件起期填写有误，请更正';
            } else if (formatDate10($scope.insuredInfos[i].certiValidDate)>formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件起期不能晚于当前日期，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && !validCredNum("",$scope.insuredInfos[i].certiExpiryDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件止期填写有误，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && formatDate10($scope.insuredInfos[i].certiExpiryDate)<formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件止期不能早于当前日期，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if(!checkSpouseSex($scope.insuredInfos[i].relationship,$scope.holderInfo.holderSex,$scope.insuredInfos[i].insuredSex)){
                res['status'] = false;
                res['msg'] = '被保人性别与投被保人关系不符，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ((!validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode)
                || !validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode)|| !validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) || !validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '被保人通讯地址填写有误，请完善';
            } else if($scope.insuredInfos[i].addressInfo.detailAddress.length<5){
                res['status'] = false;
                res['msg'] = '被保人详细地址填写有误，请完善';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].jobClass1) || !validCredNum("",$scope.insuredInfos[i].jobClass2)) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            } else if ((!(validCredNum("postCode", $scope.insuredInfos[i].addressInfo.postCode))) ||
                (validCredNum("",$scope.insuredInfos[i].addressInfo.regionPostCode) &&
                !($scope.insuredInfos[i].addressInfo.regionPostCode.indexOf(","+$scope.insuredInfos[i].addressInfo.postCode.substr(0,4))>-1))){
                res['status'] = false;
                res['msg'] = '被保人邮编填写有误，请更正';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("email", $scope.insuredInfos[i].insuredEmail)) {
                res['status'] = false;
                res['msg'] = '被保人电子邮箱填写有误，请更正';
            } else if($scope.insuredInfos[i].benefitInfos.length){
                var benefitRate = 0;//收益比例
                for(var j in $scope.insuredInfos[i].benefitInfos){
                    var benefitInfo = $scope.insuredInfos[i].benefitInfos[j];
                    console.info("受益人信息》。。。",benefitInfo)
                    if (!validCredNum("", benefitInfo.relation)) {
                        res['status'] = false;
                        res['msg'] = '受益人关系未选择，请更正';
                    }else if (!validCredNum("name", benefitInfo.name)) {
                        res['status'] = false;
                        res['msg'] = '受益人姓名填写有误（2-20位中英文），请更正';
                    } else if (typeof benefitInfo.certiType == "undefined" || benefitInfo.certiType == "0" || !benefitInfo.certiType) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人证件类型';
                    } else if (!validCredNum(benefitInfo.certiType, benefitInfo.certiCode)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件号码填写有误，请更正';
                    } else if (!validCredNum("",benefitInfo.certiValidDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件起期填写有误，请更正';
                    } else if (formatDate10(benefitInfo.certiValidDate)>formatDate10(new Date())) {
                        res['status'] = false;
                        res['msg'] = '证件起期不能晚于当前日期，请更正';
                    }else if (benefitInfo.longTermFlag!='1' && !validCredNum("",benefitInfo.certiExpiryDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件止期填写有误，请更正';
                    } else if (benefitInfo.longTermFlag!='1' && formatDate10(benefitInfo.certiExpiryDate)<formatDate10(new Date())) {
                        res['status'] = false;
                        res['msg'] = '证件止期不能早于当前日期，请更正';
                    } else if (!validCredNum("",benefitInfo.birthday)) {
                        res['status'] = false;
                        res['msg'] = '受益人出生日期填写有误，请更正';
                    } else if (benefitInfo.certiType == "1" && formatDate10(benefitInfo.birthday).replace(/-/g, "") != benefitInfo.certiCode.substring(6, 14)) {//受益人出生日期与证件校验
                        res['status'] = false;
                        res['msg'] = '受益人出生日期与证件号不符，请更正';
                    } else if (!validCredNum("",benefitInfo.sex)) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人性别';
                    } else if (benefitInfo.certiType == "1" && !checkSex(benefitInfo.sex, benefitInfo.certiCode)) {//性别校验
                        res['status'] = false;
                        res['msg'] = '受益人性别与证件号不符，请更正';
                    } else if(!checkRoleSex(benefitInfo.relation,benefitInfo.sex)){
                        res['status'] = false;
                        res['msg'] = '受益人性别与所选角色不符，请更正';
                    } else if (!validCredNum("", benefitInfo.benefitRate)) {
                        res['status'] = false;
                        res['msg'] = '受益人受益比例填写有误，请完善';
                    } else if (benefitInfo.mobile && !validCredNum("mobile", benefitInfo.mobile)) {
                        res['status'] = false;
                        res['msg'] = '受益人手机号填写有误，请更正';
                    }
                    benefitRate +=parseInt(benefitInfo.benefitRate);
                    if(!res['status']){
                        break;
                    }
                }

                if(res['status'] && benefitRate!=100){
                    res['status'] = false;
                    if($scope.insuredInfos.length==1) {
                        res['msg'] = '被保人受益比例不等于100%，请更正';
                    }else{
                        res['msg'] = "第"+i+'被保人受益比例不等于100%，请更正';
                    }
                }

            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        //$scope.productSetItem('insuredInfos', $scope.insuredInfos);

        //console.info("跳转被保人性别》。。。",$scope.calculateInfo.insuredSex)
        $scope.calculateInfo.insuredBirthday = $scope.insuredInfos[0].insuredBirthday;//赋值试算被保人生日
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;//赋值被保人性别
        $scope.prevModule2 = "2";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        $scope.nextModule = "1";
        $scope.renewalInfo.accName=$scope.calculateInfo.holderName;//防止被保人修正名称
        return true;
    }
    //校验第三步
    function checkStep3(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        //console.info("交费方式....",$scope.calculateInfo.chargePeriodValue)
        if (!validCredNum("",$scope.calculateInfo.coveragePeriodValue) || $scope.calculateInfo.coveragePeriodName=="请选择保险期间") {//保险期间
            res['status'] = false;
            res['msg'] = '请选择保险期间';
        } else if (!validCredNum("",$scope.calculateInfo.sumAssured) || $scope.calculateInfo.sumAssuredName=="请选择基本保额") {//选择投保保额
            res['status'] = false;
            res['msg'] = '请选择基本保额';
        } else if (!validCredNum("",$scope.calculateInfo.chargePeriod) || $scope.calculateInfo.chargePeriodName=="请选择交费方式") {//选择交费方式
            res['status'] = false;
            res['msg'] = '请选择交费方式';
        } else if ($scope.calculateInfo.chargePeriod!="1" && !validCredNum("",$scope.renewalInfo.bankCode)) {//缴费银行
            res['status'] = false;
            res['msg'] = '请选择续保缴费银行';
        }else if ($scope.calculateInfo.chargePeriod!="1" && !validCredNum("",$scope.renewalInfo.cardNum)) {//缴费账号
            res['status'] = false;
            res['msg'] = '请填写正确的续期缴费账号';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }


        //结束校验表单-----
        if($scope.calculateInfo.calculateAmt==0){
            $scope.dialogTip("请正确选择投保计划,以便计算保费");
            return false;
        }
        calculate();
        $scope.productSetItem('showRenewalInfo', $scope.showRenewalInfo);
        $scope.prevModule3 = "1";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        $scope.nextModule = "5";
        //保存计划信息
        savePlanInfo();

        /*$scope.$watch("calculateStatue",function(oldV,newV){
            console.info('=====------------===',newV,oldV);
            if(oldV!=newV && newV == true){
                console.info('================',newV,oldV);
                return true;
            }
        });*/

        /*var timer = setInterval(function(){
            console.info("@@@=+++",$scope.calculatePre,$scope.calculateResult);
            if($scope.calculatePre <= $scope.calculateResult){
                //location.href = '#/productR/productFillMessageR/' + $scope.productId + '/' + (parseInt($scope.stepId) + 1) + '/' + $scope.nextModule;
                clearInterval(timer);
            }
        }, 1000);*/


        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "5";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        $scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
