function pro100334($scope, event, service) {
    var init = function () {
        $scope.calculateAmt = "0.00";//保费
        $scope.coveragePeriod = "2";//保障期间类型 0-无关 1-保终身 2-保多少年 3-保至多少岁 4-保多少月 5-保多少天
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.chargePeriodValue = "0";//类型：一次交清
        $scope.chargePeriod = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargeYear = "1";//缴费年限
        $scope.chargeType = "0";//缴费频率 0-无关 1-年缴 2-半年缴 3-季缴 4-月缴 5-趸缴
        $scope.insuredStartDate = $scope.insuredStartDate||genNowDate(1);
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';
        $scope.planNames = ["","青铜计划","白银计划","黄金计划","钻石计划"];
        $scope.showCall = function () {
            $scope.callShow = true;
        };
        if($scope.calculateInfo){
            $scope.seats = $scope.calculateInfo.seats?$scope.calculateInfo.seats:"5";//计划编号
            $scope.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:"1";//座位数
        }
        calculate();
    };

    //购买份数 加减按钮
    var calculate = function (params) {

        /*$scope.insuredBirthday = params.birthday;
        $scope.unit = params.unit;
        var birthDay = '';
        if(typeof($scope.insuredBirthday) == 'string'){
            birthDay =$scope.insuredBirthday.replace('-', "").replace('-', "").concat("");
        }else{
            birthDay = formatDate10($scope.insuredBirthday).replace('-', "").replace('-', "").concat("")
        }*/


        service['adbService'].getResult(
            {},
            $scope.setService("I181011",  {
                "trialProductList": [
                    {
                        "productId": $scope.productId,
                        "parameters": "carSeats=" + $scope.seats + ";benefitLevel=" + $scope.benefitLevel
                    }
                ]
            }),
            function (json) {
                if (json.header.istatus == '-99'){
                    $scope.gotoApp('jsRefreshCookie');
                }
                else if (json.header.istatus == '1') {
                    $scope.calculateAmt = json.data.trialProductList[0].premium;
                    if(typeof $scope.calculateAmt == 'number'){
                        $scope.calculateAmt = $scope.calculateAmt.toFixed(2);
                    }else{
                        $scope.calculateAmt = $scope.calculateAmt.concat('.00');
                    }
                    saveCalculateInfo();//保存试算信息
                    savePlanInfo();
                } else {
                }
            },
            function (error) {
                // error message
            }
        );
    };
    //多试算条件验证试算
    function productCalculateValidate() {
        if ("" == $scope.insuredBirthday) {
            $scope.dialogTip("请选择被保人出生日期");
            return false;
        } else if ($scope.unit == "") {
            $scope.dialogTip("请选择投保份数");
            return false;
        }
        return true;
    }

    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.benefitLevel-1].benefitLiab;
        //最终展示保障责任
        var finalPlanInfo = {};
            finalPlanInfo.title = "保险利益";
            finalPlanInfo.content = [];
        var haveKeys = {};
        var sequence = 0;
        for (var i = 0; i < $scope.showPlanInfo.content.length; i++) {
            if(sequence==2&&$scope.benefitLevel=="1"){//第一个计划 自费项目
                haveKeys.zfxm = sequence;
                finalPlanInfo.content[sequence] = {};
                finalPlanInfo.content[haveKeys.zfxm].liabilityName = "意外医疗自费项目";
                finalPlanInfo.content[haveKeys.zfxm].riskAmount0 = "无";
                sequence++;
            }else if ($scope.showPlanInfo.content[i].liabilityName.indexOf("自费项目")>-1) {
                if(typeof haveKeys.zfxm=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.zfxm = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.zfxm].liabilityName = "意外医疗自费项目";
                if($scope.showPlanInfo.content[i].liabilityName.indexOf("司机")>-1){
                    finalPlanInfo.content[haveKeys.zfxm].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].liabilityName.indexOf("乘客")>-1){
                    finalPlanInfo.content[haveKeys.zfxm].riskAmount1 = $scope.showPlanInfo.content[i].riskAmount;
                }
            }
            //意外身故
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("意外伤害保险")>-1) {
                if(typeof haveKeys.ywsh=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.ywsh = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.ywsh].liabilityName = "意外身故及伤残";
                if($scope.showPlanInfo.content[i].liabilityName.indexOf("司机")>-1){
                    finalPlanInfo.content[haveKeys.ywsh].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].liabilityName.indexOf("乘客")>-1){
                    finalPlanInfo.content[haveKeys.ywsh].riskAmount1 = $scope.showPlanInfo.content[i].riskAmount;
                }
            }
            //意外医疗
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("医疗费用")>-1) {
                if(typeof haveKeys.ylfy=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.ylfy = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.ylfy].liabilityName = "意外医疗";
                if($scope.showPlanInfo.content[i].liabilityName.indexOf("司机")>-1){
                    finalPlanInfo.content[haveKeys.ylfy].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].liabilityName.indexOf("乘客")>-1){
                    finalPlanInfo.content[haveKeys.ylfy].riskAmount1 = $scope.showPlanInfo.content[i].riskAmount;
                }
            }
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("医疗费用")>-1) {
                if(typeof haveKeys.ylfy=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.ylfy = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.ylfy].liabilityName = "意外医疗";
                if($scope.showPlanInfo.content[i].liabilityName.indexOf("司机")>-1){
                    finalPlanInfo.content[haveKeys.ylfy].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
                }else if($scope.showPlanInfo.content[i].liabilityName.indexOf("乘客")>-1){
                    finalPlanInfo.content[haveKeys.ylfy].riskAmount1 = $scope.showPlanInfo.content[i].riskAmount;
                }
            }
            //住院津贴
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("住院津贴保额/座")>-1) {
                if(typeof haveKeys.zyjt=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.zyjt = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.zyjt].liabilityName = "住院津贴";
                finalPlanInfo.content[haveKeys.zyjt].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
            }
            //重症住院津贴
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("重症住院津贴")>-1) {
                if(typeof haveKeys.zzzyjt=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.zzzyjt = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.zzzyjt].liabilityName = "重症住院津贴";
                finalPlanInfo.content[haveKeys.zzzyjt].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
            }
            //骨折内固定术
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("骨折内固定术")>-1) {
                if(typeof haveKeys.gzngds=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.gzngds = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.gzngds].liabilityName = "骨折内固定术";
                finalPlanInfo.content[haveKeys.gzngds].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
            }
            //紧急医疗转运
            if ($scope.showPlanInfo.content[i].liabilityName.indexOf("紧急医疗转运")>-1) {
                if(typeof haveKeys.jjylzy=="undefined"){
                    finalPlanInfo.content[sequence] = {};
                    haveKeys.jjylzy = sequence;
                    sequence++;
                }else{

                }
                finalPlanInfo.content[haveKeys.jjylzy].liabilityName = "紧急医疗转运";
                finalPlanInfo.content[haveKeys.jjylzy].riskAmount0 = $scope.showPlanInfo.content[i].riskAmount;
            }
        }
        $scope.showPlanInfo = finalPlanInfo;
        $scope.productSetItem("showPlanInfo",$scope.showPlanInfo);
    }




    //试算基础信息，包括保费、保障年期、交费年期信息
    function saveCalculateInfo() {
        var calculateInfo = {};
        calculateInfo.productId = $scope.productId;//产品id
        calculateInfo.seats = $scope.seats;//计划编号
        calculateInfo.benefitLevel = $scope.benefitLevel;//计划编号
        calculateInfo.planName = $scope.planNames[$scope.benefitLevel];//计划名称
        calculateInfo.calculateAmt =  $scope.calculateAmt;//保费
        calculateInfo.sumAssured = $scope.unit*$scope.singelMoney;//保费
        calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障类型
        calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障期间
        //calculateInfo.insuredStartDate = $scope.insuredStartDate;//投保生效日
        calculateInfo.insuredStartDate = $scope.insuredStartDate;//T+3
        calculateInfo.insuredBirthday = $scope.insuredBirthday;
        calculateInfo.chargePeriod = $scope.chargePeriod;//缴费期间类型
        calculateInfo.chargePeriodValue = $scope.chargeYearValue;
        calculateInfo.chargeInterval = $scope.chargeInterval;
        $scope.calculateInfo = calculateInfo;//保存试算信息
        //calculatedInsuredDate($scope.insuredStartDate);
        calculatedInsuredDate(calculateInfo.insuredStartDate);
        //$scope.productSetItem("calculateInfo",$scope.calculateInfo);

    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {

        if(typeof startDate == 'string'){

            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }
        $scope.insuredEndDate = $scope.calculateInfo.insuredEndDate
        //$scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //判断产品投保年龄是否满足
    function calculateAge(params) {
        //ageUnit 1 岁 2 天
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }
        return true;
    }

    //修改座位数
    function changeSeats(params){
        $scope.seats = params.seats;
    }
    if (!event) {
        return init();
    } else if (event.type == 'click0') {
        return calculateCopies(event.params)
    } else if (event.type == 'calculateAge') {
        return calculateAge(event.params);
    } else if (event.type == 'changeBirthday') {
        $scope.singelMoney = "50000";//单份保额
        calculate(event.params);
    }else if (event.type == 'calculateInfo') {
        saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
