function pro100367($scope, event, service) {
    var init = function () {

        $scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.chargePeriodName = "一次交清";
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.coveragePeriodName = "一年";//保障期间描述
        $scope.insuredMaxValue = 30;//保障期间最大值
        $scope.insuredStartDate = $scope.insuredStartDate?$scope.insuredStartDate:genNowDate(1);
        $scope.showJobRange = "1-4类";//职业类别范围描述
        $scope.product_calculate_validate = true;//多试算条件验证试算
        $scope.benefitLevel=1;//默认保障计划1;展示保障责任
        $scope.benefitLevelName="计划一";//默认保障计划1
        $scope.insuredBirthday = '';
        $scope.showCall = function () {
            $scope.callShow = true;
        };

        //初始化计划信息
        $scope.chargePeriodName = "请选择保险期间";
        $scope.sumAssuredName = "请选择基本保额";
        $scope.insuredRangeName = "请选择保障范围";
        //$scope.benefitLevelName = "请选择保险计划";

        //初始保障年期、交费年期列表空数据
        $scope.coveragePeriodList = new Array();
        $scope.chargePeriodList = new Array();
        $scope.sumAssuredList = new Array();
        initCalculateInfo();
        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            //获取保障范围
            $scope.getInsuredRangeList();
            /*//获取保障责任
            $scope.changePlan($scope.benefitLevel);*/
        }
        //定义各保障范围--年龄--责任对应
        $scope.defineInsureRangeInfo = [
            {"liabId":"101400",
                "ageRangeInfos":[
                    {"minAge":"0","maxAge":"17","amountList":
                        [
                            {"value":"50000","name":"5万"},
                            {"value":"100000","name":"10万"},
                        ]
                    },
                    {"minAge":"18","maxAge":"40","amountList":
                        [
                            {"value":"50000","name":"5万"},
                            {"value":"100000","name":"10万"},
                            {"value":"200000","name":"20万"},
                            {"value":"300000","name":"30万"},
                            {"value":"400000","name":"40万"},
                            {"value":"500000","name":"50万"},
                        ]
                    },
                    {"minAge":"41","maxAge":"49","amountList":
                        [
                            {"value":"50000","name":"5万"},
                            {"value":"100000","name":"10万"},
                            {"value":"200000","name":"20万"},
                            {"value":"300000","name":"30万"},
                        ]
                    },
                    {"minAge":"50","maxAge":"60","amountList":
                        [
                            {"value":"50000","name":"5万"},
                        ]
                    },
                ]
            },
            {"liabId":"101400-101401",
                "ageRangeInfos":[
                    {"minAge":"0","maxAge":"17","amountList":
                        [
                            {"value":"50000+50000","name":"5万+5万"},
                            {"value":"100000+100000","name":"10万+10万"},
                        ]
                    },
                    {"minAge":"18","maxAge":"40","amountList":
                        [
                            {"value":"50000+50000","name":"5万+5万"},
                            {"value":"100000+100000","name":"10万+10万"},
                            {"value":"200000+200000","name":"20万+20万"},
                            {"value":"300000+300000","name":"30万+30万"},
                        ]
                    },
                    {"minAge":"41","maxAge":"49","amountList":
                        [
                            {"value":"50000+50000","name":"5万+5万"},
                            {"value":"100000+100000","name":"10万+10万"},
                            {"value":"200000+200000","name":"20万+20万"},
                        ]
                    },
                ]
            }
        ];

    };
    //保存计划信息
    $scope.savePlanInfo = function(){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = [];//初始化保险利益
        //$scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.calculateInfo.benefitLevel-1].benefitLiab;
        var insuredRangeNameList = $scope.calculateInfo.insuredRangeName.split("+");
        var sumAssuredNameList = $scope.calculateInfo.sumAssuredName.split("+");
        for(var i in insuredRangeNameList){
            //保障礼仪展示使用
            var singleContent = {};
            singleContent.liabilityName = insuredRangeNameList[i];
            singleContent.riskAmount = sumAssuredNameList[i]
            $scope.showPlanInfo.content.push(singleContent);
        }
    }
    //修改保障计划
    $scope.changePlan = function(benefitLevel){
        $scope.benefitLevel = benefitLevel;
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.calculateInfo.benefitLevel-1].benefitLiab;
        calculate();
    }
    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1,6");//处理投保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,6");//处理被保人证件类型
        $scope.benefiCertiTypeList = getSpecCredList("1,6");//处理受益人证件类型
    }
    //获取保障年期列表
    $scope.getCoverageList = function(insuredBirthday){
        $scope.coveragePeriodList = [];
        $scope.coveragePeriodList.push({"code":"1","name":"全年","type":"2"});
        //获取保障范围
        $scope.getInsuredRangeList(insuredBirthday);
    }

    //保险期间弹出框
    $scope.popCoveragePeriod = function(){
        $scope.getCoverageList();
        if($scope.coveragePeriodList.length>0){//有保障年期数据列表
            $scope.insurePeriodBox = true;
        }
    };
    //选择保障年期
    $scope.coveragePeriodChecked = function(type,code,name){
        $scope.insurePeriodBox = false;
        $scope.coveragePeriod = type;
        $scope.coveragePeriodValue = code;
        $scope.coveragePeriodName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.coveragePeriod = $scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.coveragePeriodName;
            $scope.calculateInfo.insuredStartDate = new Date($scope.insuredStartDate);
            calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        }
        calculate();
    };
    //获取保障范围列表
    $scope.getInsuredRangeList = function(insuredBirthday){
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[$scope.calculateInfo.benefitLevel-1].benefitLiab;

        //计算保障范围
        $scope.insuredRangeList = new Array();

        if(insuredBirthday) {
            console.info("保障年期当前年龄",getCurrentAge(insuredBirthday,$scope.calculateInfo.insuredStartDate));
            var currentAge = getCurrentAge(insuredBirthday,$scope.calculateInfo.insuredStartDate);
            //大于50岁只能选第一保障责任
            var content = [];
            if(currentAge>=50) {
                content[0] = $scope.showPlanInfo.content[0];
            }else{
                content = $scope.showPlanInfo.content
            }
            var preCode = "";
            var preName = "";
            $scope.insuredRangeList = [];//清空列表，防止重复加载
            for (var i in content) {
                var singleRange = {};
                if (preCode == "") {
                    preCode = content[i].liabId;
                    preName = content[i].liabilityName;
                } else {
                    preCode = preCode + "-" + content[i].liabId;
                    preName = preName + "+" + content[i].liabilityName;
                }
                singleRange.code = preCode;
                singleRange.name = preName;
                //如果是二次展示，则显示之前选中的项
                if($scope.calculateInfo.sumAssuredValue == preCode) {
                    $scope.calculateInfo.sumAssuredName = preName;
                }
                $scope.insuredRangeList.push(singleRange);
            }

        }else {
            //变更后默认为未选中
            $scope.calculateInfo.insuredRangeValue = "";
            $scope.calculateInfo.insuredRangeName = $scope.insuredRangeName;
            $scope.calculateInfo.sumAssured = 0;
            $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
        }
    };
    //保险范围弹出框
    $scope.popInsuredRange = function(){
        if($scope.insuredRangeList.length>0){//有保障年期数据列表
            $scope.insuredRangeBox = true;
        }
    };
    //选择保险范围
    $scope.insuredRangeChecked = function(code,name){
        $scope.insuredRangeBox = false;
        if($scope.calculateInfo) {
            $scope.calculateInfo.insuredRangeValue = code;
            $scope.calculateInfo.insuredRangeName = name;
        }
        console.info("选择范围.....",$scope.calculateInfo)
        //$scope.changePlan(code);
        $scope.getSumAssuredList(code,$scope.calculateInfo.insuredBirthday,$scope.calculateInfo.insuredStartDate);
        calculate();
    };
    //获取保额弹框列表
    $scope.getSumAssuredList = function(code,insuredBirthday){
        $scope.sumAssuredList=new Array();
        if(insuredBirthday){
            var currentAge = getCurrentAge(insuredBirthday,$scope.calculateInfo.insuredStartDate);
            //取指定年龄段内的可选保额
            for(var i in $scope.defineInsureRangeInfo){
                if(code==$scope.defineInsureRangeInfo[i].liabId){
                    for(var j in $scope.defineInsureRangeInfo[i].ageRangeInfos){
                        if(currentAge>=$scope.defineInsureRangeInfo[i].ageRangeInfos[j].minAge
                        && currentAge<=$scope.defineInsureRangeInfo[i].ageRangeInfos[j].maxAge){
                            $scope.sumAssuredList = $scope.defineInsureRangeInfo[i].ageRangeInfos[j].amountList;
                        }
                    }
                }
            }
            //初始展示保额项
            $scope.calculateInfo.sumAssured = 0;
            $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
            $scope.calculateInfo.sumAssuredValue = "";
        }
    }
    //基本保额弹出框
    $scope.popSumAssured = function(){
        $scope.getSumAssuredList($scope.calculateInfo.insuredRangeValue,$scope.calculateInfo.insuredBirthday);
        if($scope.sumAssuredList.length>0){
            $scope.sumAssuredBox = true;
        }
    };

    //选择保额
    $scope.sumAssuredChecked = function(value,name){
        $scope.sumAssuredBox = false;
        if($scope.calculateInfo) {
            $scope.calculateInfo.sumAssuredValue = value;
            $scope.calculateInfo.sumAssuredName = name;
        }
        calculate();
    };
    //获取保障计划列表
    $scope.getPlanList = function(){
        $scope.planList = [];
        $scope.planList.push({"value":"1","name":"计划一"});
        $scope.planList.push({"value":"2","name":"计划二"});
        $scope.planList.push({"value":"3","name":"计划三"});
    }
    //保险计划弹出框
    $scope.popPlan = function(){
        if($scope.planList.length>0){//有保障年期数据列表
            $scope.planBox = true;
        }
    };
    //选择保险计划
    $scope.planChecked = function(code,name){
        $scope.planBox = false;
        $scope.benefitLevel = code;
        $scope.benefitLevelName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.benefitLevel = $scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = name;
        }
        $scope.changePlan(code);
        //calculate();
    };
    //续期银行弹框
    $scope.popRenewalBank = function(){
        $scope.renewalBankBox = true;
    }
    //选择续期银行
    $scope.renewalBankChecked = function(code,name){
        $scope.renewalInfo.bankCode = code;
        $scope.renewalInfo.renewalBankName = name;
        $scope.renewalBankBox = false;
    };
    //修改性别
    $scope.changeSex = function(type,sex){
        if(type=="insured"){
            $scope.insuredSex = sex;
            $scope.calculateInfo.insuredSex = sex;
            calculate();
        }
    }
    //获取续期银行信息
    function getRenewalBanks(companyCode){
         return renewalBanks["C"+companyCode];
    }

    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":formatDate10(new Date($scope.calculateInfo.insuredBirthday)),
            "insuredStartDate":formatDate10(new Date($scope.calculateInfo.insuredStartDate)),
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }

        var valide = true;
        if (!$scope.calculateInfo.insuredSex) {
            valide = false;
        }else if (!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.chargePeriod) {
            valide = false;
        } else if (typeof $scope.calculateInfo.chargePeriodValue=='undefined') {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!$scope.calculateInfo.sumAssuredValue){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        console.info("试算条件---",$scope.calculateInfo,valide);

        return valide;
    }

    //根据选择条件进行试算
    var calculate = function (params) {
        if(!productCalculateValid()){
            console.info("试算条件不满足,不进行试算.....");
            $scope.calculateAmt = 0;
            return;
        }
        //组试算条件
        var trialProductList = [];
        $scope.calculateInfo.insuredRangeValue = ""+$scope.calculateInfo.insuredRangeValue;//避免为数值无法做分隔
        var pdtLibIdList = $scope.calculateInfo.insuredRangeValue.split("-");
        var sumAssuredList = $scope.calculateInfo.sumAssuredValue.split("+");
        for(var i in pdtLibIdList){
            var singleObj = {
                "productId": $scope.productId,
                "parameters": "gender="+$scope.calculateInfo.insuredSex+";birthday="+formatDate10(new Date($scope.calculateInfo.insuredBirthday)).replace(/-/g,"")+
                ";chargePeriod="+$scope.chargePeriod+";chargeYear="+$scope.chargePeriodValue+
                ";coverageYear=" + $scope.coveragePeriodValue+";coveragePeriod="+$scope.coveragePeriod+
                ";pdtLibId="+pdtLibIdList[i]+";sumAssured="+sumAssuredList[i]+
                ";validateDate="+formatDate10(new Date($scope.calculateInfo.insuredStartDate)).replace(/-/g,"")
            };
            trialProductList.push(singleObj);
        }
        console.info("重新试算.....",trialProductList);
        $scope.calculateApi(trialProductList);
    };
    //计算指定保障项目责任
    function calculateLiabilityList(){
        if($scope.trialProductList){
            var pdtLibIdList = $scope.calculateInfo.insuredRangeValue.split("-");
            var sumAssuredList = $scope.calculateInfo.sumAssuredValue.split("+");
            var insuredRangeName = $scope.calculateInfo.insuredRangeName.split("+");
            var sumAssuredName = $scope.calculateInfo.sumAssuredName.split("+");
            $scope.liabilityList = [];//投保使用该保障责任
            $scope.calculateInfo.sumAssured = 0;
            $scope.showPlanInfo.content = [];//清空保险利益信息
            for(var i in $scope.trialProductList){
                var singleLiab = {};
                singleLiab.liabId = pdtLibIdList[i];//责任编号
                singleLiab.amount = sumAssuredList[i];//责任保额
                singleLiab.prem = $scope.trialProductList[i].premium;//责任保费
                $scope.calculateInfo.sumAssured+=parseInt(sumAssuredList[i]);//计算总保额
                $scope.liabilityList.push(singleLiab);
            }
        }
    }

    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        console.info("生效日期....",$scope.insuredStartDate,$scope.calculateInfo.calculateAmt);
        calculateLiabilityList();//计算指定保障项目保障责任
        calculatedInsuredDate($scope.insuredStartDate);
        $scope.savePlanInfo();
    };
    //初始产品基础信息
    var initProductBaseInfo = function(){
        $scope.productBaseInfo = $scope.productGetItem("productBaseInfo");
    }
    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(optType){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
            $scope.calculateInfo.productId = $scope.productId;
            $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
            $scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
            $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
            $scope.calculateInfo.chargePeriodName = $scope.chargePeriodName;
            $scope.calculateInfo.insuredRangeName = $scope.calculateInfo.insuredRangeName?$scope.calculateInfo.insuredRangeName:$scope.insuredRangeName;
            $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
            $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
            $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
            $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
            $scope.calculateInfo.benefitLevel = $scope.calculateInfo.benefitLevel?$scope.calculateInfo.benefitLevel:$scope.benefitLevel;
            $scope.calculateInfo.benefitLevelName = $scope.calculateInfo.benefitLevelName?$scope.calculateInfo.benefitLevelName:$scope.benefitLevelName;
        }else{
            $scope.calculateInfo = {};
        }
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }
    //判断生效日是否有效
    $scope.valideInsuredStartDate = function(insuredStartDate,sourceInfo){
        var insuredStartBeginDate = genNowDate(1);
        var insuredStartEndDate =  addmulMonth(insuredStartBeginDate, 1);
        var transDate = formatDate10(insuredStartDate);
        if (transDate.length == 10 && transDate < insuredStartBeginDate) {
            insuredStartDate = new Date(insuredStartBeginDate);
            $scope.dialogTip("生效日不能早于：" + insuredStartBeginDate);
        } else if (transDate.length == 10 && insuredStartEndDate < transDate) {
            insuredStartDate = new Date(insuredStartEndDate);
            $scope.dialogTip("生效日不能晚于：" + insuredStartEndDate);
        }
        if(sourceInfo){
            sourceInfo.insuredStartDate = insuredStartDate;
        }else{
            $scope.insuredStartDate = insuredStartDate;
        }
        calculatedInsuredDate(insuredStartDate);
    }

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        return calculateAge(params)
    };
    //扩展信息
    function createExtraInfo(){
        $scope.extraInfo = {"serviceOrgCode":"867400"};
    }
    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7,10");
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,2,3,4,5,6,7,10");
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1,6");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-' + $scope.holderInfo.addressInfo.detailAddress;
            $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;
            //转换日期格式
            //证件起期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiValidDate = new Date($scope.holderInfo.certiValidDate);
            //证件终止期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiExpiryDate = new Date($scope.holderInfo.certiExpiryDate);
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            console.info("获取机构.........",$scope.holderInfo.addressInfo.provinceCode);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }
            //获取服务机构信息
            $scope.holderInfo.sAddressInfo = {};
            /*$scope.getServiceBranch("holderInfo", "", 0, "", 0);
             if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
             $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
             }
             //获取职业信息
             $scope.getJobLevel("", $scope.productId, "1");*/
        }
        if(optType!="showInfo") {
            $scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.sAddressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.sAddressInfo.provinceCode, 0);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
            if ($scope.holderInfo.jobClass1) {
                $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
            }

        }
        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,2,3,4,5,6,7,10");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1,6");
        //初始化受益人证件类型
        $scope.benefitCertiTypeList = getSpecCredList("1,6");
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo") {
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                    //获取省对应市信息
                    if ($scope.insuredInfos[i].addressInfo && $scope.insuredInfos[i].addressInfo.provinceCode) {
                        $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[i].addressInfo.provinceCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取市对应县信息
                    if ($scope.insuredInfos[i].addressInfo.cityCode) {//获取省对应市信息
                        $scope.getBranch("insuredInfo", "", 2, $scope.insuredInfos[i].addressInfo.cityCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-' + $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
                //证件起期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiValidDate = new Date($scope.insuredInfos[i].certiValidDate);
                //证件终止期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiExpiryDate = new Date($scope.insuredInfos[i].certiExpiryDate);
                //初始受益人
                if($scope.insuredInfos[i].benefitInfos){
                    for(var j in $scope.insuredInfos[i].benefitInfos) {
                        $scope.insuredInfos[i].benefitInfos[j].birthday = new Date($scope.insuredInfos[i].benefitInfos[j].birthday);
                        //证件起期
                        if ($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate);
                        //证件终止期
                        if ($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate);
                    }
                }else{
                    $scope.insuredInfos[i].benefitInfos = [];//置空
                }
                /*//详细地址展示
                 $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-' + $scope.holderInfo.addressInfo.detailAddress;
                 //职业名称
                 $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;*/
                //初始化受益人与被保人可选关系
                $scope.insuredInfos[i].benefitInsuredRel = getSpecSexRelaList("","1,2,3,4,5,6,7,10")
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;

            $scope.getBranch("insuredInfo", "", 0, "", 0,$scope.insuredInfos[0]);
            if ($scope.insuredInfos[0].addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[0].addressInfo.provinceCode, 0,$scope.insuredInfos[0]);
            }
            //$scope.insuredInfo.insuredSex = '';//初始化性别
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
            }
        }

        //$scope.insuredInfo.winner = $scope.winner;
    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }
    //初始指定保障责任
    function initLiabilityList(){
        $scope.liabilityList = $scope.productGetItem('liabilityList');
    }
    //扩展信息
    function initExtraInfo(){
        $scope.extraInfo = $scope.productGetItem('extraInfo');
    }
    //初始第一步信息
    function initStep1(){
        console.info("......各自投保人信息.....");
        initHolderInfo();
        initInsuredInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
    }
    //初始第二步信息
    function initStep2(){
        console.info("......各自被保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initInsuredInfo();
        createExtraInfo();
    }
    //初始第三步信息
    function initStep3(){
        console.info("......各自投保计划信息.....");
        $scope.getPlanList();//获取计划信息
        $scope.getCoverageList($scope.insuredBirthday);//初始化保障年期
        initProductBaseInfo();
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        //处理页面展示日期格式
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        $scope.getCoverageList($scope.calculateInfo.insuredBirthday);
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initCalculateInfo("showInfo");//初始化试算信息
        initInsurePlan("showInfo");//初始化保障责任
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        initLiabilityList();//加载指定投保责任--投保使用
        initExtraInfo();//扩展信息
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>";
    }
    //校验第一步
    function checkStep1(){
        console.info("验证表单1信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        console.info("出生日期。。。。",formatDate10(new Date($scope.holderInfo.holderBirthday)))
        if(!$scope.changeBirthday("holder","birthday",formatDate10(new Date($scope.holderInfo.holderBirthday)),$scope.holderInfo)){
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        }else if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0") {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (!validCredNum("",$scope.holderInfo.certiValidDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件起期填写有误，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && !validCredNum("",$scope.holderInfo.certiExpiryDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件止期填写有误，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if ((!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.addressInfo.cityCode)|| !validCredNum("", $scope.holderInfo.addressInfo.countyCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
            res['status'] = false;
            res['msg'] = '投保人通讯地址填写有误，请完善';
        } else if ((!validCredNum("", $scope.holderInfo.jobClass1)
            || !validCredNum("", $scope.holderInfo.jobClass2))) {
            res['status'] = false;
            res['msg'] = '投保人职业类别填写有误，请完善';
        } else if (!validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) {
            res['status'] = false;
            res['msg'] = '投保人邮编填写有误，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                console.info($scope.insuredInfos[i].relationship);
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }

        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        console.info("修改关系后多被保人。。。。。",$scope.insuredInfos);
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;

        //校验通过后重新检查被保人关系
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }
        }
        $scope.nextModule = "2";
        $scope.prevModule1 = "2";
        $scope.$emit("prevModule1", $scope.prevModule1);
        return true;
    }
    //校验第二步
    function checkStep2(){
        console.info("验证表单2信息.....");
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0") {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].certiValidDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件起期填写有误，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && !validCredNum("",$scope.insuredInfos[i].certiExpiryDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件止期填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if ((!validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode)
                || !validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode)|| !validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) || !validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '被保人通讯地址填写有误，请完善';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].jobClass1) || !validCredNum("",$scope.insuredInfos[i].jobClass2)) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            } else if($scope.insuredInfos[i].benefitInfos.length){
                var benefitRate = 0;//收益比例
                for(var j in $scope.insuredInfos[i].benefitInfos){
                    var benefitInfo = $scope.insuredInfos[i].benefitInfos[j];
                    console.info("受益人信息》。。。",benefitInfo)
                    if (!validCredNum("", benefitInfo.relation)) {
                        res['status'] = false;
                        res['msg'] = '受益人关系未选择，请更正';
                        console.info("guanxi.............")
                    }else if (!validCredNum("name", benefitInfo.name)) {
                        res['status'] = false;
                        res['msg'] = '受益人姓名填写有误（2-20位中英文），请更正';
                    } else if (typeof benefitInfo.certiType == "undefined" || benefitInfo.certiType == "0") {
                        res['status'] = false;
                        res['msg'] = '请选择受益人证件类型';
                    } else if (!validCredNum(benefitInfo.certiType, benefitInfo.certiCode)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件号码填写有误，请更正';
                    } else if (!validCredNum("",benefitInfo.certiValidDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件起期填写有误，请更正';
                    } else if (benefitInfo.longTermFlag!='1' && !validCredNum("",benefitInfo.certiExpiryDate)) {
                        res['status'] = false;
                        res['msg'] = '受益人证件止期填写有误，请更正';
                    } else if (!validCredNum("",benefitInfo.birthday)) {
                        res['status'] = false;
                        res['msg'] = '受益人出生日期填写有误，请更正';
                    }else if (!validCredNum("",benefitInfo.sex)) {
                        res['status'] = false;
                        res['msg'] = '请选择受益人性别';
                    } else if (benefitInfo.certiType == "1" && !checkSex(benefitInfo.sex, benefitInfo.certiCode)) {//性别校验
                        res['status'] = false;
                        res['msg'] = '受益人性别与证件号不符，请更正';
                    } else if (!validCredNum("", benefitInfo.benefitRate)) {
                        res['status'] = false;
                        res['msg'] = '受益人受益比例填写有误，请完善';
                    } else if (benefitInfo.mobile && !validCredNum("mobile", benefitInfo.mobile)) {
                        res['status'] = false;
                        res['msg'] = '受益人手机号填写有误，请更正';
                    }
                    benefitRate +=parseInt(benefitInfo.benefitRate);
                    if(!res['status']){
                        break;
                    }
                }

                if(res['status'] && benefitRate!=100){
                    res['status'] = false;
                    if($scope.insuredInfos.length==1) {
                        res['msg'] = '被保人受益比例不等于100%，请更正';
                    }else{
                        res['msg'] = "第"+i+'被保人受益比例不等于100%，请更正';
                    }
                }

            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        //$scope.productSetItem('insuredInfos', $scope.insuredInfos);
        $scope.calculateInfo.insuredBirthday = $scope.insuredInfos[0].insuredBirthday;
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;

        $scope.nextModule = "7";
        $scope.prevModule2 = "2";
        $scope.$emit("prevModule2", $scope.prevModule2);
        return true;
    }
    //校验第三步
    function checkStep3(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        if (!validCredNum("",$scope.calculateInfo.benefitLevel)) {//保险期间
            res['status'] = false;
            res['msg'] = '请选择保险计划';
        }else if (!validCredNum("",$scope.calculateInfo.coveragePeriodValue)) {//保险期间
            res['status'] = false;
            res['msg'] = '请选择保险期间';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        $scope.prevModule3 = "7";
        $scope.$emit("prevModule3", $scope.prevModule3);
        $scope.nextModule = "10";
        $scope.savePlanInfo();//重新处理保险利益信息，防止该步骤未做试算
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.prevModule4 = "10";
        $scope.$emit("prevModule4", $scope.prevModule4);
        $scope.nextModule = "payOrder";
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        //$scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
