function pro100378($scope, event, service) {
    var init = function () {
        //$scope.calculateAmt = 0;//保费
        $scope.chargePeriod = "1";//缴费年限
        $scope.chargePeriodValue = "0";//缴费期间类型 0-无关 1-趸缴 2-缴至多少年 3-缴至多少岁 4-缴终身
        $scope.coveragePeriod = "2";//保障期间类型
        $scope.coveragePeriodValue = "1";//保障期间
        $scope.coveragePeriodName = "一年";
        $scope.sumAssured = "50000";
        $scope.sumAssuredName = "5万元";
        $scope.product_calculate_validate = true;//多试算条件验证试算

        $scope.$on('birthday', function (event, msg) {
            //alert('进入监听方法'+msg)
        });
        $scope.insuredBirthday = '';

        $scope.showCall = function () {
            $scope.callShow = true;
        };

        /*if($scope.calculateInfo && $scope.calculateInfo.length == 0){
            $scope.insuredStartDate = $scope.calculateInfo.insuredStartDate||genNowDate(1);
        }else{
            $scope.insuredStartDate = genNowDate(1);
        }*/
        //$scope.insuredStartDate = new Date($scope.insuredStartDate);

        //初始化计划信息
        //console.info($scope.productBaseInfo);

        //初始被保人年龄、交费年期列表空数据
        $scope.sumAssuredList = new Array();
        $scope.minAge1 = 0;
        $scope.maxAge1 = 0;

        //区分详情页与填单页加载产品信息
        if($scope.productBaseInfo) {
            initCalculateInfo();
            savePlanInfo();
            $scope.calculateAmt = $scope.productBaseInfo.minPremium;
        }

    };

    //各类人员证件类型
    $scope.initCertiType=function(){
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");//处理被保人证件类型
        $scope.benefiCertiTypeList = getSpecCredList("1");//处理受益人证件类型
    }
    function resetTrialBalance(birthday){
        //校验年龄超过40周岁时不试算保费
        var a = getCurrentAge(formatDate10(new Date(birthday)));
        if($scope.minAge1 && $scope.maxAge1){
            if(a>$scope.minAge1 && a<$scope.maxAge1){
            }else{
                $scope.sumAssuredName = "请选择基本保额";
                $scope.calculateInfo.sumAssuredName = "请选择基本保额";
                $scope.calculateInfo.sumAssured = 0;
                $scope.minAge1 = 0;
                $scope.maxAge1 = 0;
                return;
            }
        }else{
            if(a>=18 && a<=40){
                $scope.minAge1 = 18;
                $scope.maxAge1 = 40;
            }else if(a>=41 && a<=49){
                $scope.minAge1 = 41;
                $scope.maxAge1 = 49;
            }else if(a>=50 && a<=55){
                $scope.minAge1 = 50;
                $scope.maxAge1 = 55;
            }
        }

    }


    //获取保障年期列表
    $scope.getCoverageList = function(insuredBirthday) {
        //console.info("出生日期....",insuredBirthday);
        //获取保障期间列表数据
        $scope.dataCollection = calInsureChargeRelation(insuredBirthday, $scope.productBaseInfo.ageLimitMatrix,$scope.insuredStartDate);

        resetTrialBalance(insuredBirthday);

        if ($scope.dataCollection.msg) {
            $scope.dialogTip($scope.dataCollection.msg);
            return false;
        } else {
            $scope.coveragePeriodList = $scope.dataCollection.insures;
            $scope.chargePeriodList = $scope.dataCollection["I2"+$scope.calculateInfo.coveragePeriodValue];
        }
        //console.info("获取保障年期信息....",$scope.coveragePeriodList,$scope.chargePeriodList)
    }
    function ageToAmountList(birthday,step,saLimitMatrix) {
        var result = {};//返回结果对象
        if (typeof step == "string") {//转换为int
            step = parseInt(step);
        }

        //判断日期格式是否正确
        //必须传入生效日期，如果不传的话默认为当天，则临界值无法计算
        var age = getCurrentAge(birthday,$scope.calculateInfo.insuredStartDate);
        if (age === false) {
            result.msg = "该出生日期无效";
            return result;
        }

        //计算保额列表
        for (var i in saLimitMatrix) {
            var singleObj = saLimitMatrix[i];
            var validMinAge = false;//验证是否满足最小年龄
            var validMaxAge = false;//验证是否满足最大年龄
            var amtList = new Array();//保额List
            //判断最小年龄
            if (singleObj.minInsuredAge <= age) {
                validMinAge = true;
            }
            //判断最小年龄
            if (singleObj.maxInsuredAge >= age) {
                validMaxAge = true;
            }
            if (validMinAge && validMaxAge) {
                var singleAmt = {};
                var calAmt = parseInt(singleObj.minSa);
                singleAmt.value = calAmt;
                singleAmt.name = "5万元";
                amtList[0] = singleAmt;
                calAmt = parseInt(singleObj.minSa) + 50000;
                while (calAmt <= singleObj.maxSa) {
                    singleAmt = {};
                    singleAmt.value = calAmt;
                    singleAmt.name = calAmt / 10000 + "万元";
                    calAmt += step;
                    amtList.push(singleAmt);
                }
                result.amtList = amtList;
                return result;
            }
        }
    }

    //基本保额弹出框
    $scope.popSumAssured = function(){
        if($scope.sumAssuredName == "请选择基本保额"){
            $scope.sumAssured = 0;
        }
        $scope.calSumAssuredInfo = ageToAmountList($scope.calculateInfo.insuredBirthday,100000,$scope.productBaseInfo.saLimitMatrix);
        if($scope.calSumAssuredInfo.msg){
            $scope.dialogTip($scope.calSumAssuredInfo.msg);
        }else if($scope.calSumAssuredInfo.amtList) {
            $scope.sumAssuredList = $scope.calSumAssuredInfo.amtList;
            $scope.sumAssuredBox = true;
        }
    };

    //选择保额
    $scope.sumAssuredChecked = function(value,name){
        $scope.sumAssuredBox = false;
        $scope.sumAssured = value;
        $scope.sumAssuredName = name;
        if($scope.calculateInfo) {
            $scope.calculateInfo.sumAssured = $scope.sumAssured;
            $scope.calculateInfo.sumAssuredName = $scope.sumAssuredName;
        }
        //savePlanInfo();
        calculate();
    };


    //多试算条件验证试算
    function productCalculateValid() {
        //校验年龄参数
        var validAgeParams = {
            "birthday":$scope.calculateInfo.insuredBirthday,
            "insuredStartDate":$scope.calculateInfo.insuredStartDate,
            "minInsuredAgeUnit":$scope.productBaseInfo.minInsuredAgeUnit,
            "minLAAge":$scope.productBaseInfo.minLAAge,
            "maxInsuredAgeUnit":$scope.productBaseInfo.maxInsuredAgeUnit,
            "maxLAAge":$scope.productBaseInfo.maxLAAge
        }
        var valide = true;
        if (!$scope.calculateInfo.insuredBirthday) {
            valide = false;
        }else if (!$scope.calculateInfo.sumAssured) {
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriod){
            valide = false;
        }else if(!$scope.calculateInfo.coveragePeriodValue){
            valide = false;
        }else if(!calculateAge(validAgeParams)){
            valide = false;
        }
        console.info("试算条件---",$scope.insuredBirthday,$scope.sumAssured,$scope.coveragePeriod,$scope.coveragePeriodValue,validAgeParams);
        return valide;
    }


    //根据选择条件进行试算
    var calculate = function (params) {
        if(!productCalculateValid()){
            //console.info("试算条件不满足,不进行试算.....");
            //$scope.calculateAmt = 0;
            return;
        }

        //组试算条件
        var trialProductList = [];
        trialProductList = [
            {
                "productId": $scope.productId,
                "parameters": "birthday="+formatDate10(new Date($scope.calculateInfo.insuredBirthday)).replace(/-/g,"")+
                ";chargePeriod="+$scope.calculateInfo.chargePeriod+";chargeYear="+$scope.calculateInfo.chargePeriodValue+
                ";coverageYear=" + $scope.calculateInfo.coveragePeriodValue+";coveragePeriod="+$scope.calculateInfo.coveragePeriod+
                ";sumAssured="+$scope.calculateInfo.sumAssured+";validateDate="+formatDate10(new Date($scope.calculateInfo.insuredStartDate)).replace(/-/g,"")
            }
        ]
        $scope.calculateApi(trialProductList);
    };
    //试算基础信息，包括保费、保障年期、交费年期信息
    $scope.saveCalculateInfo = function() {
        if(!$scope.calculateInfo){
            //console.info("重新init..........试算信息")
            $scope.calculateInfo = {};
        }
        $scope.calculateInfo.productId = $scope.productId;
        $scope.calculateInfo.calculateAmt = $scope.calculateAmt;//保费
        /*$scope.calculateInfo.coveragePeriodValue = $scope.coveragePeriodValue;//保障期间
        $scope.calculateInfo.coveragePeriod = $scope.coveragePeriod;//保障类型
        $scope.calculateInfo.insuredBirthday = $scope.insuredBirthday;
        $scope.calculateInfo.insuredStartDate = $scope.insuredStartDate;
        $scope.calculateInfo.chargePeriod = $scope.chargePeriod;
        $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        $scope.calculateInfo.chargeInterval = $scope.chargeInterval;*/
        $scope.calculateInfo.unit = "1";
        calculatedInsuredDate($scope.calculateInfo.insuredStartDate);
        savePlanInfo();
        console.info($scope.calculateAmt);
        //$scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }

    //初始化试算信息,减少第三步加载信息处理
    var initCalculateInfo = function(){
        if($scope.productGetItem("calculateInfo")){
            $scope.calculateInfo = $scope.productGetItem("calculateInfo");
        }else{
            $scope.calculateInfo = {};
        }
        $scope.calculateInfo.productId = $scope.productId;
        $scope.calculateInfo.insuredStartDate = $scope.calculateInfo.insuredStartDate?$scope.calculateInfo.insuredStartDate:genNowDate(1);
        //$scope.calculateInfo.insuredStartDate = new Date($scope.calculateInfo.insuredStartDate);
        if($scope.calculateInfo.insuredBirthday){

        }else{
            $scope.calculateInfo.insuredBirthday = getBirthdayByAge(18,$scope.calculateInfo.insuredStartDate);
        }
        $scope.calculateInfo.insuredBirthday = new Date($scope.calculateInfo.insuredBirthday);
        $scope.calculateInfo.insuredSex = $scope.calculateInfo.insuredSex?$scope.calculateInfo.insuredSex:$scope.insuredSex;
        $scope.calculateInfo.coveragePeriod = $scope.calculateInfo.coveragePeriod?$scope.calculateInfo.coveragePeriod:$scope.coveragePeriod;
        $scope.calculateInfo.coveragePeriodValue = $scope.calculateInfo.coveragePeriodValue?$scope.calculateInfo.coveragePeriodValue:$scope.coveragePeriodValue;
        $scope.calculateInfo.coveragePeriodName = $scope.calculateInfo.coveragePeriodName?$scope.calculateInfo.coveragePeriodName:$scope.coveragePeriodName;
        $scope.calculateInfo.chargePeriod = $scope.calculateInfo.chargePeriod?$scope.calculateInfo.chargePeriod:$scope.chargePeriod;
        if(typeof $scope.calculateInfo.chargePeriodValue=="undefined"){
            $scope.calculateInfo.chargePeriodValue = $scope.chargePeriodValue;
        }
        $scope.calculateInfo.chargePeriodName = $scope.calculateInfo.chargePeriodName?$scope.calculateInfo.chargePeriodName:$scope.chargePeriodName;

        $scope.calculateInfo.sumAssured = $scope.calculateInfo.sumAssured?$scope.calculateInfo.sumAssured:$scope.sumAssured;
        $scope.calculateInfo.sumAssuredName = $scope.calculateInfo.sumAssuredName?$scope.calculateInfo.sumAssuredName:$scope.sumAssuredName;
    }

    //计算保障终止时间
    function calculatedInsuredDate(startDate) {
        if(typeof startDate == 'string'){
            $scope.calculateInfo.insuredStartDate = formatDate10(new Date(startDate));
            $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(new Date(startDate)), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
        }else{
            if($scope.calculateInfo.coveragePeriodValue) {
                $scope.calculateInfo.insuredStartDate = formatDate10(startDate);
                $scope.calculateInfo.insuredEndDate = calInsuredDate(formatDate10(startDate), $scope.calculateInfo.coveragePeriod, $scope.calculateInfo.coveragePeriodValue);
            }else{
                $scope.calculateInfo.insuredEndDate="";
            }
        }
        //$scope.insuredEndDate = $scope.calculateInfo.insuredEndDate;
        $scope.productSetItem("calculateInfo",$scope.calculateInfo);
    }


    //保存计划信息
    function savePlanInfo() {
        $scope.showPlanInfo = {};
        $scope.showPlanInfo.title = "保险责任";
        $scope.showPlanInfo.content = $scope.productBaseInfo.benefitLevels[0].benefitLiab;
        for(var i in $scope.showPlanInfo.content){
            if($scope.sumAssuredName == "请选择基本保额"){
                $scope.showPlanInfo.content[i].riskAmount = "基本保额";
                if(i>1){
                    $scope.showPlanInfo.content[i].riskAmount = "10%基本保额";
                }
            }else{
                $scope.showPlanInfo.content[i].riskAmount = $scope.sumAssuredName;
                if(i>1){
                    $scope.showPlanInfo.content[i].riskAmount = 0.1*parseInt($scope.sumAssuredName)+"万元";
                }
            }
        }
        $scope.productSetItem('showPlanInfo', $scope.showPlanInfo);//防止变更试算条件并后退
    }

    //判断产品投保年龄是否满足
    $scope.calculateAge = function(params) {
        //ageUnit 1 岁 2 天
        if(params.insuredStartDate){

        }else{//因生效日与被保人填写信息顺序不一样,故为空时设定各自产品的最初生效日
            $scope.calculateInfo.insuredStartDate = genNowDate(1);
            params.insuredStartDate = $scope.calculateInfo.insuredStartDate;
        }
        var age = getCurrentAge(params.birthday, params.insuredStartDate);
        var days = getDaysFromBirth(params.birthday, params.insuredStartDate);
        //最小年龄
        if (params.minInsuredAgeUnit == "1") {
            if (age < parseInt(params.minLAAge)) {
                return false;
            }
        } else if (params.minInsuredAgeUnit == "2") {
            if (days < parseInt(params.minLAAge)) {
                return false;
            }
        }
        //最大年龄
        if (params.maxInsuredAgeUnit == "1") {
            if (age > parseInt(params.maxLAAge)) {
                return false;
            }
        } else if (params.maxInsuredAgeUnit == "2") {
            if (days > parseInt(params.maxLAAge)) {
                return false;
            }
        }

        resetTrialBalance(params.birthday,$scope.insuredBirthday);

        var oldBirthday = getCurrentAge(formatDate10(new Date($scope.calculateInfo.insuredBirthday)));
        if(oldBirthday>=18 && oldBirthday<=40){
            $scope.minAge4 = 18;
            $scope.maxAge4 = 40;
        }else if(oldBirthday>=41 && oldBirthday<=49){
            $scope.minAge4 = 41;
            $scope.maxAge4 = 49;
        }else if(oldBirthday>=50 && oldBirthday<=55){
            $scope.minAge4 = 50;
            $scope.maxAge4 = 55;
        }

        if($scope.minAge4 == $scope.minAge1 && $scope.maxAge4 == $scope.maxAge1){
            $scope.calculateInfo.insuredBirthday = params.birthday;
        }else{
            $scope.sumAssuredName = "请选择基本保额";
            $scope.calculateInfo.sumAssuredName = "请选择基本保额";
            $scope.calculateInfo.sumAssured = 0;
            //$scope.calculateAmt = 0;
        }
        calculate();
        return true;
    }

    //根据男女更改投被保人关系
    $scope.changeRelationShipIds = function (type,sourceInfo) {
        if(type=="holder") {//计算投被保人关系
            if(sourceInfo.holderSex == 'M'){
                $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"3,4,5,6,7");
            }else{
                $scope.holderInsuredRel = getSpecSexRelaList(sourceInfo.holderSex,"1,3,4,5,6,7");
            }
        }else if(type=="benefit"){//计算受益人被保人关系
            sourceInfo.benefitInsuredRel = getSpecSexRelaList("","1,3,4,5,6,7,10");
        }else if(type == 'insured'){
            //判断被保人是否为女性
            if(sourceInfo.certiCode){
                var gender = maleOrFemalByIdCard(sourceInfo.certiCode);
                if(gender == 'male'){
                    $scope.dialogTip("此产品被保人须为女性！");
                    return;
                }
            }
        }
    };

    //初始化投保人信息
    function initHolderInfo(optType) {
        $scope.holderCertiTypeList = getSpecCredList("1");//处理投保人证件类型
        if ($scope.saveData.holderInfo) {
            $scope.holderInfo = $scope.productGetItem('holderInfo');
            $scope.holderInfo.holderBirthday = new Date($scope.holderInfo.holderBirthday);
            if(optType!="showInfo") {
                //获取一级省机构
                $scope.getBranch("holderInfo", "", 0, "", 0, $scope.holderInfo);
                //获取省对应市信息
                if ($scope.holderInfo.addressInfo.provinceCode) {
                    $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0, $scope.holderInfo);
                }
                //获取市对应县信息
                if ($scope.holderInfo.addressInfo.cityCode) {//获取省对应市信息
                    $scope.getBranch("holderInfo", "", 2, $scope.holderInfo.addressInfo.cityCode, 0, $scope.holderInfo);
                }
            }
            $scope.holderInfo.addressDetail = $scope.holderInfo.addressInfo.provinceName + '-' + $scope.holderInfo.addressInfo.cityName + '-'
                + $scope.holderInfo.addressInfo.countyName +"-"+ $scope.holderInfo.addressInfo.detailAddress;
            $scope.holderInfo.jobClassName = $scope.holderInfo.jobClass1name + '-' + $scope.holderInfo.jobClass2name;
            //转换日期格式
            //证件起期
            if($scope.holderInfo.certiValidDate)
                $scope.holderInfo.certiValidDate = new Date($scope.holderInfo.certiValidDate);
            //证件终止期
            if($scope.holderInfo.certiExpiryDate)
                $scope.holderInfo.certiExpiryDate = new Date($scope.holderInfo.certiExpiryDate);
        } else {
            $scope.holderInfo = {};
            $scope.holderInfo.addressInfo = {};
            $scope.getBranch("holderInfo", "", 0, "", 0,$scope.holderInfo);
            //console.info("获取机构.........",$scope.holderInfo.addressInfo.provinceCode);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0,$scope.holderInfo);
            }
        }
        if(optType!="showInfo") {
            $scope.getServiceBranch("holderInfo", "", 0, "", 0);
            if ($scope.holderInfo.addressInfo.provinceCode) {//获取省对应市信息
                $scope.getServiceBranch("holderInfo", "", 1, $scope.holderInfo.addressInfo.provinceCode, 0);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.holderInfo);//一级职业
            if ($scope.holderInfo.jobClass1) {
                $scope.getJobLevel($scope.holderInfo.jobClass1, $scope.productId, "2",0,$scope.holderInfo);//二级职业
            }
        }

        //获取投被保人关系
        $scope.holderInsuredRel = getSpecSexRelaList($scope.holderInfo.holderSex || "", "1,3,4,5,6,7");
    }
    //初始化被保人信息
    function initInsuredInfo(optType) {
        //处理被保人证件类型
        $scope.insuredCertiTypeList = getSpecCredList("1");
        //初始化受益人证件类型
        $scope.benefitCertiTypeList = getSpecCredList("1");
        if ($scope.saveData.insuredInfos) {
            $scope.insuredInfos = $scope.productGetItem('insuredInfos');
            for(var i=0;i<$scope.insuredInfos.length;i++) {
                $scope.insuredInfos[i].insuredBirthday = new Date($scope.insuredInfos[i].insuredBirthday);
                if(optType!="showInfo") {
                    $scope.getBranch("insuredInfo", "", 0, "", 0, $scope.insuredInfos[i]);
                    //获取省对应市信息
                    if ($scope.insuredInfos[i].addressInfo && $scope.insuredInfos[i].addressInfo.provinceCode) {
                        $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[i].addressInfo.provinceCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取市对应县信息
                    if ($scope.insuredInfos[i].addressInfo.cityCode) {//获取省对应市信息
                        $scope.getBranch("insuredInfo", "", 2, $scope.insuredInfos[i].addressInfo.cityCode, 0, $scope.insuredInfos[i]);
                    }
                    //获取职业信息
                    $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
                    if ($scope.insuredInfos[0].jobClass1) {
                        $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
                    }
                }else{
                    $scope.insuredInfos[i].addressDetail = $scope.insuredInfos[i].addressInfo.provinceName + '-' + $scope.insuredInfos[i].addressInfo.cityName + '-'
                        + $scope.insuredInfos[i].addressInfo.countyName+"-"+ $scope.insuredInfos[i].addressInfo.detailAddress;
                    $scope.insuredInfos[i].jobClassName = $scope.insuredInfos[i].jobClass1name + '-' + $scope.insuredInfos[i].jobClass2name;
                }
                //证件起期
                if($scope.insuredInfos[i].certiValidDate)
                    $scope.insuredInfos[i].certiValidDate = new Date($scope.insuredInfos[i].certiValidDate);
                //证件终止期
                if($scope.insuredInfos[i].certiExpiryDate)
                    $scope.insuredInfos[i].certiExpiryDate = new Date($scope.insuredInfos[i].certiExpiryDate);
                //初始受益人
                if($scope.insuredInfos[i].benefitInfos){
                    for(var j in $scope.insuredInfos[i].benefitInfos) {
                        $scope.insuredInfos[i].benefitInfos[j].birthday = new Date($scope.insuredInfos[i].benefitInfos[j].birthday);
                        //证件起期
                        if ($scope.insuredInfos[i].benefitInfos[j].certiValidDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiValidDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiValidDate);
                        //证件终止期
                        if ($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate)
                            $scope.insuredInfos[i].benefitInfos[j].certiExpiryDate = new Date($scope.insuredInfos[i].benefitInfos[j].certiExpiryDate);
                    }
                }else{
                    $scope.insuredInfos[i].benefitInfos = [];//置空
                }

                //初始化受益人与被保人可选关系
                $scope.insuredInfos[i].benefitInsuredRel = getSpecSexRelaList("","1,3,4,5,6,7,10")
            }
        } else {
            $scope.insuredInfos = [{}];
            $scope.insuredInfos[0].addressInfo = {};
            $scope.insuredInfos[0].validAgeFlag = true;

            $scope.getBranch("insuredInfo", "", 0, "", 0,$scope.insuredInfos[0]);
            if ($scope.insuredInfos[0].addressInfo.provinceCode) {//获取省对应市信息
                $scope.getBranch("insuredInfo", "", 1, $scope.insuredInfos[0].addressInfo.provinceCode, 0,$scope.insuredInfos[0]);
            }
            //获取职业信息
            $scope.getJobLevel("", $scope.productId, "1",0,$scope.insuredInfos[0]);//一级职业
            if ($scope.insuredInfos[0].jobClass1) {
                $scope.getJobLevel($scope.insuredInfos[0].jobClass1, $scope.productId, "2",0,$scope.insuredInfos[0]);//二级职业
            }
        }
    }
    //初始投保投保计划
    function initInsurePlan(){
        $scope.showPlanInfo = $scope.productGetItem('showPlanInfo');
    }

    //扩展信息
    function createExtraInfo(){
        $scope.extraInfo = {"serviceOrgCode":'867400'};
    }

    //初始第一步信息
    function initStep1(){
        //console.info("......各自投保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initHolderInfo();
        initInsuredInfo();
    }
    //初始第二步信息
    function initStep2(){
        //console.info("......各自被保人信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        initInsuredInfo();
    }
    //初始第三步信息
    function initStep3(){
        //console.info("......各自投保计划信息.....");
        initCalculateInfo();//初始化投保人信息,续期账户信息使用
        $scope.getCoverageList($scope.calculateInfo.insuredBirthday);//初始化保障年期
        calculate();
        initInsurePlan();//投保计划
    }
    //初始化第四步信息
    function initStep4(){
        //showInfo 表示最后一步,有些列表信息无需重新加载 如机构、银行、职业
        initCalculateInfo("showInfo");//初始化试算信息
        initHolderInfo("showInfo");//初始投保人信息
        initInsuredInfo("showInfo");//初始被保人信息
        initInsurePlan("showInfo");//初始化保障责任
        $scope.initProductBaseInfo();
        $scope.transZoneTo10();//转换各自对象的时间格式
        $scope.showLink= "我已阅读并了解关于本产品的"+
            "<a ng-click=\"goToShow(0)\">《产品须知》</a>及" +
            "<a ng-click=\"goToShow(3)\">《产品条款》</a>，同意<a ng-click=\"goToShow(2)\">《投保声明》</a>";
        createExtraInfo();
    }
    //校验第一步
    function checkStep1(){
        //console.info("验证表单1信息.....");
        console.info($scope.holderInfo);
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        console.info("出生日期。。。。",formatDate10(new Date($scope.holderInfo.holderBirthday)))
        if (!validCredNum("name", $scope.holderInfo.holderName)) {
            res['status'] = false;
            res['msg'] = '投保人姓名填写有误（2-20位中英文），请更正';
        } else if (typeof $scope.holderInfo.certiType == "undefined" || $scope.holderInfo.certiType == "0" || !$scope.holderInfo.certiType) {
            res['status'] = false;
            res['msg'] = '请选择投保人证件类型';
        } else if (!validCredNum($scope.holderInfo.certiType, $scope.holderInfo.certiCode)) {
            res['status'] = false;
            res['msg'] = '投保人证件号码填写有误，请更正';
        } else if (!validCredNum("",$scope.holderInfo.certiValidDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件起期填写有误，请更正';
        } else if (formatDate10($scope.holderInfo.certiValidDate)>formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件起期不能晚于当前日期，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && !validCredNum("",$scope.holderInfo.certiExpiryDate)) {
            res['status'] = false;
            res['msg'] = '投保人证件止期填写有误，请更正';
        } else if ($scope.holderInfo.longTermFlag!='1' && formatDate10($scope.holderInfo.certiExpiryDate)<formatDate10(new Date())) {
            res['status'] = false;
            res['msg'] = '证件止期不能早于当前日期，请更正';
        } else if (typeof $scope.holderInfo.holderBirthday == "undefined" || $scope.holderInfo.holderBirthday == "") {
            res['status'] = false;
            res['msg'] = '投保人出生日期填写有误，请更正';
        } else if ($scope.holderInfo.certiType == "1" && formatDate10($scope.holderInfo.holderBirthday).replace(/-/g, "") != $scope.holderInfo.certiCode.substring(6, 14)) {//投保人出生日期与证件校验
            res['status'] = false;
            res['msg'] = '投保人出生日期与证件号不符，请更正';
        } else if (getCurrentAge(formatDate10(new Date($scope.holderInfo.holderBirthday)),genNowDate(1))< 18) {
            res['status'] = false;
            res['msg'] = '投保人需年满18周岁';
        } else if (typeof $scope.holderInfo.holderSex == "undefined" || $scope.holderInfo.holderSex == "") {
            res['status'] = false;
            res['msg'] = '请选择投保人性别';
        } else if ($scope.holderInfo.certiType == "1" && !checkSex($scope.holderInfo.holderSex, $scope.holderInfo.certiCode)) {//性别校验
            res['status'] = false;
            res['msg'] = '投保人性别与证件号不符，请更正';
        } else if ((!validCredNum("", $scope.holderInfo.addressInfo.provinceCode)
            || !validCredNum("", $scope.holderInfo.addressInfo.cityCode)|| !validCredNum("", $scope.holderInfo.addressInfo.countyCode) || !validCredNum("", $scope.holderInfo.addressInfo.detailAddress))) {
            res['status'] = false;
            res['msg'] = '投保人通讯地址填写有误，请完善';
        } else if($scope.holderInfo.addressInfo.detailAddress.length<5){
            res['status'] = false;
            res['msg'] = '投保人详细地址填写有误，请完善';
        }else if ((!validCredNum("", $scope.holderInfo.jobClass1)
            || !validCredNum("", $scope.holderInfo.jobClass2))) {
            res['status'] = false;
            res['msg'] = '投保人职业类别填写有误，请完善';
        } else if (!(validCredNum("postCode", $scope.holderInfo.addressInfo.postCode)) ||
            (validCredNum("",$scope.holderInfo.addressInfo.regionPostCode)
            && !($scope.holderInfo.addressInfo.regionPostCode.indexOf(","+$scope.holderInfo.addressInfo.postCode.substr(0,4))>-1))){
            res['status'] = false;
            res['msg'] = '投保人邮编填写有误，请更正';
        } else if (!validCredNum("mobile", $scope.holderInfo.holderMobile)) {
            res['status'] = false;
            res['msg'] = '投保人手机号码填写有误（11位数字），请更正';
        } else if (!validCredNum("email", $scope.holderInfo.holderEmail)) {
            res['status'] = false;
            res['msg'] = '投保人电子邮箱填写有误，请更正';
        } else if ($scope.insuredInfos) {
            for(var i in $scope.insuredInfos) {
                console.info($scope.insuredInfos[i].relationship);
                if(!validCredNum("relation", $scope.insuredInfos[i].relationship)) {
                    res['status'] = false;
                    res['msg'] = '请选择投被保人关系';
                    break ;
                }
            }
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //TODO--加表单验证--结束
        $scope.calculateInfo.holderName = $scope.holderInfo.holderName;

        //获取各机构名称信息
        for(var i=0;i<$scope.insuredInfos.length;i++) {
            if($scope.insuredInfos[i].relationship==1){
                $scope.relationshipChange("holder",$scope.insuredInfos[i].relationship,$scope.holderInfo,$scope.insuredInfos[i]);
            }
        }
        //$scope.productSetItem('calculateInfo', $scope.calculateInfo);
        $scope.nextModule = "4";
        $scope.prevModule1 = "2";
        $scope.$emit("prevModule1", $scope.prevModule1);
        localStorage.setItem('prevModule1',JSON.stringify($scope.prevModule1));
        return true;
    }
    //校验第二步
    function checkStep2(){
        //TODO--加表单验证--开始
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        for(var i in $scope.insuredInfos) {
            if (!validCredNum("name", $scope.insuredInfos[i].insuredName)) {
                res['status'] = false;
                res['msg'] = '被保人姓名填写有误（2-20位中英文），请更正';
            } else if (typeof $scope.insuredInfos[i].certiType == "undefined" || $scope.insuredInfos[i].certiType == "0" || !$scope.insuredInfos[i].certiType) {
                res['status'] = false;
                res['msg'] = '请选择被保人证件类型';
            } else if (!validCredNum($scope.insuredInfos[i].certiType, $scope.insuredInfos[i].certiCode)) {
                res['status'] = false;
                res['msg'] = '被保人证件号码填写有误，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].certiValidDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件起期填写有误，请更正';
            } else if (formatDate10($scope.insuredInfos[i].certiValidDate)>formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件起期不能晚于当前日期，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && !validCredNum("",$scope.insuredInfos[i].certiExpiryDate)) {
                res['status'] = false;
                res['msg'] = '被保人证件止期填写有误，请更正';
            } else if ($scope.insuredInfos[i].longTermFlag!='1' && formatDate10($scope.insuredInfos[i].certiExpiryDate)<formatDate10(new Date())) {
                res['status'] = false;
                res['msg'] = '证件止期不能早于当前日期，请更正';
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredBirthday)) {
                res['status'] = false;
                res['msg'] = '被保人出生日期填写有误，请更正';
            } else if ($scope.insuredInfos[i].certiType == "1" && formatDate10($scope.insuredInfos[i].insuredBirthday).replace(/-/g, "") != $scope.insuredInfos[i].certiCode.substring(6, 14)) {//被保人出生日期与证件校验
                res['status'] = false;
                res['msg'] = '被保人出生日期与证件号不符，请更正';
            } else if (!$scope.validInsuredAge($scope.insuredInfos[i])){
                return false;
            } else if (!validCredNum("",$scope.insuredInfos[i].insuredSex)) {
                res['status'] = false;
                res['msg'] = '请选择被保人性别';
            } else if ($scope.insuredInfos[i].certiType == "1" && !checkSex($scope.insuredInfos[i].insuredSex, $scope.insuredInfos[i].certiCode)) {//性别校验
                res['status'] = false;
                res['msg'] = '被保人性别与证件号不符，请更正';
            } else if (!(validCredNum("", $scope.insuredInfos[i].addressInfo.provinceCode)
                && validCredNum("", $scope.insuredInfos[i].addressInfo.cityCode) && validCredNum("", $scope.insuredInfos[i].addressInfo.countyCode) && validCredNum("", $scope.insuredInfos[i].addressInfo.detailAddress))) {
                res['status'] = false;
                res['msg'] = '被保人通讯地址填写有误，请完善';
            } else if($scope.insuredInfos[i].addressInfo.detailAddress.length<5){
                res['status'] = false;
                res['msg'] = '被保人详细地址填写有误，请完善';
            } else if (!(validCredNum("",$scope.insuredInfos[i].jobClass1) && validCredNum("",$scope.insuredInfos[i].jobClass2))) {
                res['status'] = false;
                res['msg'] = '被保人职业类别不完整，请更正';
            } else if ((!(validCredNum("postCode", $scope.insuredInfos[i].addressInfo.postCode))) ||
                (validCredNum("",$scope.insuredInfos[i].addressInfo.regionPostCode) &&
                !($scope.insuredInfos[i].addressInfo.regionPostCode.indexOf(","+$scope.insuredInfos[i].addressInfo.postCode.substr(0,4))>-1))){
                res['status'] = false;
                res['msg'] = '被保人邮编填写有误，请更正';
            } else if ($scope.insuredInfos[i].insuredMobile && !validCredNum("mobile", $scope.insuredInfos[i].insuredMobile)) {
                res['status'] = false;
                res['msg'] = '被保人手机号填写有误，请更正';
            } else if (!validCredNum("email", $scope.insuredInfos[i].insuredEmail)) {
                res['status'] = false;
                res['msg'] = '被保人电子邮箱填写有误，请更正';
            }
            if(!res['status']){
                $scope.dialogTip(res['msg']);
                return res['status'];
            }
        }
        //TODO--加表单验证--结束
        $scope.calculateInfo.insuredBirthday = formatDate10(new Date($scope.insuredInfos[0].insuredBirthday));
        $scope.calculateInfo.insuredSex = $scope.insuredInfos[0].insuredSex;

        for(var l=0;l<$scope.insuredInfos.length;l++) {
            $scope.insuredInfos[l].benefitInfos = [];
            var benefitInfo = {};
            /*benefitInfo.name = $scope.insuredInfos[l].insuredName;
            benefitInfo.certiType = $scope.insuredInfos[l].certiType;
            benefitInfo.certiCode = $scope.insuredInfos[l].certiCode;
            benefitInfo.certiName = $scope.insuredInfos[l].certiName;
            benefitInfo.certiValidDate = $scope.insuredInfos[l].certiValidDate;
            benefitInfo.certiExpiryDate = $scope.insuredInfos[l].certiExpiryDate;
            benefitInfo.birthday = $scope.insuredInfos[l].insuredBirthday;
            benefitInfo.sex = $scope.insuredInfos[l].insuredSex;
            benefitInfo.benefitRate = 100;
            benefitInfo.relation = 1;*/
            $scope.relationshipChange('benefit',1,$scope.insuredInfos[l],benefitInfo,0);
            benefitInfo.benefitRate = 100;
            $scope.insuredInfos[l].benefitInfos.push(benefitInfo);
        }

        $scope.nextModule = "6";
        $scope.prevModule2 = "4";
        $scope.$emit("prevModule2", $scope.prevModule2);
        localStorage.setItem('prevModule2',JSON.stringify($scope.prevModule2));
        return true;
    }
    //校验第三步
    function checkStep3(){
        //开始校验表单-----
        var res = {};
        res['status'] = true;//检查通过-true;否则-false
        res['msg'] = '';//返回错误信息
        console.info("交费方式....",$scope.calculateInfo);
        if (!validCredNum("",$scope.calculateInfo.sumAssuredName) || $scope.calculateInfo.sumAssuredName == "请选择基本保额") {//选择投保保额
            res['status'] = false;
            res['msg'] = '请选择保额';
        }
        if(!res['status']){
            $scope.dialogTip(res['msg']);
            return res['status'];
        }
        //结束校验表单-----
        if($scope.calculateInfo.calculateAmt==0){
            $scope.dialogTip("请正确选择投保计划,以便计算保费");
            return false;
        }
        $scope.productSetItem('showRenewalInfo', $scope.showRenewalInfo);
        $scope.nextModule = "8";
        $scope.prevModule3 = "6";
        $scope.$emit("prevModule3", $scope.prevModule3);
        localStorage.setItem('prevModule3',JSON.stringify($scope.prevModule3));
        return true;
    }
    //校验第四步
    function checkStep4(){
        if(!$scope.agreeState) {
            $scope.dialogTip("请阅读相关协议并同意投保声明");
            return false;
        }
        if($scope.calculateInfo.chargePeriod=="1"){
            $scope.renewalInfo = {};
        }
        $scope.nextModule = "payOrder";
        $scope.prevModule4 = "8";
        $scope.$emit("prevModule4", $scope.prevModule4);
        localStorage.setItem('prevModule4',JSON.stringify($scope.prevModule4));
        return true;
    }
    if (!event) {
        return init();
    } else if (event.type == 'calculateInfo') {
        $scope.saveCalculateInfo();
    } else {
        return eval(event.type)(event.params);
    }
}
