define(['app'],function (app) {

    app.register.controller('productHealthCtl', ['$scope','$stateParams','backFactory','$location',function($scope,$stateParams,backFactory,$location){
        //改变页面的<title>
        $scope.appTitle = '健康告知';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("goBackShow", true);
        $scope.$emit("saveShow", false);
        $scope.$emit("stepNum", '');//返回详情页  广播

        $scope.changeNotice = function(){
            $scope.noticeCheck =!$scope.noticeCheck;
        };
        if($stateParams.productId == '100301' || $stateParams.productId == '990016'){
            $scope.checkedArr = [{"code":0,"isChecked":false,"value":"部分为是"},{"code":1,"isChecked":false,"value":"全部为否"}];
        }else if($stateParams.productId == '990003'){
            $scope.hzHealthContent =localStorage.getItem('hzHealthContent')?JSON.parse(localStorage.getItem('hzHealthContent').replace(/\r|\n/ig,'<br/>')):"";
            console.log(localStorage.getItem('hzHealthContent').replace(/\r|\n/ig,'<br/>'));
            $scope.checkedArr = [];
        }else{
            $scope.checkedArr = [{"code":0,"isChecked":false,"value":"是"},{"code":1,"isChecked":false,"value":"否"}];
        }

        $scope.checkNotice = function(index){

            for(var i=0;i<$scope.checkedArr.length;i++){
                if($scope.checkedArr[i].code == index){
                    $scope.checkedArr[i].isChecked = true;
                }else{
                    $scope.checkedArr[i].isChecked = false;
                }
            }
        }

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            function scrollHealthNoticeFun() {
                var obj = document.getElementById('healthContent');
                document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
            }
            scrollHealthNoticeFun();
        });

        //获取url参数
        $scope.resultObj = getUrlParams($location.url());//获取链接参数对象

        $scope.nextBtn=true;
        /*--------------------------头部返回start--------------------------*/
        //因为是浏览器、微信、App都会调用此页面
        var appBack = backFactory.getter();//App存储backFactory
        if (typeof appBack['productHealthNotice'] != 'undefined'&& appBack['productHealthNotice'] != '')
        {
            var backUrl = appBack['productHealthNotice'];
            $scope.$emit("adbBack","index.html#"+backUrl,"2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
            if(backUrl=="/productR/productFillInfoR/"+$stateParams.productId+"/4"){
                $scope.nextBtn=false;
            }else if(backUrl.indexOf("/productR/productFillMessageR/"+$stateParams.productId)>-1){
                $scope.nextBtn=false;
            }
        }
        else{
            //不是APP,从localstorage读取
            var localBack = localStorage.getItem("proDetailUrl");
            $scope.$emit("adbBack","index.html#"+localBack,"2");
        }
        /*--------------------------头部返回end--------------------------*/

        /*---------------------------跳转到fillInfo start--------------------------------*/
        $scope.noticeSub = function(){
            if($scope.noticeCheck ||$scope.checkedArr[1].isChecked == true) {
                if($scope.resultObj.module){
                    location.href = '#/productR/productFillMessageR/' + $stateParams.productId + '/1/'+$scope.resultObj.module;
                }else {
                    location.href = '#/productR/productFillInfoR/' + $stateParams.productId + '/1';
                }
            }
            else{
                //$scope.dialogRes("请确认健康告知项");
                $scope.dialogTip("请确认健康告知项");
            }
        };

        $scope.noticeSub2 = function(title){
            if($scope.noticeCheck ||$scope.checkedArr[1].isChecked == true) {
                if($scope.resultObj.module){
                    location.href = '#/productR/productFillMessageR/' + $stateParams.productId + '/1/'+$scope.resultObj.module;
                }else {
                    location.href = '#/productR/productFillInfoR/' + $stateParams.productId + '/1';
                }
            }
            else{
                //$scope.dialogRes("请确认健康告知项");
                if(title){
                    $scope.dialogTip(title);
                } else {
                    $scope.dialogTip("请确认健康告知项");
                }
            }
        };
        /*---------------------------跳转到fillInfo end--------------------------------*/
    }]);
});