define(['app'], function (app) {

    app.register.controller('insureNoticeCtrl', ['$scope', '$stateParams', 'backFactory', '$location', function ($scope, $stateParams, backFactory, $location) {
        //改变页面的<title>
        $scope.appTitle = '产品须知';
        $scope.$emit("titleName", $scope.appTitle);
        $scope.$emit("searchShow", false);
        $scope.$emit("homeShow", false);
        $scope.$emit("saveShow", false);
        $scope.$emit("goBackShow", true);
        $scope.$emit("stepNum", '');//返回详情页  广播
        $scope.isRightIconShow = false;
        $scope.detailShow = 0;
        $scope.active=[];

        function scrollInsureNoticeFun() {
            var obj = document.getElementById('statementCont');
            document.documentElement.scrollTop =document.body.scrollTop= obj.offsetTop;
        }

        $scope.showDetail = function (num) {
            if($scope.detailShow) {
                if ($scope.detailShow != num) {
                    $scope.detailShow = num;
                    scrollInsureNoticeFun();
                } else {
                    $scope.detailShow = 0;
                }
            }else{
                $scope.detailShow = num;
            }

        };
        //var num = $scope.titleType = $location.url().split('/')[5];
        var num = $stateParams.num;
        console.info(typeof num);
        if (num == '0') {

        } else {
            $scope.showDetail(num);
        }

        $scope.$on('$viewContentLoaded', function () {
            //视图渲染后加载
            scrollInsureNoticeFun();
        });

        /*--------------------------头部返回start--------------------------*/
        //因为是浏览器、微信、App都会调用此页面
        var appBack = backFactory.getter();//App存储backFactory
        if (typeof appBack['productInsureNotice'] != 'undefined' && appBack['productInsureNotice'] != '') {
            var backUrl = appBack['productInsureNotice'];
            $scope.$emit("adbBack", "index.html#" + backUrl, "2");//状态0为$state跳转，1为$location.path跳转，2为location.href跳转
        }
        else {
            //不是APP,从localstorage读取
            var localBack = localStorage.getItem("proDetailUrl");
            $scope.$emit("adbBack", "index.html#" + localBack, "2");
        }
        /*--------------------------头部返回end--------------------------*/
    }]);
});